import * as i0 from '@angular/core';
import { input, signal, inject, ChangeDetectionStrategy, Component } from '@angular/core';
import * as i1 from '@angular/forms';
import { FormControl, ReactiveFormsModule } from '@angular/forms';
import { c as BaseComponent, C as CoreWorkflowService, T as TranslatePipe, f as TooltipDirective } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import { D as DbService } from './ngx-histaff-alpha-core-toast-loading.component-BGH6zSfv.mjs';
import { take } from 'rxjs';

class AiHintForTableComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.$table = input.required();
        this.$editing = signal(false);
        this.hintControl = new FormControl('');
        this.dbs = inject(DbService);
        this.wfs = inject(CoreWorkflowService);
    }
    ngOnInit() {
        this.subscriptions.push(this.mls.lang$.subscribe(x => this.lang = x));
        this.hintControl.setValue(this.$table().hintForAi || '');
    }
    startEditing() {
        this.$editing.set(true);
    }
    save() {
        this.$editing.set(false);
        this.wfs.$workflowDbSchema.update(current => {
            const founds = current.filter(x => x.id === this.$table().id);
            if (founds) {
                founds[0].hintForAi = this.hintControl.getRawValue() ?? '';
            }
            return [...current];
        });
        this.dbs.updateTableHint(this.$table().table, this.hintControl.getRawValue() ?? '')
            .pipe(take(1))
            .subscribe({
            next: () => console.log('Hint saved'),
            error: err => console.error('Failed to save hint', err)
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AiHintForTableComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: AiHintForTableComponent, isStandalone: true, selector: "ai-hint-for-table", inputs: { $table: { classPropertyName: "$table", publicName: "$table", isSignal: true, isRequired: true, transformFunction: null } }, usesInheritance: true, ngImport: i0, template: "<span class=\"ai-table-hint-wrapper\">\r\n  @if (!$editing()) {\r\n    <i\r\n        class=\"feather feather-more-vertical ai-table-icon\"\r\n        [appTooltip]=\"'Edit Hint for AI' | translate : lang\" [showAnyway]=\"true\"\r\n        (click)=\"startEditing()\">\r\n    </i>\r\n  } @else {\r\n    <input\r\n      type=\"text\"\r\n      class=\"form-control form-control-sm ai-table-hint-input\"\r\n      [formControl]=\"hintControl\"\r\n      (blur)=\"save()\"\r\n      (keydown.enter)=\"save()\" />\r\n  }\r\n</span>\r\n", styles: [".ai-table-hint-wrapper{margin-left:8px;display:inline-block}.ai-table-hint-wrapper .ai-table-icon{font-size:16px;opacity:.6;cursor:pointer}.ai-table-hint-wrapper .ai-table-icon:hover{opacity:1}.ai-table-hint-wrapper .ai-table-hint-input{width:200px;font-size:13px;padding:2px 6px}\n"], dependencies: [{ kind: "pipe", type: TranslatePipe, name: "translate" }, { kind: "directive", type: TooltipDirective, selector: "[appTooltip]", inputs: ["color", "backgroundColor", "appTooltip", "showAnyway", "position"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AiHintForTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ai-hint-for-table', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        TranslatePipe,
                        TooltipDirective,
                        ReactiveFormsModule,
                    ], template: "<span class=\"ai-table-hint-wrapper\">\r\n  @if (!$editing()) {\r\n    <i\r\n        class=\"feather feather-more-vertical ai-table-icon\"\r\n        [appTooltip]=\"'Edit Hint for AI' | translate : lang\" [showAnyway]=\"true\"\r\n        (click)=\"startEditing()\">\r\n    </i>\r\n  } @else {\r\n    <input\r\n      type=\"text\"\r\n      class=\"form-control form-control-sm ai-table-hint-input\"\r\n      [formControl]=\"hintControl\"\r\n      (blur)=\"save()\"\r\n      (keydown.enter)=\"save()\" />\r\n  }\r\n</span>\r\n", styles: [".ai-table-hint-wrapper{margin-left:8px;display:inline-block}.ai-table-hint-wrapper .ai-table-icon{font-size:16px;opacity:.6;cursor:pointer}.ai-table-hint-wrapper .ai-table-icon:hover{opacity:1}.ai-table-hint-wrapper .ai-table-hint-input{width:200px;font-size:13px;padding:2px 6px}\n"] }]
        }] });

export { AiHintForTableComponent };
//# sourceMappingURL=ngx-histaff-alpha-ai-hint-for-table.component-CADAEfhL.mjs.map
