import { NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { input, output, signal, computed, ChangeDetectionStrategy, Component } from '@angular/core';
import { c as BaseComponent, f as TooltipDirective, T as TranslatePipe } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import { A as AiHintForColumnComponent } from './ngx-histaff-alpha-core-toast-loading.component-BGH6zSfv.mjs';

class CoreStickerCollectionComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.$items = input.required();
        this.$shownFrom = input.required();
        this.$tooltipFrom = input('');
        this.$initialChecked = input([]);
        this.$checkedChange = output();
        this.$showMore = input(false);
        this.$onShowMore = output();
        this.$showMoreTooltip = input(); // new
        this.$hideShowMoreIfNotSelected = input(); // new
        this.$enableFilter = input(false);
        this.$checked = signal([]);
        this.$filterText = signal('');
        this.$filteredItems = computed(() => {
            const term = this.$filterText().toLowerCase();
            return !term
                ? this.$items()
                : this.$items().filter(i => i[this.$shownFrom()].toLowerCase().includes(term));
        });
    }
    onFilterChange(e) {
        this.$filterText.set(e.target.value);
    }
    getTooltip(item) {
        return typeof item === 'string' ? '' : item?.[this.$tooltipFrom()] ?? '';
    }
    toggle(field) {
        const current = this.$checked();
        const isChecked = current.includes(field[this.$shownFrom()]);
        const updated = isChecked
            ? current.filter(f => f !== field[this.$shownFrom()])
            : [...current, field[this.$shownFrom()]];
        this.$checked.set(updated);
        this.$checkedChange.emit(updated);
    }
    onShowMoreClicked(item, e) {
        this.$onShowMore.emit({ item, e });
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.$checked.set([...this.$initialChecked()]);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CoreStickerCollectionComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: CoreStickerCollectionComponent, isStandalone: true, selector: "core-sticker-collection", inputs: { $items: { classPropertyName: "$items", publicName: "$items", isSignal: true, isRequired: true, transformFunction: null }, $shownFrom: { classPropertyName: "$shownFrom", publicName: "$shownFrom", isSignal: true, isRequired: true, transformFunction: null }, $tooltipFrom: { classPropertyName: "$tooltipFrom", publicName: "$tooltipFrom", isSignal: true, isRequired: false, transformFunction: null }, $initialChecked: { classPropertyName: "$initialChecked", publicName: "$initialChecked", isSignal: true, isRequired: false, transformFunction: null }, $showMore: { classPropertyName: "$showMore", publicName: "$showMore", isSignal: true, isRequired: false, transformFunction: null }, $showMoreTooltip: { classPropertyName: "$showMoreTooltip", publicName: "$showMoreTooltip", isSignal: true, isRequired: false, transformFunction: null }, $hideShowMoreIfNotSelected: { classPropertyName: "$hideShowMoreIfNotSelected", publicName: "$hideShowMoreIfNotSelected", isSignal: true, isRequired: false, transformFunction: null }, $enableFilter: { classPropertyName: "$enableFilter", publicName: "$enableFilter", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { $checkedChange: "$checkedChange", $onShowMore: "$onShowMore" }, usesInheritance: true, ngImport: i0, template: "<div class=\"core-sticker-collection-container\">\r\n  @if ($items().length === 0) {\r\n    <div class=\"empty-note\">No items available</div>\r\n  } @else {\r\n\r\n    @if ($enableFilter()) {\r\n      <input\r\n        type=\"text\"\r\n        class=\"form-control mb-2\"\r\n        [placeholder]=\"'Filter...'\"\r\n        (input)=\"onFilterChange($event)\" />\r\n    }\r\n\r\n\r\n    @for (item of $filteredItems(); track item[$shownFrom()]) {\r\n      <div\r\n        class=\"sticker\"\r\n        [class.checked]=\"$checked().includes(item[$shownFrom()])\"\r\n        (click)=\"toggle(item)\"\r\n      >\r\n        \r\n        <i class=\"feather\" [ngClass]=\"$checked().includes(item[$shownFrom()]) ? 'feather-check-square' : 'feather-square'\"></i>\r\n\r\n        <span [appTooltip]=\"getTooltip(item)\" [showAnyway]=\"true\" [class.has-hint]=\"!!item[$tooltipFrom()] && item[$tooltipFrom()]!.length\">{{ item[$shownFrom()] }}</span>\r\n\r\n        @if ($showMore() && !(!!$hideShowMoreIfNotSelected() && !$checked().includes(item[$shownFrom()]))) {\r\n          <i\r\n            class=\"feather feather-more-vertical more-icon\"\r\n            [appTooltip]=\"$showMoreTooltip() | translate : lang\"\r\n            [showAnyway]=\"true\"\r\n            (click)=\"onShowMoreClicked(item, $event); $event.stopPropagation()\">\r\n          </i>\r\n        }\r\n      </div>\r\n    }\r\n  }\r\n</div>\r\n", styles: ["@charset \"UTF-8\";.core-sticker-collection-container{display:flex;flex-wrap:wrap;gap:.5rem}.core-sticker-collection-container .sticker{display:flex;align-items:center;gap:6px;padding:6px 12px;border-radius:16px;font-size:13px;background-color:#eee;color:#333;cursor:pointer;transition:.2s ease}.core-sticker-collection-container .sticker.checked{background-color:#2a9d8f;color:#fff}.core-sticker-collection-container .sticker.checked span.has-hint{color:#fff}.core-sticker-collection-container .sticker span.has-hint{color:#2a9d8f;position:relative}.core-sticker-collection-container .sticker span.has-hint:after{content:\"\\1f4a1\";font-size:.9rem;margin-left:6px;vertical-align:middle;opacity:.8}.core-sticker-collection-container .sticker span.has-hint:hover:after{opacity:1}.core-sticker-collection-container .sticker i{font-size:16px}.core-sticker-collection-container .sticker .more-icon{margin-left:auto;font-size:16px;opacity:.5;cursor:pointer}.core-sticker-collection-container .sticker .more-icon:hover{opacity:1}.core-sticker-collection-container .empty-note{color:#aaa}\n"], dependencies: [{ kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: TooltipDirective, selector: "[appTooltip]", inputs: ["color", "backgroundColor", "appTooltip", "showAnyway", "position"] }, { kind: "pipe", type: TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CoreStickerCollectionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'core-sticker-collection', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgClass,
                        TooltipDirective,
                        TranslatePipe,
                        AiHintForColumnComponent,
                    ], template: "<div class=\"core-sticker-collection-container\">\r\n  @if ($items().length === 0) {\r\n    <div class=\"empty-note\">No items available</div>\r\n  } @else {\r\n\r\n    @if ($enableFilter()) {\r\n      <input\r\n        type=\"text\"\r\n        class=\"form-control mb-2\"\r\n        [placeholder]=\"'Filter...'\"\r\n        (input)=\"onFilterChange($event)\" />\r\n    }\r\n\r\n\r\n    @for (item of $filteredItems(); track item[$shownFrom()]) {\r\n      <div\r\n        class=\"sticker\"\r\n        [class.checked]=\"$checked().includes(item[$shownFrom()])\"\r\n        (click)=\"toggle(item)\"\r\n      >\r\n        \r\n        <i class=\"feather\" [ngClass]=\"$checked().includes(item[$shownFrom()]) ? 'feather-check-square' : 'feather-square'\"></i>\r\n\r\n        <span [appTooltip]=\"getTooltip(item)\" [showAnyway]=\"true\" [class.has-hint]=\"!!item[$tooltipFrom()] && item[$tooltipFrom()]!.length\">{{ item[$shownFrom()] }}</span>\r\n\r\n        @if ($showMore() && !(!!$hideShowMoreIfNotSelected() && !$checked().includes(item[$shownFrom()]))) {\r\n          <i\r\n            class=\"feather feather-more-vertical more-icon\"\r\n            [appTooltip]=\"$showMoreTooltip() | translate : lang\"\r\n            [showAnyway]=\"true\"\r\n            (click)=\"onShowMoreClicked(item, $event); $event.stopPropagation()\">\r\n          </i>\r\n        }\r\n      </div>\r\n    }\r\n  }\r\n</div>\r\n", styles: ["@charset \"UTF-8\";.core-sticker-collection-container{display:flex;flex-wrap:wrap;gap:.5rem}.core-sticker-collection-container .sticker{display:flex;align-items:center;gap:6px;padding:6px 12px;border-radius:16px;font-size:13px;background-color:#eee;color:#333;cursor:pointer;transition:.2s ease}.core-sticker-collection-container .sticker.checked{background-color:#2a9d8f;color:#fff}.core-sticker-collection-container .sticker.checked span.has-hint{color:#fff}.core-sticker-collection-container .sticker span.has-hint{color:#2a9d8f;position:relative}.core-sticker-collection-container .sticker span.has-hint:after{content:\"\\1f4a1\";font-size:.9rem;margin-left:6px;vertical-align:middle;opacity:.8}.core-sticker-collection-container .sticker span.has-hint:hover:after{opacity:1}.core-sticker-collection-container .sticker i{font-size:16px}.core-sticker-collection-container .sticker .more-icon{margin-left:auto;font-size:16px;opacity:.5;cursor:pointer}.core-sticker-collection-container .sticker .more-icon:hover{opacity:1}.core-sticker-collection-container .empty-note{color:#aaa}\n"] }]
        }] });

export { CoreStickerCollectionComponent };
//# sourceMappingURL=ngx-histaff-alpha-core-sticker-collection.component-QQFZHJWt.mjs.map
