import * as i0 from '@angular/core';
import { inject, Injectable, input, output, HostListener, ChangeDetectionStrategy, Component, signal } from '@angular/core';
import { A as AppService, c as BaseComponent, T as TranslatePipe, f as TooltipDirective, p as DomService } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import * as i1 from '@angular/forms';
import { FormControl, ReactiveFormsModule } from '@angular/forms';
import { trigger, transition, style, animate, query, stagger } from '@angular/animations';
import { take } from 'rxjs';
import { NgStyle } from '@angular/common';

class DbService {
    constructor() {
        this.appService = inject(AppService);
    }
    syncAndGetWorkflowSchemaMetadata(request) {
        return this.appService.post('/api/WorkflowEngine/SyncAndGetWorkflowSchemaMetadata', request);
    }
    updateTableHint(table, hint) {
        return this.appService.post('/api/WorkflowEngine/UpdateTableHint', {
            table,
            hint
        });
    }
    updateColumnHint(table, column, hint) {
        return this.appService.post('/api/WorkflowEngine/UpdateColumnHint', {
            table,
            column,
            hint
        });
    }
    updateColumnStatus(table, activeColumns) {
        return this.appService.post('/api/WorkflowEngine/UpdateColumnStatus', { table, activeColumns });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DbService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DbService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DbService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class AiHintForColumnComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.$table = input.required();
        this.$column = input.required();
        this.$top = input.required();
        this.$left = input.required();
        this.$closed = output();
        this.dbs = inject(DbService);
        this.hintControl = new FormControl('');
    }
    ngOnInit() {
        this.subscriptions.push(this.mls.lang$.subscribe(x => this.lang = x));
        const col = this.$table().columns.find(c => c.column === this.$column());
        this.hintControl.setValue(col?.hintForAi ?? '');
    }
    handleClickOutside(event) {
        const target = event.target;
        if (!target.closest('.floating-hint-editor')) {
            this.$closed.emit();
        }
    }
    handleEscape(event) {
        this.$closed.emit();
    }
    save() {
        const newHint = this.hintControl.value;
        const col = this.$table().columns.find(c => c.column === this.$column());
        if (col) {
            col.hintForAi = newHint ?? undefined;
            this.dbs.updateColumnHint(this.$table().table, col.column, col.hintForAi ?? '')
                .pipe(take(1))
                .subscribe({
                next: () => console.log('Hint saved'),
                error: err => console.error('Failed to save hint', err)
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AiHintForColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.5", type: AiHintForColumnComponent, isStandalone: true, selector: "ai-hint-for-column", inputs: { $table: { classPropertyName: "$table", publicName: "$table", isSignal: true, isRequired: true, transformFunction: null }, $column: { classPropertyName: "$column", publicName: "$column", isSignal: true, isRequired: true, transformFunction: null }, $top: { classPropertyName: "$top", publicName: "$top", isSignal: true, isRequired: true, transformFunction: null }, $left: { classPropertyName: "$left", publicName: "$left", isSignal: true, isRequired: true, transformFunction: null } }, outputs: { $closed: "$closed" }, host: { listeners: { "document:click": "handleClickOutside($event)", "document:keydown.escape": "handleEscape($event)" } }, usesInheritance: true, ngImport: i0, template: "<div\r\n  [@fadeInOut]\r\n  class=\"floating-hint-editor\"\r\n  [style.top.px]=\"$top()\"\r\n  [style.left.px]=\"$left()\">\r\n  <input\r\n    class=\"form-control form-control-sm\"\r\n    [formControl]=\"hintControl\"\r\n    (blur)=\"save()\"\r\n    (keydown.enter)=\"save()\" />\r\n</div>\r\n", styles: [".floating-hint-editor{position:absolute;z-index:1000;background:#fff;border:1px solid #ccc;padding:4px;border-radius:6px;box-shadow:0 0 6px #00000026}\n"], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }], animations: [
            trigger('fadeInOut', [
                transition(':enter', [
                    style({ opacity: 0 }),
                    animate('150ms ease-in', style({ opacity: 1 }))
                ]),
                transition(':leave', [
                    animate('150ms ease-out', style({ opacity: 0 }))
                ])
            ])
        ], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AiHintForColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ai-hint-for-column', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        TranslatePipe,
                        TooltipDirective,
                        ReactiveFormsModule,
                    ], animations: [
                        trigger('fadeInOut', [
                            transition(':enter', [
                                style({ opacity: 0 }),
                                animate('150ms ease-in', style({ opacity: 1 }))
                            ]),
                            transition(':leave', [
                                animate('150ms ease-out', style({ opacity: 0 }))
                            ])
                        ])
                    ], template: "<div\r\n  [@fadeInOut]\r\n  class=\"floating-hint-editor\"\r\n  [style.top.px]=\"$top()\"\r\n  [style.left.px]=\"$left()\">\r\n  <input\r\n    class=\"form-control form-control-sm\"\r\n    [formControl]=\"hintControl\"\r\n    (blur)=\"save()\"\r\n    (keydown.enter)=\"save()\" />\r\n</div>\r\n", styles: [".floating-hint-editor{position:absolute;z-index:1000;background:#fff;border:1px solid #ccc;padding:4px;border-radius:6px;box-shadow:0 0 6px #00000026}\n"] }]
        }], propDecorators: { handleClickOutside: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }], handleEscape: [{
                type: HostListener,
                args: ['document:keydown.escape', ['$event']]
            }] } });

class CoreToastLoadingComponent {
    constructor() {
        this.$zIndex = signal(1);
        this.domService = inject(DomService);
    }
    ngAfterViewInit() {
        this.$zIndex.set(this.domService.getMaxZIndex() + 1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CoreToastLoadingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: CoreToastLoadingComponent, isStandalone: true, selector: "core-toast-loading", ngImport: i0, template: "<div class=\"core-toast-loading-container\" [ngStyle]=\"{ zIndex: $zIndex() }\">\r\nLoading...\r\n</div>\r\n", styles: [".core-toast-loading-container{--width: 125px;height:60px;width:var(--width);display:flex;align-items:center;justify-content:center;padding:0 15px;position:fixed;box-shadow:var(--decoration-box-shadow);top:0;left:calc(50vw - var(--width) / 2);animation:animated_div .5s ease-in}@keyframes animated_div{0%{opacity:0%}to{opacity:100%}}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], animations: [
            trigger('alertList', [
                transition('* => *', [
                    query(':enter', [
                        style({ opacity: 0, transform: 'translateY(-10px)' }),
                        stagger(100, [
                            animate('250ms ease-out', style({ opacity: 1, transform: 'translateY(0)' }))
                        ])
                    ], { optional: true }),
                    query(':leave', [
                        stagger(100, [
                            animate('200ms ease-in', style({ opacity: 0, transform: 'translateY(-10px)' }))
                        ])
                    ], { optional: true })
                ])
            ])
        ], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CoreToastLoadingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'core-toast-loading', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgStyle
                    ], animations: [
                        trigger('alertList', [
                            transition('* => *', [
                                query(':enter', [
                                    style({ opacity: 0, transform: 'translateY(-10px)' }),
                                    stagger(100, [
                                        animate('250ms ease-out', style({ opacity: 1, transform: 'translateY(0)' }))
                                    ])
                                ], { optional: true }),
                                query(':leave', [
                                    stagger(100, [
                                        animate('200ms ease-in', style({ opacity: 0, transform: 'translateY(-10px)' }))
                                    ])
                                ], { optional: true })
                            ])
                        ])
                    ], template: "<div class=\"core-toast-loading-container\" [ngStyle]=\"{ zIndex: $zIndex() }\">\r\nLoading...\r\n</div>\r\n", styles: [".core-toast-loading-container{--width: 125px;height:60px;width:var(--width);display:flex;align-items:center;justify-content:center;padding:0 15px;position:fixed;box-shadow:var(--decoration-box-shadow);top:0;left:calc(50vw - var(--width) / 2);animation:animated_div .5s ease-in}@keyframes animated_div{0%{opacity:0%}to{opacity:100%}}\n"] }]
        }] });

export { AiHintForColumnComponent as A, CoreToastLoadingComponent as C, DbService as D };
//# sourceMappingURL=ngx-histaff-alpha-core-toast-loading.component-BGH6zSfv.mjs.map
