import * as i0 from '@angular/core';
import { inject, Component } from '@angular/core';
import { B as BaseEditComponent, C as CoreWorkflowService, E as EnumFormBaseContolType, a as EnumCoreFormControlSeekerSourceType, b as CorePageEditComponent } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import { BehaviorSubject } from 'rxjs';
import { AsyncPipe } from '@angular/common';

class WfFormAssignComponent extends BaseEditComponent {
    constructor() {
        super(...arguments);
        this.coreWorkflowService = inject(CoreWorkflowService);
        this.crud = {
            r: "/api/WfWorkflow/GetById",
            u: "/api/WfWorkflow/Update"
        };
        this.sections = [
            {
                rows: [
                    [
                        {
                            field: 'id',
                            label: 'Workflow id',
                            flexSize: 12,
                            value: '',
                            controlType: EnumFormBaseContolType.TEXTBOX,
                            readonly: true,
                        },
                    ],
                    [
                        {
                            field: 'afInstanceId',
                            label: 'Form template',
                            flexSize: 12,
                            value: '',
                            controlType: EnumFormBaseContolType.SEEKER,
                            seekerSourceType: EnumCoreFormControlSeekerSourceType.FORM_SEEK,
                            getByIdObject$: new BehaviorSubject(null),
                            getByIdApi: '/api/AfInstance/GetById',
                            shownFrom: 'name',
                            boundFrom: 'id'
                        }
                    ]
                ]
            }
        ];
    }
    onFormCreated(e) {
        this.form = e;
    }
    onFormReinit(e) {
        this.formInitStringValue = e;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: WfFormAssignComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: WfFormAssignComponent, isStandalone: true, selector: "wf-form-assign", usesInheritance: true, ngImport: i0, template: "<core-page-edit\r\n    [width]=\"800\"\r\n    [entityTable]=\"'WF_WORKFLOW'\"\r\n    [hasIdOfStringType]=\"true\"\r\n    [captionCode]=\"coreWorkflowService.$currentFlow()?.name ?? 'UNKNOWN WORKFLOW'\"\r\n    [sections]=\"sections\"\r\n    [crud]=\"crud\"\r\n    (onFormCreated)=\"onFormCreated($event)\"\r\n    (onInitialValueStringReady)=\"onFormReinit($event)\"\r\n></core-page-edit>", styles: [""], dependencies: [{ kind: "component", type: CorePageEditComponent, selector: "core-page-edit", inputs: ["stayAfterSubmit", "width", "entityTable", "hasIdOfStringType", "captionCode", "leftInputSections", "leftInputSectionsFlexSize", "sections", "normalMode", "bottomTemplateRef", "autoGetByIdOff", "autoSubmitLogicOff", "autoCancelLogicOff", "customFormButtonItems", "mixedMode", "checkError$", "showSaveButton", "disableSaveButton", "disableCancelButton", "forceListRefreshOnCreateOrUpdate", "crud", "entityUniqueIndexs", "idAsInput", "id", "hideButtons"], outputs: ["submitLogic", "onFormCreated", "onSubmitSuccess", "onButtonClick", "cancelLogic", "onInitialValueStringReady"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: WfFormAssignComponent, decorators: [{
            type: Component,
            args: [{ selector: 'wf-form-assign', imports: [
                        AsyncPipe,
                        CorePageEditComponent
                    ], template: "<core-page-edit\r\n    [width]=\"800\"\r\n    [entityTable]=\"'WF_WORKFLOW'\"\r\n    [hasIdOfStringType]=\"true\"\r\n    [captionCode]=\"coreWorkflowService.$currentFlow()?.name ?? 'UNKNOWN WORKFLOW'\"\r\n    [sections]=\"sections\"\r\n    [crud]=\"crud\"\r\n    (onFormCreated)=\"onFormCreated($event)\"\r\n    (onInitialValueStringReady)=\"onFormReinit($event)\"\r\n></core-page-edit>" }]
        }] });

export { WfFormAssignComponent };
//# sourceMappingURL=ngx-histaff-alpha-wf-form-assign.component-Cg4Bho3a.mjs.map
