import * as i0 from '@angular/core';
import { signal, inject, effect, ChangeDetectionStrategy, Component } from '@angular/core';
import { c as BaseComponent, C as CoreWorkflowService, E as EnumFormBaseContolType, M as MultiLanguageService, A as AppService, F as FullscreenModalLoaderComponent } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import { BehaviorSubject, tap, catchError, of } from 'rxjs';
import { L as LiveFormComponent } from './ngx-histaff-alpha-live-form.component-BxTC1ZTM.mjs';
import { Validators } from '@angular/forms';
import { EnumTranslateKey } from 'alpha-global-constants';
import * as i1 from '@angular/router';

class WfInstanceStepReactComponent extends BaseComponent {
    constructor(mls, route, appService) {
        super(mls);
        this.mls = mls;
        this.route = route;
        this.appService = appService;
        this.$id = signal('');
        this.$loading = signal(false);
        this.$context = signal(null); // May be improved with interface
        this.$reactMode = signal(false);
        this.wfs = inject(CoreWorkflowService);
        this.injectedFields$ = new BehaviorSubject([
            {
                field: "___reason",
                type: "text",
                value: '',
                label: "UI_FORM_CONTROL_LABEL.REASON",
                flexSize: 12,
                controlType: EnumFormBaseContolType.TEXTAREA,
                textareaRows: 5,
                validators: [
                    {
                        name: 'required',
                        validator: Validators.required,
                        errorMessage: EnumTranslateKey.UI_FORM_CONTROL_ERROR_REQUIRED
                    }
                ],
            }
        ]);
        this.route.params.subscribe(p => {
            this.$id.set(p['id']);
        });
        effect(() => {
            const id = this.$id();
            if (!id || !id.length)
                return;
            this.subscriptions.push(this.appService.get(`/api/WorkflowEngine/GetReactContext?unitedCorrelationIds=${id}`)
                .pipe(tap(_ => this.$loading.set(true)), catchError(err => {
                this.$loading.set(false);
                const messageCode = err?.error?.message || // API-defined message
                    err?.message || // Native JS or HttpErrorResponse
                    err?.statusText || // Fallback
                    'An unknown error occurred.';
                return of({ ok: false, status: 500, body: { messageCode } });
            }))
                .subscribe(x => {
                this.$loading.set(false);
                if (x.ok && x.status === 200 && x.body?.statusCode === 200) {
                    const context = x.body.innerBody;
                    this.$context.set(context);
                }
            }));
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: WfInstanceStepReactComponent, deps: [{ token: MultiLanguageService }, { token: i1.ActivatedRoute }, { token: AppService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: WfInstanceStepReactComponent, isStandalone: true, selector: "wf-instance-step-react", usesInheritance: true, ngImport: i0, template: "<live-form [$workflowReactContext]=\"$context()\" [$forKickOff]=\"false\" />\r\n\r\n@if ($loading()) {\r\n    <app-fullscreen-modal-loader />\r\n}\r\n", styles: [""], dependencies: [{ kind: "component", type: LiveFormComponent, selector: "live-form", inputs: ["$designMode", "$forKickOff", "$workflowReactContext"], outputs: ["$onClose"] }, { kind: "component", type: FullscreenModalLoaderComponent, selector: "app-fullscreen-modal-loader", inputs: ["content"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: WfInstanceStepReactComponent, decorators: [{
            type: Component,
            args: [{ selector: 'wf-instance-step-react', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        LiveFormComponent,
                        FullscreenModalLoaderComponent
                    ], template: "<live-form [$workflowReactContext]=\"$context()\" [$forKickOff]=\"false\" />\r\n\r\n@if ($loading()) {\r\n    <app-fullscreen-modal-loader />\r\n}\r\n" }]
        }], ctorParameters: () => [{ type: MultiLanguageService }, { type: i1.ActivatedRoute }, { type: AppService }] });

export { WfInstanceStepReactComponent };
//# sourceMappingURL=ngx-histaff-alpha-wf-instance-step-react.component-zIXxPDb8.mjs.map
