import { BaseUrlInterceptor, InterceptorSkipHeader, baseUrlInterceptor } from './base-url-interceptor';
import { LoggingInterceptor } from './logging-interceptor';
import { AuthInterceptor, authInterceptor } from './auth-interceptor';
import { GraphInterceptor, graphInterceptor } from './graph-interceptor';
import { TokenInterceptor, tokenInterceptor } from './token-interceptor';
import { ResponseInterceptor, responseInterceptor } from './response-interceptor';
import { TimeZoneInterceptor, timeZoneInterceptor } from './time-zone-interceptor';
import { CachingInterceptor, cachingInterceptor } from './caching-interceptor';
import { LangInterceptor, langInterceptor } from './lang-interceptor';
import { AppTypeInterceptor, appTypeInterceptor } from './app-type-interceptor';
/** Http interceptor providers in outside-in order */
export declare const httpInterceptorProviders: ({
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof AppTypeInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof BaseUrlInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof LoggingInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof AuthInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof GraphInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof TokenInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof ResponseInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof TimeZoneInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof CachingInterceptor;
    multi: boolean;
} | {
    provide: import("@angular/core").InjectionToken<readonly import("@angular/common/http").HttpInterceptor[]>;
    useClass: typeof LangInterceptor;
    multi: boolean;
})[];
export { InterceptorSkipHeader, appTypeInterceptor, baseUrlInterceptor, authInterceptor, graphInterceptor, tokenInterceptor, responseInterceptor, timeZoneInterceptor, cachingInterceptor, langInterceptor };
