import { Observable } from 'rxjs';
import { HttpEvent, HttpHandlerFn } from '@angular/common/http';
import { Router } from '@angular/router';
import { AuthService } from '../services/auth.service';
import { AppInitializationService } from '../services/app-initialization.service';
import { StatisticAuthService } from '../services/statistic-auth.service';
import { HttpInterceptor, HttpHandler, HttpRequest } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class TokenInterceptor implements HttpInterceptor {
    private auth;
    private statisticAuthService;
    private appInitializationService;
    private router;
    addAuthenticationToken(request: HttpRequest<any>): HttpRequest<any>;
    private refreshTokenInProgress;
    private refreshTokenSubject;
    constructor(auth: AuthService, statisticAuthService: StatisticAuthService, appInitializationService: AppInitializationService, router: Router);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TokenInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TokenInterceptor>;
}
export declare function tokenInterceptor(req: HttpRequest<any>, next: HttpHandlerFn): Observable<HttpEvent<unknown>>;
