export interface IGptAskRequest {
    /**
     * The user input to analyze, validate, or rephrase.
     */
    input: string;
    /**
     * Optional system-level context messages to guide GPT behavior.
     * Each entry becomes a `system` message in the chat prompt.
     */
    context?: string[];
    /**
     * Optional label describing the intended purpose of this request.
     * Helps route behavior or support logging and debugging.
     */
    purpose?: string;
    /**
     * If true, the `input` will be used as a system-level message
     * instead of a user-level message.
     */
    isSystemPrompt?: boolean;
}
