import { AfterViewInit, TemplateRef } from "@angular/core";
import { ContractInforService } from "./contractinfor.service";
import { BaseComponent } from "../base-component/base/base.component";
import { BehaviorSubject } from "rxjs";
import { ICoreTableColumnItem } from "../core-table/ICoreTableColumnItem";
import { ActivatedRoute, Router } from "@angular/router";
import { HttpClient } from "@angular/common/http";
import { IFilterOperator, IInOperator, ISortItem } from "../../interfaces/IQueryListRequest";
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from "../core-page-list/core-page-list.component";
import { CorePageListService, IGenerateTemplateRequest } from "../core-page-list/core-page-list.service";
import { MultiLanguageService } from "../../services/multi-language.service";
import { OrganizationService } from "../../services/organization.service";
import { RandomAvatarService } from "../../services/random-avatar.service";
import { AppService } from "../../services/app.service";
import { EnumTranslateKey } from "alpha-global-constants";
import { api } from "alpha-global-constants";
import { AlertService } from "../alert/alert.service";
import { ICoreButtonVNS } from "../core-button-group-vns/core-button-group-vns/ICoreButtonVNS";
import { IAlertOptions } from "../alert/alert/alert.model";
import * as i0 from "@angular/core";
export declare class ContractInforComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    private ras;
    private router;
    private route;
    private organizationService;
    private http;
    private appService;
    private corePageListService;
    private contractInforService;
    private alertService;
    loading: boolean;
    hideHeader: boolean;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    sticker: TemplateRef<any>;
    orgIds: number[];
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusInclusionForLabelKey: EnumTranslateKey;
    statusOptionsApi: api;
    id: any;
    title: EnumTranslateKey;
    outerParam$: BehaviorSubject<any>;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[];
    outerSort: ISortItem[];
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    avatarTemplate: TemplateRef<any>;
    columns: ICoreTableColumnItem[];
    defaultAvatar: string;
    editRoute: ICorePageListEditRouting;
    generateTemplateRequest: IGenerateTemplateRequest;
    constructor(mls: MultiLanguageService, ras: RandomAvatarService, router: Router, route: ActivatedRoute, organizationService: OrganizationService, http: HttpClient, appService: AppService, corePageListService: CorePageListService, contractInforService: ContractInforService, alertService: AlertService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onOrgIdsChange(orgIds: number[]): void;
    onRowClick(e: any): void;
    selectedIds: number[];
    listInstance: number;
    onInstanceCreated(event: number): void;
    alertOptions: IAlertOptions;
    employeeId: number;
    customizeSelectedIdsChange(e: number[]): void;
    corePageListInstanceNumber: number;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContractInforComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContractInforComponent, "cms-profile-contractinfor", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; }, {}, never, never, true, never>;
}
