import { OnInit, TemplateRef, ElementRef, EventEmitter, AfterViewInit } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { CoreAccordionService } from './core-accordion.service';
import { EnumProfileInfoSector } from '../../../enum/EnumProfileInfoSector';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export interface ICoreAccordionItem {
    id: EnumProfileInfoSector;
    header: EnumTranslateKey;
    open: boolean;
    editPath?: string;
    required?: boolean;
}
export declare class CoreAccordionComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    coreAccordionService: CoreAccordionService;
    sectors: ICoreAccordionItem[];
    enableSwap: boolean;
    refs: TemplateRef<any>[];
    editDisabled: boolean;
    manualHeightList: boolean;
    onItemClick: EventEmitter<ICoreAccordionItem>;
    onItemClickEdit: EventEmitter<ICoreAccordionItem>;
    heightList: number[];
    viewInitDone: boolean;
    container: ElementRef;
    constructor(mls: MultiLanguageService, coreAccordionService: CoreAccordionService);
    ngAfterViewInit(): void;
    toggleOpen(item: ICoreAccordionItem, index: number, event: any): void;
    clickEdit(item: ICoreAccordionItem, e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreAccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreAccordionComponent, "core-accordion", never, { "sectors": { "alias": "sectors"; "required": false; }; "enableSwap": { "alias": "enableSwap"; "required": false; }; "refs": { "alias": "refs"; "required": false; }; "editDisabled": { "alias": "editDisabled"; "required": false; }; "manualHeightList": { "alias": "manualHeightList"; "required": false; }; "heightList": { "alias": "heightList"; "required": false; }; }, { "onItemClick": "onItemClick"; "onItemClickEdit": "onItemClickEdit"; }, never, never, true, never>;
}
