import { AfterViewInit, Renderer2, ElementRef, Injector, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { NgControl } from '@angular/forms';
import { AlertService } from '../../alert/alert.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AppConfigService } from '../../../services/app-config.service';
import { UploadedFileService } from '../../../services/uploaded-file.service';
import { DomService } from '../../services/dom.service';
import * as i0 from "@angular/core";
export interface ICoreAttachment {
    assignTo: string;
    serverFileName?: string;
    clientFileName: string;
    clientFileType: string;
    clientFileData: string;
}
export declare class CoreAttachmentComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit {
    private injector;
    private alertService;
    private mls;
    private appConfigService;
    private uploadedFileService;
    private renderer;
    private domService;
    ngControl: NgControl;
    assignTo: string;
    readonly: boolean;
    valueToShow: string;
    placeholder: string;
    container: ElementRef;
    previewable: boolean;
    value: ICoreAttachment | null;
    onChange: (_: ICoreAttachment | null) => void;
    writeValue(obj: ICoreAttachment | null): void;
    worker: Worker;
    rawInput: ElementRef;
    listenerFn: () => void;
    dropdownHeight: number;
    dropdownPadding: number;
    dropdownZIndex: number;
    constructor(injector: Injector, alertService: AlertService, mls: MultiLanguageService, appConfigService: AppConfigService, uploadedFileService: UploadedFileService, renderer: Renderer2, domService: DomService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onClickUpload(): void;
    onClickDownload(): void;
    isPreviewable(): boolean;
    handleInputChange(e: any): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreAttachmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreAttachmentComponent, "core-attachment", never, { "assignTo": { "alias": "assignTo"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "valueToShow": { "alias": "valueToShow"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, {}, never, never, true, never>;
}
