import { EventEmitter, OnInit, AfterViewInit, SimpleChanges, OnDestroy, OnChanges } from '@angular/core';
import { Router } from '@angular/router';
import { ICoreButtonVNS } from './ICoreButtonVNS';
import { EnumCoreButtonVNSCode } from './EnumCoreButtonVNSCode';
import { BaseComponent } from '../../base-component/base/base.component';
import { AlertService } from '../../alert/alert.service';
import { CoreButtonGroupService } from '../core-button-group-service';
import { IFunctionWithFullActions, RoutingService } from '../../../services/routing.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AuthService } from '../../../services/auth.service';
import { ActionService } from '../../../services/action.service';
import * as i0 from "@angular/core";
export declare class CoreButtonGroupVnsComponent extends BaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private router;
    private authService;
    private routingService;
    private alertService;
    private coreButtonGroupService;
    private actionService;
    height: number;
    instanceNumber: number;
    forHeader: boolean;
    fixedShow: boolean;
    shownItems: (EnumCoreButtonVNSCode | string)[];
    showCaption: boolean;
    lastChildEffectOff: boolean;
    buttonClick: EventEmitter<ICoreButtonVNS>;
    buttons: ICoreButtonVNS[];
    isRootUser: boolean | undefined;
    isAdminUser: boolean | undefined;
    thisRouteFunction: IFunctionWithFullActions | undefined;
    currentFunctionAssigmentDone: boolean;
    debugging: boolean;
    headerEdit: ICoreButtonVNS[];
    headerSave: ICoreButtonVNS[];
    headerCancel: ICoreButtonVNS[];
    /*** */
    constructor(mls: MultiLanguageService, router: Router, authService: AuthService, routingService: RoutingService, alertService: AlertService, coreButtonGroupService: CoreButtonGroupService, actionService: ActionService);
    ngOnInit(): void;
    ngOnChanges(e: SimpleChanges): void;
    ngAfterViewInit(): void;
    swapTrioEditSaveCancel(editActive: boolean): void;
    onButtonClick(e: ICoreButtonVNS): void;
    onMapperClick(): void;
    onDefaultActionListenerToggle(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreButtonGroupVnsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreButtonGroupVnsComponent, "core-button-group-vns", never, { "height": { "alias": "height"; "required": false; }; "instanceNumber": { "alias": "instanceNumber"; "required": false; }; "forHeader": { "alias": "forHeader"; "required": false; }; "fixedShow": { "alias": "fixedShow"; "required": false; }; "shownItems": { "alias": "shownItems"; "required": false; }; "showCaption": { "alias": "showCaption"; "required": false; }; "lastChildEffectOff": { "alias": "lastChildEffectOff"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, true, never>;
}
