import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Subscription } from 'rxjs';
import { ICoreButtonDropdownOption, ICoreButtonVNS } from '../core-button-group-vns/ICoreButtonVNS';
import { CoreButtonGroupService } from '../core-button-group-service';
import { AlertService } from '../../alert/alert.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { DomService } from '../../services/dom.service';
import { ActionService } from '../../../services/action.service';
import * as i0 from "@angular/core";
export declare class CoreButtonVnsComponent implements OnInit, OnChanges, AfterViewInit {
    private mls;
    private coreButtonGroupService;
    private alertService;
    private elRef;
    private renderer;
    domService: DomService;
    private actionService;
    height: number;
    data: ICoreButtonVNS;
    instanceNumber: number;
    disabled: boolean;
    showCaption: boolean;
    lastChildEffectOff: boolean;
    buttonClick: EventEmitter<ICoreButtonVNS>;
    container: ElementRef;
    lang: string;
    subscriptions: Subscription[];
    hidden: boolean;
    toolTipPosition: string;
    listenerFn: () => void;
    expandState: boolean;
    iconSvg?: string;
    clickStream$: BehaviorSubject<string>;
    debugging: boolean;
    isLastChildOfGroup: boolean;
    defaultSvg: string;
    constructor(mls: MultiLanguageService, coreButtonGroupService: CoreButtonGroupService, alertService: AlertService, elRef: ElementRef, renderer: Renderer2, domService: DomService, actionService: ActionService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onButtonClick(): void;
    onChildClick(item: ICoreButtonDropdownOption, e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreButtonVnsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreButtonVnsComponent, "core-button-vns", never, { "height": { "alias": "height"; "required": false; }; "data": { "alias": "data"; "required": false; }; "instanceNumber": { "alias": "instanceNumber"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "showCaption": { "alias": "showCaption"; "required": false; }; "lastChildEffectOff": { "alias": "lastChildEffectOff"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, true, never>;
}
