import { AfterViewInit, ElementRef, Injector, OnChanges, OnDestroy, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { NgControl } from '@angular/forms';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { BehaviorSubject, Subscription } from 'rxjs';
import { DomService } from '../../services/dom.service';
import { AlertService } from '../../alert/alert.service';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export interface ICoreChecklistOption {
    value: any;
    text: string;
    checked: boolean;
}
export declare class CoreChecklistComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    private renderer;
    private domService;
    private alertService;
    private injector;
    private mls;
    ngControl: NgControl;
    paramMode: boolean;
    getByIdObject$: BehaviorSubject<any>;
    shownFrom: string;
    options$: BehaviorSubject<ICoreChecklistOption[]>;
    height: string;
    placeholder: string;
    loading: boolean;
    lang: string;
    toggleAllValue: boolean;
    textCodeWhenAllSelected: EnumTranslateKey;
    readonly: boolean;
    disabled: boolean;
    container: ElementRef;
    listenerFn: () => void;
    options: ICoreChecklistOption[];
    localOptions: ICoreChecklistOption[];
    value: any[];
    text: string;
    textStringify: string;
    searchText: string;
    expandState: boolean;
    subscriptions: Subscription[];
    toggleAllText: EnumTranslateKey;
    constructor(renderer: Renderer2, domService: DomService, alertService: AlertService, injector: Injector, mls: MultiLanguageService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(obj: any[]): void;
    onSearchTextChange(value: string): void;
    toggleExpanded(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onToggleAllValueChange(e: boolean): void;
    onItemValueChange(option: ICoreChecklistOption, value: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreChecklistComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreChecklistComponent, "core-checklist", never, { "paramMode": { "alias": "paramMode"; "required": false; }; "getByIdObject$": { "alias": "getByIdObject$"; "required": false; }; "shownFrom": { "alias": "shownFrom"; "required": false; }; "options$": { "alias": "options$"; "required": false; }; "height": { "alias": "height"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, true, never>;
}
