import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ICoreChecklistOption } from '../../core-checklist/core-checklist/core-checklist.component';
import { ICoreParamControl } from '../../core-header-params/enum-and-interfaces';
import { BaseComponent } from '../../base-component/base/base.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AppService } from '../../../services/app.service';
import * as i0 from "@angular/core";
export interface ICoreCommonParamKitEventEmitterData {
    field: string;
    value: any;
}
export declare class CoreCommonParamKitComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    private appService;
    hiddenMode: boolean;
    enableTimeZoneConverterForDateTimePeriodParameters: boolean;
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusInclusionForLabelKey: EnumTranslateKey;
    statusOptionsApi: string;
    showOrgParam: boolean;
    showOrgParamDropdown: boolean;
    hideDatePeriodComparison: boolean;
    hideStatusInclusion: boolean;
    hideGeneralSearch: boolean;
    statusOptions$: BehaviorSubject<ICoreChecklistOption[]>;
    onChange: EventEmitter<ICoreCommonParamKitEventEmitterData>;
    isEmployeeStatusCase: boolean;
    onNgModelChange: (ngModel: string, value: any) => void;
    paramRows: ICoreParamControl[][];
    constructor(mls: MultiLanguageService, appService: AppService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCommonParamKitComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreCommonParamKitComponent, "core-common-param-kit", never, { "hiddenMode": { "alias": "hiddenMode"; "required": false; }; "enableTimeZoneConverterForDateTimePeriodParameters": { "alias": "enableTimeZoneConverterForDateTimePeriodParameters"; "required": false; }; "datePeriodComparisonFor": { "alias": "datePeriodComparisonFor"; "required": false; }; "datePeriodComparisonForLabelKey": { "alias": "datePeriodComparisonForLabelKey"; "required": false; }; "statusInclusionFor": { "alias": "statusInclusionFor"; "required": false; }; "statusInclusionForLabelKey": { "alias": "statusInclusionForLabelKey"; "required": false; }; "statusOptionsApi": { "alias": "statusOptionsApi"; "required": false; }; "showOrgParam": { "alias": "showOrgParam"; "required": false; }; "showOrgParamDropdown": { "alias": "showOrgParamDropdown"; "required": false; }; "hideDatePeriodComparison": { "alias": "hideDatePeriodComparison"; "required": false; }; "hideStatusInclusion": { "alias": "hideStatusInclusion"; "required": false; }; "hideGeneralSearch": { "alias": "hideGeneralSearch"; "required": false; }; "statusOptions$": { "alias": "statusOptions$"; "required": false; }; }, { "onChange": "onChange"; }, never, never, true, never>;
}
