import { AfterViewInit, OnDestroy, TemplateRef } from '@angular/core';
import { AppService } from '../../services/app.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { BaseComponent } from '../base-component/base/base.component';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
interface ICompareDbStructureFilterItem {
    field: string;
    searchFor: string;
}
interface ICompareDbStructureRequest {
    filter?: ICompareDbStructureFilterItem[];
    pageNumber: number;
    pageSize: number;
    forExtended?: boolean;
}
interface IDbStructureDifference {
    id: string;
    sourceAlias: string;
    targetAlias: string;
    tableName: string;
    columnName: string;
    conflictType: string;
    sourceType?: string;
    sourceIsPrimaryKey?: boolean;
    sourceIsIdentityColumn?: boolean;
    sourceSize?: number;
    sourceNullability?: boolean;
    sourcePrecision?: number;
    sourceScale?: number;
    targetType?: string;
    targetIsPrimaryKey?: boolean;
    targetIsIdentityColumn?: boolean;
    targetSize?: number;
    targetNullability?: boolean;
    targetPrecision?: number;
    targetScale?: number;
    difference: string;
    resolverSessionId?: string;
}
export declare class CoreCompareDbPipelineComponent extends BaseComponent implements AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private appService;
    toolBlock: TemplateRef<any>;
    conflictType: TemplateRef<any>;
    sourceNullability: TemplateRef<any>;
    targetNullability: TemplateRef<any>;
    sourceIsPrimaryKey: TemplateRef<any>;
    targetIsPrimaryKey: TemplateRef<any>;
    sourceIsIdentityColumn: TemplateRef<any>;
    targetIsIdentityColumn: TemplateRef<any>;
    data: IDbStructureDifference[];
    showRowResolverWindow: boolean;
    tabHeaders: string[];
    activeTabIndex: number;
    columns: ICoreTableColumnItem[];
    tableHeight: number;
    longApiRunning: boolean;
    defaultRequest: ICompareDbStructureRequest;
    request$: BehaviorSubject<ICompareDbStructureRequest>;
    currentPage$: BehaviorSubject<number>;
    pageSize$: BehaviorSubject<number>;
    pageCount: number;
    suspendCurrentPageSubscription$: BehaviorSubject<boolean>;
    sqlCommand: string;
    resolverSessionId: string;
    conflictTotal: number;
    queryListRequest$: Observable<any>;
    private controller;
    constructor(mls: MultiLanguageService, appService: AppService);
    refreshList(): void;
    ngAfterViewInit(): void;
    onSearching(e: any): void;
    openRowResolver(event: any, context: any): void;
    closeRowResolver(event: any): void;
    resolve(event: any): void;
    onCoreTabsHeaderClick(event: any): void;
    onProgressWindowClose(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCompareDbPipelineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreCompareDbPipelineComponent, "core-compare-db-pipeline", never, {}, {}, never, never, true, never>;
}
export {};
