import { OnInit, OnDestroy, OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { AbstractControl, FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { IFormBaseControl } from '../../core-form/core-form/enum-interfaces';
import { BaseComponent } from '../../base-component/base/base.component';
import { AlertService } from '../../alert/alert.service';
import { EnumCoreOrgTreeaAccessorMode } from '../../core-org-tree/core-org-tree/core-org-tree.component';
import { ICoreDatePickerRange } from '../../core-date-picker/core-date-picker/core-date-picker.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { IError } from './IError';
import { EnumFormBaseContolType } from '../../../enum/EnumFormBaseContolType';
import * as i0 from "@angular/core";
export declare class CoreControlComponent extends BaseComponent implements OnChanges, OnInit, OnDestroy {
    mls: MultiLanguageService;
    alertService: AlertService;
    control: IFormBaseControl;
    form: FormGroup;
    checkError$: BehaviorSubject<boolean>;
    rangeLimit: ICoreDatePickerRange;
    rawControl: AbstractControl;
    controlType: EnumFormBaseContolType;
    required: boolean;
    errors: IError[];
    isDevMode: boolean;
    cdr: ChangeDetectorRef;
    coreOrgTreeDefaultAccessorMode: EnumCoreOrgTreeaAccessorMode;
    constructor(mls: MultiLanguageService, alertService: AlertService);
    onWindowClick(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private displayValidatorNameMathchingError;
    private checkError;
    private resetError;
    ngOnInit(): void;
    get isValid(): boolean;
    onFocus(e: any): void;
    onBlur(e: any): void;
    oHandleClick(e: any): void;
    getPattern(control: IFormBaseControl): string | undefined;
    selectedDataChange(e: any[]): void;
    fullValueRowChange(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreControlComponent, "core-control", never, { "control": { "alias": "control"; "required": false; }; "form": { "alias": "form"; "required": false; }; "checkError$": { "alias": "checkError$"; "required": false; }; "rangeLimit": { "alias": "rangeLimit"; "required": false; }; }, {}, never, never, true, never>;
}
