import { ElementRef, OnInit, OnDestroy, AfterViewInit, Renderer2, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject, Observable, Subscription } from 'rxjs';
import { DomService } from '../../services/dom.service';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { CoreDatetimeService, IDataRow, IMonthIdentity } from '../../services/core-datetime.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AlertService } from '../../alert/alert.service';
import * as i0 from "@angular/core";
export interface ICoreDatePickerRange {
    minDate: Date;
    maxDate: Date;
}
export declare class CoreDatePickerComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnDestroy {
    private readonly renderer;
    private readonly domService;
    private readonly coreDatetimeService;
    private mls;
    private alertService;
    enableTimeZoneConverter: boolean;
    showPlaceholder: boolean;
    popupWidth: number;
    popupXPadding: number;
    popupAlign: string;
    rangeLimit: ICoreDatePickerRange;
    placeholder: string;
    readonly: boolean;
    disabled: boolean;
    cdr: ChangeDetectorRef;
    listenerFn: () => void;
    hasError: boolean;
    lang: string;
    subscriptions: Subscription[];
    openState: boolean;
    monthPickerActive: boolean;
    yearPickerActive: boolean;
    cellSize: number;
    value: Date | null;
    pendingYear: number;
    pendingMonthIndex: number;
    pendingDay: number;
    currentMonthObject$: BehaviorSubject<IMonthIdentity>;
    newDate: Date;
    currentMonthText: string;
    currentHours: number;
    currentMinutes: number;
    currentSeconds: number;
    currentMilliseconds: number;
    data: IDataRow[];
    headerWeekdays: string[];
    direction: number;
    textValue: string;
    isDevMode: boolean;
    container: ElementRef;
    input: ElementRef;
    backward: ElementRef;
    calendarBody: ElementRef;
    inputStream$: Observable<any>;
    lastText: string;
    constructor(renderer: Renderer2, domService: DomService, coreDatetimeService: CoreDatetimeService, mls: MultiLanguageService, alertService: AlertService);
    ngOnInit(): void;
    triggerReflow(): void;
    ngAfterViewInit(): void;
    writeValue(input: Date | string | null | undefined): void;
    onItemClick(date: Date): void;
    goToday(): void;
    clear(): void;
    goBackward(): void;
    goForeward(): void;
    buildBody(year: number, monthIndex: number): void;
    ngOnDestroy(): void;
    toggleOpen(): void;
    toggleMonthPickerActive(): void;
    onMonthObjectChange(args: IMonthIdentity): void;
    onMonthPickerYearClick(e: number): void;
    onYearPicked(e: number): void;
    onBlur(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreDatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreDatePickerComponent, "core-date-picker", never, { "enableTimeZoneConverter": { "alias": "enableTimeZoneConverter"; "required": false; }; "showPlaceholder": { "alias": "showPlaceholder"; "required": false; }; "popupWidth": { "alias": "popupWidth"; "required": false; }; "popupXPadding": { "alias": "popupXPadding"; "required": false; }; "popupAlign": { "alias": "popupAlign"; "required": false; }; "rangeLimit": { "alias": "rangeLimit"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, true, never>;
}
