import { AfterViewInit, ChangeDetectorRef, ElementRef, Injector, OnChanges, OnDestroy, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { NgControl } from '@angular/forms';
import { BehaviorSubject, Subscription } from 'rxjs';
import { DomService } from '../../services/dom.service';
import { AlertService } from '../../alert/alert.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { ICoreDropdownOption } from '../../../interfaces/ICoreDropdownOption';
import { AppService } from '../../../services/app.service';
import * as i0 from "@angular/core";
export declare class CoreDropdownComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    private renderer;
    private domService;
    private alertService;
    private injector;
    private mls;
    private cdr;
    private appService;
    ngControl: NgControl;
    getByIdObject$: BehaviorSubject<any>;
    paramMode: boolean;
    shownFrom: string;
    options$: BehaviorSubject<ICoreDropdownOption[]>;
    height: string;
    placeholder: string;
    loading: boolean;
    warningDisable: boolean;
    clearDisable: boolean;
    fitHeightWithItemCount: boolean;
    itemHeight: number;
    optionApiDriven: boolean;
    optionApi: string;
    optionHttpVerb: 'HttpGet' | 'HttpPost';
    optionHttpPayload: any;
    optionValueFrom: string;
    optionTextFrom: string;
    container: ElementRef;
    listenerFn: () => void;
    options: ICoreDropdownOption[];
    localOptions: ICoreDropdownOption[];
    value: string | number | null;
    lang: string;
    text: string;
    searchText: string;
    searchHeight: number;
    expandState: boolean;
    subscriptions: Subscription[];
    constructor(renderer: Renderer2, domService: DomService, alertService: AlertService, injector: Injector, mls: MultiLanguageService, cdr: ChangeDetectorRef, appService: AppService);
    loadOptionsFromApi(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(obj: string | number | null): void;
    onSearchTextChange(value: string): void;
    onListItemClick(option: ICoreDropdownOption, e: any): void;
    toggleExpanded(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onClickClear(): void;
    changeFocus(): void;
    currentIndex: number;
    navigateList(event: KeyboardEvent): void;
    onDropdownKeydown(event: KeyboardEvent): void;
    onListItemKeydown(context: any, e: KeyboardEvent): void;
    onInPlaceSearchKeydown(e: KeyboardEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreDropdownComponent, "core-dropdown", never, { "getByIdObject$": { "alias": "getByIdObject$"; "required": false; }; "paramMode": { "alias": "paramMode"; "required": false; }; "shownFrom": { "alias": "shownFrom"; "required": false; }; "options$": { "alias": "options$"; "required": false; }; "height": { "alias": "height"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "warningDisable": { "alias": "warningDisable"; "required": false; }; "clearDisable": { "alias": "clearDisable"; "required": false; }; "fitHeightWithItemCount": { "alias": "fitHeightWithItemCount"; "required": false; }; "itemHeight": { "alias": "itemHeight"; "required": false; }; "optionApiDriven": { "alias": "optionApiDriven"; "required": false; }; "optionApi": { "alias": "optionApi"; "required": false; }; "optionHttpVerb": { "alias": "optionHttpVerb"; "required": false; }; "optionHttpPayload": { "alias": "optionHttpPayload"; "required": false; }; "optionValueFrom": { "alias": "optionValueFrom"; "required": false; }; "optionTextFrom": { "alias": "optionTextFrom"; "required": false; }; }, {}, never, never, true, never>;
}
