import { AfterViewInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ICoreTableColumnItem } from '../../core-table/ICoreTableColumnItem';
import { EnumTranslateKey } from "alpha-global-constants";
import { StaffProfileComponent } from '../../staffprofile/staffprofile.component';
import { EnumCoreOrgTreeaAccessorMode } from '../../core-org-tree/core-org-tree/core-org-tree.component';
import { EnumCoreSeekerColumnStaffProfile } from '../../core-form-control-seeker/EnumCoreSeekerColumn';
import { IFilterOperator } from '../../../interfaces/IQueryListRequest';
import * as i0 from "@angular/core";
export declare class CoreEmployeeSeekerComponent extends StaffProfileComponent implements OnChanges, AfterViewInit {
    preDefinedOuterFilter$: BehaviorSubject<IFilterOperator[]>;
    useTheseColumns: string[];
    hideOrgTree: boolean;
    excludedColumns: EnumCoreSeekerColumnStaffProfile[];
    multiMode: boolean;
    preDefinedOuterParam$: BehaviorSubject<any>;
    excludedIds$: BehaviorSubject<number[]>;
    rowDoubleClick: EventEmitter<any>;
    rowClick: EventEmitter<any>;
    selectedIdsChange: EventEmitter<any>;
    selectedDataChange: EventEmitter<any>;
    columnsInit: EventEmitter<any>;
    listChange: EventEmitter<any[]>;
    isDevMode: boolean;
    title: EnumTranslateKey;
    corePageListHeight: number;
    orgTreeMode: EnumCoreOrgTreeaAccessorMode;
    orgTreeHeight: number;
    ngOnChanges(changes: SimpleChanges): void;
    columns: ICoreTableColumnItem[];
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onRowDoubleClick(e: any): void;
    onSelectedIdsChange(e: any): void;
    onSelectedDataChange(e: any[]): void;
    onRowSingleClick(e: any): void;
    onListChange(e: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreEmployeeSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreEmployeeSeekerComponent, "core-employee-seeker", never, { "preDefinedOuterFilter$": { "alias": "preDefinedOuterFilter$"; "required": false; }; "useTheseColumns": { "alias": "useTheseColumns"; "required": false; }; "hideOrgTree": { "alias": "hideOrgTree"; "required": false; }; "excludedColumns": { "alias": "excludedColumns"; "required": false; }; "multiMode": { "alias": "multiMode"; "required": false; }; "preDefinedOuterParam$": { "alias": "preDefinedOuterParam$"; "required": false; }; "excludedIds$": { "alias": "excludedIds$"; "required": false; }; }, { "rowDoubleClick": "rowDoubleClick"; "rowClick": "rowClick"; "selectedIdsChange": "selectedIdsChange"; "selectedDataChange": "selectedDataChange"; "columnsInit": "columnsInit"; "listChange": "listChange"; }, never, never, true, never>;
}
