import { ElementRef, OnDestroy, OnInit, Injector } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { NgControl } from '@angular/forms';
import { AlertService } from '../../alert/alert.service';
import { Subscription } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare enum EnumCoreFileUploaderType {
    IMAGE_AVATAR = "IMAGE_AVATAR",
    IMAGE_OTHER = "IMAGE_OTHER",
    PDF = "PDF",
    DOC = "DOC",
    EXCEL = "EXCEL",
    AUDIO = "AUDIO",
    OTHER = "OTHER"
}
export declare class CoreFileUploaderComponent extends CoreFormControlBaseComponent implements OnInit, OnDestroy {
    private alertService;
    private mls;
    private injector;
    uploadFileType: EnumCoreFileUploaderType;
    fileDataControlName: string;
    fileNameControlName: string;
    fileTypeControlName: string;
    avatarSize: number;
    defaultAvatar: string;
    hidePreview: boolean;
    verticalMode: boolean;
    customFileInput: ElementRef;
    value: string;
    ngControl: NgControl;
    hoverText: EnumTranslateKey;
    lang: string;
    subscriptions: Subscription[];
    chosenFile: any;
    compressedSize: any;
    preview: any;
    loading: boolean;
    loadingCaption: string;
    accept: string;
    constructor(alertService: AlertService, mls: MultiLanguageService, injector: Injector);
    ngOnInit(): void;
    onHover(): void;
    handleInputChange(e: any): void;
    hasFileSize(fileSize: any): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFileUploaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFileUploaderComponent, "core-file-uploader", never, { "uploadFileType": { "alias": "uploadFileType"; "required": false; }; "fileDataControlName": { "alias": "fileDataControlName"; "required": false; }; "fileNameControlName": { "alias": "fileNameControlName"; "required": false; }; "fileTypeControlName": { "alias": "fileTypeControlName"; "required": false; }; "avatarSize": { "alias": "avatarSize"; "required": false; }; "defaultAvatar": { "alias": "defaultAvatar"; "required": false; }; "hidePreview": { "alias": "hidePreview"; "required": false; }; "verticalMode": { "alias": "verticalMode"; "required": false; }; }, {}, never, never, true, never>;
}
