import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import { ICoreCommonParamKitEventEmitterData } from '../core-common-param-kit/core-common-param-kit/core-common-param-kit.component';
import { api, EnumTranslateKey } from 'alpha-global-constants';
import { BehaviorSubject } from 'rxjs';
import { ICoreChecklistOption } from '../core-checklist/core-checklist/core-checklist.component';
import { DomService } from '../services/dom.service';
import { BaseComponent } from '../base-component/base/base.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { FilterKitService } from '../../services/filter-kit.service';
import { LayoutService } from '../../services/layout.service';
import * as i0 from "@angular/core";
export declare class CoreFilterKitComponent extends BaseComponent implements AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private domService;
    private filterKitService;
    private layoutService;
    private renderer;
    container: ElementRef<any>;
    header: ElementRef<any>;
    relativeMode: boolean;
    enableTimeZoneConverterForDateTimePeriodParameters: boolean;
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusInclusionForLabelKey: EnumTranslateKey;
    statusOptionsApi: api;
    showOrgParam: boolean;
    showOrgParamDropdown: boolean;
    hideDatePeriodComparison: boolean;
    hideStatusInclusion: boolean;
    hideGeneralSearch: boolean;
    statusOptions$: BehaviorSubject<ICoreChecklistOption[]>;
    onChange: EventEmitter<ICoreCommonParamKitEventEmitterData>;
    open: boolean;
    top: number;
    right: number;
    listenerFn: () => void;
    eventListeners: (() => void)[];
    constructor(mls: MultiLanguageService, domService: DomService, filterKitService: FilterKitService, layoutService: LayoutService, renderer: Renderer2);
    onParamKitValueChange(data: ICoreCommonParamKitEventEmitterData): void;
    listenerSetup(): void;
    ngAfterViewInit(): void;
    onClose(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFilterKitComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFilterKitComponent, "core-filter-kit", never, { "relativeMode": { "alias": "relativeMode"; "required": false; }; "enableTimeZoneConverterForDateTimePeriodParameters": { "alias": "enableTimeZoneConverterForDateTimePeriodParameters"; "required": false; }; "datePeriodComparisonFor": { "alias": "datePeriodComparisonFor"; "required": false; }; "datePeriodComparisonForLabelKey": { "alias": "datePeriodComparisonForLabelKey"; "required": false; }; "statusInclusionFor": { "alias": "statusInclusionFor"; "required": false; }; "statusInclusionForLabelKey": { "alias": "statusInclusionForLabelKey"; "required": false; }; "statusOptionsApi": { "alias": "statusOptionsApi"; "required": false; }; "showOrgParam": { "alias": "showOrgParam"; "required": false; }; "showOrgParamDropdown": { "alias": "showOrgParamDropdown"; "required": false; }; "hideDatePeriodComparison": { "alias": "hideDatePeriodComparison"; "required": false; }; "hideStatusInclusion": { "alias": "hideStatusInclusion"; "required": false; }; "hideGeneralSearch": { "alias": "hideGeneralSearch"; "required": false; }; "statusOptions$": { "alias": "statusOptions$"; "required": false; }; }, { "onChange": "onChange"; }, never, never, true, never>;
}
