import { AfterViewInit, ElementRef, OnDestroy, OnInit, Injector, TemplateRef, EventEmitter, ChangeDetectorRef, OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Subscription } from 'rxjs';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { EnumCoreFormControlSeekerSourceType } from '../EnumCoreFormControlSeekerSourceType';
import { AlertService } from '../../alert/alert.service';
import { FormGroup, NgControl } from '@angular/forms';
import { ICoreFormControlSeekerExtraBindingModel, ICoreFormSection } from '../../core-form/core-form/enum-interfaces';
import { IOrgTreeItem } from '../../core-org-tree/core-org-tree/IOrgTreeItem';
import { CoreTableComponent, ICoreTableToolClickEventEmitterData, ICoreTableToolItem } from '../../core-table/core-table.component';
import { CoreEmployeeSeekerComponent } from '../../core-employee-seeker/core-employee-seeker/core-employee-seeker.component';
import { CoreContractSeekerComponent } from '../../core-contract-seeker/core-contract-seeker/core-contract-seeker.component';
import { CoreWorkingSeekerComponent } from '../../core-working-seeker/core-working-seeker/core-working-seeker.component';
import { CoreWageSeekerComponent } from '../../core-wage-seeker/core-wage-seeker/core-wage-seeker.component';
import { CorePositionSeekerComponent } from '../../core-position-seeker/core-position-seeker/core-position-seeker.component';
import { api, EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import { RandomAvatarService } from '../../../services/random-avatar.service';
import { ICoreTableColumnItem } from '../../core-table/ICoreTableColumnItem';
import { CorePositionConcurrentSeekerComponent } from '../../core-position-concurrent-seeker/core-position-concurrent-seeker/core-position-concurrent-seeker.component';
import { CoreJobSeekerComponent } from '../../core-job-seeker/core-job-seeker.component';
import { EnumCoreSeekerColumnAutoForm, EnumCoreSeekerColumnContract, EnumCoreSeekerColumnJob, EnumCoreSeekerColumnPosition, EnumCoreSeekerColumnPositionConcurrent, EnumCoreSeekerColumnStaffProfile, EnumCoreSeekerColumnWage, EnumCoreSeekerColumnWorking } from '../EnumCoreSeekerColumn';
import { IFilterOperator } from '../../../interfaces/IQueryListRequest';
import { SeekerService } from '../seeker.service';
import { LayoutService } from '../../../services/layout.service';
import { AppService } from '../../../services/app.service';
import { CoreFormSeekerComponent } from '../../core-form-seeker/core-form-seeker.component';
import { EnumImageResolverType } from '../../../directives/image-error-resolver.directive';
import { AppConfigService } from '../../../services/app-config.service';
import { ApplicationHelpService } from '../../../services/application-help.service';
import * as i0 from "@angular/core";
export declare class CoreFormControlSeekerComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private alertService;
    private injector;
    private mls;
    private coreTableComponent;
    private coreJobSeekerComponent;
    private coreEmployeeSeekerComponent;
    private coreContractSeekerComponent;
    private coreWorkingSeekerComponent;
    private coreWageSeekerComponent;
    private corePositionSeekerComponent;
    private corePositionConcurrentSeekerComponent;
    private coreFormSeekerComponent;
    ras: RandomAvatarService;
    private seekerService;
    private layoutService;
    private appService;
    avatar: TemplateRef<any>;
    sticker: TemplateRef<any>;
    idCard: TemplateRef<any>;
    ngControl: NgControl;
    isDevMode: boolean;
    lang: string;
    title: EnumTranslateKey;
    showPageHeader: boolean;
    preDefinedOuterParam$: BehaviorSubject<any>;
    preDefinedOuterFilter$: BehaviorSubject<IFilterOperator[]>;
    click$: BehaviorSubject<any> | undefined;
    getByIdObject$: BehaviorSubject<any>;
    getByIdApi: api | string;
    paramMode: boolean;
    multiMode: boolean;
    objectList$: BehaviorSubject<any[]>;
    useTheseColumns: string[];
    hideOrgTree: boolean;
    excludedColumns: string[];
    excludeExistingList: boolean;
    placeholder: string;
    sourceSpaceHeight: number;
    indirectBinding: boolean;
    bindGridIdTo: string;
    /*********************************************************************************************/
    multiModeExtendedColumns: ICoreTableColumnItem[];
    multiModeExtendedSections: ICoreFormSection[];
    editBufferData$: BehaviorSubject<any>;
    multiModeTableHeight: number;
    multiModeRowHeight?: number;
    /*****************************/
    seekerSourceType: EnumCoreFormControlSeekerSourceType | string;
    boundFrom: string;
    shownFrom: string;
    alsoBindTo: ICoreFormControlSeekerExtraBindingModel[];
    seekerVerifyIgnore: boolean;
    disabledDoubleClick: boolean;
    onDoubleClick: EventEmitter<any>;
    selectedDataChange: EventEmitter<any[]>;
    fullValueRowChange: EventEmitter<any>;
    container: ElementRef;
    avatarResolverType: EnumImageResolverType;
    sourceOpen: boolean;
    valueToShow: string;
    subscriptions: Subscription[];
    pendingSelectedData: any[];
    selectedData: any[];
    clickedItem: any;
    list: any[];
    multiModeColumns: ICoreTableColumnItem[];
    showEditBuffer: boolean;
    editBufferForm: FormGroup;
    editingId: number;
    tools: ICoreTableToolItem[];
    showClearIcon: boolean;
    defaultAvatar: string;
    hideFooter: boolean;
    indirectBindingLastVirtualId: number;
    excludedIds$: BehaviorSubject<number[]>;
    excludedColumnsJob: EnumCoreSeekerColumnJob[];
    excludedColumnsEmployee: EnumCoreSeekerColumnStaffProfile[];
    excludedColumnsContract: EnumCoreSeekerColumnContract[];
    excludedColumnsWorking: EnumCoreSeekerColumnWorking[];
    excludedColumnsWage: EnumCoreSeekerColumnWage[];
    excludedColumnsPosition: EnumCoreSeekerColumnPosition[];
    excludedColumnsPositionConcurrent: EnumCoreSeekerColumnPositionConcurrent[];
    excludedColumnsAutoForm: EnumCoreSeekerColumnAutoForm[];
    sourceContainerHeight: number;
    childComponentHeight: number;
    cdr: ChangeDetectorRef;
    acs: AppConfigService;
    applicationHelpService: ApplicationHelpService;
    constructor(alertService: AlertService, injector: Injector, mls: MultiLanguageService, coreTableComponent: CoreTableComponent, coreJobSeekerComponent: CoreJobSeekerComponent, coreEmployeeSeekerComponent: CoreEmployeeSeekerComponent, coreContractSeekerComponent: CoreContractSeekerComponent, coreWorkingSeekerComponent: CoreWorkingSeekerComponent, coreWageSeekerComponent: CoreWageSeekerComponent, corePositionSeekerComponent: CorePositionSeekerComponent, corePositionConcurrentSeekerComponent: CorePositionConcurrentSeekerComponent, coreFormSeekerComponent: CoreFormSeekerComponent, ras: RandomAvatarService, seekerService: SeekerService, layoutService: LayoutService, appService: AppService);
    ngOnChanges(changes: SimpleChanges): void;
    private asignMultiModeColumns;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(obj: any): void;
    onClickSeek(): void;
    onSelect(): void;
    onCancel(): void;
    onRowDoubleClick(e: any): void;
    onItemDoubleClick(e: IOrgTreeItem): void;
    onColumnsInit(e: any): void;
    onSelectedDataChange(e: any): void;
    onToolClick(e: ICoreTableToolClickEventEmitterData): void;
    onClickClear(): void;
    onSelectedDataRowDoubleClick(e: any): void;
    onEditBufferSubmit(e: any): void;
    onEditBufferCancel(e: any): void;
    onEditBufferFormCreated(e: FormGroup): void;
    isSourceOpen(): boolean;
    onRowClick(e: any): void;
    clickedItemIsInTheList(): boolean;
    onListChange(e: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormControlSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFormControlSeekerComponent, "core-form-control-seeker", never, { "title": { "alias": "title"; "required": false; }; "showPageHeader": { "alias": "showPageHeader"; "required": false; }; "preDefinedOuterParam$": { "alias": "preDefinedOuterParam$"; "required": false; }; "preDefinedOuterFilter$": { "alias": "preDefinedOuterFilter$"; "required": false; }; "click$": { "alias": "click$"; "required": false; }; "getByIdObject$": { "alias": "getByIdObject$"; "required": false; }; "getByIdApi": { "alias": "getByIdApi"; "required": false; }; "paramMode": { "alias": "paramMode"; "required": false; }; "multiMode": { "alias": "multiMode"; "required": false; }; "objectList$": { "alias": "objectList$"; "required": false; }; "useTheseColumns": { "alias": "useTheseColumns"; "required": false; }; "hideOrgTree": { "alias": "hideOrgTree"; "required": false; }; "excludedColumns": { "alias": "excludedColumns"; "required": false; }; "excludeExistingList": { "alias": "excludeExistingList"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "sourceSpaceHeight": { "alias": "sourceSpaceHeight"; "required": false; }; "indirectBinding": { "alias": "indirectBinding"; "required": false; }; "bindGridIdTo": { "alias": "bindGridIdTo"; "required": false; }; "multiModeExtendedColumns": { "alias": "multiModeExtendedColumns"; "required": false; }; "multiModeExtendedSections": { "alias": "multiModeExtendedSections"; "required": false; }; "editBufferData$": { "alias": "editBufferData$"; "required": false; }; "multiModeTableHeight": { "alias": "multiModeTableHeight"; "required": false; }; "multiModeRowHeight": { "alias": "multiModeRowHeight"; "required": false; }; "seekerSourceType": { "alias": "seekerSourceType"; "required": true; }; "boundFrom": { "alias": "boundFrom"; "required": false; }; "shownFrom": { "alias": "shownFrom"; "required": false; }; "alsoBindTo": { "alias": "alsoBindTo"; "required": false; }; "seekerVerifyIgnore": { "alias": "seekerVerifyIgnore"; "required": false; }; "disabledDoubleClick": { "alias": "disabledDoubleClick"; "required": false; }; }, { "onDoubleClick": "onDoubleClick"; "selectedDataChange": "selectedDataChange"; "fullValueRowChange": "fullValueRowChange"; }, never, never, true, never>;
}
