import { AfterViewInit, ChangeDetectorRef, ElementRef, Renderer2, WritableSignal } from '@angular/core';
import { BaseComponent } from '../base-component/base/base.component';
import { ICoreFormSection, IFormBaseControl } from '../core-form/core-form/enum-interfaces';
import { FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { IFormDesignCell, IFormDesignRow, IFormDesignSection } from './interfaces';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { EnumFormDesignMode } from './enums/EnumFormDesignMode';
import { EnumLeftPanelMode } from './enums/EnumLeftPanelMode';
import { CoreFormDesignService } from './core-form-design.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { ActivatedRoute, Router } from '@angular/router';
import { EnumCorePageEditMode } from '../core-page-edit/EnumCorePageEditMode';
import { AlertService } from '../alert/alert.service';
import { ApplicationHelpService } from '../../services/application-help.service';
import { CoreWorkflowService } from '../core-workflow-builder/core-workflow.service';
import { DbService } from '../../services/db.service';
import { DomService } from '../services/dom.service';
import { AppConfigService } from '../../services/app-config.service';
import { JsonService } from '../../services/json.service';
import * as i0 from "@angular/core";
export declare class CoreFormDesignComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    $idAsInput: import("@angular/core").InputSignal<boolean | undefined>;
    $id: import("@angular/core").InputSignal<string | undefined>;
    $settingPanel: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $jsonMode: WritableSignal<"selectedField" | "full">;
    injectedFields$: BehaviorSubject<IFormBaseControl[]>;
    enumType: typeof EnumFormDesignMode;
    enumLeftPanelMode: typeof EnumLeftPanelMode;
    $leftPanelMode: import("@angular/core").Signal<EnumLeftPanelMode>;
    ds: DomService;
    js: JsonService;
    $zIndex: import("@angular/core").Signal<number>;
    previewMode$: BehaviorSubject<EnumCorePageEditMode>;
    $loading: WritableSignal<boolean>;
    coreFormDesignService: CoreFormDesignService;
    renderer: Renderer2;
    cdr: ChangeDetectorRef;
    router: Router;
    route: ActivatedRoute;
    alertService: AlertService;
    applicationHelpService: ApplicationHelpService;
    wfs: CoreWorkflowService;
    dbs: DbService;
    appConfigService: AppConfigService;
    $hasCalculatedSection: import("@angular/core").Signal<boolean>;
    formDesign: FormGroup<any>;
    setControlProp: <K extends keyof IFormBaseControl>(key: K, value: IFormBaseControl[K]) => void;
    isDragOverMap: Record<string, boolean>;
    idStream$: BehaviorSubject<any>;
    getByIdStream$: import("rxjs").Observable<any>;
    constructor(mls: MultiLanguageService);
    ngOnInit(): void;
    form: FormGroup;
    $sections: import("@angular/core").Signal<ICoreFormSection[]>;
    checkError$: BehaviorSubject<boolean>;
    controlCategories: {
        name: string;
        controls: IFormBaseControl[];
    }[];
    switchJson(): void;
    onDragStart(event: DragEvent, control: IFormBaseControl): void;
    onDragOver(event: DragEvent, section: IFormDesignSection, control: Partial<IFormBaseControl>): void;
    onDragEnter(placeholderId: string): void;
    onDragLeave(placeholderId: string): void;
    onDropIntoCell(event: DragEvent, sectionIndex: number, rowIndex: number, colIndex: number): void;
    generateFieldNameFor: (control: Partial<IFormBaseControl>) => string;
    generateLabelNameFor: (control: Partial<IFormBaseControl>) => string;
    getAllControlsFromSections: () => IFormBaseControl[];
    addCalculatedSection(): void;
    addSection(): void;
    deleteSection(sectionIndex: number): void;
    deleteRow(sectionIndex: number, rowIndex: number): void;
    addRow(sectionIndex: number): void;
    addColumn(row: IFormDesignRow | undefined): void;
    onCorePageHeaderButtonClicked(e: ICoreButtonVNS): void;
    closePreview(): void;
    onPreviewSubmit(e: any): void;
    onCellClicked(sectionIndex: number, rowIndex: number, colIndex: number): void;
    canMergeCells(sectionIndex: number, rowIndex: number): boolean;
    mergeCells(sectionIndex: number, rowIndex: number): void;
    getControl: (cell: IFormDesignCell) => IFormBaseControl | null;
    openSettingsForCell(cell: IFormDesignCell, sectionIndex: number, rowIndex: number, colIndex: number): void;
    deleteField(row: IFormDesignRow | undefined, colIndex: number): void;
    onCaptionEditEnd(index: number, event: any): void;
    onFieldCaptionEditEnd(cell: IFormDesignCell, event: Event): void;
    insertSection(): void;
    insertRow(sectionIndex: number, rowIndex: number): void;
    closeFieldSettingPanel(): void;
    ngAfterViewInit(): void;
    onControlParamsChange(updated: IFormBaseControl): void;
    get normalizedSelectedControl(): IFormBaseControl;
    triggerUpdateSections(): void;
    syncFormDesignWithSections(): void;
    isRequired(control: IFormBaseControl | undefined | null): boolean;
    filteredCells(row: IFormDesignRow | undefined): IFormDesignCell[];
    onFormDesignCreated(e: any): void;
    onLiveFormCreated(e: any): void;
    showMetadata(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormDesignComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFormDesignComponent, "core-form-design", never, { "$idAsInput": { "alias": "$idAsInput"; "required": false; "isSignal": true; }; "$id": { "alias": "$id"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
