import { AfterViewInit, TemplateRef, WritableSignal } from '@angular/core';
import { BasePropsComponent } from '../base-props/base-props.component';
import { CoreWorkflowService } from '../../../core-workflow-builder/core-workflow.service';
import { CoreFormDesignService } from '../../core-form-design.service';
import { ICoreRadioOption } from '../../../core-radio-group/core-radio-group/core-radio-group.component';
import { BehaviorSubject } from 'rxjs';
import { GptService } from '../../../../services/gpt.service';
import { AlertService } from '../../../alert/alert.service';
import { IWorkflowSchemaTable } from '../../../core-workflow-builder/interfaces/IWorkflowSchema';
import { DbService } from '../../../../services/db.service';
import { MultiLanguageService } from '../../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CalculatedPropsComponent extends BasePropsComponent implements AfterViewInit {
    mls: MultiLanguageService;
    $shortHtmlHintForCSharpSyntax: import("@angular/core").Signal<TemplateRef<any> | undefined>;
    $shortHtmlHintForSqlSyntax: import("@angular/core").Signal<TemplateRef<any> | undefined>;
    $loading: WritableSignal<boolean>;
    $beingValidated: WritableSignal<boolean>;
    wfs: CoreWorkflowService;
    fds: CoreFormDesignService;
    dbs: DbService;
    gpt: GptService;
    alertService: AlertService;
    $currentControl: WritableSignal<import("ngx-histaff-alpha").IFormBaseControl | null>;
    $sqlScriptError: WritableSignal<string | null>;
    $aiGeneratorOn: WritableSignal<boolean>;
    $selectedTables: WritableSignal<IWorkflowSchemaTable[]>;
    $generatedScript: WritableSignal<string>;
    $sqlPrompt: WritableSignal<string>;
    $selectedTablesForAi: import("@angular/core").Signal<string>;
    radioOptions$: BehaviorSubject<ICoreRadioOption[]>;
    constructor(mls: MultiLanguageService);
    $fields: import("@angular/core").Signal<{
        field: string;
    }[]>;
    loadDbSchema(): void;
    toTables(names: string[]): IWorkflowSchemaTable[];
    validateScript(e: any): void;
    generateScript(): void;
    applyGeneratedSql(): void;
    submitScriptPrompt(): void;
    $placeholderForScriptInput: import("@angular/core").Signal<string>;
    tableCheckedChange(selected: string[]): void;
    getContextByMode(mode: 'sql-query' | 'in-memory'): string[];
    getValidationContextByMode(mode: 'sql-query' | 'in-memory'): string[];
    validateSqlScript(input: string): string | null;
    onScriptChange(script: string): void;
    ngAfterViewInit(): void;
    openHintEditor(table: IWorkflowSchemaTable, e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalculatedPropsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalculatedPropsComponent, "calculated-props", never, {}, {}, never, never, true, never>;
}
