import { AfterViewInit, ChangeDetectorRef, WritableSignal } from '@angular/core';
import { CoreFormDesignService } from '../core-form-design.service';
import { FormControlStatus, FormGroup } from '@angular/forms';
import { BaseEditComponent } from '../../base-edit/base-edit/base-edit.component';
import { BehaviorSubject } from 'rxjs';
import { EnumCorePageEditMode } from '../../core-page-edit/EnumCorePageEditMode';
import { EnumCoreButtonVNSCode } from '../../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { ICoreChecklistOption } from '../../core-checklist/core-checklist/core-checklist.component';
import { ICoreButtonVNS } from '../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { AlertService } from '../../alert/alert.service';
import { DialogService } from '../../../services/dialog.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { CoreWorkflowService } from '../../core-workflow-builder/core-workflow.service';
import { Router } from '@angular/router';
import { AppConfigService } from '../../../services/app-config.service';
import * as i0 from "@angular/core";
export declare class FormMetadataComponent extends BaseEditComponent implements AfterViewInit {
    dialogService: DialogService;
    private mls;
    coreFormDesignService: CoreFormDesignService;
    wfs: CoreWorkflowService;
    cdr: ChangeDetectorRef;
    alertService: AlertService;
    router: Router;
    appConfigService: AppConfigService;
    form: FormGroup<any>;
    $loading: WritableSignal<boolean>;
    onEscape(): void;
    onWindowClick(_: MouseEvent): void;
    mode$: BehaviorSubject<EnumCorePageEditMode>;
    formStatus: FormControlStatus;
    customButtonChecklistOptions$: BehaviorSubject<ICoreChecklistOption[]>;
    $sections: WritableSignal<import("ngx-histaff-alpha").ICoreFormSection[]>;
    $isInWorkflowDesign: WritableSignal<boolean>;
    constructor(dialogService: DialogService, mls: MultiLanguageService);
    patchFormFromInstance(): void;
    customButtons: EnumCoreButtonVNSCode[];
    onButtonClick(e: ICoreButtonVNS): void;
    onClose(): void;
    onSave(e: any): void;
    onFormCreated(event: {
        formName: string;
        formGroup: FormGroup;
    }): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormMetadataComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormMetadataComponent, "form-metadata", never, {}, {}, never, never, true, never>;
}
