import { ICoreFormSection, IFormBaseControl } from "../core-form/core-form/enum-interfaces";
import { ICorePageEditCRUD } from "../core-page-edit/ICorePageEditCRUD";
export interface IFormDesignCell {
    control?: Partial<IFormBaseControl>;
    selected?: boolean;
    labelEditing?: boolean;
    validatorsEditing?: boolean;
    flexSize: number;
}
export interface IFormDesignRow {
    cells: (IFormDesignCell)[];
}
export interface IFormDesignSection {
    rows: (IFormDesignRow | undefined)[];
    caption?: string;
    forCalculatedFields?: boolean;
}
export interface IAfInstance {
    /** Unique identifier (UUID as string) */
    id?: string;
    /** Name of the form (used as label/title) */
    name: string;
    /** Bound database table name */
    entityTable: string;
    /** Used for i18n translation or display */
    captionCode: string;
    formDesignSections: IFormDesignSection[];
    /** If you load from DB, you don’t need to transform sections on the fly each time — they’re already there. */
    sections: ICoreFormSection[];
    /** POST or PUT endpoint (if not set, use `crud` values instead) */
    submitApi?: string;
    /** Indicates if the bound table uses string IDs instead of numeric */
    hasIdOfStringType?: boolean;
    /** True = full-page, False = modal */
    normalMode?: boolean;
    /** Skip auto-loading by ID on init */
    autoGetByIdOff?: boolean;
    customFormButtonItems?: string[];
    /** Route to navigate to after a successful submit */
    postSubmitRoute?: string;
    /** Route to navigate to when cancelling */
    postCancelRoute?: string;
    crud?: ICorePageEditCRUD;
    entityUniqueIndexes?: string[][];
    /** Layout width (in pixels) */
    width?: number;
    crudCreate?: string;
    crudRead: string;
    crudUpdate: string;
    crudDelete?: string;
    crudReadChildren?: string;
}
export interface IAfInstanceDTO {
    id?: string;
    name: string;
    captionCode: string;
    sectionsJson: string;
    entityTable?: string;
    submitApi: string;
    hasIdOfStringType?: boolean;
    normalMode?: boolean;
    autoGetByIdOff?: boolean;
    customFormButtonItemsJson?: string;
    postSubmitRoute?: string;
    postCancelRoute?: string;
    crudJson?: string;
    entityUniqueIndexesJson?: string;
    width?: number;
}
