import { AfterViewInit, ChangeDetectorRef, Injector } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { EnumCorePageEditMode } from '../../core-page-edit/EnumCorePageEditMode';
import { CoreFormDesignService } from '../core-form-design.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { ActivatedRoute, Router } from '@angular/router';
import { CoreWorkflowService } from '../../core-workflow-builder/core-workflow.service';
import { IAfInstance } from '../interfaces';
import { ICoreFormSection } from '../../core-form/core-form/enum-interfaces';
import { ApplicationHelpService } from '../../../services/application-help.service';
import { IWfWorkflow } from '../../core-workflow-builder/interfaces/IWfWorkflow';
import { AlertService } from '../../alert/alert.service';
import { AppService } from '../../../services/app.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { DomService } from '../../services/dom.service';
import { CoreFormService } from '../../core-form/core-form.service';
import { AppConfigService } from '../../../services/app-config.service';
import { JsonService } from '../../../services/json.service';
import { FormGroup } from '@angular/forms';
import { IWorkflowReactContext } from '../../core-workflow-builder/interfaces/IWorkflowReactContext';
import * as i0 from "@angular/core";
export declare class LiveFormComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    private coreFormService;
    $designMode: import("@angular/core").InputSignal<boolean>;
    $forKickOff: import("@angular/core").InputSignal<boolean | undefined>;
    $workflowReactContext: import("@angular/core").InputSignal<IWorkflowReactContext | null>;
    $form: import("@angular/core").WritableSignal<FormGroup<any> | null>;
    $onClose: import("@angular/core").OutputEmitterRef<void>;
    $loading: import("@angular/core").WritableSignal<boolean>;
    $showAfInstanceJson: import("@angular/core").WritableSignal<boolean>;
    $showWfWorkflowJson: import("@angular/core").WritableSignal<boolean>;
    workflowId: string | undefined;
    coreFormDesignService: CoreFormDesignService;
    applicationHelpService: ApplicationHelpService;
    ds: DomService;
    wfs: CoreWorkflowService;
    fds: CoreFormDesignService;
    js: JsonService;
    cdr: ChangeDetectorRef;
    router: Router;
    route: ActivatedRoute;
    alertService: AlertService;
    appService: AppService;
    cfs: CoreFormService;
    appConfigService: AppConfigService;
    injector: Injector;
    isDevMode: boolean;
    $previewMode: import("@angular/core").WritableSignal<boolean>;
    $employeeSubmiterId: import("@angular/core").WritableSignal<number>;
    simulatedEmployee$: BehaviorSubject<any>;
    $showLiveRouting: import("@angular/core").WritableSignal<boolean>;
    $zIndex: import("@angular/core").WritableSignal<number>;
    $reactMode: import("@angular/core").WritableSignal<boolean>;
    $onBehalfMode: import("@angular/core").Signal<boolean | undefined>;
    $reactInjectedFieldsAdded: import("@angular/core").WritableSignal<boolean>;
    constructor(mls: MultiLanguageService, coreFormService: CoreFormService);
    generateSubmitDto(): any;
    toggleShowRouting(): void;
    $inputSections: import("@angular/core").WritableSignal<ICoreFormSection[]>;
    $workflow: import("@angular/core").WritableSignal<IWfWorkflow | null>;
    $afInstance: import("@angular/core").WritableSignal<IAfInstance | undefined>;
    $customButtons: import("@angular/core").WritableSignal<string[] | undefined>;
    $normalMode: import("@angular/core").WritableSignal<boolean | undefined>;
    $submitApi: import("@angular/core").WritableSignal<string | undefined>;
    $inputSectionsJson: import("@angular/core").Signal<any>;
    removeSignalKeysDeep: (obj: any) => any;
    $afInstanceJson: import("@angular/core").Signal<string>;
    $wfWorkflowJson: import("@angular/core").Signal<string>;
    mode$: BehaviorSubject<EnumCorePageEditMode>;
    checkError$: BehaviorSubject<boolean>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onLiveFormCreated(e: any): void;
    onLiveSubmit(e: any): void;
    onClose(): void;
    addKickOffInjectedFields(): void;
    addReactInjectedFields(): void;
    clearInjectedFields(): void;
    react(reactType: string): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LiveFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LiveFormComponent, "live-form", never, { "$designMode": { "alias": "$designMode"; "required": false; "isSignal": true; }; "$forKickOff": { "alias": "$forKickOff"; "required": false; "isSignal": true; }; "$workflowReactContext": { "alias": "$workflowReactContext"; "required": false; "isSignal": true; }; }, { "$onClose": "$onClose"; }, never, never, true, never>;
}
