import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { EnumTranslateKey } from 'alpha-global-constants';
import { BehaviorSubject, Subscription } from 'rxjs';
import { AppConfigService } from '../../services/app-config.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { AlertService } from '../alert/alert.service';
import { EnumCoreButtonVNSCode } from '../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { CoreControlService } from '../core-form/core-control.service';
import { CoreFormService } from '../core-form/core-form.service';
import { IDynamicFormEmitOnFormCreated } from '../core-form/core-form/core-form.component';
import { ICoreFormSection } from '../core-form/core-form/enum-interfaces';
import { EnumCorePageEditMode } from '../core-page-edit/EnumCorePageEditMode';
import * as i0 from "@angular/core";
export declare class CoreFormLiteComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private coreControlService;
    private multiLanguageService;
    private alertService;
    private coreFormService;
    private appConfigService;
    formName: string;
    submitText: EnumTranslateKey;
    inputSections: ICoreFormSection[];
    mode$: BehaviorSubject<EnumCorePageEditMode>;
    customFormButtonItems: EnumCoreButtonVNSCode[];
    showButonCaptions: boolean;
    disableSaveButton: boolean;
    checkError$: BehaviorSubject<boolean>;
    onFormCreated: EventEmitter<IDynamicFormEmitOnFormCreated>;
    onFormRefCreated: EventEmitter<ElementRef<any>>;
    onSubmit: EventEmitter<any>;
    onSave: EventEmitter<any>;
    onCancal: EventEmitter<any>;
    buttonClick: EventEmitter<ICoreButtonVNS>;
    formRef: ElementRef;
    buttonItems: EnumCoreButtonVNSCode[];
    form: FormGroup;
    sections: ICoreFormSection[];
    lang: string;
    subscriptions: Subscription[];
    payLoad: string;
    validatorOverview: any;
    isDevMode: boolean;
    isUpdateMode: boolean;
    constructor(coreControlService: CoreControlService, multiLanguageService: MultiLanguageService, alertService: AlertService, coreFormService: CoreFormService, appConfigService: AppConfigService);
    private updateSections;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFormSubmit(): void;
    onCancelLocal(): void;
    updatePayload(): void;
    updateValidorOverview(): void;
    ngOnDestroy(): void;
    onButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormLiteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFormLiteComponent, "core-form-lite", never, { "formName": { "alias": "formName"; "required": false; }; "submitText": { "alias": "submitText"; "required": false; }; "inputSections": { "alias": "inputSections"; "required": false; }; "mode$": { "alias": "mode$"; "required": false; }; "customFormButtonItems": { "alias": "customFormButtonItems"; "required": false; }; "showButonCaptions": { "alias": "showButonCaptions"; "required": false; }; "disableSaveButton": { "alias": "disableSaveButton"; "required": false; }; "checkError$": { "alias": "checkError$"; "required": false; }; }, { "onFormCreated": "onFormCreated"; "onFormRefCreated": "onFormRefCreated"; "onSubmit": "onSubmit"; "onSave": "onSave"; "onCancal": "onCancal"; "buttonClick": "buttonClick"; }, never, never, true, never>;
}
