import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ICoreFormSection } from './enum-interfaces';
import { CoreControlService } from '../core-control.service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { AlertService } from '../../alert/alert.service';
import { EnumCorePageEditMode } from '../../core-page-edit/EnumCorePageEditMode';
import { CoreFormService } from '../core-form.service';
import { ICoreButtonVNS } from '../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { EnumCoreButtonVNSCode } from '../../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AppConfigService } from '../../../services/app-config.service';
import * as i0 from "@angular/core";
export interface IDynamicFormEmitOnFormCreated {
    formName: string;
    formGroup: FormGroup;
}
export declare class CoreFormComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private coreControlService;
    private multiLanguageService;
    private alertService;
    private coreFormService;
    private appConfigService;
    formName: string;
    width: number;
    submitText: EnumTranslateKey | string;
    leftInputSections: ICoreFormSection[];
    leftInputSectionsFlexSize: number;
    inputSections: ICoreFormSection[];
    mode$: BehaviorSubject<EnumCorePageEditMode>;
    bottomTemplateRef: TemplateRef<any>;
    customFormButtonItems: (EnumCoreButtonVNSCode | string)[];
    showCaptionButton: boolean;
    disableSaveButton: boolean;
    disableCancelButton: boolean;
    checkError$: BehaviorSubject<boolean>;
    hideButtons: boolean;
    forceCreateNewForm: boolean;
    secondBottomTemplateRef: TemplateRef<any>;
    hideDevSector: boolean;
    hideCalculatedSection: boolean;
    buttonGroupTemplateRef: TemplateRef<any>;
    onFormCreated: EventEmitter<IDynamicFormEmitOnFormCreated>;
    onFormRefCreated: EventEmitter<ElementRef<any>>;
    onSubmit: EventEmitter<any>;
    onSave: EventEmitter<any>;
    onCancal: EventEmitter<any>;
    buttonClick: EventEmitter<ICoreButtonVNS>;
    formRef: ElementRef;
    buttonItems: (EnumCoreButtonVNSCode | string)[];
    form: FormGroup;
    sections: ICoreFormSection[];
    lang: string;
    subscriptions: Subscription[];
    payLoad: string;
    validatorOverview: any;
    isDevMode: boolean;
    isUpdateMode: boolean;
    cdr: ChangeDetectorRef;
    constructor(coreControlService: CoreControlService, multiLanguageService: MultiLanguageService, alertService: AlertService, coreFormService: CoreFormService, appConfigService: AppConfigService);
    private updateSections;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFormSubmit(): void;
    onFormSave(): void;
    onCancelLocal(): void;
    updatePayload(): void;
    updateValidorOverview(): void;
    ngOnDestroy(): void;
    onButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreFormComponent, "core-form", never, { "formName": { "alias": "formName"; "required": false; }; "width": { "alias": "width"; "required": false; }; "submitText": { "alias": "submitText"; "required": false; }; "leftInputSections": { "alias": "leftInputSections"; "required": false; }; "leftInputSectionsFlexSize": { "alias": "leftInputSectionsFlexSize"; "required": false; }; "inputSections": { "alias": "inputSections"; "required": false; }; "mode$": { "alias": "mode$"; "required": false; }; "bottomTemplateRef": { "alias": "bottomTemplateRef"; "required": false; }; "customFormButtonItems": { "alias": "customFormButtonItems"; "required": false; }; "showCaptionButton": { "alias": "showCaptionButton"; "required": false; }; "disableSaveButton": { "alias": "disableSaveButton"; "required": false; }; "disableCancelButton": { "alias": "disableCancelButton"; "required": false; }; "checkError$": { "alias": "checkError$"; "required": false; }; "hideButtons": { "alias": "hideButtons"; "required": false; }; "forceCreateNewForm": { "alias": "forceCreateNewForm"; "required": false; }; "secondBottomTemplateRef": { "alias": "secondBottomTemplateRef"; "required": false; }; "hideDevSector": { "alias": "hideDevSector"; "required": false; }; "hideCalculatedSection": { "alias": "hideCalculatedSection"; "required": false; }; "buttonGroupTemplateRef": { "alias": "buttonGroupTemplateRef"; "required": false; }; }, { "onFormCreated": "onFormCreated"; "onFormRefCreated": "onFormRefCreated"; "onSubmit": "onSubmit"; "onSave": "onSave"; "onCancal": "onCancal"; "buttonClick": "buttonClick"; }, never, never, true, never>;
}
