import { EnumTranslateKey } from "alpha-global-constants";
import { EnumFormBaseContolType } from "../../enum/EnumFormBaseContolType";
import { EnumCoreTablePipeType } from "../core-table/EnumCoreTablePipeType";
import { EnumCoreFormControlSeekerSourceType } from "../core-form-control-seeker/EnumCoreFormControlSeekerSourceType";
import { BehaviorSubject } from "rxjs";
import { ICoreDropdownOption } from "../../interfaces/ICoreDropdownOption";
import { ICoreChecklistOption } from "../core-checklist/core-checklist/core-checklist.component";
import { IFilterOperator, IInOperator } from "../../interfaces/IQueryListRequest";
import { api } from "alpha-global-constants";
import { ICoreDatePickerRange } from "../core-date-picker/core-date-picker/core-date-picker.component";
import { EnumCoreOrgTreeaAccessorMode } from "../core-org-tree/core-org-tree/core-org-tree.component";
export interface ICoreParamControl {
    name: string;
    ngModel: any;
    ngModel$?: BehaviorSubject<any>;
    ngModelChange: (ngModelName: string, value: any) => void;
    filterOperator?: IFilterOperator;
    inOperator?: IInOperator;
    /***/
    flexSize: number;
    width?: number;
    controlType: EnumFormBaseContolType | string;
    label: EnumTranslateKey | string;
    type?: string;
    value?: any;
    placeholder?: string;
    step?: string;
    pipe?: EnumCoreTablePipeType;
    seekerSourceType?: EnumCoreFormControlSeekerSourceType | string;
    boundFrom?: string;
    shownFrom?: string;
    dropdownOptions$?: BehaviorSubject<ICoreDropdownOption[]>;
    checklistOptions$?: BehaviorSubject<ICoreChecklistOption[]>;
    hidden?: boolean;
    accessorMode?: EnumCoreOrgTreeaAccessorMode | string;
    popupAlign?: string;
    click$?: BehaviorSubject<any>;
    rangeLimit?: ICoreDatePickerRange;
    getByIdObject$?: BehaviorSubject<any>;
    getByIdApi?: api | string;
    disabled?: boolean;
    objectList$?: BehaviorSubject<any[]>;
    multiMode?: boolean;
    disabledDoubleClick?: boolean;
    nullable?: boolean;
    allowBlank?: boolean;
    multiValue?: boolean;
    defaultValues?: ISsrsDefaultValues;
}
export interface ISsrsDefaultValues {
    value?: string | number | boolean | Date | (string | number | boolean | Date)[];
}
