import { AfterViewInit, ElementRef, Injector, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { NgControl } from '@angular/forms';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { BehaviorSubject, Subject, Subscription } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AppService } from '../../../services/app.service';
import { ICoreListOption } from '../../core-list/core-list/core-list.component';
import { api } from "alpha-global-constants";
import { HttpResponse } from '@angular/common/http';
import { IPagination, IQueryListRequest } from '../../../interfaces/IQueryListRequest';
import { EnumCoreTablePipeType } from '../../core-table/EnumCoreTablePipeType';
import * as i0 from "@angular/core";
export declare class CoreListLazyComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit {
    private mls;
    private injector;
    private appService;
    title: EnumTranslateKey;
    queryListApi: api;
    textField: string;
    pipe: EnumCoreTablePipeType;
    height: number;
    blockingInteraction$: BehaviorSubject<boolean>;
    container: ElementRef;
    coreScrollContainer: ElementRef;
    ngControl: NgControl;
    activeValue: any;
    subscriptions: Subscription[];
    visibleOptions: ICoreListOption[];
    placeholderText: string;
    searchHeight: number;
    searchText: string;
    placeholder: EnumTranslateKey;
    text: string;
    lang: string;
    searchStream$: Subject<string>;
    itemHeight: number;
    scrollContainerHeight: number;
    listTotalHeight: number;
    queryListRequest$: BehaviorSubject<IQueryListRequest>;
    blockingInteraction: boolean;
    constructor(mls: MultiLanguageService, injector: Injector, appService: AppService);
    writeValue(obj: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    bindOptions(x: HttpResponse<any>): void;
    defaultResize(height: number | undefined): void;
    ngAfterViewInit(): void;
    onListItemClick(option: ICoreListOption): void;
    onSearchTextChange(e: any): void;
    onPagination(e: IPagination | undefined): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreListLazyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreListLazyComponent, "core-list-lazy", never, { "title": { "alias": "title"; "required": false; }; "queryListApi": { "alias": "queryListApi"; "required": false; }; "textField": { "alias": "textField"; "required": false; }; "pipe": { "alias": "pipe"; "required": false; }; "height": { "alias": "height"; "required": false; }; "blockingInteraction$": { "alias": "blockingInteraction$"; "required": false; }; }, {}, never, never, true, never>;
}
