import { Injector, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { Subject, Subscription } from 'rxjs';
import { NgControl } from '@angular/forms';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export interface ICoreListOption {
    value: number | string;
    text: string;
    active?: boolean;
}
export declare class CoreListComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, OnDestroy {
    private mls;
    private injector;
    ngControl: NgControl;
    title: EnumTranslateKey;
    height: number;
    options: ICoreListOption[];
    placeholder: string;
    subscriptions: Subscription[];
    localOptions: ICoreListOption[];
    searchText: string;
    text: string;
    loading: boolean;
    lang: string;
    searchStream$: Subject<string>;
    constructor(mls: MultiLanguageService, injector: Injector);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onListItemClick(option: ICoreListOption): void;
    onSearchTextChange(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreListComponent, "core-list", never, { "title": { "alias": "title"; "required": false; }; "height": { "alias": "height"; "required": false; }; "options": { "alias": "options"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, {}, never, never, true, never>;
}
