import { AfterViewInit, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { ICorePageListApiDefinition } from '../../core-page-list/core-page-list.component';
import { BehaviorSubject, Subscription } from 'rxjs';
import { api } from "alpha-global-constants";
import { IFilterOperator, IInOperator } from '../../../interfaces/IQueryListRequest';
import { DomService } from '../../services/dom.service';
import { AppService } from '../../../services/app.service';
import { ResponseService } from '../../../services/response.service';
import { AlertService } from '../../alert/alert.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { ICoreTableColumnItem } from '../../core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class CoreMccComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnDestroy {
    private domService;
    private renderer;
    private appService;
    private responseService;
    private alertService;
    private mls;
    height: number;
    columns: ICoreTableColumnItem[];
    shownFrom: string;
    apiDefinition: ICorePageListApiDefinition;
    getByIdApi: api | string;
    outerParam$: BehaviorSubject<any>;
    selectedRow$: BehaviorSubject<any>;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[];
    placeholder: string;
    container: ElementRef;
    subscriptions: Subscription[];
    expandState: boolean;
    shownText: string;
    loading: boolean;
    lang: string;
    listenerFn: () => void;
    constructor(domService: DomService, renderer: Renderer2, appService: AppService, responseService: ResponseService, alertService: AlertService, mls: MultiLanguageService);
    ngOnInit(): void;
    toggleExpanded(): void;
    onRowDoubleClick(event: any): void;
    writeValue(obj: any): void;
    onClickClear(e: any): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreMccComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreMccComponent, "core-mcc", never, { "height": { "alias": "height"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "shownFrom": { "alias": "shownFrom"; "required": false; }; "apiDefinition": { "alias": "apiDefinition"; "required": false; }; "getByIdApi": { "alias": "getByIdApi"; "required": false; }; "outerParam$": { "alias": "outerParam$"; "required": false; }; "selectedRow$": { "alias": "selectedRow$"; "required": false; }; "outerFilterOperators": { "alias": "outerFilterOperators"; "required": false; }; "outerInOperators": { "alias": "outerInOperators"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, {}, never, never, true, never>;
}
