import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2, AfterViewInit } from '@angular/core';
import { CoreDatetimeService, IMonthIdentity } from '../../services/core-datetime.service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { DomService } from '../../services/dom.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CoreMonthSelectorComponent extends CoreFormControlBaseComponent implements OnInit, OnDestroy, AfterViewInit {
    private coreDatetimeService;
    private mls;
    private readonly renderer;
    private readonly domService;
    align: string;
    placeholder: string;
    onYearClick: EventEmitter<number>;
    container: ElementRef;
    monthsContainer: ElementRef;
    value: string;
    lang: string;
    monthObject$: BehaviorSubject<IMonthIdentity>;
    listenerFn: () => void;
    writeValue(obj: string): void;
    updateTextValue(): void;
    months: string[][];
    year: number;
    textValue: string;
    yearPickerActive: boolean;
    openState: boolean;
    subscriptions: Subscription[];
    monthStringArray: string[];
    constructor(coreDatetimeService: CoreDatetimeService, mls: MultiLanguageService, renderer: Renderer2, domService: DomService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onClick(rowIndex: number, subMonthIndex: number): void;
    triggerReflow(): void;
    goUp(): void;
    goDown(): void;
    onYearClickLocal(year: number): void;
    onYearPicked(e: any): void;
    toggleOpen(): void;
    clear(): void;
    goThisMonth(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreMonthSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreMonthSelectorComponent, "core-month-selector", never, { "align": { "alias": "align"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, { "onYearClick": "onYearClick"; }, never, never, true, never>;
}
