import { AfterViewInit, OnDestroy } from '@angular/core';
import { ActivatedRoute, Router, RouterEvent } from '@angular/router';
import { Subject, Subscription } from 'rxjs';
import { RoutingService } from '../../../services/routing.service';
import { LayoutService } from '../../../services/layout.service';
import { HubConnectionService } from '../../../services/hub-connection.service';
import { UserActivityService } from '../../../services/user-activity.service';
import { AuthService } from '../../../services/auth.service';
import { AlertService } from '../../alert/alert.service';
import { IRoutingHistoryItem } from '../../core-routing-history/core-routing-history/core-routing-history.component';
import { DialogService } from '../../../services/dialog.service';
import { UrlService } from '../../../services/url.service';
import { NavigatorService } from '../../../services/navigator.service';
import { INavigatorItem } from '../../../interfaces/INavigatorItem';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AppService } from '../../../services/app.service';
import { AppConfigService } from '../../../services/app-config.service';
import { DeveloperValidationService } from '../../../services/developer-validation.service';
import { MenuService } from '../../../services/menu.service';
import { ClientService } from '../../../services/client.service';
import { FunctionPathResolverService } from '../../../services/function-path-resolver.service';
import * as i0 from "@angular/core";
export interface ILogUserActivity {
    clientCode: string;
    appType: string;
    username?: string;
    sid?: string;
    loginTime?: Date;
    accessTime: Date;
    path: string;
    pathname?: string;
}
export declare class CoreNavigationTrackerComponent implements AfterViewInit, OnDestroy {
    private authService;
    private dvs;
    private router;
    private route;
    private routingService;
    layoutService: LayoutService;
    private hubConnectionService;
    private userActivityService;
    private urlService;
    private navigatorService;
    private alertService;
    private dialogService;
    private mls;
    private appService;
    private appConfigService;
    private menuService;
    private clientService;
    private functionPathResolverService;
    navigating: boolean;
    url: string;
    lang: string;
    appConfig: any;
    appInitializing: boolean;
    loading: boolean;
    submitting: boolean;
    menuOpen: boolean;
    leftbarReduced: boolean;
    keyword: string;
    sid: string;
    username: string;
    expiresAt: string;
    avatar: string;
    unsubscribe: Subject<void>;
    subscriptions: Subscription[];
    routingHistory: IRoutingHistoryItem[];
    pendingUrl: string;
    lastClickedMenuItem: INavigatorItem | null;
    lastClickedMenuItemString: string;
    dialogInstanceNumber: number;
    dvsValidating: boolean;
    dvsSecurityPassed: boolean;
    constructor(authService: AuthService, dvs: DeveloperValidationService, router: Router, route: ActivatedRoute, routingService: RoutingService, layoutService: LayoutService, hubConnectionService: HubConnectionService, userActivityService: UserActivityService, urlService: UrlService, navigatorService: NavigatorService, alertService: AlertService, dialogService: DialogService, mls: MultiLanguageService, appService: AppService, appConfigService: AppConfigService, menuService: MenuService, clientService: ClientService, functionPathResolverService: FunctionPathResolverService);
    ngAfterViewInit(): void;
    checkRouterEvent(routerEvent: RouterEvent): void;
    resetActivityHistory(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreNavigationTrackerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreNavigationTrackerComponent, "core-navigation-tracker", never, {}, {}, never, never, true, never>;
}
