import { OnInit, AfterViewInit, EventEmitter, ElementRef, TemplateRef, ChangeDetectorRef, OnChanges, SimpleChanges } from '@angular/core';
import { Router, ActivatedRoute, Params } from '@angular/router';
import { CorePageEditService } from './core-page-edit.service';
import { AnimatedTextService } from '../animated-text/animated-text.service';
import { AlertService } from '../alert/alert.service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { CorePageListService } from '../core-page-list/core-page-list.service';
import { CoreFormService } from '../core-form/core-form.service';
import { ICoreFormSection } from '../core-form/core-form/enum-interfaces';
import { IDynamicFormEmitOnFormCreated } from '../core-form/core-form/core-form.component';
import { FormGroup } from '@angular/forms';
import { EnumCoreButtonVNSCode } from '../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { EnumTranslateKey } from "alpha-global-constants";
import { CommonHttpRequestService } from '../../services/common-http-request.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { HubConnectionService } from '../../services/hub-connection.service';
import { AuthService } from '../../services/auth.service';
import { UrlService } from '../../services/url.service';
import { RoutingService } from '../../services/routing.service';
import { EnumCorePageEditMode } from './EnumCorePageEditMode';
import { ICorePageEditCRUD } from './ICorePageEditCRUD';
import { ResponseService } from '../../services/response.service';
import { AppConfigService } from '../../services/app-config.service';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import * as i0 from "@angular/core";
export declare class CorePageEditComponent implements OnInit, OnChanges, AfterViewInit {
    private router;
    private route;
    private corePageEditService;
    private commonHttpRequestService;
    private animatedTextService;
    private mls;
    private coreFormService;
    private corePageListService;
    private hubConnectionService;
    private authService;
    private alertService;
    private urlService;
    private routingService;
    private responseService;
    private appConfigService;
    stayAfterSubmit: boolean;
    width: number;
    entityTable: string;
    hasIdOfStringType: boolean;
    captionCode: string;
    leftInputSections: ICoreFormSection[];
    leftInputSectionsFlexSize: number;
    sections: ICoreFormSection[];
    normalMode: boolean;
    bottomTemplateRef: TemplateRef<any>;
    autoGetByIdOff: boolean;
    autoSubmitLogicOff: boolean;
    autoCancelLogicOff: boolean;
    customFormButtonItems: EnumCoreButtonVNSCode[];
    mixedMode: boolean;
    checkError$: BehaviorSubject<boolean>;
    showSaveButton: boolean;
    disableSaveButton: boolean;
    disableCancelButton: boolean;
    forceListRefreshOnCreateOrUpdate: boolean;
    submitLogic: EventEmitter<any>;
    onFormCreated: EventEmitter<any>;
    onSubmitSuccess: EventEmitter<any>;
    onButtonClick: EventEmitter<any>;
    cancelLogic: EventEmitter<any>;
    form: FormGroup;
    crud: ICorePageEditCRUD;
    entityUniqueIndexs: string[][];
    idAsInput: boolean;
    id: number | string | undefined;
    hideButtons: boolean;
    onInitialValueStringReady: EventEmitter<string>;
    container: ElementRef;
    containerBigger: ElementRef;
    sections$: BehaviorSubject<ICoreFormSection[]>;
    mode$: BehaviorSubject<EnumCorePageEditMode>;
    currentValue: any;
    initialValue: string;
    subscriptions: Subscription[];
    fromUrl: string;
    listInstance: number;
    loading: boolean;
    lang: string;
    submitText: EnumTranslateKey;
    showCaptionButton: boolean;
    scroll: boolean;
    cdr: ChangeDetectorRef;
    idStream$: BehaviorSubject<any>;
    getByIdStream$: import("rxjs").Observable<any>;
    constructor(router: Router, route: ActivatedRoute, corePageEditService: CorePageEditService, commonHttpRequestService: CommonHttpRequestService, animatedTextService: AnimatedTextService, mls: MultiLanguageService, coreFormService: CoreFormService, corePageListService: CorePageListService, hubConnectionService: HubConnectionService, authService: AuthService, alertService: AlertService, urlService: UrlService, routingService: RoutingService, responseService: ResponseService, appConfigService: AppConfigService);
    ngOnChanges(changes: SimpleChanges): void;
    private sendSignal;
    resolveId(x: Params): number | string;
    ngOnInit(): void;
    resolveGetById(x: any): void;
    ngAfterViewInit(): void;
    private toggleReloadFlagForTheCaller;
    onNotOk200Response(x: object): void;
    onSubmit(): void;
    /**
     *
     * PHƯƠNG THỨC NÀY ĐƯỢC TẠO RA KHI DEV VNS-PORTAL
     */
    onSave(e: any): void;
    onCancel(): void;
    buttonClick(e: ICoreButtonVNS): void;
    onFormCreatedLocal(e: IDynamicFormEmitOnFormCreated): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePageEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePageEditComponent, "core-page-edit", never, { "stayAfterSubmit": { "alias": "stayAfterSubmit"; "required": false; }; "width": { "alias": "width"; "required": false; }; "entityTable": { "alias": "entityTable"; "required": false; }; "hasIdOfStringType": { "alias": "hasIdOfStringType"; "required": false; }; "captionCode": { "alias": "captionCode"; "required": false; }; "leftInputSections": { "alias": "leftInputSections"; "required": false; }; "leftInputSectionsFlexSize": { "alias": "leftInputSectionsFlexSize"; "required": false; }; "sections": { "alias": "sections"; "required": false; }; "normalMode": { "alias": "normalMode"; "required": false; }; "bottomTemplateRef": { "alias": "bottomTemplateRef"; "required": false; }; "autoGetByIdOff": { "alias": "autoGetByIdOff"; "required": false; }; "autoSubmitLogicOff": { "alias": "autoSubmitLogicOff"; "required": false; }; "autoCancelLogicOff": { "alias": "autoCancelLogicOff"; "required": false; }; "customFormButtonItems": { "alias": "customFormButtonItems"; "required": false; }; "mixedMode": { "alias": "mixedMode"; "required": false; }; "checkError$": { "alias": "checkError$"; "required": false; }; "showSaveButton": { "alias": "showSaveButton"; "required": false; }; "disableSaveButton": { "alias": "disableSaveButton"; "required": false; }; "disableCancelButton": { "alias": "disableCancelButton"; "required": false; }; "forceListRefreshOnCreateOrUpdate": { "alias": "forceListRefreshOnCreateOrUpdate"; "required": false; }; "crud": { "alias": "crud"; "required": false; }; "entityUniqueIndexs": { "alias": "entityUniqueIndexs"; "required": false; }; "idAsInput": { "alias": "idAsInput"; "required": false; }; "id": { "alias": "id"; "required": false; }; "hideButtons": { "alias": "hideButtons"; "required": false; }; }, { "submitLogic": "submitLogic"; "onFormCreated": "onFormCreated"; "onSubmitSuccess": "onSubmitSuccess"; "onButtonClick": "onButtonClick"; "cancelLogic": "cancelLogic"; "onInitialValueStringReady": "onInitialValueStringReady"; }, never, never, true, never>;
}
