import { ElementRef, OnDestroy, OnInit, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { ICoreTableToolItem } from '../../core-table/core-table.component';
import { IFilterOperator, IPagination, IQueryListRequest, ISearchItem, ISortItem } from '../../../interfaces/IQueryListRequest';
import { CorePageListService } from '../../core-page-list/core-page-list.service';
import { CorePageEditService } from '../../core-page-edit/core-page-edit.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { AlertService } from '../../alert/alert.service';
import { LayoutService } from '../../../services/layout.service';
import { CoreButtonGroupService } from '../../core-button-group-vns/core-button-group-service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { CorePageListState } from '../../core-page-list/core-page-list.state';
import { EnumTranslateKey } from "alpha-global-constants";
import { ICorePageListApiDefinition, ICorePageListSearchObject } from '../../core-page-list/core-page-list.component';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { ICoreTableColumnItem } from '../../core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare class CorePageListContentComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private corePageListService;
    private corePageListState;
    private corePageEditService;
    private router;
    private route;
    private mls;
    private alertService;
    layoutService: LayoutService;
    private coreButtonGroupService;
    height: number;
    isHeightForTable: boolean;
    headerWrap: boolean;
    headerFirstRowHeight: number;
    /** */
    rowHeight: string;
    wrap: boolean;
    title: EnumTranslateKey;
    hasIdOfStringType: boolean;
    hideCheck: boolean;
    apiDefinition: ICorePageListApiDefinition;
    columns: ICoreTableColumnItem[];
    inlineTools: ICoreTableToolItem[];
    autoResizeWithWindow: boolean;
    extraManualOffset: number;
    disableHighlightOnClick: boolean;
    columnSearchDefaultOpen: boolean;
    outerParam$: BehaviorSubject<any>;
    loading: boolean;
    frozen: number;
    fixedPageSize: number;
    corePageListContentContainer: ElementRef;
    paginationContainer: ElementRef;
    innerBodyCount$: BehaviorSubject<number>;
    tableHeight: number;
    paginationHeight: number;
    corePageListInstanceNumber: number;
    resizeStream$: import("rxjs").Observable<Event>;
    subscriptions: Subscription[];
    selectedIds: string[] | number[];
    isAdmin: boolean;
    pageCount: number;
    currentPage$: BehaviorSubject<number>;
    suspendCurrentPageSubscription$: BehaviorSubject<boolean>;
    pageSize$: BehaviorSubject<number>;
    filter$: BehaviorSubject<any>;
    filterOperators$: BehaviorSubject<IFilterOperator[]>;
    search$: BehaviorSubject<ICorePageListSearchObject | null>;
    sort$: BehaviorSubject<ISortItem[]>;
    pagination$: BehaviorSubject<IPagination>;
    forceReloadingFlag$: BehaviorSubject<boolean>;
    queryListRequest$: BehaviorSubject<IQueryListRequest>;
    queryListSubscription: Subscription;
    pauseSubsctiption: boolean;
    list: any[];
    constructor(corePageListService: CorePageListService, corePageListState: CorePageListState, corePageEditService: CorePageEditService, router: Router, route: ActivatedRoute, mls: MultiLanguageService, alertService: AlertService, layoutService: LayoutService, coreButtonGroupService: CoreButtonGroupService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onSearching(e: ISearchItem[]): void;
    ngAfterViewInit(): void;
    onRowClick(e: any): void;
    onSelectedIdsChange(e: string[] | number[]): void;
    onColumnCaptionClick(e: ICoreTableColumnItem): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePageListContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePageListContentComponent, "core-page-list-content", never, { "height": { "alias": "height"; "required": false; }; "isHeightForTable": { "alias": "isHeightForTable"; "required": false; }; "headerWrap": { "alias": "headerWrap"; "required": false; }; "headerFirstRowHeight": { "alias": "headerFirstRowHeight"; "required": false; }; "rowHeight": { "alias": "rowHeight"; "required": false; }; "wrap": { "alias": "wrap"; "required": false; }; "title": { "alias": "title"; "required": false; }; "hasIdOfStringType": { "alias": "hasIdOfStringType"; "required": false; }; "hideCheck": { "alias": "hideCheck"; "required": false; }; "apiDefinition": { "alias": "apiDefinition"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "inlineTools": { "alias": "inlineTools"; "required": false; }; "autoResizeWithWindow": { "alias": "autoResizeWithWindow"; "required": false; }; "extraManualOffset": { "alias": "extraManualOffset"; "required": false; }; "disableHighlightOnClick": { "alias": "disableHighlightOnClick"; "required": false; }; "columnSearchDefaultOpen": { "alias": "columnSearchDefaultOpen"; "required": false; }; "outerParam$": { "alias": "outerParam$"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "frozen": { "alias": "frozen"; "required": false; }; "fixedPageSize": { "alias": "fixedPageSize"; "required": false; }; }, {}, never, never, true, never>;
}
