import { IInOperator, IQueryListRequest } from '../../interfaces/IQueryListRequest';
import { CommonHttpRequestService } from '../../services/common-http-request.service';
import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { IIdsRequest } from '../../interfaces/IIdsRequest';
import { ICorePageListInstance } from './ICorePageListInstance';
import { AlertService } from '../alert/alert.service';
import { AppService } from '../../services/app.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import * as i0 from "@angular/core";
export declare enum EnumExType {
    EX_STRING = 1,
    EX_NUMBER = 2,
    EX_BOOLEAN = 3,
    EX_DATE = 4
}
export interface IExEntity {
    entityName: string;
    executeOrder: number;
    exColumns: IExColumn[];
}
export interface IExColumn {
    entityName: string;
    columnName: string;
    type: EnumExType;
    executeOrder: number;
    pkEntityName?: string;
    pkBoundColumnName?: string;
    pkShownColumnName?: string;
    pkFilterColumnName?: string;
    pkFilterColumnValue?: string;
}
export interface IGenerateTemplateRequest {
    exCode: string;
    lang: string;
}
export interface IImportXlsxToDbRequest {
    fileName: string;
    exCode: string;
    base64String: string;
}
export declare class CorePageListService {
    private commonHttpRequestService;
    private alertService;
    private mls;
    private httpClient;
    private appService;
    instances: ICorePageListInstance[];
    tmpFilter$: BehaviorSubject<any>;
    tmpInOperators$: BehaviorSubject<IInOperator[]>;
    /*****/
    constructor(commonHttpRequestService: CommonHttpRequestService, alertService: AlertService, mls: MultiLanguageService, httpClient: HttpClient, appService: AppService);
    instanceRequery(instanceNumber: number): void;
    queryList(request: IQueryListRequest, url: string): Observable<any>;
    deleteIds(request: IIdsRequest, url: string): Observable<any>;
    unapproveIds(request: IIdsRequest, url: string): Observable<any>;
    generateTemplate(request: IGenerateTemplateRequest): Observable<any>;
    importXlsxToDb(request: IImportXlsxToDbRequest): Observable<any>;
    getUniqueString(row: any, confirmationColumns: ICoreTableColumnItem[]): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePageListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CorePageListService>;
}
