import { ChangeDetectorRef, ElementRef, EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Observable, Subscription } from 'rxjs';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare class CorePaginationFullComponent extends BaseComponent implements OnInit {
    mls: MultiLanguageService;
    currentPage$: BehaviorSubject<number>;
    height: number;
    pageCount: number;
    loading: boolean;
    showAdd: boolean;
    background: string;
    pageSize$: BehaviorSubject<number>;
    innerBodyCount$: BehaviorSubject<number>;
    pagination$: BehaviorSubject<any>;
    fixedPageSize: number;
    onClickAdd: EventEmitter<any>;
    onCurrentPageChange: EventEmitter<any>;
    onSizeChange: EventEmitter<any>;
    container: ElementRef;
    current: ElementRef;
    navigationDirection: number;
    displayPageCount: any[];
    mouseDownStream$: Observable<any>;
    touchStartStream$: Observable<any>;
    mouseUpStream$: Observable<any>;
    touchEndStream$: Observable<any>;
    mouseDownSubscription$: Subscription;
    touchStartSubscription$: Subscription;
    mouseUpSubscription$: Subscription;
    touchEndSubscription$: Subscription;
    SizeChanger: any[];
    selectedSize: number;
    currentButtonContent: string;
    cdr: ChangeDetectorRef;
    constructor(mls: MultiLanguageService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onSizeChangeLocal(event: any): void;
    private resolvePageCount;
    chunkArray<T>(pageCount: number, chunkSize: number): any[];
    clickPageNumber(event: number): void;
    goFirst(): void;
    goLast(): void;
    goPrevious(): void;
    goNext(): void;
    onClickAddLocal(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePaginationFullComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePaginationFullComponent, "core-pagination-full", never, { "currentPage$": { "alias": "currentPage$"; "required": false; }; "height": { "alias": "height"; "required": false; }; "pageCount": { "alias": "pageCount"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "showAdd": { "alias": "showAdd"; "required": false; }; "background": { "alias": "background"; "required": false; }; "pageSize$": { "alias": "pageSize$"; "required": false; }; "innerBodyCount$": { "alias": "innerBodyCount$"; "required": false; }; "pagination$": { "alias": "pagination$"; "required": false; }; "fixedPageSize": { "alias": "fixedPageSize"; "required": false; }; }, { "onClickAdd": "onClickAdd"; "onCurrentPageChange": "onCurrentPageChange"; "onSizeChange": "onSizeChange"; }, never, never, true, never>;
}
