import { ElementRef, OnInit, AfterViewInit, OnDestroy, WritableSignal } from '@angular/core';
import { BehaviorSubject, Observable, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CorePaginationComponent implements OnInit, AfterViewInit, OnDestroy {
    $currentPage: import("@angular/core").InputSignal<BehaviorSubject<number>>;
    $height: import("@angular/core").InputSignal<number>;
    $pageCount: import("@angular/core").InputSignal<number>;
    $loading: import("@angular/core").InputSignal<boolean>;
    $suspendCurrentPageSubscription: import("@angular/core").InputSignal<BehaviorSubject<boolean> | undefined>;
    $showAdd: import("@angular/core").InputSignal<boolean | undefined>;
    $background: import("@angular/core").InputSignal<string | undefined>;
    $fixedPageSize: import("@angular/core").InputSignal<number | undefined>;
    $onClickAdd: import("@angular/core").OutputEmitterRef<void>;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $current: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $aperture: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $currentButtonContent: WritableSignal<string>;
    $suspendCurrentPage: WritableSignal<boolean>;
    $navigationDirection: WritableSignal<number>;
    mouseDownStream$: Observable<any>;
    touchStartStream$: Observable<any>;
    mouseUpStream$: Observable<any>;
    touchEndStream$: Observable<any>;
    mouseDownSubscription$: Subscription;
    touchStartSubscription$: Subscription;
    mouseUpSubscription$: Subscription;
    touchEndSubscription$: Subscription;
    subscriptions: Subscription[];
    constructor();
    ngOnInit(): void;
    goFirst(): void;
    goLast(): void;
    goPrevious(): void;
    goNext(): void;
    onClickAddLocal(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePaginationComponent, "core-pagination", never, { "$currentPage": { "alias": "$currentPage"; "required": true; "isSignal": true; }; "$height": { "alias": "$height"; "required": true; "isSignal": true; }; "$pageCount": { "alias": "$pageCount"; "required": true; "isSignal": true; }; "$loading": { "alias": "$loading"; "required": true; "isSignal": true; }; "$suspendCurrentPageSubscription": { "alias": "$suspendCurrentPageSubscription"; "required": false; "isSignal": true; }; "$showAdd": { "alias": "$showAdd"; "required": false; "isSignal": true; }; "$background": { "alias": "$background"; "required": false; "isSignal": true; }; "$fixedPageSize": { "alias": "$fixedPageSize"; "required": false; "isSignal": true; }; }, { "$onClickAdd": "$onClickAdd"; }, never, never, true, never>;
}
