import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { ICorePageListApiDefinition } from '../../core-page-list/core-page-list.component';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { ICoreTableColumnItem } from '../../core-table/ICoreTableColumnItem';
import { BehaviorSubject, Subscription } from 'rxjs';
import { LayoutService } from '../../../services/layout.service';
import { CorePermissionService } from '../../core-permission/core-permission.service';
import * as i0 from "@angular/core";
export interface ICoreFunctionAction {
    functionId: number;
    allowedActionIds: number[];
}
export interface IUserPermissionAction {
    userId: string;
    functionActions: ICoreFunctionAction[];
}
export interface IGroupPermissionAction {
    groupId: number;
    functionActions: ICoreFunctionAction[];
}
export declare class CorePermissionActionsComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit {
    private corePermissionService;
    private layoutService;
    isWebapp: TemplateRef<any>;
    isPortal: TemplateRef<any>;
    loading: boolean;
    height: number;
    param$: BehaviorSubject<any>;
    selectedDataChange: EventEmitter<any>;
    loading$: BehaviorSubject<boolean>;
    value: ICoreFunctionAction[];
    actions: TemplateRef<any>;
    subscriptions: Subscription[];
    apiDefinition: ICorePageListApiDefinition;
    allowEdit: boolean;
    corePageListContentHeight: number;
    columns: ICoreTableColumnItem[];
    constructor(corePermissionService: CorePermissionService, layoutService: LayoutService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    setDisabledState(disabled: boolean): void;
    ngAfterViewInit(): void;
    onTagsValueChange(e: ICoreFunctionAction): void;
    onSelectedDataChange(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePermissionActionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePermissionActionsComponent, "core-permission-actions", never, { "loading": { "alias": "loading"; "required": false; }; "height": { "alias": "height"; "required": false; }; }, { "selectedDataChange": "selectedDataChange"; }, never, never, true, never>;
}
