import { AfterViewInit, ElementRef, TemplateRef } from "@angular/core";
import { BehaviorSubject, Observable } from "rxjs";
import { Router, ActivatedRoute } from "@angular/router";
import { BaseComponent } from "../../../libraries/base-component/base/base.component";
import { EnumTranslateKey } from "alpha-global-constants";
import { IFilterOperator } from "../../../interfaces/IQueryListRequest";
import { ICorePageListApiDefinition, ICorePageListEditRouting } from "../../../libraries/core-page-list/core-page-list.component";
import { api } from "alpha-global-constants";
import { ICoreTableColumnItem } from "../../core-table/ICoreTableColumnItem";
import { EnumCoreTablePipeType } from "../../../libraries/core-table/EnumCoreTablePipeType";
import { MultiLanguageService } from "../../../services/multi-language.service";
import { RandomAvatarService } from "../../../services/random-avatar.service";
import { CorePermissionService } from "../../../libraries/core-permission/core-permission.service";
import { AppService } from "../../../services/app.service";
import { AlertService } from "../../../libraries/alert/alert.service";
import { AuthService } from "../../../services/auth.service";
import { DomService } from "../../services/dom.service";
import { LayoutService } from "../../../services/layout.service";
import { ICoreListOption } from "../../../libraries/core-list/core-list/core-list.component";
import { ICoreButtonVNS } from "../../../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS";
import { EnumCoreOrgTreeaAccessorMode } from "../../../libraries/core-org-tree/core-org-tree/core-org-tree.component";
import { ICoreFunctionAction } from "../../../libraries/core-permission-actions/core-permission-actions/core-permission-actions.component";
import { DialogService } from "../../../services/dialog.service";
import { AppConfigService } from "../../../services/app-config.service";
import { CorePageListService } from "../../core-page-list/core-page-list.service";
import * as i0 from "@angular/core";
export interface IUserPermissionModel {
    userId: string;
    functionId: number;
    actionId: number;
}
export interface IUserOrgPermissionModel {
    userId: string;
    orgId: number;
}
export interface IGroupPermissionModel {
    groupId: number;
    functionId: number;
    actionId: number;
}
export interface IGroupOrgPermissionModel {
    groupId: number;
    orgId: number;
}
export declare enum EnumPermissionObjectType {
    USER = "USER",
    USER_GROUP = "USER_GROUP"
}
export declare class CorePermissionComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    dialogService: DialogService;
    private ras;
    private corePermissionService;
    private appService;
    layoutService: LayoutService;
    private alertService;
    private router;
    private route;
    private authService;
    private domService;
    private appConfigService;
    private corePageListService;
    type: EnumPermissionObjectType;
    avatar: TemplateRef<any>;
    actions: TemplateRef<any>;
    container: ElementRef;
    height: number;
    title: EnumTranslateKey;
    loading: boolean;
    pipe: EnumCoreTablePipeType;
    isRootUser: boolean | undefined;
    compositionHeight: number;
    selectedData: any[];
    constructor(mls: MultiLanguageService, dialogService: DialogService, ras: RandomAvatarService, corePermissionService: CorePermissionService, appService: AppService, layoutService: LayoutService, alertService: AlertService, router: Router, route: ActivatedRoute, authService: AuthService, domService: DomService, appConfigService: AppConfigService, corePageListService: CorePageListService);
    tabHeaders: string[];
    objectId: string | number;
    objectId$: BehaviorSubject<string | number | null>;
    orgIds: number[];
    objectQueryListApi: api;
    objectListTextField: string;
    pendingAction: any;
    pendingObjectId: string | number | null;
    showStateTracker: boolean;
    userListTextPipe: EnumCoreTablePipeType;
    treeAccessorMode: EnumCoreOrgTreeaAccessorMode;
    userOptions: ICoreListOption[];
    outerFilterOperators: IFilterOperator[];
    leftApiDefinition: ICorePageListApiDefinition;
    apiDefinition: ICorePageListApiDefinition;
    allowEdit: boolean;
    columns: ICoreTableColumnItem[];
    defaultAvatar: string;
    treeHeight: number;
    corePermissionActionsHeight: number;
    dialogInstanceNumber: number;
    editRoute: ICorePageListEditRouting;
    actionPermissionValue: ICoreFunctionAction[];
    initialActionPermissionValueJsonString: string;
    currentActionPermissionValueJsonString: string;
    orgPermissionValue: number[];
    initialOrgPermissionValueJsonString: string;
    currentOrgPermissionValueJsonString: string;
    queryFunctionActionPermissionListApiEndpoint: string;
    queryOrgPermissionListApiEndpoint: string;
    blockingLeftListInteraction$: BehaviorSubject<boolean>;
    updateInitialActionPermissionValueJsonString(functionActions: ICoreFunctionAction[]): void;
    updateInitialOrgPermissionValueJsonString(orgIds: number[]): void;
    resolveQueryFunctionActionPermissionList(httpResponse: any): void;
    ngAfterViewInit(): void;
    onObjectIdChange(objectId: string | number): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    onActionPermissionValueChange(e: ICoreFunctionAction[]): void;
    onOrgTreeItemCheck(e: any): void;
    onClickCloseState(): void;
    canDeactivate(): Observable<boolean> | boolean;
    onSelectedDataChange(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePermissionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePermissionComponent, "core-permission", never, { "type": { "alias": "type"; "required": false; }; }, {}, never, never, true, never>;
}
