import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { PositionComponent } from '../../position/position.component';
import { IFilterOperator } from '../../../interfaces/IQueryListRequest';
import { EnumCoreSeekerColumnPosition } from '../../core-form-control-seeker/EnumCoreSeekerColumn';
import { EnumCoreOrgTreeaAccessorMode } from '../../core-org-tree/core-org-tree/core-org-tree.component';
import * as i0 from "@angular/core";
export declare class CorePositionSeekerComponent extends PositionComponent implements OnChanges, OnInit {
    height: number;
    title: EnumTranslateKey;
    corePageListHeight: number;
    preDefinedOuterFilter$: BehaviorSubject<IFilterOperator[]>;
    useTheseColumns: string[];
    hideOrgTree: boolean;
    excludedColumns: EnumCoreSeekerColumnPosition[];
    multiMode: boolean;
    preDefinedOuterParam$: BehaviorSubject<any>;
    excludedIds$: BehaviorSubject<number[]>;
    seekerVerifyIgnore: boolean;
    rowDoubleClick: EventEmitter<any>;
    rowClick: EventEmitter<any>;
    selectedIdsChange: EventEmitter<any>;
    selectedDataChange: EventEmitter<any>;
    columnsInit: EventEmitter<any>;
    listChange: EventEmitter<any[]>;
    dialogInstanceNumber: number;
    pendingData: any;
    outerParam$: BehaviorSubject<any>;
    outerFilterOperators: IFilterOperator[];
    orgTreeHeight: number;
    orgTreeMode: EnumCoreOrgTreeaAccessorMode;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onRowDoubleClick(e: any): void;
    onSelectedIdsChange(e: any): void;
    onSelectedDataChange(e: any[]): void;
    onRowSingleClick(e: any): void;
    onListChange(e: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CorePositionSeekerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CorePositionSeekerComponent, "core-position-seeker", never, { "height": { "alias": "height"; "required": false; }; "preDefinedOuterFilter$": { "alias": "preDefinedOuterFilter$"; "required": false; }; "useTheseColumns": { "alias": "useTheseColumns"; "required": false; }; "hideOrgTree": { "alias": "hideOrgTree"; "required": false; }; "excludedColumns": { "alias": "excludedColumns"; "required": false; }; "multiMode": { "alias": "multiMode"; "required": false; }; "preDefinedOuterParam$": { "alias": "preDefinedOuterParam$"; "required": false; }; "excludedIds$": { "alias": "excludedIds$"; "required": false; }; "seekerVerifyIgnore": { "alias": "seekerVerifyIgnore"; "required": false; }; }, { "rowDoubleClick": "rowDoubleClick"; "rowClick": "rowClick"; "selectedIdsChange": "selectedIdsChange"; "selectedDataChange": "selectedDataChange"; "columnsInit": "columnsInit"; "listChange": "listChange"; }, never, never, true, never>;
}
