import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Subscription } from 'rxjs';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare enum EnumOparator {
    EQUAL = "EQUAL",
    GREATER_THAN = "GREATER_THAN",
    LESS_THAN = "LESS_THAN",
    GREATER_OR_EQUAL_THAN = "GREATER_OR_EQUAL_THAN",
    LESS_OR_EQUAL_THAN = "LESS_OR_EQUAL_THAN",
    STARTS_WITH = "STARTS_WITH",
    ENDS_WITH = "ENDS_WITH",
    CONTAINS = "CONTAINS",
    IN = "IN",
    NOT_EQUAL = "NOT_EQUAL",
    NOT_STARTS_WITH = "NOT_STARTS_WITH",
    NOT_ENDS_WITH = "NOT_ENDS_WITH",
    NOT_CONTAINS = "NOT_CONTAINS",
    NOT_IN = "NOT_IN"
}
export declare class CoreQueryBuilderComponent implements OnInit, OnChanges, AfterViewInit {
    private fb;
    private mls;
    totalCols: any[];
    mainForm: FormGroup;
    filterStringInput: string;
    expressionInput: string;
    jsonEmitter: EventEmitter<string>;
    expressionEmitter: EventEmitter<string>;
    isDevMode: boolean;
    count: number;
    subscriptions: Subscription[];
    filterString: string;
    filterFormJsonString: string;
    lang: string;
    groups: FormGroup[];
    relationalOperator: any[];
    columnType: string;
    constructor(fb: FormBuilder, mls: MultiLanguageService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    writeValue(form: FormGroup): void;
    onSubmit(): void;
    subcribeForm(): void;
    ngAfterViewInit(): void;
    field(): FormGroup;
    filter(): FormGroup;
    addField(form: FormGroup): void;
    removeField(form: FormGroup, fieldIndex: number): void;
    addGroup(form: FormGroup): void;
    removeGroup(groupToRemove: any): void;
    htmlEntities(str: string): string;
    computed(filter: any): string;
    setValueType(event: any, childFilter: FormGroup): void;
    setValueChange(event: any, childFilter: FormGroup): void;
    setRelationalChange(event: any, childFilter: FormGroup): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreQueryBuilderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreQueryBuilderComponent, "core-query-builder", never, { "totalCols": { "alias": "totalCols"; "required": false; }; "mainForm": { "alias": "mainForm"; "required": false; }; "filterStringInput": { "alias": "filterStringInput"; "required": false; }; "expressionInput": { "alias": "expressionInput"; "required": false; }; }, { "jsonEmitter": "jsonEmitter"; "expressionEmitter": "expressionEmitter"; }, never, never, true, never>;
}
