import { AfterViewInit, ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { AlertService } from '../../alert/alert.service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export interface ICoreRadioOption {
    value: any;
    text: string;
    htmlTooltip?: TemplateRef<any>;
}
export declare class CoreRadioGroupComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private mls;
    private alertService;
    private cdr;
    options$: BehaviorSubject<ICoreRadioOption[]>;
    vertical: boolean;
    columnCount: number;
    gapY: number;
    defaultValue: any;
    options: ICoreRadioOption[];
    lang: string;
    subscriptions: Subscription[];
    disabledMessage: EnumTranslateKey;
    constructor(mls: MultiLanguageService, alertService: AlertService, cdr: ChangeDetectorRef);
    writeValue(obj: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onLabelClick(e: ICoreRadioOption): void;
    get useMultiColumn(): boolean;
    get containerStyle(): any;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreRadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreRadioGroupComponent, "core-radio-group", never, { "options$": { "alias": "options$"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; "columnCount": { "alias": "columnCount"; "required": false; }; "gapY": { "alias": "gapY"; "required": false; }; "defaultValue": { "alias": "defaultValue"; "required": false; }; }, {}, never, never, true, never>;
}
