import { AfterViewInit, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { BaseComponent } from '../base-component/base/base.component';
import { INavigatorItem } from '../../interfaces/INavigatorItem';
import { MultiLanguageService } from '../../services/multi-language.service';
import { ApplicationHelpService } from '../../services/application-help.service';
import { NavigatorService } from '../../services/navigator.service';
import { LayoutService } from '../../services/layout.service';
import { EnumImageResolverType } from '../../directives/image-error-resolver.directive';
import { DomService } from '../services/dom.service';
import { SysMenuService } from '../../services/sys-menu.service';
import { AuthService } from '../../services/auth.service';
import { AppConfigService } from '../../services/app-config.service';
import { MenuService } from '../../services/menu.service';
import * as i0 from "@angular/core";
export declare class CoreRootMenuItemPickerComponent extends BaseComponent implements OnInit, AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    private ahs;
    private renderer;
    private navigatorService;
    private layoutService;
    private domService;
    private menuService;
    private sysMenuService;
    private authService;
    private appConfigService;
    logoPath: string;
    itemsPerRow: number;
    iconTextVerticalMargin: number;
    container: ElementRef<any>;
    listenerFn: () => void;
    activeUserCount: number;
    items: (INavigatorItem | undefined)[][];
    zIndex: number;
    imageErrorResolverType: EnumImageResolverType;
    scrollWidth: number;
    scrollHeight: number;
    itemWidth: number;
    headerHeight: number;
    width: number;
    isRoot: boolean;
    designMode: boolean;
    constructor(mls: MultiLanguageService, ahs: ApplicationHelpService, renderer: Renderer2, navigatorService: NavigatorService, layoutService: LayoutService, domService: DomService, menuService: MenuService, sysMenuService: SysMenuService, authService: AuthService, appConfigService: AppConfigService);
    ngOnInit(): void;
    private transformTo2DArray;
    ngAfterViewInit(): void;
    onDesignModeClick(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreRootMenuItemPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreRootMenuItemPickerComponent, "core-root-menu-item-picker", never, { "logoPath": { "alias": "logoPath"; "required": false; }; "itemsPerRow": { "alias": "itemsPerRow"; "required": false; }; "iconTextVerticalMargin": { "alias": "iconTextVerticalMargin"; "required": false; }; }, {}, never, never, true, never>;
}
