import { AfterViewInit, ChangeDetectorRef, OnInit, WritableSignal } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { INavigatorItem } from '../../../interfaces/INavigatorItem';
import { NavigatorService } from '../../../services/navigator.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { BehaviorSubject } from 'rxjs';
import { MenuService } from '../../../services/menu.service';
import * as i0 from "@angular/core";
export declare class ModuleItemComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    navigatorService: NavigatorService;
    private cdr;
    private menuService;
    $item: import("@angular/core").InputSignal<INavigatorItem | undefined>;
    $itemPadding: import("@angular/core").InputSignal<number>;
    $width: import("@angular/core").InputSignal<number>;
    $height: import("@angular/core").InputSignal<number>;
    $iconTextVerticalMargin: import("@angular/core").InputSignal<number>;
    $active: WritableSignal<boolean>;
    iconClickStream$: BehaviorSubject<string>;
    constructor(mls: MultiLanguageService, navigatorService: NavigatorService, cdr: ChangeDetectorRef, menuService: MenuService);
    ngOnInit(): void;
    onClick(e: any, item: INavigatorItem | undefined): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModuleItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModuleItemComponent, "app-module-item", never, { "$item": { "alias": "$item"; "required": true; "isSignal": true; }; "$itemPadding": { "alias": "$itemPadding"; "required": false; "isSignal": true; }; "$width": { "alias": "$width"; "required": true; "isSignal": true; }; "$height": { "alias": "$height"; "required": true; "isSignal": true; }; "$iconTextVerticalMargin": { "alias": "$iconTextVerticalMargin"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
