import { WritableSignal, ChangeDetectorRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { BaseComponent } from '../base-component/base/base.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { IFormBaseControl } from '../core-form/core-form/enum-interfaces';
import { CoreRuleTreeService } from './core-rule-tree.service';
import { EnumCoreRuleTreeOparator } from './EnumCoreRuleTreeOparator';
import * as i0 from "@angular/core";
export declare class CoreRuleTreeComponent extends BaseComponent {
    mls: MultiLanguageService;
    private cdr;
    $totalCols: import("@angular/core").InputSignal<IFormBaseControl[]>;
    $mainForm: import("@angular/core").InputSignal<FormGroup<any>>;
    $filterStringInput: import("@angular/core").InputSignal<string | undefined>;
    $expressionInput: import("@angular/core").InputSignal<string | undefined>;
    $jsonEmitter: import("@angular/core").OutputEmitterRef<string>;
    crts: CoreRuleTreeService;
    $rawValue: import("@angular/core").Signal<string>;
    private collapsedGroups;
    readonly operatorFriendlyMap: Record<EnumCoreRuleTreeOparator, string>;
    readonly relationalOperator: EnumCoreRuleTreeOparator[];
    shouldShowValueControl(operator: string): boolean;
    toggleCollapse(group: FormGroup): void;
    isCollapsed(group: FormGroup): boolean;
    field(): FormGroup;
    filter(): FormGroup;
    prevJson: WritableSignal<string>;
    constructor(mls: MultiLanguageService, cdr: ChangeDetectorRef);
    addGroup(groupForm: FormGroup): void;
    removeGroup(groupForm: FormGroup, index: number): void;
    addCondition(groupForm: FormGroup): void;
    removeCondition(filterGroup: FormGroup, index: number): void;
    resolveControl(fieldName: string): IFormBaseControl | undefined;
    safeStringify(obj: any): string;
    isCalculatedField(fieldName: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreRuleTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreRuleTreeComponent, "core-rule-tree", never, { "$totalCols": { "alias": "$totalCols"; "required": false; "isSignal": true; }; "$mainForm": { "alias": "$mainForm"; "required": false; "isSignal": true; }; "$filterStringInput": { "alias": "$filterStringInput"; "required": false; "isSignal": true; }; "$expressionInput": { "alias": "$expressionInput"; "required": false; "isSignal": true; }; }, { "$jsonEmitter": "$jsonEmitter"; }, never, never, true, never>;
}
