import { AfterViewInit, ElementRef, ChangeDetectorRef, OnDestroy, WritableSignal } from '@angular/core';
import { IAtShift } from '../../interfaces/time-management/IAtShift';
import { BehaviorSubject, Subscription } from 'rxjs';
import { WorkShiftDndService } from '../../services/work-shift-dnd.service';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { DialogService } from '../../services/dialog.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { DndService } from '../../services/dnd.service';
import { AlertService } from '../alert/alert.service';
import * as i0 from "@angular/core";
export interface IDroppableEventSubscription {
    dragenter: Subscription | undefined;
    dragover: Subscription | undefined;
    dragleave: Subscription | undefined;
    drop: Subscription | undefined;
}
export declare class CoreShiftCellComponent extends CoreFormControlBaseComponent implements AfterViewInit, OnDestroy {
    private cdr;
    private workShiftDndService;
    private dialogService;
    private mls;
    private dndService;
    $readOnly: import("@angular/core").InputSignal<boolean>;
    $hideStarterPlusSign: import("@angular/core").InputSignal<boolean>;
    $hideStickersWhileDragover: import("@angular/core").InputSignal<boolean>;
    $isDraggingOverContainer: WritableSignal<boolean>;
    value: IAtShift[];
    lang: string;
    shifts$: BehaviorSubject<IAtShift[]>;
    shifts$$: BehaviorSubject<IAtShift>[];
    subscriptions: Subscription[];
    alertService: AlertService;
    writeValue(obj: IAtShift[]): void;
    $backgroundColor: import("@angular/core").InputSignal<string>;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $firstAddWrapper: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $shiftStickers: import("@angular/core").Signal<readonly ElementRef<any>[]>;
    shiftCellId: string;
    private dragOverElements;
    dndEventSubscriptions: IDroppableEventSubscription;
    constructor(cdr: ChangeDetectorRef, workShiftDndService: WorkShiftDndService, dialogService: DialogService, mls: MultiLanguageService, dndService: DndService);
    private cleanUpSubscriptions;
    private cleanUpSubsequentSubscriptions;
    isActiveSubscriptionForShift$: boolean;
    ngAfterViewInit(): void;
    onAdd(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreShiftCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreShiftCellComponent, "core-shift-cell", never, { "$readOnly": { "alias": "$readOnly"; "required": false; "isSignal": true; }; "$hideStarterPlusSign": { "alias": "$hideStarterPlusSign"; "required": false; "isSignal": true; }; "$hideStickersWhileDragover": { "alias": "$hideStickersWhileDragover"; "required": false; "isSignal": true; }; "$backgroundColor": { "alias": "$backgroundColor"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
