import { AfterViewInit, EventEmitter, TemplateRef } from '@angular/core';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../core-page-list/core-page-list.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { BaseComponent } from '../base-component/base/base.component';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import { api, EnumTranslateKey } from 'alpha-global-constants';
import { IGenerateTemplateRequest } from '../core-page-list/core-page-list.service';
import { AppService } from '../../services/app.service';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { IInOperator, ISortItem } from '../../interfaces/IQueryListRequest';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CoreTabListComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    private appService;
    corePageList: TemplateRef<any>;
    title: EnumTranslateKey;
    height: number;
    headerLineHeight: number;
    apiDefinition: ICorePageListApiDefinition;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    crud: ICorePageListCRUD;
    frozen: number;
    generateTemplateRequest: IGenerateTemplateRequest;
    importPreviewPath: string;
    outerSort: ISortItem[];
    outerInOperators: IInOperator[] | null;
    outerParam$: BehaviorSubject<any>;
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusOptionsApi: api;
    rowClick: EventEmitter<any>;
    rowDoubleClick: EventEmitter<any>;
    selectedIdsChange: EventEmitter<any>;
    corePageHeaderButtonClick: EventEmitter<ICoreButtonVNS>;
    headers: string[];
    contents: TemplateRef<any>[];
    selectedIds: any[];
    constructor(mls: MultiLanguageService, appService: AppService);
    onCoreTabsHeaderClick(event: any): void;
    ngAfterViewInit(): void;
    onSelectedIdsChange(e: string[] | number[]): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    onRowClick(e: any): void;
    onRowDoubleClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTabListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTabListComponent, "core-tab-list", never, { "title": { "alias": "title"; "required": false; }; "height": { "alias": "height"; "required": false; }; "headerLineHeight": { "alias": "headerLineHeight"; "required": false; }; "apiDefinition": { "alias": "apiDefinition"; "required": true; }; "columns": { "alias": "columns"; "required": true; }; "editRoute": { "alias": "editRoute"; "required": false; }; "crud": { "alias": "crud"; "required": false; }; "frozen": { "alias": "frozen"; "required": false; }; "generateTemplateRequest": { "alias": "generateTemplateRequest"; "required": false; }; "importPreviewPath": { "alias": "importPreviewPath"; "required": false; }; "outerSort": { "alias": "outerSort"; "required": false; }; "outerInOperators": { "alias": "outerInOperators"; "required": false; }; "outerParam$": { "alias": "outerParam$"; "required": false; }; "datePeriodComparisonFor": { "alias": "datePeriodComparisonFor"; "required": false; }; "datePeriodComparisonForLabelKey": { "alias": "datePeriodComparisonForLabelKey"; "required": false; }; "statusInclusionFor": { "alias": "statusInclusionFor"; "required": false; }; "statusOptionsApi": { "alias": "statusOptionsApi"; "required": false; }; }, { "rowClick": "rowClick"; "rowDoubleClick": "rowDoubleClick"; "selectedIdsChange": "selectedIdsChange"; "corePageHeaderButtonClick": "corePageHeaderButtonClick"; }, never, never, true, never>;
}
