import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { LayoutService } from '../../../services/layout.service';
import { AlertService } from '../../alert/alert.service';
import * as i0 from "@angular/core";
export interface ICoreTabsToolItemEventData {
    tabIndex: number;
    code: string;
}
export declare class CoreTabsComponent extends BaseComponent implements OnChanges, OnInit, AfterViewInit {
    mls: MultiLanguageService;
    private layoutService;
    private alertService;
    headers: string[];
    contents: TemplateRef<any>[];
    headerTools: any[];
    height: number;
    headerLineHeight: number;
    onHeaderClick: EventEmitter<any>;
    onToolItemClick: EventEmitter<ICoreTabsToolItemEventData>;
    activeIndex: number;
    contentHeight: number;
    constructor(mls: MultiLanguageService, layoutService: LayoutService, alertService: AlertService);
    container: ElementRef;
    private removeDuplicateTabs;
    ngOnChanges(changes: SimpleChanges): void;
    onClick(index: number): void;
    onToolItemClickLocal(code: string): void;
    private resize;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTabsComponent, "core-tabs", never, { "headers": { "alias": "headers"; "required": false; }; "contents": { "alias": "contents"; "required": false; }; "headerTools": { "alias": "headerTools"; "required": false; }; "height": { "alias": "height"; "required": false; }; "headerLineHeight": { "alias": "headerLineHeight"; "required": false; }; }, { "onHeaderClick": "onHeaderClick"; "onToolItemClick": "onToolItemClick"; }, never, never, true, never>;
}
