import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { ITag } from '../interfaces';
import { EnumCoreButtonCode } from '../../core-button-group/core-button/EnumButtonCaptionCode';
import { ICoreButtonVNS } from '../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { CorePermissionService } from '../../core-permission/core-permission.service';
import { AlertService } from '../../alert/alert.service';
import { Subscription } from 'rxjs';
import { ICoreFunctionAction } from '../../core-permission-actions/core-permission-actions/core-permission-actions.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { RoutingService } from '../../../services/routing.service';
import * as i0 from "@angular/core";
export declare class CoreTagsComponent extends CoreFormControlBaseComponent implements OnInit, AfterViewInit, OnChanges {
    private corePermissionService;
    private alertService;
    private mls;
    private routingService;
    functionId: number;
    allOptions: ITag[];
    disabled: boolean;
    onValueChange: EventEmitter<ICoreFunctionAction>;
    value: number[];
    lang: string;
    tags: ITag[];
    search: string;
    checkAll: boolean;
    actionButtons: ICoreButtonVNS[];
    subscriptions: Subscription[];
    shownButtons: EnumCoreButtonCode[];
    viewAbstractButton: ICoreButtonVNS;
    constructor(corePermissionService: CorePermissionService, alertService: AlertService, mls: MultiLanguageService, routingService: RoutingService);
    writeValue(obj: number[]): void;
    mapActionButton(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onSuggestItemClick(tag: ITag): void;
    onInputKeydown(e: any): void;
    onActive(tag: ITag): void;
    onToogleItem(tag: ITag): void;
    toggleCheckAll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTagsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTagsComponent, "core-tags", never, { "functionId": { "alias": "functionId"; "required": false; }; "allOptions": { "alias": "allOptions"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "onValueChange": "onValueChange"; }, never, never, true, never>;
}
