import { ElementRef, OnInit, Renderer2, WritableSignal } from '@angular/core';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { Subscription } from 'rxjs';
import { DomService } from '../services/dom.service';
import { AlertService } from '../alert/alert.service';
import { AppService } from '../../services/app.service';
import { ResponseService } from '../../services/response.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { api } from 'alpha-global-constants';
import * as i0 from "@angular/core";
export declare class CoreTopicPickerComponent extends CoreFormControlBaseComponent implements OnInit {
    private domService;
    private renderer;
    private appService;
    private responseService;
    private alertService;
    private mls;
    popupHeight: number;
    getByIdApi: api | string;
    container: ElementRef;
    subscriptions: Subscription[];
    expandState: WritableSignal<boolean>;
    shownText: string;
    loading: WritableSignal<boolean>;
    lang: string;
    listenerFn: () => void;
    value: number | null;
    constructor(domService: DomService, renderer: Renderer2, appService: AppService, responseService: ResponseService, alertService: AlertService, mls: MultiLanguageService);
    ngOnInit(): void;
    toggleExpanded(): void;
    onTreeItemClick(event: any): void;
    writeValue(obj: number | null): void;
    onClickClear(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTopicPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTopicPickerComponent, "core-topic-picker", never, { "popupHeight": { "alias": "popupHeight"; "required": false; }; "getByIdApi": { "alias": "getByIdApi"; "required": false; }; }, {}, never, never, true, never>;
}
