import { AfterContentInit, AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef, WritableSignal } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CoreFormControlBaseComponent } from '../core-form-control-base/core-form-control-base.component';
import { TopicTreeService, IArticleCategoryTreeItem, ITopicTreeLinearItem } from '../../services/topic-tree.service';
import { Subject, Subscription } from 'rxjs';
import { AlertService } from '../alert/alert.service';
import { AuthService } from '../../services/auth.service';
import { RecursiveService } from '../services/recursive.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { LayoutService } from '../../services/layout.service';
import { EnumTranslateKey } from 'alpha-global-constants';
import * as i0 from "@angular/core";
export declare enum EnumCoreArticleCategoryTreeaAccessorMode {
    ACTIVATED_SINGLE = "ACTIVATED_SINGLE",
    ACTIVATED_INHERITANCE = "ACTIVATED_INHERITANCE",
    CHECKED = "CHECKED"
}
export declare class CoreTopicTreeComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterContentInit, AfterViewInit, OnDestroy, ControlValueAccessor {
    private authService;
    private recursiveService;
    private mls;
    layoutService: LayoutService;
    private topicTreeService;
    private alertService;
    private cdr;
    lineColor: string;
    fullWidthMode: boolean;
    accessorMode: EnumCoreArticleCategoryTreeaAccessorMode;
    fullRendering: boolean;
    height: number;
    disabledLoopExpand: boolean;
    showCheckInheritance: boolean;
    translateText: boolean;
    inlineExtraTemplateRef: TemplateRef<any>;
    itemDoubleClick: EventEmitter<any>;
    itemClick: EventEmitter<any>;
    container: ElementRef;
    displayContent: ElementRef;
    reducedIconWrapper: ElementRef;
    value: number[];
    writeValue(obj: number[]): void;
    setDisabledState(disabled: boolean): void;
    activeIds: number[];
    checkedIds: number[];
    data: WritableSignal<IArticleCategoryTreeItem[]>;
    loading: boolean;
    subscriptions: Subscription[];
    linearArticleCategoryArray: ITopicTreeLinearItem[];
    search: string;
    search$: Subject<string>;
    reduced: boolean;
    searchPlaceholder: EnumTranslateKey;
    initializing: boolean;
    checkInheritance: boolean;
    showDissolved: boolean;
    selectedKey: string | undefined;
    selectedItem: ITopicTreeLinearItem;
    lang: WritableSignal<string>;
    instanceNumber: number;
    scrollContainerHeight: number;
    constructor(authService: AuthService, recursiveService: RecursiveService, mls: MultiLanguageService, layoutService: LayoutService, topicTreeService: TopicTreeService, alertService: AlertService, cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    private resizeHeight;
    ngAfterViewInit(): void;
    onItemClickLocal(e: IArticleCategoryTreeItem): void;
    onToggleItem(e: IArticleCategoryTreeItem): void;
    buildTreeData(): void;
    onExpandTogglerClick(e: IArticleCategoryTreeItem, event: any): void;
    onItemCheck(e: IArticleCategoryTreeItem, newValue: boolean): void;
    onCheckIncludeDissolvedChange(value: boolean): void;
    onCheckInheritanceChange(value: boolean): void;
    onObjectClick(e: IArticleCategoryTreeItem, event: any): void;
    onSearchChange(text: string): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTopicTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTopicTreeComponent, "core-topic-tree", never, { "lineColor": { "alias": "lineColor"; "required": false; }; "fullWidthMode": { "alias": "fullWidthMode"; "required": false; }; "accessorMode": { "alias": "accessorMode"; "required": false; }; "fullRendering": { "alias": "fullRendering"; "required": false; }; "height": { "alias": "height"; "required": false; }; "disabledLoopExpand": { "alias": "disabledLoopExpand"; "required": false; }; "showCheckInheritance": { "alias": "showCheckInheritance"; "required": false; }; "translateText": { "alias": "translateText"; "required": false; }; "inlineExtraTemplateRef": { "alias": "inlineExtraTemplateRef"; "required": false; }; }, { "itemDoubleClick": "itemDoubleClick"; "itemClick": "itemClick"; }, never, never, true, never>;
}
