import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { api } from "alpha-global-constants";
import { CoreFormControlBaseComponent } from '../../core-form-control-base/core-form-control-base.component';
import { AppService } from '../../../services/app.service';
import { IEveryTreeStatus, RecursiveService } from '../../services/recursive.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { DialogService } from '../../../services/dialog.service';
import { CoreControlService } from '../../core-form/core-control.service';
import { BehaviorSubject, Subscription } from 'rxjs';
import { EnumCoreButtonVNSCode } from '../../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { ICoreButtonVNS } from '../../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { EnumTranslateKey } from "alpha-global-constants";
import { EnumCoreTreeGridEditMode, ICoreTreeGridColumnItem } from '../core-tree-grid-interfaces';
import { FormGroup } from '@angular/forms';
import { ICorePageEditCRUD } from '../../core-page-edit/ICorePageEditCRUD';
import { CoreTableService, ICoreColumnsHeaderGroupTransformed, IHeaderGroupItem } from '../../../services/core-table.service';
import { AppConfigService } from '../../../services/app-config.service';
import * as i0 from "@angular/core";
export declare class CoreTreeGridComponent extends CoreFormControlBaseComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private appService;
    private recursiveService;
    private mls;
    private dialogService;
    private coreControlService;
    private coreTableService;
    private appConfigService;
    private ngZone;
    linearItems$: BehaviorSubject<any[]>;
    editMode: EnumCoreTreeGridEditMode;
    height: number;
    columns: ICoreTreeGridColumnItem[];
    keyField: string;
    titleField: string;
    parentField: string;
    headerHeight: number;
    arrowSize: number;
    rowHeight: number;
    toggleOnArrowOnly: boolean;
    leafOnlyTemplateRef: boolean;
    status: IEveryTreeStatus;
    treeCaption: EnumTranslateKey | string;
    headerCellPadding: number;
    headerBorderSize: number;
    treeColumnWidth: number;
    treeBlockPaddingLeft: number;
    treeNodeLevelPadding: number;
    contentCellVerticalPadding: number;
    contentCellHorizontalPadding: number;
    hideExpandCollapseToggler: boolean;
    disableHoverEffect: boolean;
    orderBy: string;
    getFullListApi: api;
    crud: ICorePageEditCRUD;
    disableTreeCreateUpdate: boolean;
    disableDoubleClick: boolean;
    onRowDoubleClick: EventEmitter<any>;
    onSubmitSuccess: EventEmitter<any>;
    container: ElementRef;
    linearItems: any[];
    data: any[];
    lang: string;
    headerGroups: IHeaderGroupItem[] | undefined;
    dialogInstanceNumber: number;
    totalWidth: number;
    loading: boolean;
    maxTier: number;
    subscriptions: Subscription[];
    pendingParentContext: any;
    pendingContext: any;
    pendingAction: EnumCoreButtonVNSCode;
    editModeActivated: boolean;
    checkError$: BehaviorSubject<boolean>;
    form: FormGroup;
    transformed: ICoreColumnsHeaderGroupTransformed;
    activeId: any;
    expandLevel: number;
    statusChangeCount: number;
    orderByChangeCount: number;
    toolItems: EnumCoreButtonVNSCode[];
    headerToolItems: EnumCoreButtonVNSCode[];
    headerGroupExist: boolean;
    constructor(appService: AppService, recursiveService: RecursiveService, mls: MultiLanguageService, dialogService: DialogService, coreControlService: CoreControlService, coreTableService: CoreTableService, appConfigService: AppConfigService, ngZone: NgZone);
    calculateWidths(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    private reload;
    ngAfterViewInit(): void;
    buildTreeData(includeStatus?: boolean): void;
    onExpandTogglerClick(context: any, e: any): void;
    onObjectClick(context: any, event: any): void;
    onLiClick(context: any, event: any): void;
    onHeaderToolClick(event: ICoreButtonVNS): void;
    onToolClick(event: ICoreButtonVNS, context: any): void;
    collapseAll(): void;
    collapseUp(): void;
    expandDown(): void;
    expandAll(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreTreeGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreTreeGridComponent, "core-tree-grid", never, { "linearItems$": { "alias": "linearItems$"; "required": false; }; "editMode": { "alias": "editMode"; "required": true; }; "height": { "alias": "height"; "required": true; }; "columns": { "alias": "columns"; "required": true; }; "keyField": { "alias": "keyField"; "required": true; }; "titleField": { "alias": "titleField"; "required": true; }; "parentField": { "alias": "parentField"; "required": true; }; "headerHeight": { "alias": "headerHeight"; "required": true; }; "arrowSize": { "alias": "arrowSize"; "required": false; }; "rowHeight": { "alias": "rowHeight"; "required": false; }; "toggleOnArrowOnly": { "alias": "toggleOnArrowOnly"; "required": false; }; "leafOnlyTemplateRef": { "alias": "leafOnlyTemplateRef"; "required": false; }; "status": { "alias": "status"; "required": false; }; "treeCaption": { "alias": "treeCaption"; "required": false; }; "headerCellPadding": { "alias": "headerCellPadding"; "required": false; }; "headerBorderSize": { "alias": "headerBorderSize"; "required": false; }; "treeColumnWidth": { "alias": "treeColumnWidth"; "required": false; }; "treeBlockPaddingLeft": { "alias": "treeBlockPaddingLeft"; "required": false; }; "treeNodeLevelPadding": { "alias": "treeNodeLevelPadding"; "required": false; }; "contentCellVerticalPadding": { "alias": "contentCellVerticalPadding"; "required": false; }; "contentCellHorizontalPadding": { "alias": "contentCellHorizontalPadding"; "required": false; }; "hideExpandCollapseToggler": { "alias": "hideExpandCollapseToggler"; "required": false; }; "disableHoverEffect": { "alias": "disableHoverEffect"; "required": false; }; "orderBy": { "alias": "orderBy"; "required": false; }; "getFullListApi": { "alias": "getFullListApi"; "required": false; }; "crud": { "alias": "crud"; "required": false; }; "disableTreeCreateUpdate": { "alias": "disableTreeCreateUpdate"; "required": false; }; "disableDoubleClick": { "alias": "disableDoubleClick"; "required": false; }; }, { "onRowDoubleClick": "onRowDoubleClick"; "onSubmitSuccess": "onSubmitSuccess"; }, never, never, true, never>;
}
