import { AfterViewInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AppService } from '../../../services/app.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { CoreWorkflowService } from '../core-workflow.service';
import { IWfWorkflow } from '../interfaces/IWfWorkflow';
import { AlertService } from '../../alert/alert.service';
import { BehaviorSubject, Subject, Subscription } from 'rxjs';
import { IWfWorkflowGroup } from '../interfaces/IWfWorkflowGroup';
import { CoreFormDesignService } from '../../core-form-design/core-form-design.service';
import * as i0 from "@angular/core";
export declare class CoreWorkflowListComponent extends BaseComponent implements AfterViewInit {
    router: Router;
    route: ActivatedRoute;
    coreWorkflowService: CoreWorkflowService;
    coreFormDesignService: CoreFormDesignService;
    appService: AppService;
    private alertService;
    mls: MultiLanguageService;
    doublePointDown: Subscription;
    $tabHeader: import("@angular/core").WritableSignal<string>;
    $loading: import("@angular/core").WritableSignal<boolean>;
    $sortMode: import("@angular/core").WritableSignal<boolean>;
    searchTearm$: BehaviorSubject<string>;
    orderChanges$: Subject<IWfWorkflowGroup[]>;
    isDevMode: boolean;
    pointerdown$: Subject<string>;
    $activeWorkflowGroup: import("@angular/core").WritableSignal<IWfWorkflowGroup | undefined>;
    $activeWorkflow: import("@angular/core").WritableSignal<IWfWorkflow | undefined>;
    constructor(router: Router, route: ActivatedRoute, coreWorkflowService: CoreWorkflowService, coreFormDesignService: CoreFormDesignService, appService: AppService, alertService: AlertService, mls: MultiLanguageService);
    onSearchChange(event: any): void;
    dbSchemaSettings(): void;
    createWorkflowGroup(): void;
    createWorkflow(groupId: number): void;
    deleteWorkflow(flow: IWfWorkflow): void;
    toggleLock(flow: IWfWorkflow, group?: IWfWorkflowGroup): void;
    designWorkflow(flow: IWfWorkflow, group?: IWfWorkflowGroup): void;
    togglerSortMode(): void;
    onListReorderUpdate(orderSet: {
        id: string;
        orderNum: number;
    }[]): void;
    ngAfterViewInit(): void;
    onPointerdown(workflow: IWfWorkflow, group: IWfWorkflowGroup): void;
    onTabClick(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreWorkflowListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreWorkflowListComponent, "core-workflow-list", never, {}, {}, never, never, true, never>;
}
