import { AfterViewInit, Injector, WritableSignal } from '@angular/core';
import { IWorkflowSchemaTable } from '../interfaces/IWorkflowSchema';
import { CoreWorkflowService } from '../core-workflow.service';
import { BaseComponent } from '../../base-component/base/base.component';
import { BehaviorSubject, Subject } from 'rxjs';
import { DbService, IGetWorkflowSchemaRequest } from '../../../services/db.service';
import * as i0 from "@angular/core";
export declare class DbSettingsComponent extends BaseComponent implements AfterViewInit {
    wfs: CoreWorkflowService;
    dbs: DbService;
    injector: Injector;
    $loading: WritableSignal<boolean>;
    $sortMode: WritableSignal<boolean>;
    $activeHintEditor: WritableSignal<{
        table: IWorkflowSchemaTable;
        column: string;
        top: number;
        left: number;
    } | null>;
    orderChanges$: Subject<IWorkflowSchemaTable[]>;
    activeColumnsChanges$: Subject<{
        table: string;
        activeColumns: string[];
    }>;
    $totalItems: WritableSignal<number>;
    searchTerm: string;
    search$: BehaviorSubject<string>;
    getListStream$: BehaviorSubject<IGetWorkflowSchemaRequest | null>;
    onFieldToggle(table: IWorkflowSchemaTable, e: string[]): void;
    openHintEditor(table: IWorkflowSchemaTable, e: any): void;
    closeHintEditor(): void;
    onSearchChange(e: string): void;
    getActiveColumnNameArray(table: string): string[];
    updateTableStatus(table: IWorkflowSchemaTable, isActive: boolean): void;
    togglerSortMode(): void;
    updateColumnStatus(table: IWorkflowSchemaTable, selectedColumns: string[]): void;
    save(): void;
    ngAfterViewInit(): void;
    onTableShowMoreClicked(table: string, e: any): void;
    onListReorderUpdate(orderSet: {
        id: string;
        orderNum: number;
    }[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbSettingsComponent, "db-settings", never, {}, {}, never, never, true, never>;
}
