import { WritableSignal } from '@angular/core';
import { ISubmitResponseItem } from '../interfaces/ISubmitResponseItem';
import { IRoutingResult } from '../interfaces/IRoutingResult';
import { BaseComponent } from '../../base-component/base/base.component';
import { EnumImageResolverType } from '../../../directives/image-error-resolver.directive';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { CoreWorkflowService } from '../core-workflow.service';
import { AlertService } from '../../alert/alert.service';
import { AppConfigService } from '../../../services/app-config.service';
import { IPlannedActor } from '../interfaces/IPlannedActor';
import * as i0 from "@angular/core";
export declare class RoutingPreviewComponent extends BaseComponent {
    mls: MultiLanguageService;
    $previewMode: import("@angular/core").InputSignal<boolean>;
    $loading: WritableSignal<boolean>;
    $loadingMessage: WritableSignal<string>;
    $backendMessage: WritableSignal<string>;
    $submitResponseItems: WritableSignal<ISubmitResponseItem[]>;
    $results: WritableSignal<IRoutingResult[]>;
    logExpandedStates: WritableSignal<boolean[]>;
    $logs: WritableSignal<string[]>;
    imageResolverType: EnumImageResolverType;
    isDevMode: boolean;
    $isDebugMode: WritableSignal<boolean>;
    $showResolvedSteps: WritableSignal<boolean>;
    $fullStepsForSubmit: import("@angular/core").Signal<void>;
    wfs: CoreWorkflowService;
    as: AlertService;
    appConfigService: AppConfigService;
    liveForm: import("@angular/forms").FormGroup<any>;
    constructor(mls: MultiLanguageService);
    handleKeyDown(event: KeyboardEvent): void;
    generateRouting(): void;
    initialDebugSubmit(): void;
    backToLiveForm(): void;
    onIsDebugModeChange(value: boolean): void;
    toggleResolvedSteps(): void;
    onEmailChange(actor: IPlannedActor, email: string): void;
    copy(value: string | number | undefined | null): void;
    toggleLog(index: number): void;
    isLogVisible(index: number): boolean;
    getLogLinesFor(index: number): string[];
    getCorrelationId(result: IRoutingResult): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoutingPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RoutingPreviewComponent, "routing-preview", never, { "$previewMode": { "alias": "$previewMode"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
