import { AfterViewInit, ElementRef, QueryList, Renderer2 } from '@angular/core';
import { IStep } from '../../interfaces/IStep';
import { BaseComponent } from '../../../base-component/base/base.component';
import { CoreWorkflowService } from '../../core-workflow.service';
import { EnumWorkflowStepType } from '../../enums/EnumWorkflowStepType';
import { IWorkflowBranch } from '../../interfaces/IWorkflowBranch';
import { BridgeLineService } from '../bridge-line.service';
import * as i0 from "@angular/core";
export declare class WfNodeComponent extends BaseComponent implements AfterViewInit {
    branchId: string;
    step: IStep;
    index: number;
    branchPriority: number;
    stepGroup: IStep[];
    conditionalBranches: IWorkflowBranch[];
    isRootLevelStepGroup: boolean;
    grandParentSteps: IStep[] | null;
    isInFallbackBranch: boolean;
    branchHeader: ElementRef;
    branchName: ElementRef;
    input: ElementRef;
    branchGroupRef: ElementRef<HTMLElement>;
    topBridgeLineRef: ElementRef<HTMLElement>;
    bottomBridgeLineRef: ElementRef<HTMLElement>;
    branchColumnRefs: QueryList<ElementRef<HTMLElement>>;
    listenerFn: (() => void) | null;
    enumType: typeof EnumWorkflowStepType;
    coreWorkflowService: CoreWorkflowService;
    renderer: Renderer2;
    bridgeLineService: BridgeLineService;
    stepNameEditMode: boolean;
    onInputBlur(): void;
    onStepNameChanged(newName: string): void;
    getBranchColumnElements(): HTMLElement[];
    private setupClickOutsideListener;
    private removeClickOutsideListener;
    onLabelClicked(): void;
    switchToNameEditMode(): void;
    adjustBridgeLines(): void;
    onDeleteBranch(branchId: string): void;
    onDeleteStep(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    openConditionEditor(): void;
    openNoneBranchRelatedEditor(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfNodeComponent, "wf-node", never, { "branchId": { "alias": "branchId"; "required": true; }; "step": { "alias": "step"; "required": true; }; "index": { "alias": "index"; "required": true; }; "branchPriority": { "alias": "branchPriority"; "required": true; }; "stepGroup": { "alias": "stepGroup"; "required": true; }; "conditionalBranches": { "alias": "conditionalBranches"; "required": false; }; "isRootLevelStepGroup": { "alias": "isRootLevelStepGroup"; "required": false; }; "grandParentSteps": { "alias": "grandParentSteps"; "required": false; }; "isInFallbackBranch": { "alias": "isInFallbackBranch"; "required": false; }; }, {}, never, never, true, never>;
}
