import { WritableSignal } from '@angular/core';
import { BaseComponent } from '../../../../base-component/base/base.component';
import { EnumActorSourceType } from '../../../enums/EnumActorSourceType';
import { ICoreRadioOption } from '../../../../core-radio-group/core-radio-group/core-radio-group.component';
import { BehaviorSubject } from 'rxjs';
import { IActorAssignment } from '../../../interfaces/IActorAssignment';
import { ICoreDropdownOption } from '../../../../../interfaces/ICoreDropdownOption';
import { ICoreParamControl } from '../../../../core-header-params/enum-and-interfaces';
import { CoreWorkflowService } from '../../../core-workflow.service';
import { MultiLanguageService } from '../../../../../services/multi-language.service';
import { HttpClient } from '@angular/common/http';
import { AlertService } from '../../../../alert/alert.service';
import { AppService } from '../../../../../services/app.service';
import * as i0 from "@angular/core";
export declare class WfActorSelectorComponent extends BaseComponent {
    mls: MultiLanguageService;
    wfs: CoreWorkflowService;
    http: HttpClient;
    as: AlertService;
    appService: AppService;
    $value: WritableSignal<IActorAssignment | undefined>;
    $valueChange: import("@angular/core").OutputEmitterRef<IActorAssignment | null>;
    levelSpecificOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    levelNgModel$: BehaviorSubject<number | undefined>;
    employeeObjectList$: BehaviorSubject<any[]>;
    positionObjectList$: BehaviorSubject<any[]>;
    $selectedActorAssignmentJson: import("@angular/core").Signal<string>;
    onNgModelChange: (ngModel: string, value: any) => void;
    levelSpecificControl: ICoreParamControl;
    employeeIdsControl: ICoreParamControl;
    positionIdsControl: ICoreParamControl;
    readonly AVAILABLE_SOURCES: EnumActorSourceType[];
    constructor(mls: MultiLanguageService);
    ngOnInit(): void;
    updateLevelOptions(source: EnumActorSourceType): void;
    actorSourceOptions$: BehaviorSubject<ICoreRadioOption[]>;
    unsupportedYetactorSourceOptions$: BehaviorSubject<ICoreRadioOption[]>;
    $showEmployeeSeeker: import("@angular/core").Signal<boolean>;
    $showPositionSeeker: import("@angular/core").Signal<boolean>;
    $showLevel: import("@angular/core").Signal<boolean>;
    $showStepKey: import("@angular/core").Signal<boolean>;
    onSourceChanged(newSource: EnumActorSourceType): void;
    onStaticValueSelected(value: number[]): void;
    onLevelChanged(level: number): void;
    onStepKeyChanged(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfActorSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfActorSelectorComponent, "wf-actor-selector", never, {}, { "$valueChange": "$valueChange"; }, never, never, true, never>;
}
