import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, WritableSignal } from '@angular/core';
import { IStep } from '../interfaces/IStep';
import { CoreWorkflowService } from '../core-workflow.service';
import { EnumWorkflowStepType } from '../enums/EnumWorkflowStepType';
import { IInsertStepEvent } from '../interfaces/IInsertStepEvent';
import { IWorkflowInsertPoint } from '../interfaces/IWorkflowInsertPoint';
import { IWorkflowBranch } from '../interfaces/IWorkflowBranch';
import { BaseComponent } from '../../base-component/base/base.component';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { ApplicationHelpService } from '../../../services/application-help.service';
import { DomService } from '../../services/dom.service';
import * as i0 from "@angular/core";
export declare class WfWorkflowCanvasComponent extends BaseComponent implements AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    $width: WritableSignal<number>;
    $height: WritableSignal<number>;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $printArea: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $zoomTools: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $parent: import("@angular/core").Signal<ElementRef<any> | undefined>;
    hotKeys: string[];
    enumType: typeof EnumWorkflowStepType;
    ROOT_BRANCH_ID: string;
    wfs: CoreWorkflowService;
    $steps: WritableSignal<IStep[]>;
    applicationHelpService: ApplicationHelpService;
    domService: DomService;
    insertIndex: number | null;
    $previewZIndex: WritableSignal<number>;
    $scale: WritableSignal<number>;
    $scalePercent: import("@angular/core").Signal<string>;
    cdr: ChangeDetectorRef;
    $mouseDown: WritableSignal<boolean>;
    $isDragging: import("@angular/core").Signal<boolean>;
    $startX: WritableSignal<any>;
    $scrollLeft: WritableSignal<any>;
    $startY: WritableSignal<any>;
    $scrollTop: WritableSignal<any>;
    constructor(mls: MultiLanguageService);
    startDragging(e: any, flag: any): void;
    stopDragging(e: any, flag: any): void;
    moveEvent(e: any): void;
    ngAfterViewInit(): void;
    findBranchById(branchId: string, steps?: IStep[]): IWorkflowBranch | undefined;
    safeInsertStep(branchId: string | null, index: number, newStep: IStep): void;
    insertStep(event: IInsertStepEvent): void;
    showInsertInBranch(context: IWorkflowInsertPoint): void;
    insertIntoBranch(event: IInsertStepEvent): void;
    private findStepRecursive;
    addBranchToConditional(conditionalStepId: string): void;
    deleteBranchGroup(stepId: string): void;
    tempOnLabelClicked(): void;
    onInsert(event: IInsertStepEvent): void;
    clearInsertContext(): void;
    showStepsJSON(): void;
    zoonIn(): void;
    zoonOut(): void;
    zoonFeat(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfWorkflowCanvasComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfWorkflowCanvasComponent, "wf-workflow-canvas", never, {}, {}, never, never, true, never>;
}
