import { AfterViewInit, ElementRef, WritableSignal, SimpleChanges } from '@angular/core';
import * as d3 from 'd3';
import { MultiLanguageService } from '../../../services/multi-language.service';
import * as i0 from "@angular/core";
export declare enum EnumHrComparisonCode {
    WITH_PREVIOUS_MONTH = "WITH_PREVIOUS_MONTH",
    WITH_PREVIOUS_YEAR = "WITH_PREVIOUS_YEAR"
}
export interface IHrMetric {
    id: number;
    name: string;
    comparisonCode: EnumHrComparisonCode;
    dataType: EnumICoreStatisticWidgetDataType;
}
export declare enum EnumICoreStatisticWidgetDataType {
    INTEGER = "INTEGER",
    DECIMAL = "DECIMAL",
    PERCENTAGE = "PERCENTAGE"
}
export interface IGraphMarginPadding {
    top: number;
    right: number;
    bottom: number;
    left: number;
}
export interface ICoreStatisticWidgetDataset {
    x: number;
    y: number;
}
export interface ICoreStatisticWidgetInputs {
    metric: IHrMetric;
    dataset: ICoreStatisticWidgetDataset[];
    value: number;
    comparisonValue: number | undefined;
}
export declare class CoreStatisticWidgetComponent implements AfterViewInit {
    private mls;
    $metric: import("@angular/core").InputSignal<IHrMetric | undefined>;
    $dataset: import("@angular/core").InputSignal<ICoreStatisticWidgetDataset[]>;
    $value: import("@angular/core").InputSignal<number | undefined>;
    $comparisonValue: import("@angular/core").InputSignal<number | undefined>;
    $innerGroupBackgroundColor: import("@angular/core").InputSignal<string>;
    $margin: import("@angular/core").InputSignal<IGraphMarginPadding>;
    $padding: import("@angular/core").InputSignal<IGraphMarginPadding>;
    $outerWidth: import("@angular/core").InputSignal<number>;
    $outerHeight: import("@angular/core").InputSignal<number>;
    $outerGroupBackgroundColor: import("@angular/core").InputSignal<string>;
    $divisorLineStrokeColor: import("@angular/core").InputSignal<any>;
    $divisorLineStrokeWidth: import("@angular/core").InputSignal<number>;
    $lowPickColor: import("@angular/core").InputSignal<any>;
    $highPickColor: import("@angular/core").InputSignal<any>;
    $comparisonTextFillColor: import("@angular/core").InputSignal<any>;
    lang: string;
    constructor(mls: MultiLanguageService);
    valueFontSize: number;
    divisorLineMargin: IGraphMarginPadding;
    titleFillColor: any;
    valueFillColor: any;
    comparisonValueFillColor: any;
    showAxes: boolean;
    $container: import("@angular/core").Signal<ElementRef<any> | undefined>;
    $innerWidth: import("@angular/core").Signal<number>;
    $innerHeight: import("@angular/core").Signal<number>;
    $width: import("@angular/core").Signal<number>;
    $height: import("@angular/core").Signal<number>;
    $graphWidth: import("@angular/core").Signal<number>;
    $graphHeight: import("@angular/core").Signal<number>;
    $titleRectWidth: import("@angular/core").Signal<number>;
    $titleRectHeight: import("@angular/core").Signal<number>;
    $valueRectWidth: import("@angular/core").Signal<number>;
    $valueRectHeight: import("@angular/core").Signal<number>;
    $comparisonValueRectWidth: import("@angular/core").Signal<number>;
    $comparisonValueRectHeight: import("@angular/core").Signal<number>;
    $comparisonTextRectWidth: import("@angular/core").Signal<number>;
    $comparisonTextRectHeight: import("@angular/core").Signal<number>;
    x: import("@angular/core").Signal<d3.ScaleLinear<number, number, never>>;
    y: import("@angular/core").Signal<d3.ScaleLinear<number, number, never>>;
    previousValue: WritableSignal<number | undefined>;
    previousComparisonValue: WritableSignal<number | undefined>;
    xAxisCall: import("@angular/core").Signal<d3.Axis<d3.NumberValue>>;
    yAxisCall: import("@angular/core").Signal<d3.Axis<d3.NumberValue>>;
    ngOnChanges(changes: SimpleChanges): void;
    updateMetricName(): void;
    updateMetricValue(): void;
    updateMetricComparisonValue(): void;
    updateMetricComparisonText(): void;
    updateDataset(): void;
    svg: any;
    innerGroup: any;
    greenGroup: any;
    titleGroup: any;
    valueGroup: any;
    valueText: any;
    grayGroup: any;
    comparisonValueGroup: any;
    comparisonTextGroup: any;
    comparisonValueText: any;
    comparisonTextText: any;
    connectingLine: any;
    intervalId: any;
    drawGraph(): Promise<void>;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreStatisticWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreStatisticWidgetComponent, "core-statistic-widget", never, { "$metric": { "alias": "$metric"; "required": false; "isSignal": true; }; "$dataset": { "alias": "$dataset"; "required": true; "isSignal": true; }; "$value": { "alias": "$value"; "required": true; "isSignal": true; }; "$comparisonValue": { "alias": "$comparisonValue"; "required": true; "isSignal": true; }; "$innerGroupBackgroundColor": { "alias": "$innerGroupBackgroundColor"; "required": false; "isSignal": true; }; "$margin": { "alias": "$margin"; "required": false; "isSignal": true; }; "$padding": { "alias": "$padding"; "required": false; "isSignal": true; }; "$outerWidth": { "alias": "$outerWidth"; "required": true; "isSignal": true; }; "$outerHeight": { "alias": "$outerHeight"; "required": true; "isSignal": true; }; "$outerGroupBackgroundColor": { "alias": "$outerGroupBackgroundColor"; "required": false; "isSignal": true; }; "$divisorLineStrokeColor": { "alias": "$divisorLineStrokeColor"; "required": false; "isSignal": true; }; "$divisorLineStrokeWidth": { "alias": "$divisorLineStrokeWidth"; "required": false; "isSignal": true; }; "$lowPickColor": { "alias": "$lowPickColor"; "required": false; "isSignal": true; }; "$highPickColor": { "alias": "$highPickColor"; "required": false; "isSignal": true; }; "$comparisonTextFillColor": { "alias": "$comparisonTextFillColor"; "required": false; "isSignal": true; }; "valueFontSize": { "alias": "valueFontSize"; "required": false; }; "divisorLineMargin": { "alias": "divisorLineMargin"; "required": false; }; "titleFillColor": { "alias": "titleFillColor"; "required": false; }; "valueFillColor": { "alias": "valueFillColor"; "required": false; }; "comparisonValueFillColor": { "alias": "comparisonValueFillColor"; "required": false; }; "showAxes": { "alias": "showAxes"; "required": false; }; }, {}, never, never, true, never>;
}
