import { BaseComponent } from "../base-component/base/base.component";
import { EnumTranslateKey } from "alpha-global-constants";
import { api } from "alpha-global-constants";
import { IFilterOperator, IInOperator, ISortItem } from "../../interfaces/IQueryListRequest";
import { BehaviorSubject } from "rxjs";
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from "../core-page-list/core-page-list.component";
import { ICoreTableColumnItem } from "../core-table/ICoreTableColumnItem";
import { IGenerateTemplateRequest } from "../core-page-list/core-page-list.service";
import { RandomAvatarService } from "../../services/random-avatar.service";
import { OrganizationService } from "../../services/organization.service";
import { MultiLanguageService } from "../../services/multi-language.service";
import { ICoreButtonVNS } from "../core-button-group-vns/core-button-group-vns/ICoreButtonVNS";
import { AfterViewInit, EventEmitter, OnInit, TemplateRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class DecisionComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    ras: RandomAvatarService;
    organizationService: OrganizationService;
    hideHeader: boolean;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    onCorePageHeaderButtonClick: EventEmitter<ICoreButtonVNS>;
    onRowClick: EventEmitter<any>;
    onSelectedDataChange: EventEmitter<any[]>;
    avatar: TemplateRef<any>;
    sticker: TemplateRef<any>;
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusInclusionForLabelKey: EnumTranslateKey;
    workStatusOptionsApi: api;
    id: any;
    orgIds: number[];
    title: EnumTranslateKey;
    outerParam$: BehaviorSubject<any>;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[];
    outerSort: ISortItem[];
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    avatarTemplate: TemplateRef<any>;
    defaultSort: ISortItem[];
    columns: ICoreTableColumnItem[];
    defaultAvatar: string;
    generateTemplateRequest: IGenerateTemplateRequest;
    editRoute: ICorePageListEditRouting;
    selectedData: any[];
    corePageListInstanceNumber: number;
    constructor(mls: MultiLanguageService, ras: RandomAvatarService, organizationService: OrganizationService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onOrgIdsChange(orgIds: number[]): void;
    onRowClickLocal(e: any): void;
    onCorePageHeaderButtonClickLocal(e: ICoreButtonVNS): void;
    onSelectedDataChangeLocal(e: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DecisionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DecisionComponent, "cms-profile-decision", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, { "onCorePageHeaderButtonClick": "onCorePageHeaderButtonClick"; "onRowClick": "onRowClick"; "onSelectedDataChange": "onSelectedDataChange"; }, never, never, true, never>;
}
