import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { BaseComponent } from '../base-component/base/base.component';
import { EnumCoreButtonVNSCode } from '../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { ICoreRadioOption } from '../core-radio-group/core-radio-group/core-radio-group.component';
import { BehaviorSubject } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { MultiLanguageService } from '../../services/multi-language.service';
import { EvaluateDialogService } from '../../services/valuate-dialog.service';
import { RoutingService } from '../../services/routing.service';
import { AlertService } from '../alert/alert.service';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import * as i0 from "@angular/core";
export declare class EvaluateDialogComponent extends BaseComponent implements OnInit, AfterViewInit, OnDestroy {
    mls: MultiLanguageService;
    evaluateDialogService: EvaluateDialogService;
    private routingService;
    private alertService;
    showingUp: boolean;
    buttonItems: EnumCoreButtonVNSCode[];
    container: ElementRef;
    show: boolean | undefined;
    okButtonText: EnumTranslateKey;
    cancelButtonText: EnumTranslateKey;
    title: EnumTranslateKey;
    body: EnumTranslateKey;
    showCancelOnly: boolean;
    informationLines: string[];
    reason: string;
    options$: BehaviorSubject<ICoreRadioOption[]>;
    btnConfirm: EnumTranslateKey;
    btnCancel: EnumTranslateKey;
    formType: number;
    formImportType: number;
    hiddenBtn: boolean;
    hiddenImportBtn: boolean;
    hiddenImportRadioBtn: boolean;
    hiddenExportRadioBtn: boolean;
    fileImport: ElementRef;
    shownBtn: boolean;
    shownInput: boolean;
    showInputNumber: boolean;
    dateInput: Date;
    dateWage: EnumTranslateKey;
    reasonLable: EnumTranslateKey;
    inputNumber: number;
    constructor(mls: MultiLanguageService, evaluateDialogService: EvaluateDialogService, routingService: RoutingService, alertService: AlertService);
    ngAfterViewInit(): void;
    close(): void;
    onProgressWindowClose(e: any): void;
    onConfirm(): void;
    onButtonClick(e: ICoreButtonVNS): void;
    onReasonEvent(e: any): void;
    onDateInputChange(e: any): void;
    ngOnDestroy(): void;
    onInputNumberChange(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EvaluateDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EvaluateDialogComponent, "app-evaluate-dialog", never, { "showingUp": { "alias": "showingUp"; "required": false; }; "buttonItems": { "alias": "buttonItems"; "required": false; }; }, {}, never, never, true, never>;
}
