import { OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { DomService } from '../../services/dom.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { BaseDropdownComponent } from '../../base-dropdown/base-dropdown/base-dropdown.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { EnumIconClass } from '../../../enum/EnumIconClass';
import * as i0 from "@angular/core";
interface ILanguageChangerMenuItem {
    lang: EnumTranslateKey;
    translateCode: EnumTranslateKey;
    iconClass: EnumIconClass;
}
export declare class LanguageChangerComponent extends BaseDropdownComponent implements OnInit, OnDestroy {
    mls: MultiLanguageService;
    renderer: Renderer2;
    domService: DomService;
    languages: ILanguageChangerMenuItem[];
    currentLang: EnumTranslateKey;
    constructor(mls: MultiLanguageService, renderer: Renderer2, domService: DomService);
    ngAfterViewInit(): void;
    onBlockClick(): void;
    onMenuItemClick(item: ILanguageChangerMenuItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LanguageChangerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LanguageChangerComponent, "app-language-changer", never, {}, {}, never, never, true, never>;
}
export {};
