import { ElementRef, OnInit, OnDestroy, OnChanges, SimpleChanges, AfterViewInit } from '@angular/core';
import { BehaviorSubject, Subscription } from 'rxjs';
import { Router } from '@angular/router';
import { NavigatorService } from '../../../services/navigator.service';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { LayoutService } from '../../../services/layout.service';
import { INavigatorItem } from '../../../interfaces/INavigatorItem';
import { MenuService } from '../../../services/menu.service';
import * as i0 from "@angular/core";
export declare const DEFAULT_SVG = "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"none\" stroke=\"currentColor\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\" class=\"feather feather-help-circle\"><circle cx=\"12\" cy=\"12\" r=\"10\"></circle><path d=\"M9.09 9a3 3 0 0 1 5.83 1c0 2-3 3-3 3\"></path><line x1=\"12\" y1=\"17\" x2=\"12.01\" y2=\"17\"></line></svg>";
export declare class ItemComponent implements OnChanges, OnInit, AfterViewInit, OnDestroy {
    private router;
    navigatorService: NavigatorService;
    private mls;
    layoutService: LayoutService;
    private menuService;
    item: INavigatorItem;
    level: number;
    me: ElementRef;
    children: ElementRef;
    link: ElementRef;
    subArrow: ElementRef;
    caption: string;
    defaultSvg: string;
    subMenuSvgIconRight: string;
    hasChildren: boolean;
    mainWindowState: string;
    expanded: boolean;
    leftbarReduced: boolean;
    subscriptions: Subscription[];
    wideMode: boolean;
    currentWidth: number;
    active: boolean;
    iconClickStream$: BehaviorSubject<string>;
    constructor(router: Router, navigatorService: NavigatorService, mls: MultiLanguageService, layoutService: LayoutService, menuService: MenuService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    subArrowClicked(event: Event, item: INavigatorItem): void;
    onClick(event: any, item: INavigatorItem): void;
    checkActive(): boolean;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ItemComponent, "app-item", never, { "item": { "alias": "item"; "required": false; }; "level": { "alias": "level"; "required": false; }; }, {}, never, never, true, never>;
}
