import { ActivatedRoute } from '@angular/router';
import { BaseComponent } from '../base-component/base/base.component';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../core-page-list/core-page-list.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { IFilterOperator, IInOperator } from '../../interfaces/IQueryListRequest';
import { IAlertOptions } from '../alert/alert/alert.model';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import { OrganizationService } from '../../services/organization.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { AlertService } from '../alert/alert.service';
import { DialogService } from '../../services/dialog.service';
import { AppService } from '../../services/app.service';
import { LayoutService } from '../../services/layout.service';
import { CorePageListService } from '../core-page-list/core-page-list.service';
import { PositionTransferService } from '../../services/position-transfer.service';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { PositionEditService } from './positon.edit.service';
import { AfterViewInit, EventEmitter, TemplateRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PositionComponent extends BaseComponent implements AfterViewInit {
    positionEditService: PositionEditService;
    mls: MultiLanguageService;
    route: ActivatedRoute;
    organizationService: OrganizationService;
    alertService: AlertService;
    dialogService: DialogService;
    appService: AppService;
    layoutService: LayoutService;
    corePageListService: CorePageListService;
    positionTransferService: PositionTransferService;
    hideHeader: boolean;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    onInstanceCreated: EventEmitter<number>;
    isTDV: TemplateRef<any>;
    isNotot: TemplateRef<any>;
    sticker: TemplateRef<any>;
    concurrentStatus: TemplateRef<any>;
    checkboxTemplate: TemplateRef<any>;
    orgIds: number[];
    orgId: number;
    listInstance: number;
    selectedIds: number[];
    outerParam$: BehaviorSubject<any>;
    apiDefinition: ICorePageListApiDefinition;
    title: EnumTranslateKey;
    crud: ICorePageListCRUD;
    alertOptions: IAlertOptions;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[] | null;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    constructor(positionEditService: PositionEditService, mls: MultiLanguageService, route: ActivatedRoute, organizationService: OrganizationService, alertService: AlertService, dialogService: DialogService, appService: AppService, layoutService: LayoutService, corePageListService: CorePageListService, positionTransferService: PositionTransferService);
    onSelectedIdsChangeeee(e: number[]): void;
    onRowClick(event: any): void;
    ngAfterViewInit(): void;
    onOrgIdsChange(orgIds: number[]): void;
    onInstanceCreatedLocal(event: number): void;
    swapMasterInterim(): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PositionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PositionComponent, "cms-app-position", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, { "onInstanceCreated": "onInstanceCreated"; }, never, never, true, never>;
}
