import * as i0 from "@angular/core";
export interface IDataItem {
    date: string;
    currentMonth?: boolean;
    dateValue: Date;
}
export interface IDataRow {
    items: IDataItem[];
    mixed: boolean;
}
export interface ICalendarBody {
    rows: IDataRow[];
}
export interface IDecadeYearsObject {
    title: string;
    items: number[][];
}
export interface IMonthIdentity {
    year: number;
    monthIndex: number;
}
export interface IDateRange {
    startDate: Date;
    endDate: Date;
}
export declare class CoreDatetimeService {
    timeZoneOffset: any;
    constructor();
    getMonthText(lang: string, monthIndex: number): string;
    dateToVnString(date: Date): string;
    dateToLocalizedString(value: Date, lang: string): string;
    private getOrdinalSuffix;
    getShortWeekdays(lang: string): any;
    getWeekdays(lang: string): any;
    getMonthNames(lang: string): any;
    private getMonoCalendarBody;
    getCalendarBody(year: number, monthIndex: number, direction?: number): ICalendarBody;
    getLastDateOfMonth(year: number, monthIndex: number): Date;
    getDecadeYearsObject(currentYear: number): IDecadeYearsObject;
    isDateString(date: string): boolean;
    monthIdentityToMonthString(monthIdentity: IMonthIdentity): string;
    dateToMonthString(date: Date): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreDatetimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreDatetimeService>;
}
