import { ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare enum EnumRecursiveFields {
    ACTIVE_FIELD = "active",
    CHECKED_FIELD = "checked",
    EXPANDED_FIELD = "expanded"
}
export interface IEveryTreeStatus {
    selectedKey: string | undefined;
    activeKeys: string[];
    checkedKeys?: string[];
    expandedKeys: string[];
    checkInheritance?: boolean;
}
export interface IRecursiveServiceItem {
    tree$Key: string;
    tree$Title: string;
    tree$Parent: string;
    tree$Children: IRecursiveServiceItem[];
    tree$Tier: number;
    tree$Path: string;
    tree$HasChildren: boolean;
    tree$HasActiveChildren: boolean;
    tree$HasGrandchildren: boolean;
    tree$Expanded?: boolean;
    tree$Active?: boolean;
    tree$Highlighted?: boolean;
    tree$InheritantActive?: boolean;
    tree$Checked?: boolean;
    tree$Selected?: boolean;
}
export declare class RecursiveService {
    linerArrayToNestedArray(list: any[], keyField: string, titleField: string, parentField: string, activeField?: string, checkedField?: string, expandedField?: string, status?: IEveryTreeStatus | null, orderBy?: string): Observable<any>;
    nestedArrayToLinerArray(list: any[], keyField: string, titleField: string, parentField: string): Promise<any[]>;
    nestedResetActive(item: any, valueToBeSet: boolean): Promise<number[]>;
    nestedToggleCheck(item: any, valueToBeSet: boolean, showDissolved?: boolean): Promise<number[]>;
    findItem(search: string, treeData: IRecursiveServiceItem[]): Observable<string[]>;
    initialize(status: IEveryTreeStatus, data: any): void;
    findItemObjectByKey(key: string, treeData: IRecursiveServiceItem[]): IRecursiveServiceItem | null;
    loopExpandParent(currentParentKey: string, treeData: IRecursiveServiceItem[]): void;
    writeValueChecked(checkedKeys: string[], treeData: IRecursiveServiceItem[], disabledLoopExpand?: boolean): Observable<void>;
    writeValueActivated(activatedKeys: string[], treeData: IRecursiveServiceItem[], disabledLoopExpand?: boolean): Observable<void>;
    buildTreeData(cloneCopy: any[], orderBy?: string): Promise<any[]>;
    highlightNodes(li: any, searchTermLower: any): boolean;
    reducingFilter(container: ElementRef<any>, searchTerm: string): void;
    findItemByPath(nestedInstance: any[], path: string): any | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecursiveService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RecursiveService>;
}
