import { TemplateRef, AfterViewInit, ChangeDetectorRef, OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Router, ActivatedRoute } from '@angular/router';
import { HttpClient } from '@angular/common/http';
import { BaseComponent } from '../base-component/base/base.component';
import { EnumTranslateKey } from "alpha-global-constants";
import { api } from "alpha-global-constants";
import { IFilterOperator, IInOperator, ISortItem } from '../../interfaces/IQueryListRequest';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../core-page-list/core-page-list.component';
import { MultiLanguageService } from '../../services/multi-language.service';
import { RandomAvatarService } from '../../services/random-avatar.service';
import { OrganizationService } from '../../services/organization.service';
import { LayoutService } from '../../services/layout.service';
import { AlertService } from '../alert/alert.service';
import { ICoreButtonVNS } from '../core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { IGenerateTemplateRequest } from '../core-page-list/core-page-list.service';
import { ICoreTableColumnItem } from '../core-table/ICoreTableColumnItem';
import { EnumImageResolverType } from '../../directives/image-error-resolver.directive';
import { ICoreParamControl } from '../core-header-params/enum-and-interfaces';
import * as i0 from "@angular/core";
export declare class StaffProfileComponent extends BaseComponent implements OnChanges, AfterViewInit {
    mls: MultiLanguageService;
    ras: RandomAvatarService;
    router: Router;
    route: ActivatedRoute;
    organizationService: OrganizationService;
    http: HttpClient;
    layoutService: LayoutService;
    alertService: AlertService;
    hideHeader: boolean;
    height: number;
    cdr: ChangeDetectorRef;
    avatar: TemplateRef<any>;
    avatarResolverType: EnumImageResolverType;
    orgIds: number[];
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusInclusionForLabelKey: EnumTranslateKey;
    statusOptionsApi: api;
    loading: boolean;
    title: EnumTranslateKey;
    outerSort: ISortItem[];
    outerParam$: BehaviorSubject<any>;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[];
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    avatarTemplate: TemplateRef<any>;
    columns: ICoreTableColumnItem[];
    defaultAvatar: string;
    editRoute: ICorePageListEditRouting;
    generateTemplateRequest: IGenerateTemplateRequest;
    filterOperators$: BehaviorSubject<IFilterOperator[]>;
    id: any;
    paramRows: ICoreParamControl[][];
    ngOnChanges(changes: SimpleChanges): void;
    onNgModelChange: (ngModel: string, value: any) => void;
    constructor(mls: MultiLanguageService, ras: RandomAvatarService, router: Router, route: ActivatedRoute, organizationService: OrganizationService, http: HttpClient, layoutService: LayoutService, alertService: AlertService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onOrgIdsChange(orgIds: number[]): void;
    onRowDoubleClick(e: any): void;
    selectedIds: any[];
    onSelectedIdsChange1(e: string[] | number[]): void;
    onRowClick(e: any): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StaffProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StaffProfileComponent, "cms-profile-staffprofile", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; "height": { "alias": "height"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, {}, never, never, true, never>;
}
