import { TemplateRef, OnDestroy, OnInit } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { BaseComponent } from "../base-component/base/base.component";
import { IAlertOptions } from "../alert/alert/alert.model";
import { ICoreParamControl } from "../core-header-params/enum-and-interfaces";
import { EnumTranslateKey } from "alpha-global-constants";
import { BehaviorSubject } from "rxjs";
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from "../core-page-list/core-page-list.component";
import { api } from "alpha-global-constants";
import { IFilterOperator, IInOperator, ISortItem } from "../../interfaces/IQueryListRequest";
import { EnumCoreButtonVNSCode } from "../core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode";
import { CorePageListService, IGenerateTemplateRequest } from "../core-page-list/core-page-list.service";
import { ICoreTableColumnItem } from "../core-table/ICoreTableColumnItem";
import { OrganizationService } from "../../services/organization.service";
import { MultiLanguageService } from "../../services/multi-language.service";
import { RandomAvatarService } from "../../services/random-avatar.service";
import { AppService } from "../../services/app.service";
import { AlertService } from "../alert/alert.service";
import { EvaluateDialogService } from "../../services/valuate-dialog.service";
import { ICoreButtonVNS } from "../core-button-group-vns/core-button-group-vns/ICoreButtonVNS";
import * as i0 from "@angular/core";
export declare class WageComponent extends BaseComponent implements OnInit, OnDestroy {
    mls: MultiLanguageService;
    ras: RandomAvatarService;
    organizationService: OrganizationService;
    appService: AppService;
    alertService: AlertService;
    corePageListService: CorePageListService;
    http: HttpClient;
    evaluateDialogService: EvaluateDialogService;
    hideHeader: boolean;
    outerFilter$: BehaviorSubject<IFilterOperator[] | undefined>;
    avatar: TemplateRef<any>;
    sticker: TemplateRef<any>;
    id: any;
    orgIds: number[];
    listInstance: number;
    paramRows: ICoreParamControl[][];
    selectedIds: number[];
    alertOptions: IAlertOptions;
    title: EnumTranslateKey;
    outerParam$: BehaviorSubject<any>;
    datePeriodComparisonFor: string;
    datePeriodComparisonForLabelKey: EnumTranslateKey;
    statusInclusionFor: string;
    statusInclusionForLabelKey: EnumTranslateKey;
    workStatusOptionsApi: api;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[];
    apiDefinition: ICorePageListApiDefinition;
    crud: ICorePageListCRUD;
    avatarTemplate: TemplateRef<any>;
    generateTemplateRequest: IGenerateTemplateRequest;
    buttonItems: EnumCoreButtonVNSCode[];
    columns: ICoreTableColumnItem[];
    defaultAvatar: string;
    editRoute: ICorePageListEditRouting;
    outerSort: ISortItem[];
    constructor(mls: MultiLanguageService, ras: RandomAvatarService, organizationService: OrganizationService, appService: AppService, alertService: AlertService, corePageListService: CorePageListService, http: HttpClient, evaluateDialogService: EvaluateDialogService);
    ngAfterViewInit(): void;
    onOrgIdsChange(orgIds: number[]): void;
    onInstanceCreated(event: number): void;
    onNgModelChange: (ngModel: string, value: any) => void;
    ngOnInit(): void;
    onSelectedIdsChangeeee(e: number[]): void;
    UpdateUpsal(): void;
    onRowClick(e: any): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WageComponent, "cms-profile-wage", never, { "hideHeader": { "alias": "hideHeader"; "required": false; }; "outerFilter$": { "alias": "outerFilter$"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, {}, never, never, true, never>;
}
