import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { EnumCoreOrgTreeaAccessorMode } from '../../libraries/core-org-tree/core-org-tree/core-org-tree.component';
import { ICoreChecklistOption } from '../../libraries/core-checklist/core-checklist/core-checklist.component';
import { IDroppableEventSubscription } from '../../libraries/core-shift-cell/core-shift-cell.component';
import { BehaviorSubject, Subscription } from 'rxjs';
import { DndService } from '../../services/dnd.service';
import { ShiftPatternDndService } from '../../services/shift-pattern-dnd.service';
import { ICoreDatePickerRange } from '../../libraries/core-date-picker/core-date-picker/core-date-picker.component';
import { AppService } from '../../services/app.service';
import { AlertService } from '../../libraries/alert/alert.service';
import { MultiLanguageService } from '../../services/multi-language.service';
import { IAtShiftPatternPreview } from '../../interfaces/time-management/IAtShiftPatternPreview';
import { IAtShiftPattern } from '../../interfaces/time-management/IAtShiftPattern';
import { AtShiftPatternService } from '../at-shift-pattern/at-shift-pattern.service';
import { CoreDatetimeService } from '../../libraries/services/core-datetime.service';
import { AtHolidayService } from '../at-holiday/at-holiday.service';
import { IAtHolidayItem } from '../../interfaces/time-management/IAtHolidayItem';
import { ICoreButtonVNS } from '../../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { OrganizationService } from '../../services/organization.service';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
interface IMapInput {
    pattern: IAtShiftPattern;
    holidays: IAtHolidayItem[];
    startDate: Date;
    endDate: Date;
    startOffset?: number;
}
export declare class AtShiftPatternApplyComponent implements OnInit, AfterViewInit, OnDestroy {
    dropzone: ElementRef<any>;
    dropzoneInsider: ElementRef<any>;
    subscriptions: Subscription[];
    salPeriod: number;
    dndService: DndService;
    atShiftPatternService: AtShiftPatternService;
    atHolidayService: AtHolidayService;
    shiftPatternDndService: ShiftPatternDndService;
    appService: AppService;
    alertService: AlertService;
    mls: MultiLanguageService;
    coreDatetimeService: CoreDatetimeService;
    organizationService: OrganizationService;
    router: Router;
    lang: string;
    patternCollectionHeight: number;
    previewData: IAtShiftPatternPreview[];
    orgParamAccessorMode: EnumCoreOrgTreeaAccessorMode;
    orgIds: number[];
    empObjectIds: number[];
    currentMonth: string;
    fromDate: Date | undefined;
    toDate: Date | undefined;
    activeAtShiftPattern: IAtShiftPattern | undefined;
    scopeStartDate: Date | undefined;
    scopeEndDate: Date | undefined;
    empObjOptions$: BehaviorSubject<ICoreChecklistOption[]>;
    ignoreHolidays: boolean;
    ignoreEmptyCells: boolean;
    overrideDaysContainingManuallyEditedCells: boolean;
    showStartOffset: boolean;
    mapInput: IMapInput | undefined;
    abortController: AbortController | undefined;
    dndEventSubscriptions: IDroppableEventSubscription;
    colMdClass: string;
    dropzoneReady: boolean;
    isDraggingOverContainer: boolean;
    loading: boolean;
    longApiRunning: boolean;
    dropzoneHeight: number;
    private dragOverElements;
    startPeriod: Date;
    startPeriodString: string;
    endPeriod: Date;
    endPeriodString: string;
    startDate: Date | null;
    startDateString: string;
    endDate: Date | null;
    endDateString: string;
    periodId: number;
    dateRangeLimit: ICoreDatePickerRange;
    ngOnInit(): void;
    private setupDndSubscriptions;
    ngAfterViewInit(): void;
    private cleanUpSubscriptions;
    private cleanUpSubsequentSubscriptions;
    onSalPeriodChange(salPerId: number): void;
    onStartDateChange(e: any): void;
    onEndDateChange(e: any): void;
    onCurrentMonthChange(e: any): void;
    makePreviewData(): void;
    private mapWeekType;
    private mapDaysType;
    onCloseOffset(offset: number): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    onProgressWindowClose(e: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtShiftPatternApplyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AtShiftPatternApplyComponent, "core-at-shift-pattern-apply", never, {}, {}, never, never, true, never>;
}
export {};
