import { AfterViewInit, OnInit, QueryList, TemplateRef } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { EnumTranslateKey } from 'alpha-global-constants';
import { BehaviorSubject, Observable } from 'rxjs';
import { AtWorksignService } from './at-worksign.service';
import { BaseComponent } from '../../libraries/base-component/base/base.component';
import { ICorePageListApiDefinition, ICorePageListCRUD, ICorePageListEditRouting } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreParamControl } from '../../libraries/core-header-params/enum-and-interfaces';
import { IFilterOperator, IInOperator } from '../../interfaces/IQueryListRequest';
import { WorkShiftDndService } from '../../services/work-shift-dnd.service';
import { ICoreDropdownOption } from '../../interfaces/ICoreDropdownOption';
import { CoreButtonGroupService, ICoreButtonGroupStatus } from '../../libraries/core-button-group-vns/core-button-group-service';
import { EnumCoreOrgTreeaAccessorMode } from '../../libraries/core-org-tree/core-org-tree/core-org-tree.component';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import { MultiLanguageService } from '../../services/multi-language.service';
import { OrganizationService } from '../../services/organization.service';
import { AppService } from '../../services/app.service';
import { AlertService } from '../../libraries/alert/alert.service';
import { CorePageListService } from '../../libraries/core-page-list/core-page-list.service';
import { DialogService } from '../../services/dialog.service';
import { LongTaskService } from '../../libraries/services/long-task.service';
import { CoreDatetimeService } from '../../libraries/services/core-datetime.service';
import { ICoreButtonVNS } from '../../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import { IAtShift } from '../../interfaces/time-management/IAtShift';
import * as i0 from "@angular/core";
export declare class AtWorksignComponent extends BaseComponent implements OnInit, AfterViewInit {
    mls: MultiLanguageService;
    private coreButtonGroupService;
    private organizationService;
    private appService;
    atWorksignService: AtWorksignService;
    private alertService;
    private corePageListService;
    private router;
    private route;
    private dialogService;
    private workShiftDndService;
    private longTaskService;
    private coreDatetimeService;
    orgNameWithLock: TemplateRef<any>;
    days: number[];
    shiftCells: QueryList<TemplateRef<any>>;
    pendingAction: string;
    salPeriod: number;
    selectedIds: number[];
    paramRows: ICoreParamControl[][];
    filterOperators: IFilterOperator[];
    buttonGroupStatus: ICoreButtonGroupStatus;
    fullPeriodMode: boolean;
    subPeriodOption: string;
    subPeriodOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    subPeriodGetByIdObject$: BehaviorSubject<ICoreDropdownOption[]>;
    listInstance: number;
    showShiftCollection: boolean;
    orgParamAccessorMode: EnumCoreOrgTreeaAccessorMode;
    changedItems$: BehaviorSubject<any[]>;
    apiDefinition: ICorePageListApiDefinition;
    columns: ICoreTableColumnItem[];
    editRoute: ICorePageListEditRouting;
    labelList: {
        OrgUnits: EnumTranslateKey;
        salPeriod: EnumTranslateKey;
        viewMode: string;
    };
    title: EnumTranslateKey;
    crud: ICorePageListCRUD;
    currentMonth: string;
    periodId: number;
    outerParam$: BehaviorSubject<any>;
    outerFilterOperators: IFilterOperator[];
    outerInOperators: IInOperator[] | null;
    orgIds: number[];
    listSaturdaySunday: number[];
    startPeriod: Date;
    startPeriodString: string;
    endPeriod: Date;
    endPeriodString: string;
    startDate: Date;
    startDateString: string;
    endDate: Date;
    endDateString: string;
    loading: boolean;
    longTaskIsRunning: boolean;
    constructor(mls: MultiLanguageService, coreButtonGroupService: CoreButtonGroupService, organizationService: OrganizationService, appService: AppService, // CoreService is DEPRECATED!!!,
    atWorksignService: AtWorksignService, alertService: AlertService, corePageListService: CorePageListService, router: Router, route: ActivatedRoute, dialogService: DialogService, workShiftDndService: WorkShiftDndService, longTaskService: LongTaskService, coreDatetimeService: CoreDatetimeService);
    onNgModelChange: (ngModel: string, value: any) => void;
    ngOnInit(): void;
    onOrgIdsChange(orgIds: number[]): void;
    mapColumn(startDate: Date, endDate: Date): void;
    onSalPeriodChange(salPerId: number): void;
    onCurrentMonthChange(e: any): void;
    onSubPeriodOptionChange(e: string): void;
    resetCacheAndReload(): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    ngAfterViewInit(): void;
    goFirstSevenDays(confirm?: boolean): void;
    goPreviousSevenDays(confirm?: boolean): void;
    goNextSevenDays(confirm?: boolean): void;
    goFullPeriod(confirm?: boolean): void;
    goFirstTwoWeek(confirm?: boolean): void;
    onCellChange(columnName: string, columnValue: IAtShift[], row: any): void;
    onListInstanceCreated(e: number): void;
    onRowDoubleClick(e: any): void;
    canDeactivate(): Observable<boolean> | boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtWorksignComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AtWorksignComponent, "core-at-worksign", never, {}, {}, never, never, true, never>;
}
