import { AfterViewInit } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { ActivatedRoute, Router } from '@angular/router';
import { BaseComponent } from '../../../libraries/base-component/base/base.component';
import { AtWorksignService } from '../at-worksign.service';
import { LayoutService } from '../../../services/layout.service';
import { ICoreDatePickerRange } from '../../../libraries/core-date-picker/core-date-picker/core-date-picker.component';
import { UrlService } from '../../../services/url.service';
import { DialogService } from '../../../services/dialog.service';
import { AppService } from '../../../services/app.service';
import { WorkShiftDndService } from '../../../services/work-shift-dnd.service';
import { EnumCoreFormControlSeekerSourceType } from '../../../libraries/core-form-control-seeker/EnumCoreFormControlSeekerSourceType';
import { IAtShift } from '../../../interfaces/time-management/IAtShift';
import { EnumCoreButtonVNSCode } from '../../../libraries/core-button-group-vns/core-button-group-vns/EnumCoreButtonVNSCode';
import { MultiLanguageService } from '../../../services/multi-language.service';
import { ICoreButtonVNS } from '../../../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import * as i0 from "@angular/core";
export declare class IndividualScheduleApplyComponent extends BaseComponent implements AfterViewInit {
    mls: MultiLanguageService;
    atWorksignService: AtWorksignService;
    layoutService: LayoutService;
    urlService: UrlService;
    router: Router;
    route: ActivatedRoute;
    dialogService: DialogService;
    appService: AppService;
    workShiftDndService: WorkShiftDndService;
    employeeSeekerSourceType: EnumCoreFormControlSeekerSourceType;
    employeeObjectList$: BehaviorSubject<any[]>;
    selectedEmployees: number[];
    shiftCell: IAtShift[];
    fromPeriod?: Date;
    toPeriod?: Date;
    fromDate: Date;
    toDate: Date;
    buttons: EnumCoreButtonVNSCode[];
    selectedEmployeeTableHeight: number;
    initialFormValueString: string;
    shiftCellError: string;
    fromDateError: string;
    toDateError: string;
    selectedEmployeesError: string;
    shiftCollectionHeight: number;
    dateRangeLimit: ICoreDatePickerRange;
    loading: boolean;
    listInstance: number;
    constructor(mls: MultiLanguageService);
    onButtonClick(e: ICoreButtonVNS): void;
    validateForm(): boolean;
    ngAfterViewInit(): void;
    onShiftCellChange(e: IAtShift[]): void;
    onFromDateChange(e: any): void;
    onToDateChange(e: any): void;
    onSelectedEmployeesChange(e: any[]): void;
    canDeactivate(): Observable<boolean> | boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IndividualScheduleApplyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IndividualScheduleApplyComponent, "app-individual-schedule-apply", never, {}, {}, never, never, true, never>;
}
