import { AfterViewInit, OnDestroy, TemplateRef } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { BehaviorSubject, Subscription } from "rxjs";
import { EnumTranslateKey } from "alpha-global-constants";
import { ICoreDropdownOption } from "../../../interfaces/ICoreDropdownOption";
import { BaseEditComponent } from "../../../libraries/base-edit/base-edit/base-edit.component";
import { ICoreFormSection } from "../../../libraries/core-form/core-form/enum-interfaces";
import { ICorePageEditCRUD } from "../../../libraries/core-page-edit/ICorePageEditCRUD";
import { DialogService } from "../../../services/dialog.service";
import { ResponseService } from "../../../services/response.service";
import { FunctionEditService } from "../../sys-function-url-mapper/function-edit.services";
import { CoreFormService } from "../../../libraries/core-form/core-form.service";
import { MultiLanguageService } from "../../../services/multi-language.service";
import { AppConfigService } from "../../../services/app-config.service";
import * as i0 from "@angular/core";
export declare class FunctionEditComponent extends BaseEditComponent implements AfterViewInit, OnDestroy {
    dialogService: DialogService;
    mls: MultiLanguageService;
    private fncService;
    private responseService;
    private coreFormService;
    pathHtmlTooltip: TemplateRef<any>;
    appConfigService: AppConfigService;
    loading: boolean;
    entityTable: string;
    subscriptions: Subscription[];
    groupOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    moduleOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    captionCode: EnumTranslateKey;
    crud: ICorePageEditCRUD;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, mls: MultiLanguageService, fncService: FunctionEditService, responseService: ResponseService, coreFormService: CoreFormService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FunctionEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FunctionEditComponent, "app-function-edit", never, {}, {}, never, never, true, never>;
}
