import { AfterViewInit, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { BehaviorSubject, Subscription } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import { ICoreDropdownOption } from '../../../interfaces/ICoreDropdownOption';
import { api } from "alpha-global-constants";
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { AppService } from '../../../services/app.service';
import { EnumCoreTreeGridEditMode, ICoreTreeGridColumnItem } from '../../../libraries/core-tree-grid/core-tree-grid-interfaces';
import { LayoutService } from '../../../services/layout.service';
import { ICoreButtonVNS } from '../../../libraries/core-button-group-vns/core-button-group-vns/ICoreButtonVNS';
import * as i0 from "@angular/core";
export declare class MenuComponent implements OnInit, AfterViewInit, OnDestroy {
    private router;
    private route;
    private appService;
    private layoutService;
    isWebapp: TemplateRef<any>;
    isPortal: TemplateRef<any>;
    title: EnumTranslateKey;
    editMode: EnumCoreTreeGridEditMode;
    treeGridHeight: number;
    /**
     * FOR CoreTreeGrid
     */
    getFullListApi: api;
    crud: ICorePageEditCRUD;
    functionDropdownOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    subscriptions: Subscription[];
    disableTreeCreateUpdate: boolean;
    columns: ICoreTreeGridColumnItem[];
    constructor(router: Router, route: ActivatedRoute, appService: AppService, layoutService: LayoutService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onRowDoubleClick(event: any): void;
    ngOnDestroy(): void;
    onCorePageHeaderButtonClick(e: ICoreButtonVNS): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "app-menu", never, {}, {}, never, never, true, never>;
}
