import { AfterViewInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { BehaviorSubject, Subscription } from 'rxjs';
import { SysActionEditService } from '../../sys-action/sys-action-edit/sys-action-edit.service';
import { api } from "alpha-global-constants";
import { EnumTranslateKey } from "alpha-global-constants";
import { ICoreDropdownOption } from '../../../interfaces/ICoreDropdownOption';
import { BaseEditComponent } from '../../../libraries/base-edit/base-edit/base-edit.component';
import { ICoreFormSection } from '../../../libraries/core-form/core-form/enum-interfaces';
import { ICorePageEditCRUD } from '../../../libraries/core-page-edit/ICorePageEditCRUD';
import { AppService } from '../../../services/app.service';
import { DialogService } from '../../../services/dialog.service';
import { FunctionEditService } from '../../sys-function-url-mapper/function-edit.services';
import * as i0 from "@angular/core";
export declare class SysFunctionActionEditComponent extends BaseEditComponent implements AfterViewInit, OnDestroy {
    dialogService: DialogService;
    private appService;
    private sysActionEditService;
    private functionEditService;
    loading: boolean;
    entityTable: string;
    actionOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    functionOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    actionGetByIdObject$: BehaviorSubject<any>;
    actionGetByIdApi: api;
    functionGetByIdObject$: BehaviorSubject<any>;
    functionGetByIdApi: api;
    captionCode: EnumTranslateKey;
    subsctiptions: Subscription[];
    crud: ICorePageEditCRUD;
    subscriptions: Subscription[];
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, appService: AppService, sysActionEditService: SysActionEditService, functionEditService: FunctionEditService);
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysFunctionActionEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysFunctionActionEditComponent, "app-sys-function-action-edit", never, {}, {}, never, never, true, never>;
}
