import { AfterViewInit, OnDestroy } from '@angular/core';
import { FormGroup, ValidatorFn } from '@angular/forms';
import { Router } from '@angular/router';
import { BehaviorSubject, Subscription } from 'rxjs';
import { BaseEditComponent } from '../../libraries/base-edit/base-edit/base-edit.component';
import { INavigatorItem } from '../../interfaces/INavigatorItem';
import { ICoreDropdownOption } from '../../interfaces/ICoreDropdownOption';
import { EnumTranslateKey } from "alpha-global-constants";
import { ICorePageEditCRUD } from '../../libraries/core-page-edit/ICorePageEditCRUD';
import { ICoreTableColumnItem } from '../../libraries/core-table/ICoreTableColumnItem';
import { ICorePageListApiDefinition } from '../../libraries/core-page-list/core-page-list.component';
import { ICoreFormSection, IValidator } from '../../libraries/core-form/core-form/enum-interfaces';
import { CoreFormService } from '../../libraries/core-form/core-form.service';
import { AppService } from '../../services/app.service';
import { DialogService } from '../../services/dialog.service';
import { RoutingService } from '../../services/routing.service';
import { AlertService } from '../../libraries/alert/alert.service';
import { FunctionEditService } from './function-edit.services';
import { MultiLanguageService } from '../../services/multi-language.service';
import { NavigatorService } from '../../services/navigator.service';
import { StringService } from '../../libraries/services/string.service';
import { Location } from '@angular/common';
import { GrpcService } from '../../services/grpc.service';
import * as i0 from "@angular/core";
export declare class SysFunctionUrlMapperComponent extends BaseEditComponent implements AfterViewInit, OnDestroy {
    dialogService: DialogService;
    private fncService;
    private router;
    private coreFormService;
    private appService;
    private routingService;
    private mls;
    private navigatorService;
    private grpcService;
    private location;
    private alertService;
    private stringService;
    pendingUrl: string;
    lastClickedMenuItem: INavigatorItem;
    lastClickedMenuItemString: string;
    loading: boolean;
    entityTable: string;
    subscriptions: Subscription[];
    groupOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    moduleOptions$: BehaviorSubject<ICoreDropdownOption[]>;
    captionCode: EnumTranslateKey;
    crud: ICorePageEditCRUD;
    checkError$: BehaviorSubject<boolean>;
    pendingUpdatePayload: any;
    pendingLastClickedMenuItemString: string;
    pendingUpdateFunctionIdToMenuItem: boolean;
    dialogInstanceNumber: number;
    functionMccColumns: ICoreTableColumnItem[];
    functionMccApiDefinition: ICorePageListApiDefinition;
    functionMccSelectedRow$: BehaviorSubject<any>;
    moduleValidators: IValidator[];
    codeValidators: IValidator[];
    nameValidators: IValidator[];
    functionIdValidators: IValidator[];
    nativeModuleValidator: ValidatorFn;
    nativeCodeValidator: ValidatorFn;
    nativeNameValidator: ValidatorFn;
    nativeFunctionIdValidator: ValidatorFn;
    sections: ICoreFormSection[];
    constructor(dialogService: DialogService, fncService: FunctionEditService, router: Router, coreFormService: CoreFormService, appService: AppService, routingService: RoutingService, mls: MultiLanguageService, navigatorService: NavigatorService, grpcService: GrpcService, location: Location, alertService: AlertService, stringService: StringService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFormCreated(e: FormGroup): void;
    onFormReinit(e: string): void;
    onSubmit(event: {
        mode: string;
        formValue: any;
    }): void;
    private reloadFunctions;
    private reloadIgnoredPaths;
    private update;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SysFunctionUrlMapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SysFunctionUrlMapperComponent, "app-sys-function-url-mapper", never, {}, {}, never, never, true, never>;
}
