import { OnDestroy } from '@angular/core';
import { BehaviorSubject, Subscription } from 'rxjs';
import { AuthService } from './auth.service';
import { MultiLanguageService } from './multi-language.service';
import { LayoutService } from './layout.service';
import { AppConfigService } from './app-config.service';
import { IAuthData } from '../interfaces/IAuthData';
import { RoutingService } from './routing.service';
import { OrganizationService } from './organization.service';
import { AppService } from './app.service';
import { GrpcService } from './grpc.service';
import { SeekerService } from '../libraries/core-form-control-seeker/seeker.service';
import { ActionService } from '../services/action.service';
import { DeveloperValidationService } from './developer-validation.service';
import { PkceService } from './pkce.service';
import * as i0 from "@angular/core";
export declare class AppInitializationService implements OnDestroy {
    private authService;
    private mls;
    private layoutService;
    private organizationService;
    private routingService;
    private appConfigService;
    private appService;
    private grpcService;
    private seekerService;
    private actionService;
    private developerValidationService;
    private pkceService;
    initializing$: BehaviorSubject<boolean>;
    ssoProcessing$: BehaviorSubject<boolean>;
    subscriptions: Subscription[];
    primaryInitialized: boolean;
    storeSessionOk: boolean;
    pendingAuthData$: BehaviorSubject<IAuthData | null>;
    ssoFailed: boolean;
    constructor(authService: AuthService, mls: MultiLanguageService, layoutService: LayoutService, organizationService: OrganizationService, routingService: RoutingService, appConfigService: AppConfigService, appService: AppService, grpcService: GrpcService, seekerService: SeekerService, actionService: ActionService, developerValidationService: DeveloperValidationService, pkceService: PkceService);
    appInitialize(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppInitializationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppInitializationService>;
}
