import { Router } from "@angular/router";
import { BehaviorSubject, Observable } from "rxjs";
import { HubConnectionService } from "./hub-connection.service";
import { OrganizationService } from "./organization.service";
import { CommonHttpRequestService } from "../services/common-http-request.service";
import { AlertService } from "../libraries/alert/alert.service";
import { MultiLanguageService } from "./multi-language.service";
import { HttpClient as Http } from "@angular/common/http";
import { IClientLoginRequest } from "../interfaces/IClientLoginRequest";
import { IAuthData } from "../interfaces/IAuthData";
import { AppConfigService } from "./app-config.service";
import * as i0 from "@angular/core";
export declare class AuthService {
    private http;
    private router;
    private commonHttpRequestService;
    private hubConnectionService;
    private organizationService;
    private alertService;
    private appConfigService;
    private mls;
    private authenticate;
    authenticateState$: Observable<boolean>;
    data$: BehaviorSubject<IAuthData | null>;
    stopSubscription: boolean;
    authenticated$: BehaviorSubject<boolean>;
    refreshTokenInProgress: boolean;
    refreshTokenSubject: BehaviorSubject<any>;
    ssoProcessing$: BehaviorSubject<boolean>;
    refreshingToken$: BehaviorSubject<boolean>;
    profileAvatar: any;
    constructor(http: Http, router: Router, commonHttpRequestService: CommonHttpRequestService, hubConnectionService: HubConnectionService, organizationService: OrganizationService, alertService: AlertService, appConfigService: AppConfigService, mls: MultiLanguageService);
    userLogin(request: IClientLoginRequest): Observable<any>;
    userLogout(): Observable<any>;
    postLogout(): void;
    tryRestoreSession(): Observable<any>;
    getAuthorizationToken(): string;
    isAuthenticate: () => boolean;
    getUserInfo: () => void;
    getToken: () => string;
    parseJwt(token: string): any;
    resolveAuthenticateResponse(x: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
