import { BehaviorSubject, Observable } from 'rxjs';
import { PkceService } from './pkce.service';
import { ActivatedRoute } from '@angular/router';
import { AppService } from '../services/app.service';
import * as i0 from "@angular/core";
export declare class DeveloperValidationService {
    private pkceService;
    private route;
    private appService;
    authorizationEndpoint: string;
    tokenEndpoint: string;
    clientId: string;
    clientSecret: string;
    redirectUri: string;
    securityCheckedViaApi$: BehaviorSubject<boolean>;
    securityPassed$: BehaviorSubject<boolean>;
    constructor(pkceService: PkceService, route: ActivatedRoute, appService: AppService);
    saveValidation(status: boolean): void;
    validateFromCookie(): Observable<any>;
    monitorValidationStatus(): void;
    validateDeveloperViaPopup(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeveloperValidationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeveloperValidationService>;
}
