import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { EnumTranslateKey } from "alpha-global-constants";
import * as i0 from "@angular/core";
export interface IDialogConfirmModel {
    instanceNumber: number;
    confirmed: boolean;
}
export declare class DialogService {
    busy: boolean;
    showConfirmDialog$: BehaviorSubject<boolean | undefined>;
    canDeactivate$: Subject<boolean>;
    dialogConfirmed$: BehaviorSubject<IDialogConfirmModel | undefined>;
    title$: BehaviorSubject<EnumTranslateKey>;
    body$: BehaviorSubject<EnumTranslateKey>;
    okButtonText$: BehaviorSubject<EnumTranslateKey>;
    cancelButtonText$: BehaviorSubject<EnumTranslateKey>;
    showCancelOnly$: BehaviorSubject<boolean>;
    informationLines$: BehaviorSubject<string[]>;
    reason$: BehaviorSubject<string>;
    showingUp$: BehaviorSubject<boolean>;
    dialogStateOpen$: BehaviorSubject<boolean | undefined>;
    constructor();
    /**
     * Ask user to confirm an action. `message` explains the action and choices.
     * Returns observable resolving to `true`=confirm or `false`=cancel
     */
    confirm(message?: EnumTranslateKey): Observable<boolean>;
    resetService(): void;
    alert(message: string): void;
    createNew(title: EnumTranslateKey | undefined, okButtonText: EnumTranslateKey | undefined, cancelButtonText: EnumTranslateKey | undefined, showCancelOnly: boolean | undefined, body: EnumTranslateKey, informationLines?: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DialogService>;
}
