import { IFunctionWithFullActions } from './routing.service';
import { AlertService } from '../libraries/alert/alert.service';
import * as i0 from "@angular/core";
export interface FunctionResolutionResult {
    found: boolean;
    url: string;
    matchedPath?: string;
    matchedFunction?: IFunctionWithFullActions;
}
export declare class FunctionPathResolverService {
    private urlMatchCache;
    as: AlertService;
    constructor();
    /**
     * Enhanced segment matcher with support for multiple @param$ and auxiliary segments
     */
    private matchesPattern;
    /**
     * Resolve function based on fullFunctions path match
     */
    resolveFunction(url: string, fullFunctions: IFunctionWithFullActions[], ignorePartial: boolean, ignorePartialForProfileCenter: boolean): FunctionResolutionResult;
    clearCache(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FunctionPathResolverService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FunctionPathResolverService>;
}
