import { BehaviorSubject, Observable } from 'rxjs';
import { Router } from '@angular/router';
import { INavigatorItem } from '../interfaces/INavigatorItem';
import { MultiLanguageService } from './multi-language.service';
import * as i0 from "@angular/core";
export declare class NavigatorService {
    private router;
    private mls;
    rootNavigatorItems$: BehaviorSubject<INavigatorItem[]>;
    activeRootMenuItemId$: BehaviorSubject<number | undefined>;
    clickedItem$: BehaviorSubject<INavigatorItem | null>;
    clickedModuleItem$: BehaviorSubject<INavigatorItem | null>;
    activeItems$: BehaviorSubject<INavigatorItem[]>;
    wideMode$: BehaviorSubject<boolean>;
    showEditSvg$: BehaviorSubject<boolean>;
    color: string;
    backgroundColor: string;
    activeItemColor: string;
    activeItemBackgroundColor: string;
    hoverBackgroundColor: string;
    hoverColor: string;
    subMenuSvgIconRight: string;
    iconBorderRadius: number;
    iconGutterY: number;
    constructor(router: Router, mls: MultiLanguageService);
    itemHasChildren(item: INavigatorItem): boolean;
    setParentIdForMockupItem(item: INavigatorItem): void;
    seftToggleExpandSiblingsCollapse(items: INavigatorItem[], currentId: number): INavigatorItem[];
    findItem(search: string, treeData: INavigatorItem[]): Observable<string[]>;
    updateTreeState(treePath: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigatorService>;
}
