import { IOrgTreeItem } from '../libraries/core-org-tree/core-org-tree/IOrgTreeItem';
import { BehaviorSubject } from 'rxjs';
import { IEveryTreeStatus } from '../libraries/services/recursive.service';
import { RecursiveService } from '../libraries/services/recursive.service';
import * as i0 from "@angular/core";
export interface ICoreOrgTreeInstance {
    instanceNumber: number;
    selectedKey$: BehaviorSubject<string | undefined>;
    activeKeys$: BehaviorSubject<string[]>;
    checkedKeys$: BehaviorSubject<string[]>;
    expandedKeys$: BehaviorSubject<string[]>;
    checkInheritance$: BehaviorSubject<boolean>;
}
export declare class OrganizationService {
    private recursiveService;
    instances: ICoreOrgTreeInstance[];
    loading: boolean;
    orgTreeData$: BehaviorSubject<IOrgTreeItem[]>;
    orgTreeDataWithPositions$: BehaviorSubject<IOrgTreeItem[]>;
    linerData$: BehaviorSubject<IOrgTreeItem[]>;
    buildTreeFlag$: BehaviorSubject<boolean>;
    status$: BehaviorSubject<IEveryTreeStatus>;
    constructor(recursiveService: RecursiveService);
    buildTreeData(status?: IEveryTreeStatus): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrganizationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OrganizationService>;
}
