import { AppService } from './app.service';
import { Router } from '@angular/router';
import { AppConfigService } from './app-config.service';
import { AlertService } from '../libraries/alert/alert.service';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export interface IOffice365Pkce {
    IS_ENABLED: boolean;
    DISPLAY_NAME: string;
    CLIENT_ID: string;
    AUTHORIZATION_ENDPOINT: string;
    REDIRECT_URI: string;
    TOKEN_POST_ENDPOINT: string;
}
export declare class PkceService {
    private appConfigService;
    private appService;
    private router;
    private alertService;
    lsCodeVerifierName: string;
    isEnabled: boolean | undefined;
    authorizationEndpoint: string | undefined;
    clientId: string | undefined;
    redirectUri: string | undefined;
    tokenPostEndpoint: string | undefined;
    userGraphToken$: BehaviorSubject<string>;
    constructor(appConfigService: AppConfigService, appService: AppService, router: Router, alertService: AlertService);
    generateRandomCodeVerifier(length: number): string;
    generateCodeChallengeFromVerifier(v: string): Promise<string>;
    doAuthorize(): void;
    doAndGetToken(authorizationCode: any): Promise<string | undefined>;
    validateOffice365UserViaPopup(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PkceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PkceService>;
}
