import { SwPush } from '@angular/service-worker';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare enum EnumNotificationDir {
    AUTO = "auto",
    LTR = "ltr",
    RTL = "rtl"
}
export declare enum NotificationActionType {
    OPEN_URL = "openUrl",
    DISMISS = "dismiss",
    DEFAULT = "default"
}
export interface INotificationAction {
    action: NotificationActionType;
    title: string;
    icon?: string;
}
export interface INotificationDataOnActionClickUrl {
    url: string;
}
export interface INotificationDataOnActionClick {
    default: INotificationDataOnActionClickUrl;
    openUrl?: INotificationDataOnActionClickUrl;
    dismiss?: INotificationDataOnActionClickUrl;
}
export interface INotificationData {
    onActionClick?: INotificationDataOnActionClick;
}
export interface INotification {
    title?: string;
    body?: string;
    icon?: string;
    badge?: string;
    image?: string;
    tag?: string;
    renotify?: boolean;
    requireInteraction?: boolean;
    silent?: boolean;
    dir?: EnumNotificationDir;
    lang?: string;
    timestamp?: number;
    vibrate?: number | number[];
    actions?: INotificationAction[];
    data?: INotificationData;
}
export declare class PushNotificationService {
    private swPush;
    readonly VAPID_PUBLIC_KEY = "BDqqGCi_F6B_juuG8u388AYiFnhMgHrOGE534ltP1N1VXNTc_oWqDlsy-ilrQd_-q0gZQ_kNbSOY3J27-dRVs5s";
    pushSubscription$: BehaviorSubject<PushSubscription | undefined>;
    constructor(swPush: SwPush);
    subscribeToNotifications(): void;
    private listenForMessages;
    private handlePushMessage;
    static ɵfac: i0.ɵɵFactoryDeclaration<PushNotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PushNotificationService>;
}
