import { HttpRequest, HttpResponse } from '@angular/common/http';
import { MessageService } from './message.service';
import * as i0 from "@angular/core";
export interface RequestCacheEntry {
    url: string;
    response: HttpResponse<any>;
    lastRead: number;
}
export declare abstract class RequestCache {
    abstract get(req: HttpRequest<any>): HttpResponse<any> | undefined;
    abstract put(req: HttpRequest<any>, response: HttpResponse<any>): void;
}
export declare class RequestCacheWithMap implements RequestCache {
    private messenger;
    cache: Map<string, RequestCacheEntry>;
    constructor(messenger: MessageService);
    get(req: HttpRequest<any>): HttpResponse<any> | undefined;
    put(req: HttpRequest<any>, response: HttpResponse<any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RequestCacheWithMap, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RequestCacheWithMap>;
}
