import { BehaviorSubject, Observable } from 'rxjs';
import { IRoutingHistoryItem } from '../libraries/core-routing-history/core-routing-history/core-routing-history.component';
import { ISysFunction } from '../interfaces/entities/ISysFuntion';
import { AppService } from './app.service';
import { AppConfigService } from './app-config.service';
import * as i0 from "@angular/core";
export interface IFunctionWithFullActions extends ISysFunction {
    actionCodes: string[];
}
export declare class RoutingService {
    private appService;
    private appConfigService;
    navigating$: BehaviorSubject<boolean>;
    navigationUrl$: BehaviorSubject<string>;
    routingHistory$: BehaviorSubject<IRoutingHistoryItem[]>;
    navigationStartUrl$: BehaviorSubject<string>;
    navigationHeaderCode$: BehaviorSubject<string>;
    fullFunctions$: BehaviorSubject<IFunctionWithFullActions[]>;
    ignoredPaths$: BehaviorSubject<string[]>;
    currentFunction$: BehaviorSubject<IFunctionWithFullActions | undefined>;
    portalRoutes$: BehaviorSubject<{
        path: string;
        vi: string;
        en: string;
    }[]>;
    currentScreenCaption$: BehaviorSubject<string>;
    constructor(appService: AppService, appConfigService: AppConfigService);
    getAppTypeNumber(): number | undefined;
    getFullFunctions(): Observable<any>;
    getIgnorePaths(): Observable<any>;
    readAllFunctionWithAllActions(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoutingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoutingService>;
}
