import { ICoreParamControl, ISsrsDefaultValues } from '../libraries/core-header-params/enum-and-interfaces';
import { AlertService } from '../libraries/alert/alert.service';
import { CoreDatetimeService } from '../libraries/services/core-datetime.service';
import * as i0 from "@angular/core";
export declare enum EnumSsrsExpressFileExtension {
    pdf = "pdf",
    docx = "docx",
    xlsx = "xlsx"
}
export interface ISoapParameterItem {
    name: string;
    parameterTypeName: string;
    prompt: string;
    nullable: boolean;
    allowBlank: boolean;
    multiValue: boolean;
    queryParameter: boolean;
    validValuesQueryBased: boolean;
    defaultValuesQueryBased: boolean;
    validValues?: IValidValues;
    defaultValues?: ISsrsDefaultValues;
}
interface IValidValues {
    validValue: IValidValue[];
}
interface IValidValue {
    label: string;
    value: string;
}
export declare enum EnumSsrsExpressExportFormat {
    PDF = "PDF",
    EXCEL = "EXCEL",
    WORD = "WORD"
}
export interface IGenerateReportRequest {
    reportPath: string;
    parameterValues: IParameterValue[];
    fileName: string;
    format: string;
}
export interface IParameterValue {
    name: string;
    value: string | string[];
}
export declare class SsrsExpressService {
    private alertService;
    private coreDatetimeService;
    ssrsExpressExtensionMap: Map<string, string>;
    constructor(alertService: AlertService, coreDatetimeService: CoreDatetimeService);
    private onNgModelChange;
    private getControlType;
    countChars: (str: string, charToCount: string) => number;
    buildParamRows(input: ISoapParameterItem[], isMobile?: boolean): ICoreParamControl[][];
    convertToSSRSString(value: any): string;
    toSsrsParameterValues(input: ICoreParamControl[][]): IParameterValue[];
    validateParamRows(input: ICoreParamControl[][]): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SsrsExpressService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SsrsExpressService>;
}
export {};
