import { BehaviorSubject } from 'rxjs';
import { IEveryTreeStatus, IRecursiveServiceItem, RecursiveService } from '../libraries/services/recursive.service';
import * as i0 from "@angular/core";
export interface ITopicTreeLinearItem {
    id: number;
    nameCode: string;
    parentId: number;
    active?: boolean;
    selected?: boolean;
    checked?: boolean;
    expanded?: boolean;
    protected: boolean;
}
export interface ITopicTreeInstance {
    instanceNumber: number;
    selectedKey$: BehaviorSubject<string | undefined>;
    activeKeys$: BehaviorSubject<string[]>;
    checkedKeys$: BehaviorSubject<string[]>;
    expandedKeys$: BehaviorSubject<string[]>;
    checkInheritance$: BehaviorSubject<boolean>;
}
export interface IArticleCategoryTreeItem extends ITopicTreeLinearItem, IRecursiveServiceItem {
}
export declare class TopicTreeService {
    private recursiveService;
    instances: ITopicTreeInstance[];
    loading: boolean;
    topicTreeData$: BehaviorSubject<IArticleCategoryTreeItem[]>;
    linearData$: BehaviorSubject<IArticleCategoryTreeItem[]>;
    status$: BehaviorSubject<IEveryTreeStatus>;
    constructor(recursiveService: RecursiveService);
    buildTreeData(status?: IEveryTreeStatus): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopicTreeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TopicTreeService>;
}
