import { BehaviorSubject, Observable, Subject } from "rxjs";
import { EnumTranslateKey } from "alpha-global-constants";
import { IDialogConfirmModel } from "./dialog.service";
import * as i0 from "@angular/core";
export declare class EvaluateDialogService {
    busy: boolean;
    showConfirmDialog$: BehaviorSubject<boolean | undefined>;
    canDeactivate$: Subject<boolean>;
    dialogConfirmed$: BehaviorSubject<IDialogConfirmModel | undefined>;
    title$: BehaviorSubject<EnumTranslateKey>;
    body$: BehaviorSubject<EnumTranslateKey>;
    okButtonText$: BehaviorSubject<EnumTranslateKey>;
    cancelButtonText$: BehaviorSubject<EnumTranslateKey>;
    showCancelOnly$: BehaviorSubject<boolean>;
    informationLines$: BehaviorSubject<string[]>;
    reason$: BehaviorSubject<string>;
    showingUp$: BehaviorSubject<boolean>;
    shownBtn$: BehaviorSubject<boolean>;
    shownInput$: BehaviorSubject<boolean>;
    dateInput$: BehaviorSubject<Date>;
    showInputNumber$: BehaviorSubject<boolean>;
    formType: number;
    dialogStateOpen$: BehaviorSubject<boolean | undefined>;
    numberInput: number;
    constructor();
    /**
     * Ask user to confirm an action. `message` explains the action and choices.
     * Returns observable resolving to `true`=confirm or `false`=cancel
     */
    confirm(message?: EnumTranslateKey): Observable<boolean>;
    resetService(): void;
    alert(message: string): void;
    createNew(title: EnumTranslateKey | undefined, okButtonText: EnumTranslateKey | undefined, cancelButtonText: EnumTranslateKey | undefined, showCancelOnly: boolean | undefined, body: EnumTranslateKey, informationLines?: any[], shownBtn?: boolean, shownInput?: boolean, shownInputNumber?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EvaluateDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EvaluateDialogService>;
}
