import { BehaviorSubject } from 'rxjs';
import { IAtShift } from '../interfaces/time-management/IAtShift';
import { MultiLanguageService } from './multi-language.service';
import * as i0 from "@angular/core";
export declare enum EnumWorkScheduleViewMode {
    DAY = "DAY",
    SEVEN_DAYS = "SEVEN_DAYS",
    PERIOD = "PERIOD",
    CUSTOM = "CUSTOM"
}
export interface ICheckForOverlapsResult {
    result: boolean;
    reason: string;
}
export declare class WorkShiftDndService {
    draggingData$: BehaviorSubject<string>;
    draggingShift$: BehaviorSubject<IAtShift | undefined>;
    draggingFromCellId$: BehaviorSubject<string>;
    dragoverCellId$: BehaviorSubject<string>;
    collectionStarterX$: BehaviorSubject<number>;
    collectionResetTransform$: BehaviorSubject<boolean>;
    shiftCollectionOpen$: BehaviorSubject<boolean>;
    mls: MultiLanguageService;
    constructor();
    checkForOverlaps(shifts: IAtShift[], bypassDeleted?: boolean): ICheckForOverlapsResult;
    transformToPlainShifts(input: BehaviorSubject<IAtShift>[]): IAtShift[];
    private isOverlapping;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkShiftDndService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkShiftDndService>;
}
