import * as i0 from '@angular/core';
import { inject, ChangeDetectorRef, Component, signal, effect, HostListener, ChangeDetectionStrategy, Injectable, computed, ViewContainerRef, Input, EventEmitter, Output, viewChild, Renderer2, input, isDevMode } from '@angular/core';
import { trigger, state, transition, style, animate } from '@angular/animations';
import { m as CoreFormDesignService, C as CoreWorkflowService, B as BaseEditComponent, h as AlertService, z as AppConfigService, K as EnumCorePageEditMode, L as EnumCoreButtonVNSCode, R as READONLY_WORKFLOW_FIELDS, O as noneAutoClosedAlertOptions, o as DialogService, M as MultiLanguageService, d as CorePageHeaderComponent, P as CoreFormComponent, Q as CoreButtonGroupVnsComponent, T as TranslatePipe, E as EnumFormBaseContolType, c as BaseComponent, U as EnumCoreTablePipeType, V as CoreCheckboxComponent, q as CoreDropdownComponent, f as TooltipDirective, G as GptService, k as alertOptions, x as CoreRadioGroupComponent, W as HtmlTooltipDirective, X as EnumFormDesignMode, p as DomService, J as JsonService, y as ApplicationHelpService, a as EnumCoreFormControlSeekerSourceType, H as HotKeysDirective, Y as CoreControlComponent, i as TableCellPipe, r as CoreChecklistComponent, t as CoreFormControlSeekerComponent, Z as CoreAttachmentComponent, s as CoreDatePickerComponent, _ as CoreMonthSelectorComponent, u as CoreCurrencyInputComponent } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import * as i1 from '@angular/forms';
import { FormsModule, FormGroup, FormControl, Validators, ReactiveFormsModule } from '@angular/forms';
import { NgStyle, AsyncPipe, NgTemplateOutlet } from '@angular/common';
import { BehaviorSubject, catchError, of, filter, distinctUntilChanged, tap, switchMap } from 'rxjs';
import { Router, ActivatedRoute } from '@angular/router';
import { CoreStickerCollectionComponent } from './ngx-histaff-alpha-core-sticker-collection.component-QQFZHJWt.mjs';
import { D as DbService, C as CoreToastLoadingComponent } from './ngx-histaff-alpha-core-toast-loading.component-BGH6zSfv.mjs';
import { EnumTranslateKey } from 'alpha-global-constants';
import { L as LiveFormComponent } from './ngx-histaff-alpha-live-form.component-BxTC1ZTM.mjs';

const slideFromTopFadeIn = trigger('slideFromTopFadeIn', [
    state('in', style({ opacity: 1, transform: 'translateY(0)' })),
    state('out', style({ opacity: 0, transform: 'translateY(-50vh)' })),
    transition('out => in', [
        animate('200ms ease-out')
    ]),
    transition('in => out', [
        animate('150ms ease-in')
    ])
]);

class SaveLiveJsonComponent {
    constructor() {
        this.fds = inject(CoreFormDesignService);
        this.cdr = inject(ChangeDetectorRef);
        this.wfs = inject(CoreWorkflowService);
    }
    copyToClipboard() {
        navigator.clipboard.writeText(this.fds.$saveLiveJson());
    }
    download() {
        const blob = new Blob([this.fds.$saveLiveJson()], { type: 'application/json' });
        const url = URL.createObjectURL(blob);
        const link = document.createElement('a');
        link.href = url;
        link.download = `${this.fds.$afInstance().name || 'form'}.json`;
        link.click();
    }
    ngAfterViewInit() {
        setTimeout(() => this.cdr.markForCheck());
    }
    ngOnDestroy() {
        this.wfs.$initialFormDesignJson.set('{}');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: SaveLiveJsonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: SaveLiveJsonComponent, isStandalone: true, selector: "save-live-json", ngImport: i0, template: "<pre class=\"json-preview\">{{ fds.$saveLiveJson() }}</pre>", styles: [".json-preview{background-color:#fff;color:#333;padding:1rem 1.5rem;border-radius:10px;box-shadow:0 2px 6px #00000014;font-family:Fira Code,monospace;font-size:.85rem;word-break:keep-all;overflow-x:auto;line-height:1.5;width:390px;height:calc(100vh - 125px);margin:0}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: SaveLiveJsonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'save-live-json', imports: [], template: "<pre class=\"json-preview\">{{ fds.$saveLiveJson() }}</pre>", styles: [".json-preview{background-color:#fff;color:#333;padding:1rem 1.5rem;border-radius:10px;box-shadow:0 2px 6px #00000014;font-family:Fira Code,monospace;font-size:.85rem;word-break:keep-all;overflow-x:auto;line-height:1.5;width:390px;height:calc(100vh - 125px);margin:0}\n"] }]
        }] });

class FormMetadataComponent extends BaseEditComponent {
    onEscape() {
        this.coreFormDesignService.$showFormMetadata.set(false);
    }
    onWindowClick(_) {
        /*
        Trigger	What Happens
      🖱️ First Click:	Opens checklist overlay, but Angular hasn’t re-checked the DOM yet → markForCheck() is called, but view not updated yet
    🖱️   Second Click:	Now DOM is updated, click is registered inside the actual rendered checklist, interaction works
        */
        //This lets Angular finish updating the DOM before running change detection.
        setTimeout(() => this.cdr.markForCheck());
    }
    constructor(dialogService, mls) {
        super(dialogService);
        this.dialogService = dialogService;
        this.mls = mls;
        this.coreFormDesignService = inject(CoreFormDesignService);
        this.wfs = inject(CoreWorkflowService);
        this.cdr = inject(ChangeDetectorRef);
        this.alertService = inject(AlertService);
        this.router = inject(Router);
        this.appConfigService = inject(AppConfigService);
        this.form = this.coreFormDesignService.formMetadata;
        this.$loading = signal(false);
        this.mode$ = new BehaviorSubject(EnumCorePageEditMode.UPDATE);
        this.customButtonChecklistOptions$ = this.coreFormDesignService.formMetadataCustomButtonChecklistOptions$;
        this.$sections = this.coreFormDesignService.$formMetadataSections;
        this.$isInWorkflowDesign = this.coreFormDesignService.$isInWorkflowDesign;
        this.customButtons = [
            EnumCoreButtonVNSCode.NONE_HEADER_SAVE,
        ];
        effect(() => {
            if (this.coreFormDesignService.$shouldPatchMetadataForm()) {
                this.patchFormFromInstance();
                this.coreFormDesignService.$shouldPatchMetadataForm.set(false); // ✅ reset
            }
        });
        effect(() => {
            const isInWorkflowDesign = this.$isInWorkflowDesign();
            if (isInWorkflowDesign) {
                READONLY_WORKFLOW_FIELDS.forEach(x => {
                    const control = this.form.get(x);
                    control?.disable();
                });
            }
            else {
            }
        });
    }
    patchFormFromInstance() {
        const instance = this.coreFormDesignService.$afInstance();
        this.form.patchValue({
            name: instance.name,
            captionCode: instance.captionCode,
            entityTable: instance.entityTable ?? '',
            submitApi: instance.submitApi,
            postSubmitRoute: instance.postSubmitRoute ?? '',
            postCancelRoute: instance.postCancelRoute ?? '',
            normalMode: instance.normalMode ?? false,
            autoGetByIdOff: instance.autoGetByIdOff ?? false,
            hasIdOfStringType: instance.hasIdOfStringType ?? false,
            customFormButtonItems: instance.customFormButtonItems ?? [],
            crudCreate: instance.crud?.c ?? '',
            crudRead: instance.crud?.r ?? '',
            crudUpdate: instance.crud?.u ?? '',
            crudDelete: instance.crud?.d ?? '',
            crudReadChildren: instance.crud?.rChildren ?? '',
            entityUniqueIndexesJson: JSON.stringify(instance.entityUniqueIndexes ?? [])
        });
    }
    onButtonClick(e) {
        if (e.code === EnumCoreButtonVNSCode.NONE_HEADER_SAVE) {
            if (this.form.valid) {
                this.$loading.set(true);
                const apiObject = this.coreFormDesignService.editMode$.value === EnumCorePageEditMode.CREATE ?
                    this.coreFormDesignService.createFormInstance(this.coreFormDesignService.$afInstance()) :
                    this.coreFormDesignService.updateFormInstance(this.coreFormDesignService.$afInstance());
                const apiObservable = apiObject.pipe(catchError(err => {
                    this.$loading.set(false);
                    const msg = err?.error?.message || // API-defined message
                        err?.message || // Native JS or HttpErrorResponse
                        err?.statusText || // Fallback
                        'An unknown error occurred.';
                    this.alertService.error(msg, noneAutoClosedAlertOptions);
                    return of(msg);
                }));
                apiObservable.subscribe(x => {
                    this.$loading.set(false);
                    if (x.ok && x.status === 200 && x.body?.statusCode === 200) {
                        this.coreFormDesignService.$showFormMetadata.set(false);
                    }
                });
            }
            else {
                this.coreFormDesignService.formMetadataCheckError$.next(true);
                setTimeout(() => this.cdr.markForCheck());
                setTimeout(() => this.coreFormDesignService.formMetadataCheckError$.next(false), 5000);
            }
        }
    }
    onClose() {
        this.coreFormDesignService.$showFormMetadata.set(false);
    }
    onSave(e) {
    }
    onFormCreated(event) {
        const form = event.formGroup;
        form.get('normalMode')?.valueChanges.subscribe(x => {
            this.coreFormDesignService.$liveFormNormalMode.set(!!x);
        });
        form.get('customFormButtonItems')?.valueChanges.subscribe(x => {
            if (Array.isArray(x)) {
                this.coreFormDesignService.$customFormButtonItems.set(x);
            }
            else {
                this.coreFormDesignService.$customFormButtonItems.set(undefined);
            }
        });
        const widthField = form.get('width');
        if (!!widthField) {
            widthField.valueChanges.subscribe(width => {
                console.warn(`WAR [width$] changed explicitly:`, width);
            });
        }
        else {
            console.warn(`WAR [widthField] not found`);
        }
        form.valueChanges.subscribe(value => {
            console.warn('[width] from form.valueChanges', value?.width);
            const current = this.coreFormDesignService.$afInstance();
            const { crudCreate, crudRead, crudUpdate, crudDelete, crudReadChildren, 
            // ES6 destructuring: Pull id out of the object and throw it away under the name _ignored — don’t include it in rest
            id: _ignored, ...rest } = value;
            const updatedCrud = {
                ...current.crud,
                ...(crudCreate !== undefined ? { c: crudCreate } : {}),
                ...(crudRead !== undefined ? { r: crudRead } : {}),
                ...(crudUpdate !== undefined ? { u: crudUpdate } : {}),
                ...(crudDelete !== undefined ? { d: crudDelete } : {}),
                ...(crudReadChildren !== undefined ? { rChildren: crudReadChildren } : {})
            };
            const next = {
                ...current,
                ...rest,
                width: rest.width ?? current.width, // That way, rogue undefined values can’t silently override valid ones.
                crud: updatedCrud
            };
            console.warn('[SET $afInstance width] from FormMetadataComponent', next.width);
            this.coreFormDesignService.$afInstance.set(next);
        });
        form.statusChanges.subscribe(status => {
            // Optional: Save status if you want to show error summary, disable save button, etc.
            this.formStatus = status; // string: 'VALID' | 'INVALID' | 'PENDING' | 'DISABLED'
        });
        this.form = form;
    }
    ngAfterViewInit() {
        // Defer to next tick to avoid ExpressionChangedAfterItHasBeenCheckedError
        this.$isInWorkflowDesign.set(this.router.url.includes('/workflow/design'));
        setTimeout(() => {
            const allButtons = Object.values(EnumCoreButtonVNSCode);
            const noneHeaderOptions = allButtons
                .filter(value => value.startsWith('NONE_HEADER_') && value !== 'NONE_HEADER_IMPORT_OPTION')
                .map(value => ({
                value,
                text: this.mls.trans(value),
                checked: false
            }));
            this.customButtonChecklistOptions$.next(noneHeaderOptions);
            const sections = this.coreFormDesignService.$placeholderSections();
            // 🔥 DO NOT READ this.$afInstance()
            this.coreFormDesignService.$afInstance.update(instance => ({
                ...instance,
                formDesignSections: sections
            }));
            // Inform Angular to re-check since values arrived late
            this.cdr.markForCheck();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: FormMetadataComponent, deps: [{ token: DialogService }, { token: MultiLanguageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: FormMetadataComponent, isStandalone: true, selector: "form-metadata", host: { listeners: { "document:keydown.escape": "onEscape($event)", "window:click": "onWindowClick($event)" } }, usesInheritance: true, ngImport: i0, template: "<div class=\"form-metadata-container\">\r\n\r\n    <div class=\"metadata-body\">\r\n\r\n        <div class=\"header-n-form\">\r\n\r\n            @if (!$isInWorkflowDesign()) {\r\n\r\n                <div class=\"h15\"></div>\r\n\r\n                <div class=\"d-flex d-flex-start w-100 pr1rem\">\r\n                    <core-button-group-vns [showCaption]=\"true\" [forHeader]=\"false\" (buttonClick)=\"onButtonClick($event)\"\r\n                        [shownItems]=\"customButtons\" class=\"buttonGroupCustom\"></core-button-group-vns>\r\n                </div>\r\n                <div class=\"h15\"></div>\r\n\r\n                <div class=\"header-wrapper\">\r\n                    <core-page-header [title]=\"'FORM OVERVIEW'\" [hideButtonGroup]=\"true\"></core-page-header>\r\n                    <div class=\"close-wrapper\" (click)=\"onClose()\">\r\n                        <i class=\"feather-x\"></i>\r\n                    </div>\r\n                </div>\r\n\r\n            }        \r\n\r\n\r\n\r\n            <div class=\"af-instance\">\r\n\r\n                <div class=\"af-instance-left\">\r\n                    <core-form \r\n                        [inputSections]=\"$sections()\" \r\n                        [width]=\"800\" \r\n                        [mode$]=\"mode$\" \r\n                        [checkError$]=\"coreFormDesignService.formMetadataCheckError$\"\r\n                        [hideButtons]=\"true\" \r\n                        [forceCreateNewForm]=\"true\"\r\n                        [hideDevSector]=\"!!$isInWorkflowDesign()\"\r\n                        (onFormCreated)=\"onFormCreated($event)\" />\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n\r\n        @if (!$isInWorkflowDesign()) {\r\n            <div class=\"af-instance-right\">\r\n                <save-live-json></save-live-json>\r\n            </div>\r\n        }\r\n\r\n\r\n    </div>\r\n\r\n</div>", styles: [".form-metadata-container .header-wrapper{padding:0 15px}.form-metadata-container .header-wrapper .close-wrapper{display:flex;position:absolute;right:7px;top:8px;width:24px;height:24px;color:#848484;cursor:pointer}.form-metadata-container .header-wrapper .close-wrapper i{font-size:24px}.form-metadata-container .af-instance{display:flex}.form-metadata-container .h15{height:15px!important}.form-metadata-container .pr1rem{padding-right:1rem}.form-metadata-container .metadata-body{display:flex;align-items:flex-start;justify-content:space-between}.form-metadata-container .af-instance-right{margin-top:45px;margin-right:15px}\n"], dependencies: [{ kind: "component", type: CorePageHeaderComponent, selector: "core-page-header", inputs: ["instanceNumber", "shownItems", "title", "hideButtonGroup", "htmlTooltipRef"], outputs: ["buttonClick"] }, { kind: "component", type: CoreFormComponent, selector: "core-form", inputs: ["formName", "width", "submitText", "leftInputSections", "leftInputSectionsFlexSize", "inputSections", "mode$", "bottomTemplateRef", "customFormButtonItems", "showCaptionButton", "disableSaveButton", "disableCancelButton", "checkError$", "hideButtons", "forceCreateNewForm", "secondBottomTemplateRef", "hideDevSector", "hideCalculatedSection", "buttonGroupTemplateRef"], outputs: ["onFormCreated", "onFormRefCreated", "onSubmit", "onSave", "onCancal", "buttonClick"] }, { kind: "component", type: SaveLiveJsonComponent, selector: "save-live-json" }, { kind: "component", type: CoreButtonGroupVnsComponent, selector: "core-button-group-vns", inputs: ["height", "instanceNumber", "forHeader", "fixedShow", "shownItems", "showCaption", "lastChildEffectOff"], outputs: ["buttonClick"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: FormMetadataComponent, decorators: [{
            type: Component,
            args: [{ selector: 'form-metadata', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        TranslatePipe,
                        CorePageHeaderComponent,
                        CoreFormComponent,
                        SaveLiveJsonComponent,
                        CoreButtonGroupVnsComponent
                    ], template: "<div class=\"form-metadata-container\">\r\n\r\n    <div class=\"metadata-body\">\r\n\r\n        <div class=\"header-n-form\">\r\n\r\n            @if (!$isInWorkflowDesign()) {\r\n\r\n                <div class=\"h15\"></div>\r\n\r\n                <div class=\"d-flex d-flex-start w-100 pr1rem\">\r\n                    <core-button-group-vns [showCaption]=\"true\" [forHeader]=\"false\" (buttonClick)=\"onButtonClick($event)\"\r\n                        [shownItems]=\"customButtons\" class=\"buttonGroupCustom\"></core-button-group-vns>\r\n                </div>\r\n                <div class=\"h15\"></div>\r\n\r\n                <div class=\"header-wrapper\">\r\n                    <core-page-header [title]=\"'FORM OVERVIEW'\" [hideButtonGroup]=\"true\"></core-page-header>\r\n                    <div class=\"close-wrapper\" (click)=\"onClose()\">\r\n                        <i class=\"feather-x\"></i>\r\n                    </div>\r\n                </div>\r\n\r\n            }        \r\n\r\n\r\n\r\n            <div class=\"af-instance\">\r\n\r\n                <div class=\"af-instance-left\">\r\n                    <core-form \r\n                        [inputSections]=\"$sections()\" \r\n                        [width]=\"800\" \r\n                        [mode$]=\"mode$\" \r\n                        [checkError$]=\"coreFormDesignService.formMetadataCheckError$\"\r\n                        [hideButtons]=\"true\" \r\n                        [forceCreateNewForm]=\"true\"\r\n                        [hideDevSector]=\"!!$isInWorkflowDesign()\"\r\n                        (onFormCreated)=\"onFormCreated($event)\" />\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n\r\n        @if (!$isInWorkflowDesign()) {\r\n            <div class=\"af-instance-right\">\r\n                <save-live-json></save-live-json>\r\n            </div>\r\n        }\r\n\r\n\r\n    </div>\r\n\r\n</div>", styles: [".form-metadata-container .header-wrapper{padding:0 15px}.form-metadata-container .header-wrapper .close-wrapper{display:flex;position:absolute;right:7px;top:8px;width:24px;height:24px;color:#848484;cursor:pointer}.form-metadata-container .header-wrapper .close-wrapper i{font-size:24px}.form-metadata-container .af-instance{display:flex}.form-metadata-container .h15{height:15px!important}.form-metadata-container .pr1rem{padding-right:1rem}.form-metadata-container .metadata-body{display:flex;align-items:flex-start;justify-content:space-between}.form-metadata-container .af-instance-right{margin-top:45px;margin-right:15px}\n"] }]
        }], ctorParameters: () => [{ type: DialogService }, { type: MultiLanguageService }], propDecorators: { onEscape: [{
                type: HostListener,
                args: ['document:keydown.escape', ['$event']]
            }], onWindowClick: [{
                type: HostListener,
                args: ['window:click', ['$event']]
            }] } });

class AttachmentFieldHelperService {
    static isAttachment(control) {
        return control.controlType === 'ATTACHMENT';
    }
    static autoGenerateAttachmentNames(baseName) {
        return {
            field: baseName + 'Buffer',
            assignTo: baseName
        };
    }
    static buildHiddenAssignToField(baseFieldName) {
        return {
            field: baseFieldName,
            controlType: EnumFormBaseContolType.TEXTBOX,
            type: 'string',
            label: '',
            value: '',
            hidden: true,
            flexSize: 0
        };
    }
    static injectAssignToFieldIntoRow(row, assignToField) {
        row.cells.push({ flexSize: assignToField.flexSize ?? 12, control: assignToField });
    }
    /**
     * Called when user edits the "field" of an ATTACHMENT control
     */
    static handleFieldNameChangeForAttachment(control, form, typedFieldName) {
        const { field, assignTo } = this.autoGenerateAttachmentNames(typedFieldName);
        control.field = field;
        control.assignTo = assignTo;
    }
    /**
     * Called in drop handler when user drops a new ATTACHMENT
     */
    static setupAttachmentOnDrop(newControl, form) {
        if (this.isAttachment(newControl)) {
            const baseName = newControl.field.replace(/Buffer$/, '');
            const { field, assignTo } = this.autoGenerateAttachmentNames(baseName);
            newControl.field = field;
            newControl.assignTo = assignTo;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AttachmentFieldHelperService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AttachmentFieldHelperService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AttachmentFieldHelperService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class BasePropsComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.coreFormDesignService = inject(CoreFormDesignService);
        this.$selectedCell = this.coreFormDesignService.$selectedCell;
        this.$formContext = this.coreFormDesignService.$formContext;
        this.form = this.coreFormDesignService.formDesign;
        this.patchControl = this.coreFormDesignService.patchControl.bind(this.coreFormDesignService);
        this.normalize = this.coreFormDesignService.normalize.bind(this.coreFormDesignService);
        this.cdr = inject(ChangeDetectorRef);
        this.setControlProp = this.coreFormDesignService.setControlProp.bind(this.coreFormDesignService);
        this.$control = computed(() => {
            const cell = this.$selectedCell();
            if (!cell?.control)
                throw new Error('No control selected!');
            return this.normalize(cell.control);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: BasePropsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: BasePropsComponent, isStandalone: true, selector: "base-props", usesInheritance: true, ngImport: i0, template: './base-props.component.html', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: BasePropsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'base-props',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: './base-props.component.html'
                }]
        }] });

class MandatoryPropsComponent extends BasePropsComponent {
    constructor() {
        super(...arguments);
        this.afs = inject(CoreFormDesignService);
        this.$isNormalField = computed(() => this.afs.$currentControl()?.type !== 'calculated');
        this.$typedField = computed(() => {
            const control = this.$control();
            return AttachmentFieldHelperService.isAttachment(control)
                ? control.assignTo || ''
                : control.field;
        });
    }
    setTypedField(val) {
        const control = this.$control();
        const context = this.$formContext();
        const toCamelCase = (input) => {
            return input
                .replace(/[^a-zA-Z0-9 ]/g, ' ') // remove special characters
                .replace(/([a-z])([A-Z])/g, '$1 $2') // split camelCase
                .replace(/\s+/g, ' ') // collapse multiple spaces
                .trim()
                .split(' ')
                .map((word, index) => index === 0
                ? word.toLowerCase()
                : word.charAt(0).toUpperCase() + word.slice(1).toLowerCase())
                .join('');
        };
        const corrected = toCamelCase(val);
        const current = AttachmentFieldHelperService.isAttachment(control)
            ? control.assignTo || ''
            : control.field;
        if (current === corrected)
            return;
        if (AttachmentFieldHelperService.isAttachment(control)) {
            AttachmentFieldHelperService.handleFieldNameChangeForAttachment(control, context, corrected);
        }
        else {
            control.field = corrected;
        }
        this.patchControl(control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: MandatoryPropsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: MandatoryPropsComponent, isStandalone: true, selector: "mandatory-props", usesInheritance: true, ngImport: i0, template: "<div class=\"setting-group mandatory-group\" [ngStyle]=\"{ padding: '15px', maxWidth: '352px' }\">\r\n\r\n  <div class=\"setting-row\">\r\n    <label>Field</label>\r\n    <input class=\"form-control\" type=\"text\" [ngModel]=\"$typedField()\" (ngModelChange)=\"setControlProp('field', $event)\" />\r\n  </div>\r\n\r\n  <div class=\"setting-row\">\r\n    <label>Label</label>\r\n    <input class=\"form-control\" type=\"text\" [ngModel]=\"$control()?.label\" (ngModelChange)=\"setControlProp('label', $event)\" />\r\n  </div>\r\n\r\n  @if ($isNormalField()) {\r\n\r\n    <div class=\"setting-row\">\r\n      <label>Flex Size</label>\r\n      <input class=\"form-control\" type=\"number\" [ngModel]=\"$control()?.flexSize\" (ngModelChange)=\"setControlProp('flexSize', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n      <label>Default</label>\r\n      <input class=\"form-control\" type=\"text\" [ngModel]=\"$control()?.value\" (ngModelChange)=\"setControlProp('value', $event)\" />\r\n    </div>\r\n  }\r\n\r\n</div>", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: MandatoryPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mandatory-props', changeDetection: ChangeDetectionStrategy.OnPush, imports: [NgStyle, FormsModule], template: "<div class=\"setting-group mandatory-group\" [ngStyle]=\"{ padding: '15px', maxWidth: '352px' }\">\r\n\r\n  <div class=\"setting-row\">\r\n    <label>Field</label>\r\n    <input class=\"form-control\" type=\"text\" [ngModel]=\"$typedField()\" (ngModelChange)=\"setControlProp('field', $event)\" />\r\n  </div>\r\n\r\n  <div class=\"setting-row\">\r\n    <label>Label</label>\r\n    <input class=\"form-control\" type=\"text\" [ngModel]=\"$control()?.label\" (ngModelChange)=\"setControlProp('label', $event)\" />\r\n  </div>\r\n\r\n  @if ($isNormalField()) {\r\n\r\n    <div class=\"setting-row\">\r\n      <label>Flex Size</label>\r\n      <input class=\"form-control\" type=\"number\" [ngModel]=\"$control()?.flexSize\" (ngModelChange)=\"setControlProp('flexSize', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n      <label>Default</label>\r\n      <input class=\"form-control\" type=\"text\" [ngModel]=\"$control()?.value\" (ngModelChange)=\"setControlProp('value', $event)\" />\r\n    </div>\r\n  }\r\n\r\n</div>", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"] }]
        }] });

class OptionalPropsComponent extends BasePropsComponent {
    constructor() {
        super(...arguments);
        this.pipeOptions = Object.values(EnumCoreTablePipeType);
        this.pipeOptions$ = new BehaviorSubject(Object.values(EnumCoreTablePipeType).map(x => ({ value: x, text: x })));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: OptionalPropsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: OptionalPropsComponent, isStandalone: true, selector: "optional-props", usesInheritance: true, ngImport: i0, template: "<div class=\"setting-group optional-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Readonly</label>\r\n        <core-checkbox ngModel ngDefaultControl [ngModel]=\"$control().readonly\" (ngModelChange)=\"setControlProp('readonly', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Hidden</label>\r\n        <core-checkbox [ngModel]=\"$control().hidden\" (ngModelChange)=\"setControlProp('hidden', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Disabled</label>\r\n        <core-checkbox [ngModel]=\"$control().disabled\" (ngModelChange)=\"setControlProp('disabled', $event)\" /> \r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Hint</label>\r\n        <input class=\"form-control\" type=\"text\" [ngModel]=\"$control().hint\" (ngModelChange)=\"setControlProp('hint', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Pipe</label>\r\n        <div class=\"control-wrapper\">\r\n            <core-dropdown [ngModel]=\"$control().pipe\" (ngModelChange)=\"setControlProp('pipe', $event)\"\r\n                [paramMode]=\"true\"\r\n                [options$]=\"pipeOptions$\"\r\n            >\r\n            </core-dropdown>\r\n        </div>\r\n    </div>\r\n\r\n</div>", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CoreCheckboxComponent, selector: "core-checkbox", inputs: ["text", "tooltipPosition", "tooltip", "inputValue", "disabled"], outputs: ["onClick"] }, { kind: "component", type: CoreDropdownComponent, selector: "core-dropdown", inputs: ["getByIdObject$", "paramMode", "shownFrom", "options$", "height", "placeholder", "loading", "warningDisable", "clearDisable", "fitHeightWithItemCount", "itemHeight", "optionApiDriven", "optionApi", "optionHttpVerb", "optionHttpPayload", "optionValueFrom", "optionTextFrom"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: OptionalPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'optional-props', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgStyle,
                        FormsModule,
                        CoreCheckboxComponent,
                        CoreDropdownComponent
                    ], template: "<div class=\"setting-group optional-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Readonly</label>\r\n        <core-checkbox ngModel ngDefaultControl [ngModel]=\"$control().readonly\" (ngModelChange)=\"setControlProp('readonly', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Hidden</label>\r\n        <core-checkbox [ngModel]=\"$control().hidden\" (ngModelChange)=\"setControlProp('hidden', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Disabled</label>\r\n        <core-checkbox [ngModel]=\"$control().disabled\" (ngModelChange)=\"setControlProp('disabled', $event)\" /> \r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Hint</label>\r\n        <input class=\"form-control\" type=\"text\" [ngModel]=\"$control().hint\" (ngModelChange)=\"setControlProp('hint', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Pipe</label>\r\n        <div class=\"control-wrapper\">\r\n            <core-dropdown [ngModel]=\"$control().pipe\" (ngModelChange)=\"setControlProp('pipe', $event)\"\r\n                [paramMode]=\"true\"\r\n                [options$]=\"pipeOptions$\"\r\n            >\r\n            </core-dropdown>\r\n        </div>\r\n    </div>\r\n\r\n</div>", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"] }]
        }] });

class PropsHostComponent {
    constructor() {
        this.vcRef = inject(ViewContainerRef);
    }
    set props(value) {
        this._props = value;
        this.assignInputs();
    }
    async ngOnInit() {
        if (this.loadComponent) {
            const componentType = await this.loadComponent();
            this.componentRef = this.vcRef.createComponent(componentType);
            this.assignInputs();
        }
    }
    assignInputs() {
        if (this.componentRef && this._props) {
            Object.assign(this.componentRef.instance, this._props);
            this.componentRef.changeDetectorRef.markForCheck();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: PropsHostComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: PropsHostComponent, isStandalone: true, selector: "props-host", inputs: { loadComponent: "loadComponent", props: "props" }, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: PropsHostComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'props-host',
                    standalone: true,
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], propDecorators: { loadComponent: [{
                type: Input
            }], props: [{
                type: Input
            }] } });

class AttachmentPropsComponent extends BasePropsComponent {
    constructor() {
        super(...arguments);
        this.$typedField = computed(() => {
            const control = this.$control();
            return AttachmentFieldHelperService.isAttachment(control)
                ? control.assignTo || ''
                : control.field;
        });
    }
    setTypedField(val) {
        const control = this.$control();
        const context = this.$formContext();
        if (AttachmentFieldHelperService.isAttachment(control)) {
            AttachmentFieldHelperService.handleFieldNameChangeForAttachment(control, context, val);
        }
        else {
            control.field = val;
        }
        this.patchControl(control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AttachmentPropsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: AttachmentPropsComponent, isStandalone: true, selector: "attachment-props", usesInheritance: true, ngImport: i0, template: "<p>attachment-props works!</p>\r\n", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: AttachmentPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'attachment-props', imports: [], template: "<p>attachment-props works!</p>\r\n", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"] }]
        }] });

class ChecklistPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: ChecklistPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: ChecklistPropsComponent, isStandalone: true, selector: "checklist-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>checklist-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: ChecklistPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'checklist-props', imports: [], template: "<p>checklist-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class DatepickerPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DatepickerPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: DatepickerPropsComponent, isStandalone: true, selector: "datepicker-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>datepicker-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DatepickerPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'datepicker-props', imports: [], template: "<p>datepicker-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class DropdownPropsComponent extends BasePropsComponent {
    constructor() {
        super(...arguments);
        this.jsonPayload = '';
        this.httpVerbOptions$ = new BehaviorSubject([
            {
                value: 'HttpGet',
                text: 'GET'
            },
            {
                value: 'HttpPost',
                text: 'POST'
            }
        ]);
    }
    onPayloadJsonBlur() {
        try {
            const optionHttpPayload = JSON.parse(this.jsonPayload);
            this.setControlProp('optionHttpPayload', optionHttpPayload);
        }
        catch (e) {
            console.warn('⚠️ Invalid JSON payload');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DropdownPropsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: DropdownPropsComponent, isStandalone: true, selector: "dropdown-props", usesInheritance: true, ngImport: i0, template: "<div class=\"setting-group dropdown-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Use API</label>\r\n        <core-checkbox [(ngModel)]=\"$control().optionApiDriven\" (ngModelChange)=\"setControlProp('optionApiDriven', $event)\" />\r\n    </div>\r\n\r\n    @if (!!$control().optionApiDriven) {\r\n    <div class=\"setting-row\">\r\n        <label>API Endpoint</label>\r\n        <input class=\"form-control\" type=\"text\" [(ngModel)]=\"$control().optionApi\" (ngModelChange)=\"setControlProp('optionApi', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>HTTP Verb</label>\r\n        <div class=\"control-wrapper\">\r\n            <core-dropdown [ngModel]=\"$control().optionHttpVerb\" (ngModelChange)=\"setControlProp('optionHttpVerb', $event)\" [paramMode]=\"true\"\r\n                [options$]=\"httpVerbOptions$\">\r\n            </core-dropdown>\r\n        </div>\r\n    </div>\r\n\r\n    @if ($control().optionHttpVerb === 'HttpPost') {\r\n    <div class=\"setting-row\">\r\n        <label>Payload (JSON)</label>\r\n        <div class=\"control-wrapper\">\r\n            <textarea class=\"form-control\" rows=\"3\" [(ngModel)]=\"jsonPayload\" (ngModelChange)=\"onPayloadJsonBlur()\"></textarea>\r\n        </div>\r\n    </div>\r\n    }\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Value Field</label>\r\n        <input class=\"form-control\" type=\"text\" [(ngModel)]=\"$control().optionValueFrom\" (ngModelChange)=\"setControlProp('optionValueFrom', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Text Field</label>\r\n        <input class=\"form-control\" type=\"text\" [(ngModel)]=\"$control().optionTextFrom\" (ngModelChange)=\"setControlProp('optionTextFrom', $event)\" />\r\n    </div>\r\n    }\r\n</div>", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CoreCheckboxComponent, selector: "core-checkbox", inputs: ["text", "tooltipPosition", "tooltip", "inputValue", "disabled"], outputs: ["onClick"] }, { kind: "component", type: CoreDropdownComponent, selector: "core-dropdown", inputs: ["getByIdObject$", "paramMode", "shownFrom", "options$", "height", "placeholder", "loading", "warningDisable", "clearDisable", "fitHeightWithItemCount", "itemHeight", "optionApiDriven", "optionApi", "optionHttpVerb", "optionHttpPayload", "optionValueFrom", "optionTextFrom"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: DropdownPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'dropdown-props', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgStyle,
                        FormsModule,
                        CoreCheckboxComponent,
                        CoreDropdownComponent,
                    ], template: "<div class=\"setting-group dropdown-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n    <div class=\"setting-row optional-bool\">\r\n        <label>Use API</label>\r\n        <core-checkbox [(ngModel)]=\"$control().optionApiDriven\" (ngModelChange)=\"setControlProp('optionApiDriven', $event)\" />\r\n    </div>\r\n\r\n    @if (!!$control().optionApiDriven) {\r\n    <div class=\"setting-row\">\r\n        <label>API Endpoint</label>\r\n        <input class=\"form-control\" type=\"text\" [(ngModel)]=\"$control().optionApi\" (ngModelChange)=\"setControlProp('optionApi', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>HTTP Verb</label>\r\n        <div class=\"control-wrapper\">\r\n            <core-dropdown [ngModel]=\"$control().optionHttpVerb\" (ngModelChange)=\"setControlProp('optionHttpVerb', $event)\" [paramMode]=\"true\"\r\n                [options$]=\"httpVerbOptions$\">\r\n            </core-dropdown>\r\n        </div>\r\n    </div>\r\n\r\n    @if ($control().optionHttpVerb === 'HttpPost') {\r\n    <div class=\"setting-row\">\r\n        <label>Payload (JSON)</label>\r\n        <div class=\"control-wrapper\">\r\n            <textarea class=\"form-control\" rows=\"3\" [(ngModel)]=\"jsonPayload\" (ngModelChange)=\"onPayloadJsonBlur()\"></textarea>\r\n        </div>\r\n    </div>\r\n    }\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Value Field</label>\r\n        <input class=\"form-control\" type=\"text\" [(ngModel)]=\"$control().optionValueFrom\" (ngModelChange)=\"setControlProp('optionValueFrom', $event)\" />\r\n    </div>\r\n\r\n    <div class=\"setting-row\">\r\n        <label>Text Field</label>\r\n        <input class=\"form-control\" type=\"text\" [(ngModel)]=\"$control().optionTextFrom\" (ngModelChange)=\"setControlProp('optionTextFrom', $event)\" />\r\n    </div>\r\n    }\r\n</div>", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"] }]
        }] });

var dropdownProps_component = /*#__PURE__*/Object.freeze({
    __proto__: null,
    DropdownPropsComponent: DropdownPropsComponent
});

class GridBufferPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: GridBufferPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: GridBufferPropsComponent, isStandalone: true, selector: "grid-buffer-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>grid-buffer-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: GridBufferPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'grid-buffer-props', imports: [], template: "<p>grid-buffer-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class ListPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: ListPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: ListPropsComponent, isStandalone: true, selector: "list-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>list-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: ListPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'list-props', imports: [], template: "<p>list-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class MccPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: MccPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: MccPropsComponent, isStandalone: true, selector: "mcc-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>mcc-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: MccPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mcc-props', imports: [], template: "<p>mcc-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class NumberPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: NumberPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: NumberPropsComponent, isStandalone: true, selector: "number-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<div class=\"number-props-container\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n</div>", styles: [""], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: NumberPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'number-props', imports: [NgStyle], template: "<div class=\"number-props-container\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n</div>" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

var numberProps_component = /*#__PURE__*/Object.freeze({
    __proto__: null,
    NumberPropsComponent: NumberPropsComponent
});

class RadioGroupPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: RadioGroupPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: RadioGroupPropsComponent, isStandalone: true, selector: "radio-group-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>radio-group-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: RadioGroupPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'radio-group-props', imports: [], template: "<p>radio-group-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class SeekerPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: SeekerPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: SeekerPropsComponent, isStandalone: true, selector: "seeker-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>seeker-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: SeekerPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'seeker-props', imports: [], template: "<p>seeker-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class TextareaPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: TextareaPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: TextareaPropsComponent, isStandalone: true, selector: "textarea-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>textarea-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: TextareaPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'textarea-props', imports: [], template: "<p>textarea-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class UploaderPropsComponent {
    constructor() {
        this.controlChange = new EventEmitter();
    }
    update() {
        this.controlChange.emit(this.control);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: UploaderPropsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.5", type: UploaderPropsComponent, isStandalone: true, selector: "uploader-props", inputs: { control: "control" }, outputs: { controlChange: "controlChange" }, ngImport: i0, template: "<p>uploader-props works!</p>\r\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: UploaderPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'uploader-props', imports: [], template: "<p>uploader-props works!</p>\r\n" }]
        }], propDecorators: { control: [{
                type: Input
            }], controlChange: [{
                type: Output
            }] } });

class ValidatorEditorComponent extends BasePropsComponent {
    constructor(mls) {
        super(mls);
        this.mls = mls;
        // 🔹 Computed list based on controlType
        this.$availableValidators = computed(() => this.coreFormDesignService.getSupportedValidators(this.$control()));
        // 🔹 Signal for selected validators with their values
        this.$selectedValidators = signal({});
        effect(() => {
            const c = this.$control(); // will re-run when selection changes
            this.syncFromControl();
        });
    }
    // ✅ Check if a validator is enabled
    isChecked(v) {
        return this.$selectedValidators()[v] !== undefined;
    }
    syncFromControl() {
        const control = this.$control();
        const validators = control.validators ?? [];
        const validatorMap = {};
        for (const v of validators) {
            validatorMap[v.name] = v;
        }
        this.$selectedValidators.set(validatorMap);
    }
    toggleValidator(v) {
        const current = { ...this.$selectedValidators() };
        const requiresValue = ['minLength', 'maxLength', 'min', 'max', 'pattern'];
        const isAlreadyChecked = !!current[v];
        if (isAlreadyChecked) {
            delete current[v]; // ❌ Remove validator
        }
        else {
            const validator = {
                name: v,
                errorMessage: this.coreFormDesignService.getErrorMessageFor(v),
                validator: this.coreFormDesignService.getValidatorFn(v, null), // stub until value is filled
                value: requiresValue.includes(v) ? '' : true
            };
            current[v] = validator;
        }
        this.$selectedValidators.set(current);
        // ✅ Skip update if validator requires value but it's still empty
        const shouldSkip = !isAlreadyChecked &&
            requiresValue.includes(v) &&
            current[v]?.value === '';
        if (shouldSkip)
            return;
        const validatorArray = this.coreFormDesignService.toIValidatorArray(current);
        this.setControlProp('validators', validatorArray);
    }
    updateValidatorValue(v, raw) {
        const value = raw?.toString().trim();
        const updated = { ...this.$selectedValidators() };
        if (value === '') {
            // 👇 Remove the validator if it was cleared
            delete updated[v];
        }
        else {
            if (updated[v]) {
                updated[v].value = value;
            }
        }
        this.$selectedValidators.set(updated);
        // ✅ Only update the control if it's valid or fully removed
        const validatorArray = this.coreFormDesignService.toIValidatorArray(updated);
        this.setControlProp('validators', validatorArray);
    }
    isReadOnlyValidator(v) {
        return this.$selectedValidators()[v]?.readOnly === true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: ValidatorEditorComponent, deps: [{ token: MultiLanguageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: ValidatorEditorComponent, isStandalone: true, selector: "validator-editor", usesInheritance: true, ngImport: i0, template: "<div class=\"setting-group validator-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n    @for (v of $availableValidators(); track v) {\r\n    <div class=\"setting-row\">\r\n\r\n        <label>\r\n            {{ v }}\r\n            @if (isReadOnlyValidator(v)) {\r\n                <i class=\"feather-lock tiny-lock\" title=\"Read-only system validator\"></i>\r\n            }\r\n        </label>\r\n\r\n        <div class=\"control-wrapper\">\r\n            <core-checkbox ngModel ngDefaultControl [ngModel]=\"isChecked(v)\" [disabled]=\"isReadOnlyValidator(v)\"\r\n                [appTooltip]=\"isReadOnlyValidator(v) ? 'System validator' : ''\" (ngModelChange)=\"toggleValidator(v)\" />\r\n\r\n            @if (isChecked(v) && ['minLength', 'maxLength', 'min', 'max'].includes(v)) {\r\n            <input class=\"form-control validator-value\" [type]=\"'number'\"\r\n                [value]=\"$selectedValidators()[v]?.value || ''\"\r\n                (input)=\"updateValidatorValue(v, $any($event.target).value)\"\r\n                [placeholder]=\"'Enter value' | translate: lang\" [disabled]=\"isReadOnlyValidator(v)\"\r\n                [appTooltip]=\"isReadOnlyValidator(v) ? 'Default validator \u2014 cannot be modified' : ''\" />\r\n            }\r\n\r\n            @else if (isChecked(v) && v === 'pattern') {\r\n            <input class=\"form-control validator-value\" type=\"text\" [value]=\"$selectedValidators()[v]?.value || ''\"\r\n                (input)=\"updateValidatorValue(v, $any($event.target).value)\" [placeholder]=\"'Enter regex'\"\r\n                [disabled]=\"isReadOnlyValidator(v)\"\r\n                [appTooltip]=\"isReadOnlyValidator(v) ? 'Default validator \u2014 cannot be modified' : ''\" />\r\n            }\r\n        </div>\r\n    </div>\r\n    }\r\n</div>\r\n", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: TranslatePipe, name: "translate" }, { kind: "directive", type: TooltipDirective, selector: "[appTooltip]", inputs: ["color", "backgroundColor", "appTooltip", "showAnyway", "position"] }, { kind: "component", type: CoreCheckboxComponent, selector: "core-checkbox", inputs: ["text", "tooltipPosition", "tooltip", "inputValue", "disabled"], outputs: ["onClick"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: ValidatorEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'validator-editor', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgStyle,
                        FormsModule,
                        TranslatePipe,
                        TooltipDirective,
                        CoreCheckboxComponent
                    ], template: "<div class=\"setting-group validator-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n    @for (v of $availableValidators(); track v) {\r\n    <div class=\"setting-row\">\r\n\r\n        <label>\r\n            {{ v }}\r\n            @if (isReadOnlyValidator(v)) {\r\n                <i class=\"feather-lock tiny-lock\" title=\"Read-only system validator\"></i>\r\n            }\r\n        </label>\r\n\r\n        <div class=\"control-wrapper\">\r\n            <core-checkbox ngModel ngDefaultControl [ngModel]=\"isChecked(v)\" [disabled]=\"isReadOnlyValidator(v)\"\r\n                [appTooltip]=\"isReadOnlyValidator(v) ? 'System validator' : ''\" (ngModelChange)=\"toggleValidator(v)\" />\r\n\r\n            @if (isChecked(v) && ['minLength', 'maxLength', 'min', 'max'].includes(v)) {\r\n            <input class=\"form-control validator-value\" [type]=\"'number'\"\r\n                [value]=\"$selectedValidators()[v]?.value || ''\"\r\n                (input)=\"updateValidatorValue(v, $any($event.target).value)\"\r\n                [placeholder]=\"'Enter value' | translate: lang\" [disabled]=\"isReadOnlyValidator(v)\"\r\n                [appTooltip]=\"isReadOnlyValidator(v) ? 'Default validator \u2014 cannot be modified' : ''\" />\r\n            }\r\n\r\n            @else if (isChecked(v) && v === 'pattern') {\r\n            <input class=\"form-control validator-value\" type=\"text\" [value]=\"$selectedValidators()[v]?.value || ''\"\r\n                (input)=\"updateValidatorValue(v, $any($event.target).value)\" [placeholder]=\"'Enter regex'\"\r\n                [disabled]=\"isReadOnlyValidator(v)\"\r\n                [appTooltip]=\"isReadOnlyValidator(v) ? 'Default validator \u2014 cannot be modified' : ''\" />\r\n            }\r\n        </div>\r\n    </div>\r\n    }\r\n</div>\r\n", styles: [".setting-group{display:flex;flex-direction:column}.setting-row{display:flex;justify-content:flex-start;align-items:center;height:50px}.setting-row label{width:30%}.setting-row .control-wrapper,.setting-row input,.setting-row .readonly-field{width:65%}.setting-row .readonly-field{font-style:italic;color:#666}.setting-row input.validator-value{text-align:right}.setting-row input.validator-value.pattern{text-align:left}.setting-row .control-wrapper{display:flex;align-items:center;justify-content:flex-start}.validator-group .setting-row{justify-content:flex-start}.validator-group .setting-row input{margin-left:15px;width:100%}.tiny-lock{margin-left:6px;font-size:12px;color:#888}\n"] }]
        }], ctorParameters: () => [{ type: MultiLanguageService }] });

class CalculatedPropsComponent extends BasePropsComponent {
    constructor(mls) {
        super(mls);
        this.mls = mls;
        this.$shortHtmlHintForCSharpSyntax = viewChild('shortHtmlHintForCSharpSyntax');
        this.$shortHtmlHintForSqlSyntax = viewChild('shortHtmlHintForSqlSyntax');
        this.$loading = signal(false);
        this.$beingValidated = signal(false);
        this.wfs = inject(CoreWorkflowService);
        this.fds = inject(CoreFormDesignService);
        this.dbs = inject(DbService);
        this.gpt = inject(GptService);
        this.alertService = inject(AlertService);
        this.$currentControl = this.fds.$currentControl;
        this.$sqlScriptError = signal(null);
        this.$aiGeneratorOn = signal(false);
        this.$selectedTables = signal([]);
        this.$generatedScript = signal('');
        this.$sqlPrompt = signal('');
        this.$selectedTablesForAi = computed(() => {
            const selectedTables = this.$selectedTables();
            if (!selectedTables.length)
                return 'No tables selected.';
            let result = 'Consider the following database tables and columns:\n\n';
            for (const table of selectedTables) {
                result += `Table: ${table.table}\n`;
                const activeColumns = table.columns.filter(c => c.isActive);
                for (const col of activeColumns) {
                    const hint = col.hintForAi?.trim();
                    result += `  - ${col.column}` + (hint ? ` (${hint})` : '') + `\n`;
                }
                result += '\n';
            }
            return result.trim();
        });
        this.radioOptions$ = new BehaviorSubject([
            {
                value: 'in-memory',
                text: 'In Memory',
                htmlTooltip: this.$shortHtmlHintForCSharpSyntax()
            },
            {
                value: 'sql-query',
                text: 'SQL Query',
                htmlTooltip: this.$shortHtmlHintForSqlSyntax()
            },
        ]);
        this.$fields = computed(() => {
            const currentField = this.fds.$currentControl()?.field;
            return this.wfs.$availableCols().filter(c => c.field !== currentField).map(c => ({ field: c.field }));
        });
        this.$placeholderForScriptInput = computed(() => {
            switch (this.$currentControl()?.evaluationMode) {
                case 'in-memory':
                    return 'Enter expression formula';
                case 'sql-query':
                    return 'Enter SQL script';
                default:
                    return 'Please select Evaluation Mode';
            }
        });
        effect(() => {
            const shortHtmlHintForCSharpSyntax = this.$shortHtmlHintForCSharpSyntax();
            const shortHtmlHintForSqlSyntax = this.$shortHtmlHintForSqlSyntax();
            if (!!shortHtmlHintForCSharpSyntax && !!shortHtmlHintForSqlSyntax) {
                this.radioOptions$.next([
                    {
                        value: 'in-memory',
                        text: 'In Memory',
                        htmlTooltip: shortHtmlHintForCSharpSyntax
                    },
                    {
                        value: 'sql-query',
                        text: 'SQL Query',
                        htmlTooltip: shortHtmlHintForSqlSyntax
                    },
                ]);
            }
        });
    }
    loadDbSchema() {
        const fullRequest = {};
        this.subscriptions.push(this.dbs.syncAndGetWorkflowSchemaMetadata(fullRequest).pipe(catchError(() => of({ ok: false, status: 500 })))
            .subscribe(x => {
            if (x.ok && x.status === 200 && x.body?.statusCode === 200) {
                this.wfs.$workflowDbSchema.set(x.body.innerBody.items);
            }
        }));
    }
    toTables(names) {
        const allTables = this.wfs.$workflowDbSchema(); // All available tables
        return allTables.filter(table => names.includes(table.table));
    }
    validateScript(e) {
        e.stopPropagation();
        const control = this.$currentControl();
        if (!control) {
            this.alertService.info(`No current control detected`);
            return;
        }
        if (!control.script) {
            this.alertService.info(`There is no script to validate for ${control.field}`);
            return;
        }
        if (!control.returnType) {
            this.alertService.info(`You should set return type for ${control.field}`);
            return;
        }
        const evalMode = this.$currentControl()?.evaluationMode;
        if (!evalMode) {
            this.alertService.error('Please select avaluation mode', alertOptions);
            return;
        }
        const request = {
            input: control.script,
            context: this.getValidationContextByMode(evalMode),
            purpose: 'validate-calculated-field',
            isSystemPrompt: true
        };
        this.$beingValidated.set(true);
        this.subscriptions.push(this.gpt.askGpt(request).pipe(catchError(err => {
            this.$beingValidated.set(false);
            this.alertService.error('Validation failed.');
            return of({ ok: false, status: 500 });
        })).subscribe(x => {
            this.$beingValidated.set(false);
            if (x.ok && x.status === 200 && x.body?.statusCode === 200) {
                const reply = x.body.innerBody?.trim();
                this.alertService.success(`GPT: ${reply}`);
            }
            else {
                this.alertService.error('Could not validate script.');
            }
        }));
    }
    generateScript() {
        this.$aiGeneratorOn.update(current => !current);
    }
    applyGeneratedSql() {
        const generated = this.$generatedScript();
        if (!generated)
            return;
        this.setControlProp('script', generated);
        this.alertService.success('Script applied from AI.');
        this.$aiGeneratorOn.set(false);
    }
    submitScriptPrompt() {
        const control = this.$currentControl();
        const evalMode = control?.evaluationMode;
        const prompt = this.$sqlPrompt().trim();
        const dependsOn = control?.dependsOn ?? [];
        const selectedTables = this.$selectedTables();
        if (!evalMode) {
            this.alertService.warn('Please select an evaluation mode.');
            return;
        }
        if (!prompt) {
            this.alertService.warn('Please enter a description for the AI to generate your script.');
            return;
        }
        if (dependsOn.length === 0) {
            this.alertService.warn('Please select at least one field that the script depends on.');
            return;
        }
        if (evalMode === 'sql-query') {
            if (!selectedTables.length) {
                this.alertService.warn('Please select at least one table.');
                return;
            }
            const tablesWithNoHint = selectedTables
                .filter(t => !t.hintForAi?.trim())
                .map(t => t.table);
            if (tablesWithNoHint.length > 0) {
                this.alertService.warn(`Please provide a hint for the following table(s): ${tablesWithNoHint.join(', ')}`);
                return;
            }
        }
        // 🧠 Construct prompt
        const dependsOnLine = `The script should depend on: ${dependsOn.join(', ')}.`;
        const contextIntro = this.getContextByMode(evalMode);
        const tableContext = this.$selectedTablesForAi(); // nicely formatted
        const fullPrompt = `${prompt}\n\n${dependsOnLine}\n\n${tableContext}`;
        const request = {
            input: fullPrompt,
            context: contextIntro,
            purpose: 'generate-calculated-field',
            isSystemPrompt: true
        };
        this.$loading.set(true);
        this.subscriptions.push(this.gpt.askGpt(request).pipe(catchError(err => {
            this.$loading.set(false);
            this.alertService.error('AI generation failed.');
            return of({ ok: false, status: 500 });
        })).subscribe(res => {
            this.$loading.set(false);
            if (res.ok && res.status === 200 && res.body?.statusCode === 200) {
                const reply = res.body.innerBody?.trim();
                if (reply) {
                    this.$generatedScript.set(reply);
                }
                else {
                    this.alertService.warn('AI returned an empty result.');
                }
            }
            else {
                this.alertService.error('AI could not generate a valid script.');
            }
        }));
    }
    tableCheckedChange(selected) {
        this.$selectedTables.set(this.toTables(selected));
    }
    getContextByMode(mode) {
        if (mode === 'sql-query') {
            return [
                `You use ${this.mls.lang$.value.toUpperCase() === 'VI' ? 'Vietnamese' : 'English'} for answer`,
                "You are a SQL validator for a workflow engine.",
                "User input must be a full SQL SELECT statement compatible with Dapper.",
                "User input must not modify database schema",
                "It must contain a FROM clause with a real table name.",
                "It must contain a UPDATE, DELETE or DROP clause.",
                "It must contain a WHERE clause.",
                "It must return exactly one value",
                "Examples of valid patterns include:",
                "  SELECT CASE WHEN EXISTS (SELECT 1 FROM Users WHERE IsActive = 1) THEN 1 ELSE 0 END",
                "  SELECT CASE WHEN @Amount > 1000 THEN @Amount ELSE 0 END -- when Amount is a parameter",
                "The query must be syntactically complete, no partial expressions or clauses.",
                `The query must return a type of ${this.$currentControl()?.returnType} JavaScript equivalent.`,
                "Do not wrap your output in triple backticks or markdown.",
                "Respond with only the raw SQL script.",
            ];
        }
        return [
            `You use ${this.mls.lang$.value.toUpperCase() === 'VI' ? 'Vietnamese' : 'English'} for answer`,
            'You are a C# expression validator.',
            `Validate whether the expression returns a type of ${this.$currentControl()?.returnType} JavaScript equivalent result using C# syntax.`,
            'The result will be used inside an if-statement or condition tree.'
        ];
    }
    getValidationContextByMode(mode) {
        if (mode === 'sql-query') {
            return [
                `You use ${this.mls.lang$.value.toUpperCase() === 'VI' ? 'Vietnamese' : 'English'} for answer`,
                "You're a SQL validator for a business rule engine.",
                "The input is a full SQL SELECT statement written by a human.",
                "Analyze if it meets these criteria:",
                "- Compatible with SQL Server and Dapper parameter style.",
                "- Has FROM clause with table name.",
                "- Has WHERE clause.",
                "- Uses @param style inputs.",
                "Return only a short answer like 'Valid ✅' or explain what's wrong in plain terms.",
            ];
        }
        return [
            `You use ${this.mls.lang$.value.toUpperCase() === 'VI' ? 'Vietnamese' : 'English'} for answer`,
            "You're a validator for C# expressions and the result should be compatible with DynamicExpresso",
            `Analyze whether this expression is valid syntax and returns a type = ${this.$control().returnType}`,
            "If valid, say 'Valid ✅'. If not, explain the syntax issue.",
        ];
    }
    validateSqlScript(input) {
        const trimmed = input.trim();
        if (!/^SELECT\b/i.test(trimmed)) {
            return 'Only SELECT queries are allowed.';
        }
        const destructivePattern = /^\s*(DELETE|DROP|UPDATE|INSERT|ALTER|TRUNCATE|EXEC|MERGE)\b/gi;
        if (destructivePattern.test(trimmed)) {
            return 'Dangerous SQL operations (DELETE, DROP, etc.) are not allowed.';
        }
        return null;
    }
    onScriptChange(script) {
        if (this.$control().evaluationMode === 'sql-query') {
            const error = this.validateSqlScript(script);
            this.setControlProp('isUnsafe', !!error);
            this.$sqlScriptError.set(error);
            this.setControlProp('script', script);
        }
        else {
            this.setControlProp('script', script);
            this.setControlProp('isUnsafe', false);
        }
    }
    ngAfterViewInit() {
        setTimeout(() => this.loadDbSchema());
    }
    openHintEditor(table, e) {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CalculatedPropsComponent, deps: [{ token: MultiLanguageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: CalculatedPropsComponent, isStandalone: true, selector: "calculated-props", viewQueries: [{ propertyName: "$shortHtmlHintForCSharpSyntax", first: true, predicate: ["shortHtmlHintForCSharpSyntax"], descendants: true, isSignal: true }, { propertyName: "$shortHtmlHintForSqlSyntax", first: true, predicate: ["shortHtmlHintForSqlSyntax"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "<div class=\"setting-group calculated-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n  <div class=\"setting-row evaluation-mode-row\">\r\n    <label class=\"setting-label\">Evaluation Mode</label>\r\n    <core-radio-group [options$]=\"radioOptions$\" [vertical]=\"true\" [gapY]=\"8\"\r\n      [ngModel]=\"$currentControl()?.evaluationMode\" (ngModelChange)=\"setControlProp('evaluationMode', $event)\">\r\n    </core-radio-group>\r\n  </div>\r\n\r\n  <div class=\"setting-row depends-on-row\">\r\n    <label class=\"setting-label\">Depends On</label>\r\n    <core-sticker-collection [$items]=\"$fields()\" [$shownFrom]=\"'field'\"\r\n      [$initialChecked]=\"$currentControl()?.dependsOn || []\" ($checkedChange)=\"setControlProp('dependsOn', $event)\" />\r\n  </div>\r\n\r\n  <div class=\"setting-row return-type-row\">\r\n    <label class=\"setting-label\">Return Type</label>\r\n    <select class=\"form-control setting-input\" [ngModel]=\"$currentControl()?.returnType || 'number'\"\r\n      (ngModelChange)=\"setControlProp('returnType', $event)\">\r\n      <option value=\"boolean\">Boolean</option>\r\n      <option value=\"number\">Number</option>\r\n      <option value=\"string\">String</option>\r\n      <option value=\"number[]\">Number[]</option>\r\n      <option value=\"string[]\">String[]</option>\r\n      <!-- Omitting 'Date' and 'object' -->\r\n    </select>\r\n  </div>\r\n\r\n  @if (!!$currentControl()?.dependsOn && !!$currentControl()?.dependsOn!.length) {\r\n\r\n\r\n  <div class=\"setting-row script-row\">\r\n    <label class=\"setting-label\">Script {{ $beingValidated() ? 'is being validated...' : '' }}</label>\r\n    <textarea [ngStyle]=\"{ minHeight: '150px', borderRadius: '8px' }\" [readonly]=\"!$currentControl()?.evaluationMode\"\r\n      [disabled]=\"!$currentControl()?.evaluationMode\" class=\"form-control\"\r\n      [class.form-control-disabled]=\"!$currentControl()?.evaluationMode\" rows=\"20\" [ngModel]=\"$currentControl()?.script\"\r\n      (ngModelChange)=\"onScriptChange($event)\" [placeholder]=\"$placeholderForScriptInput()\">\r\n      </textarea>\r\n    @if (!!$sqlScriptError()) {\r\n    <small class=\"text-danger\">{{ $sqlScriptError() }}</small>\r\n    }\r\n\r\n\r\n    @if (!!$currentControl()?.evaluationMode) {\r\n    <div class=\"button-group\">\r\n      <button class=\"btn btn-secondary validate-btn\" (click)=\"validateScript($event)\">Validate with AI</button>\r\n      <button class=\"btn btn-primary validate-btn\" (click)=\"generateScript()\">\r\n        {{ $aiGeneratorOn() ? 'Hide AI Prompt Editor' : 'Show AI Prompt Editor' }}\r\n      </button>\r\n    </div>\r\n    }\r\n\r\n    @if ($aiGeneratorOn()) {\r\n    <div class=\"sql-generator-panel\">\r\n      <div class=\"alert alert-info\" style=\"margin-top: 1rem;\">\r\n        <strong>SQL Generator:</strong> Describe what you want the script to do, and AI will generate SQL for you.\r\n      </div>\r\n\r\n      @if ($currentControl()?.evaluationMode==='sql-query') {\r\n      <div class=\"sql-generator-panel mt-4\">\r\n        <label class=\"fw-bold mb-2\">Select Related Tables</label>\r\n\r\n        <core-sticker-collection [$enableFilter]=\"true\" [$items]=\"wfs.$workflowDbSchema()\" [$shownFrom]=\"'table'\"\r\n          [$tooltipFrom]=\"'hintForAi'\" [$initialChecked]=\"[]\" ($checkedChange)=\"tableCheckedChange($event)\">\r\n        </core-sticker-collection>\r\n\r\n      </div>\r\n      }\r\n\r\n      @if (!!$currentControl()?.evaluationMode) {\r\n      <textarea class=\"form-control\" style=\"min-height: 100px; margin-top: 0.5rem; border-radius: 8px;\"\r\n        [(ngModel)]=\"$sqlPrompt\" placeholder=\"e.g., Calculate leave days between FROM_DATE and TO_DATE\">\r\n          </textarea>\r\n\r\n      <div class=\"mt-2 d-flex gap-2 justify-content-end\">\r\n        <button class=\"btn btn-success\" (click)=\"submitScriptPrompt()\">\r\n          Generate Script\r\n        </button>\r\n      </div>\r\n      }\r\n\r\n      @if ($generatedScript()) {\r\n      <div class=\"generated-sql-box mt-3\">\r\n        <label class=\"fw-bold\">Generated by AI:</label>\r\n        <pre class=\"bg-light p-3 rounded\" style=\"white-space: pre-wrap;\">{{$generatedScript()}}</pre>\r\n        <button class=\"btn btn-sm btn-primary mt-2\" (click)=\"applyGeneratedSql()\">Apply to Script</button>\r\n      </div>\r\n      }\r\n    </div>\r\n    }\r\n\r\n  </div>\r\n\r\n\r\n\r\n  }\r\n\r\n<ng-template #shortHtmlHintForCSharpSyntax>\r\n  <div class=\"syntax-hint\">\r\n    <strong>Example (C# Expression):</strong>\r\n    <pre><code>FullName.ToUpper() + \" #\" + EmployeeCode</code></pre>\r\n    <div class=\"note\">\r\n      This expression will be evaluated dynamically using <code>DynamicExpresso</code>.<br>\r\n      You can return any value from context.\r\n    </div>\r\n  </div>\r\n</ng-template>\r\n\r\n<ng-template #shortHtmlHintForSqlSyntax>\r\n  <div class=\"syntax-hint\">\r\n    <strong>Example (SQL Query):</strong>\r\n    <pre><code>SELECT EMPLOYEE_CODE FROM HU_EMPLOYEE WHERE ORG_ID = 123</code></pre>\r\n    <div class=\"note\">\r\n      Your SQL can return either a single value <em>or</em> a list.<br>\r\n      The system will extract data from the <strong>first column of all rows</strong>.<br>\r\n      Use standard SQL compatible with your database.\r\n    </div>\r\n  </div>\r\n</ng-template>\r\n\r\n\r\n\r\n\r\n\r\n</div>", styles: [".setting-row{margin:30px 0}.button-group{margin-top:15px}.button-group button{height:35px;font-size:13px;border-radius:17.5px;margin-right:8px}.setting-divider{margin:1.5rem 0 .75rem;color:#555;border-top:1px dashed #ccc;padding-top:.5rem}.evaluation-mode-row{background-color:#ffecb3;border-radius:8px;width:180px;height:110px;padding:15px}.evaluation-mode-row label{margin-bottom:8px}.script-row{margin:30px 0}.syntax-hint{color:#666;background:#fff;border:1px solid #ccc;border-radius:6px;padding:12px;font-size:13px;max-width:320px;box-shadow:0 2px 6px #0000000d}.syntax-hint pre{margin:8px 0;background-color:#f8f8f8;padding:8px;border-radius:4px;font-family:monospace;white-space:pre-wrap;word-break:break-word}.syntax-hint .note{margin-top:6px;font-size:12px}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i1.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CoreStickerCollectionComponent, selector: "core-sticker-collection", inputs: ["$items", "$shownFrom", "$tooltipFrom", "$initialChecked", "$showMore", "$showMoreTooltip", "$hideShowMoreIfNotSelected", "$enableFilter"], outputs: ["$checkedChange", "$onShowMore"] }, { kind: "component", type: CoreRadioGroupComponent, selector: "core-radio-group", inputs: ["options$", "vertical", "columnCount", "gapY", "defaultValue"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CalculatedPropsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'calculated-props', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgStyle,
                        FormsModule,
                        CoreStickerCollectionComponent,
                        CoreRadioGroupComponent,
                    ], template: "<div class=\"setting-group calculated-group\" [ngStyle]=\"{ padding: '15px' }\">\r\n\r\n  <div class=\"setting-row evaluation-mode-row\">\r\n    <label class=\"setting-label\">Evaluation Mode</label>\r\n    <core-radio-group [options$]=\"radioOptions$\" [vertical]=\"true\" [gapY]=\"8\"\r\n      [ngModel]=\"$currentControl()?.evaluationMode\" (ngModelChange)=\"setControlProp('evaluationMode', $event)\">\r\n    </core-radio-group>\r\n  </div>\r\n\r\n  <div class=\"setting-row depends-on-row\">\r\n    <label class=\"setting-label\">Depends On</label>\r\n    <core-sticker-collection [$items]=\"$fields()\" [$shownFrom]=\"'field'\"\r\n      [$initialChecked]=\"$currentControl()?.dependsOn || []\" ($checkedChange)=\"setControlProp('dependsOn', $event)\" />\r\n  </div>\r\n\r\n  <div class=\"setting-row return-type-row\">\r\n    <label class=\"setting-label\">Return Type</label>\r\n    <select class=\"form-control setting-input\" [ngModel]=\"$currentControl()?.returnType || 'number'\"\r\n      (ngModelChange)=\"setControlProp('returnType', $event)\">\r\n      <option value=\"boolean\">Boolean</option>\r\n      <option value=\"number\">Number</option>\r\n      <option value=\"string\">String</option>\r\n      <option value=\"number[]\">Number[]</option>\r\n      <option value=\"string[]\">String[]</option>\r\n      <!-- Omitting 'Date' and 'object' -->\r\n    </select>\r\n  </div>\r\n\r\n  @if (!!$currentControl()?.dependsOn && !!$currentControl()?.dependsOn!.length) {\r\n\r\n\r\n  <div class=\"setting-row script-row\">\r\n    <label class=\"setting-label\">Script {{ $beingValidated() ? 'is being validated...' : '' }}</label>\r\n    <textarea [ngStyle]=\"{ minHeight: '150px', borderRadius: '8px' }\" [readonly]=\"!$currentControl()?.evaluationMode\"\r\n      [disabled]=\"!$currentControl()?.evaluationMode\" class=\"form-control\"\r\n      [class.form-control-disabled]=\"!$currentControl()?.evaluationMode\" rows=\"20\" [ngModel]=\"$currentControl()?.script\"\r\n      (ngModelChange)=\"onScriptChange($event)\" [placeholder]=\"$placeholderForScriptInput()\">\r\n      </textarea>\r\n    @if (!!$sqlScriptError()) {\r\n    <small class=\"text-danger\">{{ $sqlScriptError() }}</small>\r\n    }\r\n\r\n\r\n    @if (!!$currentControl()?.evaluationMode) {\r\n    <div class=\"button-group\">\r\n      <button class=\"btn btn-secondary validate-btn\" (click)=\"validateScript($event)\">Validate with AI</button>\r\n      <button class=\"btn btn-primary validate-btn\" (click)=\"generateScript()\">\r\n        {{ $aiGeneratorOn() ? 'Hide AI Prompt Editor' : 'Show AI Prompt Editor' }}\r\n      </button>\r\n    </div>\r\n    }\r\n\r\n    @if ($aiGeneratorOn()) {\r\n    <div class=\"sql-generator-panel\">\r\n      <div class=\"alert alert-info\" style=\"margin-top: 1rem;\">\r\n        <strong>SQL Generator:</strong> Describe what you want the script to do, and AI will generate SQL for you.\r\n      </div>\r\n\r\n      @if ($currentControl()?.evaluationMode==='sql-query') {\r\n      <div class=\"sql-generator-panel mt-4\">\r\n        <label class=\"fw-bold mb-2\">Select Related Tables</label>\r\n\r\n        <core-sticker-collection [$enableFilter]=\"true\" [$items]=\"wfs.$workflowDbSchema()\" [$shownFrom]=\"'table'\"\r\n          [$tooltipFrom]=\"'hintForAi'\" [$initialChecked]=\"[]\" ($checkedChange)=\"tableCheckedChange($event)\">\r\n        </core-sticker-collection>\r\n\r\n      </div>\r\n      }\r\n\r\n      @if (!!$currentControl()?.evaluationMode) {\r\n      <textarea class=\"form-control\" style=\"min-height: 100px; margin-top: 0.5rem; border-radius: 8px;\"\r\n        [(ngModel)]=\"$sqlPrompt\" placeholder=\"e.g., Calculate leave days between FROM_DATE and TO_DATE\">\r\n          </textarea>\r\n\r\n      <div class=\"mt-2 d-flex gap-2 justify-content-end\">\r\n        <button class=\"btn btn-success\" (click)=\"submitScriptPrompt()\">\r\n          Generate Script\r\n        </button>\r\n      </div>\r\n      }\r\n\r\n      @if ($generatedScript()) {\r\n      <div class=\"generated-sql-box mt-3\">\r\n        <label class=\"fw-bold\">Generated by AI:</label>\r\n        <pre class=\"bg-light p-3 rounded\" style=\"white-space: pre-wrap;\">{{$generatedScript()}}</pre>\r\n        <button class=\"btn btn-sm btn-primary mt-2\" (click)=\"applyGeneratedSql()\">Apply to Script</button>\r\n      </div>\r\n      }\r\n    </div>\r\n    }\r\n\r\n  </div>\r\n\r\n\r\n\r\n  }\r\n\r\n<ng-template #shortHtmlHintForCSharpSyntax>\r\n  <div class=\"syntax-hint\">\r\n    <strong>Example (C# Expression):</strong>\r\n    <pre><code>FullName.ToUpper() + \" #\" + EmployeeCode</code></pre>\r\n    <div class=\"note\">\r\n      This expression will be evaluated dynamically using <code>DynamicExpresso</code>.<br>\r\n      You can return any value from context.\r\n    </div>\r\n  </div>\r\n</ng-template>\r\n\r\n<ng-template #shortHtmlHintForSqlSyntax>\r\n  <div class=\"syntax-hint\">\r\n    <strong>Example (SQL Query):</strong>\r\n    <pre><code>SELECT EMPLOYEE_CODE FROM HU_EMPLOYEE WHERE ORG_ID = 123</code></pre>\r\n    <div class=\"note\">\r\n      Your SQL can return either a single value <em>or</em> a list.<br>\r\n      The system will extract data from the <strong>first column of all rows</strong>.<br>\r\n      Use standard SQL compatible with your database.\r\n    </div>\r\n  </div>\r\n</ng-template>\r\n\r\n\r\n\r\n\r\n\r\n</div>", styles: [".setting-row{margin:30px 0}.button-group{margin-top:15px}.button-group button{height:35px;font-size:13px;border-radius:17.5px;margin-right:8px}.setting-divider{margin:1.5rem 0 .75rem;color:#555;border-top:1px dashed #ccc;padding-top:.5rem}.evaluation-mode-row{background-color:#ffecb3;border-radius:8px;width:180px;height:110px;padding:15px}.evaluation-mode-row label{margin-bottom:8px}.script-row{margin:30px 0}.syntax-hint{color:#666;background:#fff;border:1px solid #ccc;border-radius:6px;padding:12px;font-size:13px;max-width:320px;box-shadow:0 2px 6px #0000000d}.syntax-hint pre{margin:8px 0;background-color:#f8f8f8;padding:8px;border-radius:4px;font-family:monospace;white-space:pre-wrap;word-break:break-word}.syntax-hint .note{margin-top:6px;font-size:12px}\n"] }]
        }], ctorParameters: () => [{ type: MultiLanguageService }] });

class FieldSettingComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.coreFormDesignService = inject(CoreFormDesignService);
        this.enumControlType = EnumFormBaseContolType;
        this.renderer = inject(Renderer2);
        this.cdr = inject(ChangeDetectorRef);
        // 🔹 Reactive normalized control (always derived from selected cell)
        this.$control = computed(() => {
            const cell = this.coreFormDesignService.$selectedCell();
            if (!cell?.control)
                throw new Error('No control selected!');
            return this.coreFormDesignService.normalize(cell.control);
        });
        // 🔹 Context (flat control list)
        this.$formContext = computed(() => this.coreFormDesignService.$formContext());
        this.componentLoaderMap = {
            'number-props': () => Promise.resolve().then(function () { return numberProps_component; }).then(m => m.NumberPropsComponent),
            'email-props': () => import('./ngx-histaff-alpha-email-props.component-Cf35Pexq.mjs').then(m => m.EmailPropsComponent),
            'dropdown-props': () => Promise.resolve().then(function () { return dropdownProps_component; }).then(m => m.DropdownPropsComponent),
            // etc...
        };
    }
    // 🔹 Optional trigger for downstream side-effects (no longer emits)
    onControlParamsChange() {
        const updated = this.$control();
        this.coreFormDesignService.patchControl(updated);
    }
    closeFieldSettingPanel() {
        this.coreFormDesignService.$fieldSettingPanelOpen.set(false);
    }
    getFriendlyControlLabel(control) {
        if (!control)
            return 'Control';
        // 🧠 Detailed mapping: "controlType:type" → Friendly Name
        const fullTypeMap = {
            'TEXTBOX:string': 'String Box',
            'TEXTBOX:number': 'Number Box',
            'TEXTBOX:email': 'Email Field',
            'DROPDOWN': 'Dropdown',
            'CHECKLIST': 'Checklist',
            'SEEKER': 'Seeker',
            'DATEPICKER': 'Date Picker',
            'TEXTAREA': 'Text Area',
            'CHECKBOX': 'Checkbox'
            // Add more mappings as needed
        };
        const controlType = control.controlType?.toUpperCase() ?? '';
        const inputType = control.type?.toLowerCase();
        const fullKey = inputType ? `${controlType}:${inputType}` : controlType;
        return fullTypeMap[fullKey] ?? this.camelToTitle(control.controlType ?? 'Control');
    }
    camelToTitle(input) {
        return input
            .replace(/([a-z])([A-Z])/g, '$1 $2')
            .replace(/^./, str => str.toUpperCase());
    }
    ngAfterViewInit() {
        this.listenerFn = this.renderer.listen('window', 'click', (e) => {
            this.cdr.markForCheck();
        });
    }
    ngOnDestroy() {
        this.subscriptions.forEach(x => x?.unsubscribe());
        if (this.listenerFn)
            this.listenerFn();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: FieldSettingComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: FieldSettingComponent, isStandalone: true, selector: "field-setting", usesInheritance: true, ngImport: i0, template: "<div class=\"field-setting-container\">\r\n\r\n  @if (!!$control()) {\r\n    <div class=\"panel-caption-header\">\r\n      <div class=\"panel-caption\">\r\n        Editing: {{ $control().type !== 'calculated' ? $control()?.controlType + ' - ' : '' }}{{ $control()?.field || 'Unnamed' }}\r\n      </div>\r\n      <div class=\"close-wrapper pointer\" (click)=\"closeFieldSettingPanel()\">\r\n          <i class=\"feather-x\"></i>\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <div class=\"field-setting-content\">\r\n\r\n\r\n    @if ($control().type === 'calculated') {\r\n\r\n      <div class=\"group-title mandatory\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-lock\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Mandatory</div>\r\n      </div>\r\n      <mandatory-props></mandatory-props>\r\n\r\n      <div class=\"group-title calculated\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-lock\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Calculated Rule<i class=\"feather-help-circle\" [htmlTooltip]=\"aboutCalculatedField\" [maxWidthUnset]=\"true\"></i></div>\r\n      </div>      \r\n      <calculated-props></calculated-props>\r\n    } @else {\r\n\r\n      <div class=\"group-title mandatory\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-lock\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Mandatory</div>\r\n      </div>\r\n      <mandatory-props></mandatory-props>\r\n\r\n      <!-- <div class=\"setting-divider\"></div> -->\r\n\r\n      <div class=\"group-title optional\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-sliders\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Optional</div>\r\n      </div>\r\n      <optional-props></optional-props>\r\n\r\n      <!-- <div class=\"setting-divider\"></div> -->\r\n\r\n      <div class=\"group-title validators\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-check-square\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Validators</div>\r\n      </div>\r\n      <validator-editor></validator-editor>\r\n\r\n      @if (!($control().controlType === 'TEXTBOX' && ['string', 'text', 'email'].includes(($control().type || '').toLowerCase()))) {\r\n\r\n        <div class=\"group-title\">\r\n          <div class=\"icon-wrapper\">\r\n            <i class=\"feather-check-square\"></i>\r\n          </div>\r\n          <div class=\"group-name\">{{ getFriendlyControlLabel($control()) }} Settings</div>\r\n        </div>\r\n     \r\n        <props-host [loadComponent]=\"componentLoaderMap[coreFormDesignService.$currentPropsComponent()]\"\r\n          [props]=\"{ control: $control(), controlChange: onControlParamsChange.bind(this) }\">\r\n        </props-host>\r\n      }\r\n    }\r\n  </div>\r\n  }\r\n\r\n\r\n\r\n</div>\r\n\r\n<ng-template #aboutCalculatedField>\r\n\r\n  <div class=\"calculated-field-rule\" style=\"padding: 1rem; border-radius: 8px; background: #000; width: 800px;\">\r\n  <h4 style=\"margin-top: 0; color: #fff;\">Calculated Field Rule</h4>\r\n  <p><strong>Calculated fields</strong> are invisible boolean fields evaluated based on form inputs and logic. They help drive dynamic workflow behavior, such as conditional routing or validation triggers.</p>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Key Properties</h5>\r\n  <ul style=\"margin-top: 0;\">\r\n    <li><strong>script:</strong> Expression to evaluate (e.g., <code>leaveDays &gt; 3 &amp;&amp; status == 'Approved'</code>)</li>\r\n    <li><strong>evaluationMode:</strong> <code>\"in-memory\"</code> or <code>\"sql-query\"</code></li>\r\n    <li><strong>dependsOn[]:</strong> List of field names the script depends on</li>\r\n    <li><strong>filterMode:</strong> <code>\"HardBlock\"</code> or <code>\"SoftWarn\"</code></li>\r\n  </ul>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Evaluation Modes</h5>\r\n  <ul style=\"margin-top: 0;\">\r\n    <li>\r\n      <strong>in-memory:</strong> Uses <code>DynamicExpresso</code> to evaluate C#-like logic at runtime<br />\r\n      <small>Example: <code>leaveType == \"ANNUAL\" &amp;&amp; leaveDays &lt; 5</code></small>\r\n    </li>\r\n    <li>\r\n      <strong>sql-query:</strong> Runs backend SQL to evaluate conditions via <code>SELECT CASE WHEN ... THEN 1 ELSE 0 END</code><br />\r\n      <small>Example: <code>SELECT CASE WHEN QUOTA &gt; 0 THEN 1 ELSE 0 END FROM LEAVE_QUOTA WHERE EMPLOYEE_ID = {{ '@' }}employeeId</code></small>\r\n    </li>\r\n  </ul>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Use Cases</h5>\r\n  <ul style=\"margin-top: 0;\">\r\n    <li>Validate complex logic without showing the field</li>\r\n    <li>Route to a different workflow branch based on hidden logic</li>\r\n    <li>Trigger warning or block submission based on business rules</li>\r\n  </ul>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Example</h5>\r\n  <pre style=\"color: #eee; padding: 0.5rem 1rem; border-radius: 4px; overflow-x: auto;\">\r\n    {{ '{' }}\r\n      \"script\": \"leaveDays > 3 && status == 'APPROVED'\",\r\n      \"evaluationMode\": \"in-memory\",\r\n      \"dependsOn\": [\"leaveDays\", \"status\"],\r\n      \"filterMode\": \"HardBlock\"\r\n    {{ '}' }}\r\n  </pre>\r\n  </div>\r\n\r\n\r\n</ng-template>", styles: [".field-setting-container{max-height:100%;overflow-x:hidden;overflow-y:auto}.field-setting-container .field-setting-content{padding:15px}.field-setting-container .panel-caption-header{display:flex;align-items:center;justify-content:space-between;padding:15px;height:60px;background-color:#f8fafc;border-bottom:1px solid #e2e8f0;color:#1f2937}.field-setting-container .panel-caption-header .panel-caption{flex-grow:1}.field-setting-container .panel-caption-header .close-wrapper{display:flex;align-items:center;justify-content:center;background-color:#f1f5f9;width:32px;height:32px;border-radius:50%;cursor:pointer;transition:background-color .2s}.field-setting-container .panel-caption-header .close-wrapper:hover{background-color:#e2e8f0}.field-setting-container .setting-divider{margin:1.5rem 0 .75rem;color:#555;border-top:1px dashed #ccc;padding-top:.5rem}.field-setting-container .group-title{display:flex;height:35px;align-items:center;gap:8px;background-color:#87ceeb;padding:6px 12px;font-weight:600;color:#1f2937;font-size:13px;margin:12px 0 4px;box-shadow:0 1px 2px #0000000d}.field-setting-container .group-title .icon-wrapper{display:flex;align-items:center;justify-content:center;width:18px;height:18px;color:#1f2937}.field-setting-container .group-title .icon-wrapper i{width:16px;height:16px;stroke-width:2}.field-setting-container .group-title.mandatory{background-color:#ffecb3}.field-setting-container .group-title.optional{background-color:#d0f0fd}.field-setting-container .group-title.validators{background-color:#e8f5e9}.field-setting-container .group-title .group-name{flex:1}.field-setting-container .group-title .group-name .feather-help-circle{display:inline-block;margin-left:8px}.field-setting-container .calculated-field-rule{font-family:system-ui,sans-serif;border:1px solid #ccc;padding:1rem;border-radius:8px}.field-setting-container .calculated-field-rule h2{margin-top:0;color:#2b3e50}.field-setting-container .calculated-field-rule pre{background:#eee;padding:.5rem 1rem;border-radius:4px;overflow-x:auto}\n"], dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "component", type: MandatoryPropsComponent, selector: "mandatory-props" }, { kind: "component", type: OptionalPropsComponent, selector: "optional-props" }, { kind: "component", type: ValidatorEditorComponent, selector: "validator-editor" }, { kind: "component", type: PropsHostComponent, selector: "props-host", inputs: ["loadComponent", "props"] }, { kind: "component", type: CalculatedPropsComponent, selector: "calculated-props" }, { kind: "directive", type: HtmlTooltipDirective, selector: "[htmlTooltip]", inputs: ["htmlTooltip", "tooltipContext", "maxWidthUnset", "backgroundColor"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: FieldSettingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'field-setting', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        FormsModule,
                        NgStyle,
                        MandatoryPropsComponent,
                        OptionalPropsComponent,
                        ValidatorEditorComponent,
                        PropsHostComponent,
                        AttachmentPropsComponent,
                        ChecklistPropsComponent,
                        DatepickerPropsComponent,
                        DropdownPropsComponent,
                        GridBufferPropsComponent,
                        ListPropsComponent,
                        MccPropsComponent,
                        NumberPropsComponent,
                        RadioGroupPropsComponent,
                        SeekerPropsComponent,
                        TextareaPropsComponent,
                        UploaderPropsComponent,
                        CalculatedPropsComponent,
                        HtmlTooltipDirective
                    ], template: "<div class=\"field-setting-container\">\r\n\r\n  @if (!!$control()) {\r\n    <div class=\"panel-caption-header\">\r\n      <div class=\"panel-caption\">\r\n        Editing: {{ $control().type !== 'calculated' ? $control()?.controlType + ' - ' : '' }}{{ $control()?.field || 'Unnamed' }}\r\n      </div>\r\n      <div class=\"close-wrapper pointer\" (click)=\"closeFieldSettingPanel()\">\r\n          <i class=\"feather-x\"></i>\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <div class=\"field-setting-content\">\r\n\r\n\r\n    @if ($control().type === 'calculated') {\r\n\r\n      <div class=\"group-title mandatory\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-lock\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Mandatory</div>\r\n      </div>\r\n      <mandatory-props></mandatory-props>\r\n\r\n      <div class=\"group-title calculated\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-lock\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Calculated Rule<i class=\"feather-help-circle\" [htmlTooltip]=\"aboutCalculatedField\" [maxWidthUnset]=\"true\"></i></div>\r\n      </div>      \r\n      <calculated-props></calculated-props>\r\n    } @else {\r\n\r\n      <div class=\"group-title mandatory\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-lock\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Mandatory</div>\r\n      </div>\r\n      <mandatory-props></mandatory-props>\r\n\r\n      <!-- <div class=\"setting-divider\"></div> -->\r\n\r\n      <div class=\"group-title optional\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-sliders\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Optional</div>\r\n      </div>\r\n      <optional-props></optional-props>\r\n\r\n      <!-- <div class=\"setting-divider\"></div> -->\r\n\r\n      <div class=\"group-title validators\">\r\n        <div class=\"icon-wrapper\">\r\n          <i class=\"feather-check-square\"></i>\r\n        </div>\r\n        <div class=\"group-name\">Validators</div>\r\n      </div>\r\n      <validator-editor></validator-editor>\r\n\r\n      @if (!($control().controlType === 'TEXTBOX' && ['string', 'text', 'email'].includes(($control().type || '').toLowerCase()))) {\r\n\r\n        <div class=\"group-title\">\r\n          <div class=\"icon-wrapper\">\r\n            <i class=\"feather-check-square\"></i>\r\n          </div>\r\n          <div class=\"group-name\">{{ getFriendlyControlLabel($control()) }} Settings</div>\r\n        </div>\r\n     \r\n        <props-host [loadComponent]=\"componentLoaderMap[coreFormDesignService.$currentPropsComponent()]\"\r\n          [props]=\"{ control: $control(), controlChange: onControlParamsChange.bind(this) }\">\r\n        </props-host>\r\n      }\r\n    }\r\n  </div>\r\n  }\r\n\r\n\r\n\r\n</div>\r\n\r\n<ng-template #aboutCalculatedField>\r\n\r\n  <div class=\"calculated-field-rule\" style=\"padding: 1rem; border-radius: 8px; background: #000; width: 800px;\">\r\n  <h4 style=\"margin-top: 0; color: #fff;\">Calculated Field Rule</h4>\r\n  <p><strong>Calculated fields</strong> are invisible boolean fields evaluated based on form inputs and logic. They help drive dynamic workflow behavior, such as conditional routing or validation triggers.</p>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Key Properties</h5>\r\n  <ul style=\"margin-top: 0;\">\r\n    <li><strong>script:</strong> Expression to evaluate (e.g., <code>leaveDays &gt; 3 &amp;&amp; status == 'Approved'</code>)</li>\r\n    <li><strong>evaluationMode:</strong> <code>\"in-memory\"</code> or <code>\"sql-query\"</code></li>\r\n    <li><strong>dependsOn[]:</strong> List of field names the script depends on</li>\r\n    <li><strong>filterMode:</strong> <code>\"HardBlock\"</code> or <code>\"SoftWarn\"</code></li>\r\n  </ul>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Evaluation Modes</h5>\r\n  <ul style=\"margin-top: 0;\">\r\n    <li>\r\n      <strong>in-memory:</strong> Uses <code>DynamicExpresso</code> to evaluate C#-like logic at runtime<br />\r\n      <small>Example: <code>leaveType == \"ANNUAL\" &amp;&amp; leaveDays &lt; 5</code></small>\r\n    </li>\r\n    <li>\r\n      <strong>sql-query:</strong> Runs backend SQL to evaluate conditions via <code>SELECT CASE WHEN ... THEN 1 ELSE 0 END</code><br />\r\n      <small>Example: <code>SELECT CASE WHEN QUOTA &gt; 0 THEN 1 ELSE 0 END FROM LEAVE_QUOTA WHERE EMPLOYEE_ID = {{ '@' }}employeeId</code></small>\r\n    </li>\r\n  </ul>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Use Cases</h5>\r\n  <ul style=\"margin-top: 0;\">\r\n    <li>Validate complex logic without showing the field</li>\r\n    <li>Route to a different workflow branch based on hidden logic</li>\r\n    <li>Trigger warning or block submission based on business rules</li>\r\n  </ul>\r\n\r\n  <h5 style=\"margin-bottom: 0.5rem; color: #fff;\">Example</h5>\r\n  <pre style=\"color: #eee; padding: 0.5rem 1rem; border-radius: 4px; overflow-x: auto;\">\r\n    {{ '{' }}\r\n      \"script\": \"leaveDays > 3 && status == 'APPROVED'\",\r\n      \"evaluationMode\": \"in-memory\",\r\n      \"dependsOn\": [\"leaveDays\", \"status\"],\r\n      \"filterMode\": \"HardBlock\"\r\n    {{ '}' }}\r\n  </pre>\r\n  </div>\r\n\r\n\r\n</ng-template>", styles: [".field-setting-container{max-height:100%;overflow-x:hidden;overflow-y:auto}.field-setting-container .field-setting-content{padding:15px}.field-setting-container .panel-caption-header{display:flex;align-items:center;justify-content:space-between;padding:15px;height:60px;background-color:#f8fafc;border-bottom:1px solid #e2e8f0;color:#1f2937}.field-setting-container .panel-caption-header .panel-caption{flex-grow:1}.field-setting-container .panel-caption-header .close-wrapper{display:flex;align-items:center;justify-content:center;background-color:#f1f5f9;width:32px;height:32px;border-radius:50%;cursor:pointer;transition:background-color .2s}.field-setting-container .panel-caption-header .close-wrapper:hover{background-color:#e2e8f0}.field-setting-container .setting-divider{margin:1.5rem 0 .75rem;color:#555;border-top:1px dashed #ccc;padding-top:.5rem}.field-setting-container .group-title{display:flex;height:35px;align-items:center;gap:8px;background-color:#87ceeb;padding:6px 12px;font-weight:600;color:#1f2937;font-size:13px;margin:12px 0 4px;box-shadow:0 1px 2px #0000000d}.field-setting-container .group-title .icon-wrapper{display:flex;align-items:center;justify-content:center;width:18px;height:18px;color:#1f2937}.field-setting-container .group-title .icon-wrapper i{width:16px;height:16px;stroke-width:2}.field-setting-container .group-title.mandatory{background-color:#ffecb3}.field-setting-container .group-title.optional{background-color:#d0f0fd}.field-setting-container .group-title.validators{background-color:#e8f5e9}.field-setting-container .group-title .group-name{flex:1}.field-setting-container .group-title .group-name .feather-help-circle{display:inline-block;margin-left:8px}.field-setting-container .calculated-field-rule{font-family:system-ui,sans-serif;border:1px solid #ccc;padding:1rem;border-radius:8px}.field-setting-container .calculated-field-rule h2{margin-top:0;color:#2b3e50}.field-setting-container .calculated-field-rule pre{background:#eee;padding:.5rem 1rem;border-radius:4px;overflow-x:auto}\n"] }]
        }] });

var EnumLeftPanelMode;
(function (EnumLeftPanelMode) {
    EnumLeftPanelMode["FieldCollection"] = "FieldCollection";
    EnumLeftPanelMode["Json"] = "Json";
})(EnumLeftPanelMode || (EnumLeftPanelMode = {}));

class CoreFormDesignComponent extends BaseComponent {
    constructor(mls) {
        super(mls);
        this.mls = mls;
        this.$idAsInput = input();
        this.$id = input();
        this.$settingPanel = viewChild('settingPanel');
        this.$jsonMode = signal('selectedField');
        this.injectedFields$ = new BehaviorSubject([]);
        this.enumType = EnumFormDesignMode;
        this.enumLeftPanelMode = EnumLeftPanelMode;
        this.$leftPanelMode = computed(() => {
            if (this.coreFormDesignService.$fieldSettingPanelOpen()) {
                return this.enumLeftPanelMode.Json;
            }
            else {
                return this.enumLeftPanelMode.FieldCollection;
            }
        });
        this.ds = inject(DomService);
        this.js = inject(JsonService);
        this.$zIndex = computed(() => {
            if (this.coreFormDesignService.$fieldSettingPanelOpen()) {
                return this.ds.getMaxZIndex() + 1;
            }
            else {
                return 0;
            }
        });
        this.previewMode$ = new BehaviorSubject(EnumCorePageEditMode.CREATE);
        this.$loading = signal(false);
        this.coreFormDesignService = inject(CoreFormDesignService);
        this.renderer = inject(Renderer2);
        this.cdr = inject(ChangeDetectorRef);
        this.router = inject(Router);
        this.route = inject(ActivatedRoute);
        this.alertService = inject(AlertService);
        this.applicationHelpService = inject(ApplicationHelpService);
        this.wfs = inject(CoreWorkflowService);
        this.dbs = inject(DbService);
        this.appConfigService = inject(AppConfigService);
        this.$hasCalculatedSection = computed(() => {
            return this.coreFormDesignService.$placeholderSections().some(s => !!s.forCalculatedFields);
        });
        this.formDesign = this.coreFormDesignService.formDesign;
        this.setControlProp = this.coreFormDesignService.setControlProp.bind(this.coreFormDesignService);
        this.isDragOverMap = {};
        this.idStream$ = new BehaviorSubject(undefined);
        this.getByIdStream$ = this.idStream$.pipe(filter(id => !!id && id !== '0'), distinctUntilChanged(), tap(() => {
            this.$loading.set(true);
            this.coreFormDesignService.editMode$.next(EnumCorePageEditMode.UPDATE);
            this.coreFormDesignService.$submitText.set(EnumTranslateKey.UI_EDIT_FORM_BUTTON_SAVE);
        }), switchMap(id => {
            return this.coreFormDesignService.getById(id)
                .pipe(catchError(err => {
                this.$loading.set(false);
                return of(err);
            }));
        }));
        this.form = new FormGroup({
            stringBox: new FormControl(),
            timeBox: new FormControl(),
            email: new FormControl(),
            textarea: new FormControl(),
            number: new FormControl(),
            currency: new FormControl(),
            dropdown: new FormControl(),
            employeeSeeker: new FormControl(),
            checklist: new FormControl(),
            employeeSeekerMultiple: new FormControl(),
            datePicker: new FormControl(),
            monthSelector: new FormControl(),
            attachment: new FormControl(),
            attachmentBuffer: new FormControl(),
            checkbox: new FormControl(),
            calculated: new FormControl(),
        });
        this.$sections = computed(() => {
            const hydrated = this.coreFormDesignService.rehydrateSections(this.coreFormDesignService.$placeholderSections());
            let sections = this.coreFormDesignService.toCoreFormSections(hydrated);
            // ✅ Inject hidden "id" field into the first cell row of the first section
            sections = this.coreFormDesignService.injectSystemControls(sections, this.coreFormDesignService.$afInstance().hasIdOfStringType ?? false);
            return sections;
        });
        this.checkError$ = new BehaviorSubject(false);
        this.controlCategories = [
            {
                name: 'Calculated fields',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.CALCULATED,
                        type: 'calculated',
                        field: 'calculated',
                        label: '',
                        value: '',
                        placeholder: 'Calculated',
                        headless: true,
                    }
                ]
            },
            {
                name: 'Text',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.TEXTBOX,
                        type: 'string',
                        field: 'stringBox',
                        label: '',
                        value: '',
                        placeholder: 'String box',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.TEXTBOX,
                        type: 'email',
                        field: 'email',
                        label: '',
                        value: '',
                        placeholder: 'Email',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.TEXTAREA,
                        type: 'string',
                        field: 'textarea',
                        label: '',
                        value: '',
                        textareaRows: 2,
                        placeholder: 'Text area',
                        headless: true,
                    }
                ]
            },
            {
                name: 'Numerical',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.TEXTBOX,
                        type: 'number',
                        field: 'number',
                        label: '',
                        value: 100,
                        placeholder: 'Number',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.CURRENCY,
                        type: 'number',
                        field: 'currency',
                        label: '',
                        value: '',
                        placeholder: 'Currency',
                        headless: true,
                    },
                ]
            },
            {
                name: 'Single selection',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.DROPDOWN,
                        type: 'any',
                        field: 'dropdown',
                        label: '',
                        value: '',
                        dropdownOptions$: new BehaviorSubject([]),
                        shownFrom: 'name',
                        getByIdObject$: new BehaviorSubject({}),
                        placeholder: 'Dropdown',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.SEEKER,
                        seekerSourceType: EnumCoreFormControlSeekerSourceType.EMPLOYEE_SEEK,
                        type: 'any[]',
                        field: 'employeeSeeker',
                        label: '',
                        value: ['Nguyễn A'],
                        boundFrom: 'id',
                        shownFrom: 'fullname',
                        getByIdObject$: new BehaviorSubject({}),
                        placeholder: 'Employee seeker',
                        headless: true,
                    }
                ]
            },
            {
                name: 'Multiple Selection',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.CHECKLIST,
                        type: 'any[]',
                        field: 'checklist',
                        label: '',
                        value: [],
                        checklistOptions$: new BehaviorSubject([]),
                        shownFrom: 'name',
                        getByIdObject$: new BehaviorSubject({}),
                        placeholder: 'Check list',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.SEEKER,
                        seekerSourceType: EnumCoreFormControlSeekerSourceType.EMPLOYEE_SEEK,
                        multiMode: true,
                        type: 'any[]',
                        field: 'employeeSeekerMultiple',
                        label: '',
                        value: [],
                        objectList$: new BehaviorSubject([]),
                        boundFrom: 'id',
                        shownFrom: 'fullname',
                        getByIdObject$: new BehaviorSubject({}),
                        multiModeTableHeight: 100,
                        placeholder: 'Employee seeker (multi mode)',
                        headless: true,
                    }
                ]
            },
            {
                name: 'Date',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.DATEPICKER,
                        type: 'date',
                        field: 'datePicker',
                        label: '',
                        value: '',
                        placeholder: 'Date picker',
                        showPlaceholder: true,
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.TEXTBOX,
                        type: 'time',
                        field: 'timeBox',
                        label: '',
                        value: null,
                        placeholder: 'Time box',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.MONTHSELECTOR,
                        type: 'string',
                        field: 'monthSelector',
                        label: '',
                        value: '',
                        placeholder: 'Month selector',
                        headless: true,
                    },
                ]
            },
            {
                name: 'Other',
                controls: [
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.ATTACHMENT,
                        type: 'string',
                        field: 'attachment',
                        label: '',
                        value: '',
                        assignTo: 'unknown',
                        placeholder: 'Attachment',
                        headless: true,
                    },
                    {
                        flexSize: 12,
                        controlType: EnumFormBaseContolType.CHECKBOX,
                        type: 'boolean',
                        field: 'checkbox',
                        label: '',
                        value: '',
                        placeholder: 'Checkbox',
                        headless: true,
                    },
                ]
            },
        ];
        this.generateFieldNameFor = this.coreFormDesignService.generateFieldNameFor.bind(this.coreFormDesignService);
        this.generateLabelNameFor = this.coreFormDesignService.generateLabelNameFor.bind(this.coreFormDesignService);
        this.getAllControlsFromSections = this.coreFormDesignService.getAllControlsFromSections.bind(this.coreFormDesignService);
        this.getControl = this.coreFormDesignService.getControl.bind(this.coreFormDesignService);
        this.coreFormDesignService.resetFormDesignState();
        effect(() => {
            const _ = this.coreFormDesignService.$placeholderSections();
            this.syncFormDesignWithSections();
        });
        effect(() => {
            this.idStream$.next(this.$id());
        });
        this.applicationHelpService.activeKey$.pipe(distinctUntilChanged()).subscribe(x => {
            switch (x) {
                case 'F3':
                    this.coreFormDesignService.$fieldSettingPanelOpen.set(true);
                    break;
                case 'F6':
                    this.coreFormDesignService.$mode.set(EnumFormDesignMode.Preview);
                    break;
                case 'Escape':
                    this.coreFormDesignService.$fieldSettingPanelOpen.set(false);
                    this.coreFormDesignService.$mode.set(EnumFormDesignMode.Default);
                    break;
            }
        });
    }
    ngOnInit() {
        this.subscriptions.push(this.mls.lang$.subscribe(x => this.lang = x));
        if (this.appConfigService.WORKFLOW_ENABLE_DEBUG_MODE) {
            this.injectedFields$.next([
                {
                    field: '___requesterId',
                    flexSize: 12,
                    type: 'number',
                    controlType: EnumFormBaseContolType.SEEKER,
                    seekerSourceType: EnumCoreFormControlSeekerSourceType.EMPLOYEE_SEEK,
                    getByIdApi: '',
                    getByIdObject$: new BehaviorSubject({}),
                    label: 'Simulated Requester',
                    boundFrom: 'id',
                    shownFrom: 'fullname',
                    value: null,
                },
                {
                    field: "___reason",
                    type: "text",
                    value: '',
                    label: "UI_FORM_CONTROL_LABEL.REASON",
                    flexSize: 12,
                    controlType: EnumFormBaseContolType.TEXTAREA,
                    textareaRows: 5,
                    validators: [
                        {
                            name: 'required',
                            validator: Validators.required,
                            errorMessage: EnumTranslateKey.UI_FORM_CONTROL_ERROR_REQUIRED
                        }
                    ],
                }
            ]);
        }
        else {
            this.injectedFields$.next([
                {
                    field: "___reason",
                    type: "text",
                    value: '',
                    label: "UI_FORM_CONTROL_LABEL.REASON",
                    flexSize: 12,
                    controlType: EnumFormBaseContolType.TEXTAREA,
                    textareaRows: 5,
                    validators: [
                        {
                            name: 'required',
                            validator: Validators.required,
                            errorMessage: EnumTranslateKey.UI_FORM_CONTROL_ERROR_REQUIRED
                        }
                    ],
                }
            ]);
        }
    }
    switchJson() {
        if (this.$jsonMode() === 'full') {
            this.$jsonMode.set('selectedField');
        }
        else {
            this.$jsonMode.set('full');
        }
    }
    onDragStart(event, control) {
        this.coreFormDesignService.beginDragTemplate(control);
    }
    onDragOver(event, section, control) {
        event.preventDefault(); // necessary to allow drop
        if ((!!section.forCalculatedFields && this.coreFormDesignService.$draggingControl()?.type === 'calculated') ||
            (!section.forCalculatedFields && this.coreFormDesignService.$draggingControl()?.type !== 'calculated')) {
            event.dataTransfer.dropEffect = 'copy';
        }
        else {
            event.dataTransfer.dropEffect = 'none';
        }
    }
    onDragEnter(placeholderId) {
        this.isDragOverMap[placeholderId] = true;
    }
    onDragLeave(placeholderId) {
        this.isDragOverMap[placeholderId] = false;
    }
    onDropIntoCell(event, sectionIndex, rowIndex, colIndex) {
        event.preventDefault();
        const template = this.coreFormDesignService.$currentControlTemplate();
        if (!template)
            return;
        const section = this.coreFormDesignService.$placeholderSections()[sectionIndex];
        if (!section.forCalculatedFields && template.type === 'calculated')
            return;
        if (!!section.forCalculatedFields && template.type !== 'calculated')
            return;
        const normalized = this.coreFormDesignService.normalize({
            ...template,
            field: this.generateFieldNameFor(template),
            label: this.generateLabelNameFor(template),
            value: null
        });
        this.coreFormDesignService.$placeholderSections.update(sections => {
            const section = sections[sectionIndex];
            const row = section?.rows[rowIndex];
            if (!row || row.cells.length <= colIndex)
                return sections;
            const usedFlex = row.cells.reduce((sum, cell) => sum + (cell?.control?.flexSize ?? 0), 0);
            const remainingFlex = 12 - usedFlex;
            const flexSize = Math.max(1, remainingFlex);
            normalized.flexSize = flexSize;
            const previous = row.cells[colIndex]?.control;
            if (previous && previous.flexSize !== undefined) {
                /*
                AttachmentFieldHelperService.handleAttachmentOverwrite(
                  previous as IFormBaseControl,
                  this.coreFormDesignService.getAllControlsFromSections()
                );
                */
            }
            const previousField = row.cells[colIndex]?.control?.field ?? null;
            this.coreFormDesignService.replaceControl(previousField, normalized);
            // 🔹 INSERT FIRST
            row.cells[colIndex] = { ...row.cells[colIndex], control: normalized };
            this.coreFormDesignService.$selectedCell.set(row.cells[colIndex]);
            // 🔹 THEN CALL setup
            if (AttachmentFieldHelperService.isAttachment(normalized)) {
                const assignToField = AttachmentFieldHelperService.buildHiddenAssignToField(normalized.field);
                normalized.field = `${normalized.field}Buffer`;
                normalized.assignTo = assignToField.field;
                AttachmentFieldHelperService.injectAssignToFieldIntoRow(row, assignToField);
            }
            setTimeout(() => {
                this.coreFormDesignService.setControlPropDirectly('validators', normalized.validators ?? [], normalized);
            });
            return sections;
        });
        this.triggerUpdateSections();
        this.isDragOverMap[sectionIndex + '_' + rowIndex + '_' + colIndex] = false;
        this.coreFormDesignService.endDrag();
        this.openSettingsForCell(this.coreFormDesignService.$selectedCell(), sectionIndex, rowIndex, colIndex);
    }
    addCalculatedSection() {
        this.coreFormDesignService.$placeholderSections.update(sections => [
            {
                caption: `Calculated Section`,
                forCalculatedFields: true,
                hidden: true,
                rows: [{ cells: [{ flexSize: 12 }] }]
            },
            ...sections,
        ]);
    }
    addSection() {
        this.coreFormDesignService.$placeholderSections.update(sections => [
            ...sections,
            {
                caption: `Section ${sections.length + 1}`,
                rows: [{ cells: [{ flexSize: 12 }] }]
            }
        ]);
    }
    deleteSection(sectionIndex) {
        const sections = this.coreFormDesignService.$placeholderSections();
        const section = sections[sectionIndex];
        const hasControls = section?.rows?.some(row => row?.cells?.some(cell => !!cell?.control));
        if (hasControls) {
            const confirmed = confirm('This section contains controls. Are you sure you want to delete it?');
            if (!confirmed)
                return;
        }
        this.coreFormDesignService.$placeholderSections.update(prev => prev.filter((_, idx) => idx !== sectionIndex));
    }
    deleteRow(sectionIndex, rowIndex) {
        const sections = this.coreFormDesignService.$placeholderSections();
        const section = sections[sectionIndex];
        const row = section?.rows?.[rowIndex];
        if (!row)
            return; // safety check
        const hasControls = row.cells?.some(cell => !!cell?.control);
        if (hasControls) {
            const confirmed = confirm('This row contains controls. Are you sure you want to delete it?');
            if (!confirmed)
                return; // user canceled
        }
        this.coreFormDesignService.$placeholderSections.update(sections => {
            return sections.map((section, sIdx) => {
                if (sIdx !== sectionIndex)
                    return section;
                return {
                    ...section,
                    rows: (section.rows ?? []).filter((_, rIdx) => rIdx !== rowIndex)
                };
            });
        });
    }
    addRow(sectionIndex) {
        this.coreFormDesignService.$placeholderSections.update(sections => {
            const section = sections[sectionIndex];
            if (section) {
                section.rows.push({ cells: [{ flexSize: 12 }] });
            }
            return sections;
        });
    }
    addColumn(row) {
        if (!row || row.cells.length >= 4)
            return;
        const usedFlex = row.cells.reduce((sum, c) => sum + (c.flexSize ?? 0), 0);
        // ✅ Case 1: Normal case – still space available
        if (usedFlex < 12) {
            const remaining = 12 - usedFlex;
            row.cells.push({ flexSize: Math.min(3, remaining) });
            return;
        }
        // 💥 Case 2: Full row — try to rebalance
        if (usedFlex === 12) {
            const count = row.cells.length;
            if (count === 1) {
                // 12 → 6 + 6
                row.cells[0].flexSize = 6;
                row.cells.push({ flexSize: 6 });
                return;
            }
            if (count === 2) {
                // 6 + 6 → 4 + 4 + 4
                row.cells.forEach(c => (c.flexSize = 4));
                row.cells.push({ flexSize: 4 });
                return;
            }
            if (count === 3) {
                // 4 + 4 + 4 → 3 + 3 + 3 + 3
                row.cells.forEach(c => (c.flexSize = 3));
                row.cells.push({ flexSize: 3 });
                return;
            }
            // ❌ Already 4 cells, each 3 — can’t split further
            return;
        }
        // 🔧 Optional fallback logic for unknown edge cases
        const maxIndex = row.cells.reduce((maxI, c, i, arr) => (c.flexSize ?? 0) > (arr[maxI]?.flexSize ?? 0) ? i : maxI, 0);
        const maxCell = row.cells[maxIndex];
        if ((maxCell?.flexSize ?? 0) <= 3)
            return; // nothing to shrink
        maxCell.flexSize -= 3;
        row.cells.push({ flexSize: 3 });
    }
    onCorePageHeaderButtonClicked(e) {
        if (e.code === EnumCoreButtonVNSCode.HEADER_SWITCH_VIEW) {
            if (this.coreFormDesignService.$mode() === EnumFormDesignMode.Default) {
                const sections = this.coreFormDesignService.toCoreFormSections(this.coreFormDesignService.$placeholderSections());
                this.coreFormDesignService.$liveFormSections.set(sections);
            }
            setTimeout(() => this.coreFormDesignService.$mode.set(this.coreFormDesignService.$mode() === EnumFormDesignMode.Preview ? EnumFormDesignMode.Default : EnumFormDesignMode.Preview));
        }
        else if (e.code === EnumCoreButtonVNSCode.HEADER_SAVE) {
        }
    }
    closePreview() {
        this.coreFormDesignService.$mode.set(EnumFormDesignMode.Default);
    }
    onPreviewSubmit(e) {
        alert(JSON.stringify(e, null, 2));
    }
    onCellClicked(sectionIndex, rowIndex, colIndex) {
        const row = this.coreFormDesignService.$placeholderSections()[sectionIndex].rows[rowIndex];
        if (!!row) {
            // Toggle selection
            if (!!row.cells && row.cells.length > colIndex) {
                row.cells[colIndex].selected = !row.cells[colIndex].selected;
            }
            // Only allow max 2 selections
            const selected = row.cells.filter(c => c?.selected);
            if (selected.length > 2) {
                row.cells.forEach(c => c && (c.selected = false));
                row[colIndex].selected = true;
            }
        }
    }
    canMergeCells(sectionIndex, rowIndex) {
        const row = this.coreFormDesignService.$placeholderSections()[sectionIndex].rows[rowIndex];
        const selected = row?.cells.map((c, i) => ({ c, i })).filter(x => x.c?.selected);
        if (selected?.length !== 2)
            return false;
        const [a, b] = selected;
        if (a.c.control || b.c.control)
            return false;
        return Math.abs(a.i - b.i) === 1; // Must be neighbors
    }
    mergeCells(sectionIndex, rowIndex) {
        const row = this.coreFormDesignService.$placeholderSections()[sectionIndex].rows[rowIndex];
        if (!row)
            return;
        this.coreFormDesignService.$placeholderSections.update(sections => {
            const selected = row.cells
                .map((c, i) => ({ c, i }))
                .filter(x => x.c?.selected);
            if (selected.length !== 2)
                return sections;
            const [a, b] = selected.sort((a, b) => a.i - b.i);
            const mergedFlex = (typeof a.c.flexSize === 'number' ? a.c.flexSize : 3) +
                (typeof b.c.flexSize === 'number' ? b.c.flexSize : 3);
            const mergedCell = {
                //control: { ...a.c.control, flexSize: mergedFlex }, // keep control data
                flexSize: mergedFlex,
                selected: false
            };
            row.cells.splice(a.i, 2, mergedCell); // replace both cells with one
            return sections;
        });
    }
    openSettingsForCell(cell, sectionIndex, rowIndex, colIndex) {
        this.coreFormDesignService.$sectionIndex.set(sectionIndex);
        this.coreFormDesignService.$rowIndex.set(rowIndex);
        this.coreFormDesignService.$colIndex.set(colIndex);
        this.coreFormDesignService.$selectedCell.set({ ...cell });
        this.coreFormDesignService.$fieldSettingPanelOpen.set(true);
    }
    deleteField(row, colIndex) {
        if (!row || !row.cells[colIndex])
            return;
        const cellToDelete = row.cells[colIndex];
        if (!cellToDelete.control)
            return;
        if (confirm('Are you sure to remove the field?')) {
            // 🧠 Check if it's selected
            const selectedCell = this.coreFormDesignService.$selectedCell();
            const shouldClearSelection = selectedCell === cellToDelete;
            let deletedControl = null;
            // ✅ Update the reactive state
            this.coreFormDesignService.$placeholderSections.update(sections => {
                for (const section of sections) {
                    for (const r of section.rows) {
                        if (r === row) {
                            const control = r.cells[colIndex].control;
                            if (control && control.field && control.flexSize !== undefined) {
                                deletedControl = control; // ✅ Save before removing
                            }
                            r.cells[colIndex].control = undefined; // ❌ Clear after
                            break;
                        }
                    }
                }
                return sections;
            });
            if (deletedControl) {
                this.coreFormDesignService.$placeholderSections.update(sections => {
                    for (const section of sections) {
                        for (const row of section.rows) {
                            if (!!row) {
                                row.cells = row.cells.filter(cell => cell.control?.field !== deletedControl?.assignTo);
                            }
                        }
                    }
                    return sections;
                });
            }
            // ❌ Clear selection if needed
            if (shouldClearSelection) {
                this.coreFormDesignService.$selectedCell.set(null);
            }
            this.triggerUpdateSections();
        }
    }
    onCaptionEditEnd(index, event) {
        const newCaption = event.target.innerText.trim();
        this.coreFormDesignService.$placeholderSections.update(sections => {
            sections[index].caption = newCaption;
            return sections;
        });
    }
    onFieldCaptionEditEnd(cell, event) {
        const element = event.target;
        const newLabel = element.innerText.trim();
        // Fallback if empty
        cell.control.label = newLabel || 'Unnamed Field';
        this.triggerUpdateSections();
    }
    insertSection() {
    }
    insertRow(sectionIndex, rowIndex) {
        const sections = this.coreFormDesignService.$placeholderSections();
        const section = sections[sectionIndex];
        if (!section)
            return;
        const newRow = {
            cells: [
                { flexSize: 12 },
            ]
        };
        section.rows.splice(rowIndex + 1, 0, newRow);
        this.coreFormDesignService.$placeholderSections.set([...sections]);
    }
    closeFieldSettingPanel() {
        this.coreFormDesignService.$fieldSettingPanelOpen.set(false);
        this.coreFormDesignService.$selectedCell.set(null);
        this.coreFormDesignService.$currentControlTemplate.set(null);
        this.coreFormDesignService.$currentControl.set(null);
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.subscriptions.push(this.getByIdStream$.subscribe(x => {
                this.$loading.set(false);
                if (x.ok && x.status === 200 && x.body?.statusCode === 200) {
                    this.coreFormDesignService.$afInstance.set(this.coreFormDesignService.mapFromAfInstanceDTO(x.body.innerBody));
                    this.coreFormDesignService.syncPlaceholderSectionsFromInstance();
                    this.coreFormDesignService.$shouldPatchMetadataForm.set(true);
                    const saveLiveJson = this.coreFormDesignService.$saveLiveJson();
                    setTimeout(() => this.wfs.$initialFormDesignJson.set(saveLiveJson));
                }
            }));
            if (!this.$idAsInput()) {
                this.subscriptions.push(this.route.params.subscribe(x => {
                    let id = '0';
                    try {
                        id = atob(x['id']);
                        this.coreFormDesignService.$afInstance.update(instance => ({
                            ...instance,
                            id
                        }));
                    }
                    catch (err) {
                        if (isDevMode()) {
                            this.alertService.error(err.toString(), noneAutoClosedAlertOptions);
                        }
                        return;
                    }
                    this.idStream$.next(id);
                }));
            }
            console.warn('InitialFormDesignJson on load', this.wfs.$initialFormDesignJson());
        });
    }
    onControlParamsChange(updated) {
        this.coreFormDesignService.$placeholderSections.update(sections => {
            const cell = this.coreFormDesignService.$selectedCell();
            if (!cell)
                return sections;
            // Patch the selected cell
            Object.assign(cell.control, updated);
            return sections;
        });
    }
    get normalizedSelectedControl() {
        const cell = this.coreFormDesignService.$selectedCell();
        if (!cell?.control) {
            throw new Error('No control is currently selected.');
        }
        return this.coreFormDesignService.normalize(cell.control);
    }
    triggerUpdateSections() {
        this.coreFormDesignService.$placeholderSections.set([...this.coreFormDesignService.$placeholderSections()]);
    }
    syncFormDesignWithSections() {
        const existingControls = Object.keys(this.formDesign.controls);
        const expectedControls = [];
        for (const section of this.coreFormDesignService.$placeholderSections()) {
            for (const row of section.rows) {
                for (const cell of row?.cells || []) {
                    const control = cell?.control;
                    if (control?.field) {
                        expectedControls.push(control.field);
                        if (!this.formDesign.contains(control.field)) {
                            this.formDesign.addControl(control.field, new FormControl(control.value ?? null));
                        }
                    }
                }
            }
        }
        // 🧹 Remove controls that no longer exist
        for (const field of existingControls) {
            if (!expectedControls.includes(field)) {
                this.formDesign.removeControl(field);
            }
        }
    }
    isRequired(control) {
        if (!control || !control.validators)
            return false;
        return control.validators.some((v) => v.name === 'required' || v.name === 'requiredTrue');
    }
    filteredCells(row) {
        if (!row)
            return [];
        return row.cells.filter(cell => (cell?.flexSize ?? 0) > 0);
    }
    onFormDesignCreated(e) {
        console.log("onFormDesignCreated", e);
    }
    onLiveFormCreated(e) {
        console.log("onLiveFormCreated", e);
    }
    showMetadata() {
        this.coreFormDesignService.$showFormMetadata.set(true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CoreFormDesignComponent, deps: [{ token: MultiLanguageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: CoreFormDesignComponent, isStandalone: true, selector: "core-form-design", inputs: { $idAsInput: { classPropertyName: "$idAsInput", publicName: "$idAsInput", isSignal: true, isRequired: false, transformFunction: null }, $id: { classPropertyName: "$id", publicName: "$id", isSignal: true, isRequired: false, transformFunction: null } }, viewQueries: [{ propertyName: "$settingPanel", first: true, predicate: ["settingPanel"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "<div class=\"core-form-design-container fs-13\" [hotKeys]=\"['F3', 'F6', 'Escape']\">\r\n\r\n    <core-page-header title=\"UI.COMPONENT_TITLE.WORKFLOW_FORM_DESIGN\" (buttonClick)=\"onCorePageHeaderButtonClicked($event)\"></core-page-header>\r\n\r\n    <ng-template #formMetadata>\r\n        <form-metadata></form-metadata>\r\n    </ng-template>\r\n\r\n    @if (!coreFormDesignService.$isInWorkflowDesign()) {\r\n        <aside class=\"af-metadata-overlay\" [@slideFromTopFadeIn]=\"coreFormDesignService.$showFormMetadata() ? 'in' : 'out'\"\r\n            [class.shown]=\"coreFormDesignService.$showFormMetadata()\"\r\n        >\r\n            <ng-container *ngTemplateOutlet=\"formMetadata\"></ng-container>\r\n        </aside>\r\n    }\r\n\r\n    <div \r\n        class=\"field-setting-panel\" \r\n        [class.open]=\"coreFormDesignService.$fieldSettingPanelOpen()\" \r\n        [class.calculated-type]=\"coreFormDesignService.$selectedCell()?.control?.type==='calculated'\"\r\n        [ngStyle]=\"{ zIndex: $zIndex() }\"\r\n        #settingPanel\r\n    >\r\n        @if (!!(this.coreFormDesignService.$selectedCell())) {\r\n            <field-setting></field-setting>\r\n        }\r\n    </div>\r\n\r\n    <div class=\"form-design-left\">\r\n\r\n        @switch ($leftPanelMode()) {\r\n            @case (enumLeftPanelMode.FieldCollection) {\r\n                @for (category of controlCategories; track $index) {\r\n                    <div class=\"category-name\">\r\n                        {{ category.name }}\r\n                    </div>\r\n                    <ul>\r\n                        @for (control of category.controls; track $index) {\r\n                        <li draggable=\"true\" (dragstart)=\"onDragStart($event, control)\" [class.full-width]=\"control.controlType === 'SEEKER' || control.controlType === 'ATTACHMENT'\">\r\n                            <core-control [control]=\"control\" [form]=\"form\" [checkError$]=\"checkError$\"></core-control>\r\n                        </li>\r\n                        <div class=\"space\"></div>\r\n                        }\r\n                    </ul>\r\n                    }\r\n            }\r\n            @case (enumLeftPanelMode.Json) {\r\n                <button type=\"button\" class=\"btn btn-secondary\" (click)=\"switchJson()\">{{ $jsonMode() }}</button>\r\n                @if ($jsonMode()==='selectedField') {\r\n                    <pre class=\"json-preview\">{{ coreFormDesignService.$currentControlJson() }}</pre>\r\n                } @else {\r\n                    <pre class=\"json-preview\">{{ coreFormDesignService.$saveLiveJson() }}</pre>\r\n                }\r\n                \r\n            }\r\n        }\r\n\r\n    </div>\r\n\r\n    <div class=\"form-design-right\">\r\n            <!-- <pre>{{ $injectedFieldsJson() }}</pre> -->\r\n\r\n        @if (coreFormDesignService.$mode() === enumType.Default) {\r\n            <div class=\"form-wrapper\">\r\n\r\n                @if (!!coreFormDesignService.$isInWorkflowDesign()) {\r\n                    <form-metadata></form-metadata>\r\n                }\r\n\r\n                <form [formGroup]=\"formDesign\" autocomplete=\"off\">\r\n                <div class=\"form-cells\">\r\n\r\n                    <div class=\"form-tool-bar\">\r\n                        @if (!$hasCalculatedSection()) {\r\n                            <button class=\"core-button-vns-container\" (click)=\"addCalculatedSection()\">+ Calculated fields</button>\r\n                        }\r\n                        <button class=\"core-button-vns-container\" (click)=\"addSection()\">+ Add Section</button>\r\n                    </div>\r\n    \r\n                    @for (section of coreFormDesignService.$placeholderSections(); track $index; let sectionIndex = $index) {\r\n                        <div class=\"form-section-placeholder\">\r\n\r\n                          <div class=\"section-header\">\r\n\r\n                            <div class=\"section-img-wrapper\">\r\n                                <div class=\"section-img\" [class.calculated]=\"section.forCalculatedFields\"></div>\r\n                            </div>\r\n\r\n                            <label [attr.contenteditable]=\"!section.forCalculatedFields\"\r\n                                [htmlTooltip]=\"!!section.forCalculatedFields ? calculatedFieldsTooltip : null\"\r\n                                (blur)=\"onCaptionEditEnd(sectionIndex, $event)\"\r\n                                (keydown.enter)=\"onCaptionEditEnd(sectionIndex, $event); $event.preventDefault()\"\r\n                            >{{ section.caption }}</label>\r\n\r\n                            <div class=\"section-tool pointer\" (click)=\"deleteSection(sectionIndex)\" [appTooltip]=\"'Delete section'\" [showAnyway]=\"true\">\r\n                                <i class=\"feather-x\"></i>\r\n                            </div>\r\n                            \r\n                          </div>\r\n                      \r\n                          @for (row of section.rows; track $index; let rowIndex = $index) {\r\n\r\n                            <div class=\"form-row-wrapper\">\r\n                                <div class=\"form-row\">\r\n                                    @for (cell of filteredCells(row); track $index; let colIndex = $index) {\r\n                                      <div class=\"form-cell drop-target\" \r\n                                           [ngStyle]=\"{ flex: (cell.flexSize ?? 0) + ' 1 0%' }\"\r\n                                           [attr.data-flex]=\"cell.flexSize ?? 0\"\r\n                                           (drop)=\"onDropIntoCell($event, sectionIndex, rowIndex, colIndex)\"\r\n                                           (dragover)=\"onDragOver($event, section, cell.control!)\"\r\n                                           (dragenter)=\"onDragEnter(sectionIndex + '_' + rowIndex + '_' + colIndex)\"\r\n                                           (dragleave)=\"onDragLeave(sectionIndex + '_' + rowIndex + '_' + colIndex)\"\r\n                                           [class.selected]=\"cell?.selected\"\r\n                                           [class.dragging-over]=\"isDragOverMap[sectionIndex + '_' + rowIndex + '_' + colIndex]\"\r\n                                           [class.has-control]=\"!!cell && !!cell.control && !!getControl(cell)\"\r\n                                           (click)=\"onCellClicked(sectionIndex, rowIndex, colIndex)\"\r\n                                      >\r\n\r\n\r\n                                        @if (!isDragOverMap[sectionIndex + '_' + rowIndex + '_' + colIndex]) {\r\n\r\n                                            @if (!!cell && !!cell.control && !!getControl(cell)) {\r\n                                                <label contenteditable=\"true\"\r\n                                                    (blur)=\"onFieldCaptionEditEnd(cell, $event)\"\r\n                                                    (keydown.enter)=\"onFieldCaptionEditEnd(cell, $event); $event.preventDefault()\"\r\n                                                    [class.d-none]=\"!!getControl(cell)?.hidden\"\r\n                                                    [class.required]=\"!!cell && !!cell.control && !!getControl(cell) && isRequired(getControl(cell))\"\r\n                                                >{{ cell.control.label || 'label' }}</label>\r\n\r\n                                                @if (cell.control.controlType==='CALCULATED') {\r\n                                                <div class=\"control-wrapper\" (click)=\"openSettingsForCell(cell, sectionIndex, rowIndex, colIndex)\">\r\n                                                    <core-control \r\n                                                        [control]=\"getControl(cell)!\" \r\n                                                        [form]=\"formDesign\"\r\n                                                        [checkError$]=\"checkError$\" />\r\n                                                </div>\r\n                                                } @else {\r\n                                                    <core-control \r\n                                                        [control]=\"getControl(cell)!\" \r\n                                                        [form]=\"formDesign\"\r\n                                                        [checkError$]=\"checkError$\" />\r\n                                                }\r\n    \r\n                                                <div class=\"field-toolbar\">\r\n                                                    <ul>\r\n                                                        <li>\r\n                                                            <div class=\"field-tool pointer\" (click)=\"openSettingsForCell(cell, sectionIndex, rowIndex, colIndex)\" [appTooltip]=\"'Show settings'\">\r\n                                                                <i class=\"feather-settings\"></i>\r\n                                                            </div>\r\n                                                        </li>\r\n                                                        <li>\r\n                                                            <div class=\"field-tool pointer\" (click)=\"deleteField(row, colIndex)\" [appTooltip]=\"'Remove field from cell'\">\r\n                                                                <i class=\"feather-x\"></i>\r\n                                                            </div>\r\n                                                        </li>\r\n                                                    </ul>\r\n                                                </div>\r\n        \r\n                                                } @else {\r\n                                                    <div class=\"placeholder\" [class.calculated]=\"!!section.forCalculatedFields\">\r\n                                                        {{ !!section.forCalculatedFields ? 'Drop calculated field here' : 'Drop here'}}\r\n                                                    </div>\r\n                                                }\r\n\r\n                                              @if (cell?.selected && canMergeCells(sectionIndex, rowIndex)) {\r\n                                                <div class=\"merge-toolbar\">\r\n                                                    <button (click)=\"mergeCells(sectionIndex, rowIndex)\">\uD83D\uDD17 Merge</button>\r\n                                                </div>\r\n                                              }\r\n    \r\n                                        }\r\n\r\n                                      </div>\r\n                                    }\r\n                                </div>\r\n                                <div class=\"row-tool-bar\">\r\n                                    <div class=\"icon-wrapper\" (click)=\"deleteRow(sectionIndex, rowIndex)\" [appTooltip]=\"'Delete row'\" [showAnyway]=\"true\"><i class=\"feather-x\"></i></div>\r\n                                    <div class=\"icon-wrapper\" (click)=\"addRow(sectionIndex)\" [appTooltip]=\"'Add row'\" [showAnyway]=\"true\"><i class=\"feather-arrow-down\"></i></div>\r\n                                    <div class=\"icon-wrapper\" (click)=\"insertRow(sectionIndex, rowIndex)\" [appTooltip]=\"'Insert row'\" [showAnyway]=\"true\"><i class=\"feather-corner-right-down\"></i></div>\r\n                                    <div class=\"icon-wrapper\" (click)=\"addColumn(row)\" [appTooltip]=\"'Add column'\" [showAnyway]=\"true\"><i class=\"feather-arrow-right\"></i></div>\r\n                                </div>\r\n                            </div>\r\n\r\n                          }\r\n                        </div>\r\n                    }\r\n                      \r\n              \r\n                </div>\r\n            </form>\r\n            </div>\r\n        } @else if (!!$sections()) {\r\n\r\n            @if(!!(injectedFields$ | async) && !!(injectedFields$ | async)!.length) {\r\n\r\n                @if (!!coreFormDesignService.$afInstance().normalMode) {\r\n                    <live-form [$designMode]=\"true\" [$forKickOff]=\"true\" />\r\n                } @else {\r\n                    <live-form [$designMode]=\"true\" [$forKickOff]=\"true\" ($onClose)=\"closePreview()\" />\r\n                }\r\n\r\n            } @else {\r\n                <h2>COULD NOT UPDATE injectedFields$</h2>\r\n            }\r\n\r\n        } @else {\r\n            <h2>$sections() empty / null / undefined</h2>\r\n        }\r\n\r\n\r\n        \r\n    </div>\r\n    @if ($loading()) {\r\n        <core-toast-loading></core-toast-loading>\r\n    }\r\n\r\n    <ng-template #calculatedFieldsTooltip>\r\n        <div style=\"max-width: 280px;\">\r\n            <strong>Calculated Fields</strong><br />\r\n            <p></p>\r\n            These fields are hidden from the form and cannot be edited directly.<br /><br />\r\n            - They are computed automatically during workflow execution.<br />\r\n            - Each field depends on one or more standard input fields.<br />\r\n            - The calculation is evaluated using either an SQL query engine (like <strong>Dapper</strong>) or an in-memory expression engine (like <strong>Dynamic Expresso</strong>).<br /><br />\r\n            In both cases, the result is a <code>0</code> or <code>1</code>, representing <strong>false</strong> or <strong>true</strong>.<br /><br />\r\n            These results can be used to influence workflow logic, rule trees, or approval paths.\r\n        </div>\r\n    </ng-template>\r\n   \r\n</div>", styles: ["@charset \"UTF-8\";.core-form-design-container{position:relative;height:calc(100vh - var(--size-header-height) - var(--size-layout-block-cell-spacing));width:100%;overflow:hidden;background-color:#eff0f1;font-size:13px}.core-form-design-container .core-button-vns-container{margin-right:8px!important}.core-form-design-container .core-button-vns-container:last-child{background-color:#000;color:#fff;margin-right:0}.core-form-design-container .af-metadata-overlay{position:fixed;top:60px;left:66px;background:#fff;box-shadow:.4rem 0 2rem #0000002e;z-index:1000;width:1214px;height:calc(100vh - 75px);overflow-y:auto;pointer-events:none}.core-form-design-container .af-metadata-overlay.shown{pointer-events:auto}.core-form-design-container *{border-radius:0}.core-form-design-container ul,.core-form-design-container li{padding:0}.core-form-design-container li{max-width:200px}.core-form-design-container ul div.space{display:block;height:15px}.core-form-design-container li.full-width{max-width:100%}.core-form-design-container .field-setting-panel{display:block;position:fixed;width:360px;height:100vh;top:0;right:-360px;background-color:#fff;box-shadow:.4rem 0 2rem #0000002e;transition:right .5s ease-out}.core-form-design-container .field-setting-panel .close-wrapper{width:32px;height:32px;position:absolute;top:15px;right:15px;display:flex;background-color:#848484;border-radius:50%}.core-form-design-container .field-setting-panel .close-wrapper i{width:16px;height:16px;font-size:18px;color:#848484}.core-form-design-container .field-setting-panel .panel-caption{margin-bottom:1rem;padding-bottom:.5rem;border-bottom:1px solid #ddd;width:100%;overflow:hidden;text-wrap:nowrap;text-overflow:ellipsis}.core-form-design-container .field-setting-panel.calculated-type{width:500px;right:-500px}.core-form-design-container .field-setting-panel.calculated-type textarea{border-radius:8px;height:150px}.core-form-design-container .field-setting-panel.open{right:0}.core-form-design-container .form-design-left{position:absolute;top:var(--size-core-page-header-height);bottom:0;left:0;z-index:1;width:360px;height:calc(100vh - var(--size-header-height) - var(--size-layout-block-cell-spacing));padding:15px;padding-right:calc(15px + var(--size-scrollbar-width));background-color:#87ceeb;color:#fff;overflow-y:hidden}.core-form-design-container .form-design-left ul:last-child{padding-bottom:400px}.core-form-design-container .form-design-left .category-name{margin-bottom:15px}.core-form-design-container .form-design-left .json-preview{background-color:#fff;color:#333;padding:1rem 1.5rem;box-shadow:0 2px 6px #00000014;font-family:Fira Code,monospace;font-size:.85rem;word-break:keep-all;overflow-x:auto;line-height:1.5;width:330px;height:calc(100vh - 205px)}.core-form-design-container .form-design-left button{height:35px;border-radius:0;margin-bottom:15px;color:#fff;border:none;font-size:13px;background-color:transparent}.core-form-design-container .form-design-left:hover{overflow-y:auto;padding-right:15px}.core-form-design-container .form-design-right{width:100%;height:calc(100vh - var(--size-header-height) - var(--size-layout-block-cell-spacing));padding:15px 15px 15px 375px;overflow-y:auto}.core-form-design-container .form-design-right .form-wrapper{width:100%;overflow-y:visible;background-color:#fff}.core-form-design-container .form-design-right .form-wrapper button{margin-left:12px;padding:4px 10px;border:1px solid #ccc;cursor:pointer;transition:all .2s;width:110px}.core-form-design-container .form-design-right .form-wrapper button:hover{background-color:#e4f0ff;border-color:#007bff;color:#007bff}.core-form-design-container .form-design-right .form-wrapper .form-tool-bar{display:flex;align-items:center;justify-content:flex-end}.core-form-design-container .form-design-right .form-wrapper .form-tool-bar>button{width:150px;margin:0}.core-form-design-container .form-design-right .form-wrapper .form-cells{display:flex;flex-direction:column;gap:32px;padding:20px 15px 15px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder{padding:12px 15px;border:1px dashed #ccc;background-color:#fff;box-shadow:0 2px 6px #0000000a}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header{display:flex;position:relative;align-items:center;justify-content:flex-start;font-weight:600;margin-bottom:12px;color:#333}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-img{width:34px;height:34px;border-radius:50%;background-color:#d3d3d3;float:left;background-image:url(/assets/images/info.svg);background-repeat:no-repeat;background-position:center;margin-right:8px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-img.calculated{background-image:url(/assets/images/sql-icon.svg);background-color:transparent;border-radius:0}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-tool{position:absolute;right:5px;top:6px;display:none;z-index:2;color:gray}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-tool i{font-size:24px;color:#848484}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header:hover .section-tool{display:block}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .row-tool-bar{display:flex;align-items:center;justify-content:flex-end;margin-bottom:8px;height:24px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-row{display:flex;gap:15px;margin-bottom:15px;min-height:50px;background-color:#d3d3d3;padding:8px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell{flex:1;min-height:90px;background-color:#fcfcfc;border:1px dashed #ccc;position:relative;padding:20px 10px 10px;transition:border .2s ease-in-out}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell:before{content:attr(data-flex);position:absolute;top:2px;left:4px;font-size:10px;color:#999}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell label.required:after{content:\" *\";color:#ff040b}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar{position:absolute;right:7px;top:6px;display:none;z-index:2;color:gray}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar ul{display:flex}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar ul li div{display:flex;width:24px;height:24px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar ul li div i{font-size:18px;width:18px;height:18px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell.has-control:hover .field-toolbar{display:flex}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell.active-drop{border-color:#007bff;background-color:#eef6ff;transition:.2s}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .placeholder{display:flex;align-items:center;justify-content:center;background-color:#fff;color:#007bff;padding:15px 0;width:100%;cursor:default}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .placeholder.calculated{color:#ff4500}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .icon-wrapper{width:24px;height:24px;border-radius:50%;padding:0;cursor:pointer;display:none;color:gray;border:1px solid gray;margin-left:8px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .icon-wrapper i{font-size:18px;width:18px;height:18px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper:hover .icon-wrapper{display:flex}.core-form-design-container .form-design-right .form-wrapper .form-cell.selected{background-color:#dff6dd}.core-form-design-container .form-design-right .form-wrapper .merge-toolbar{text-align:center;margin-top:4px}.core-form-design-container .form-design-right .form-wrapper.live-form{padding-bottom:15px}.core-form-design-container .form-design-right .form-wrapper.live-form .live-form-header{padding:0 15px}.core-form-design-container .form-design-right .form-wrapper.live-form .live-form-header .preview-close-icon{position:absolute;right:7px;top:6px;z-index:2;color:gray;cursor:pointer}.core-form-design-container .form-design-right .form-wrapper.live-form .live-form-header .preview-close-icon i{font-size:18px}.core-form-design-container .drop-target{min-height:50px;min-width:50px;border:2px dashed transparent;transition:border .2s ease}.core-form-design-container .drop-target.active-drop{border-color:#007bff;background-color:#eaf4ff}.core-form-design-container .no-padding{padding:0!important}.core-form-design-container .modal-content-root{overflow:visible}\n", ".core-form-container{overflow-x:visible}.core-form-container>form .section{margin-top:var(--size-layout-block-cell-spacing)}.core-form-container>form .section:not(:first-child){margin-top:calc(var(--size-layout-block-cell-spacing) * 2)}.core-form-container>form .section .section-header-label{display:block;height:34px;line-height:34px;margin-bottom:15px;margin-left:12px}.core-form-container>form .section .section-header-label .section-img-wrapper{position:relative}.core-form-container>form .section .section-header-label .section-img-wrapper .section-img{position:absolute;width:34px;height:34px;border-radius:50%;background-color:#d3d3d3;float:left;background-image:url(/assets/images/info.svg);background-repeat:no-repeat;background-position:center}.core-form-container>form .section .section-header-label .section-img-wrapper .section-img.calculated{background-image:url(/assets/images/sql-icon.svg);border-radius:0;background-color:transparent}.core-form-container>form .section .section-header-label .section-calc-wrapper{width:34px;height:34px;display:flex;align-items:center;justify-content:center;background-color:#d3d3d3;border-radius:50%}.core-form-container>form .section .section-header-label .section-calc-wrapper i{width:24px;height:24px;font-size:24px;color:#1b4332}.core-form-container>form .section .section-header-label .section-caption{padding-left:40px;font-weight:700;color:#696969}.core-form-container .row{margin-left:var(--size-layout-block-cell-spacing) 0px;margin-right:var(--size-layout-block-cell-spacing) 0px}.core-form-container .row .grid-buffer{border:dotted 2px darkgray}.core-form-container .row .button-control{display:flex;align-items:flex-end}.core-form-container .form-row{margin:var(--size-layout-block-cell-spacing) 0px;display:flex;align-items:center;justify-content:center}.core-form-container .form-row>button{cursor:pointer;border-radius:0}.core-form-container .form-row>button:not(:first-child){margin-left:var(--size-layout-block-cell-spacing)}.core-form-container .dev-button{cursor:pointer;display:flex;align-items:center;justify-content:center;font-size:13px;padding:8px;width:120px;border-radius:18px;box-shadow:.4rem 0 2rem #0000002e}.core-form-container .dev-button:not(:last-child){margin-right:15px}.core-form-container .dev-button:first-child{background-color:#dff6dd;border:1px #9fdc9d solid}.core-form-container .dev-button:last-child{background-color:#fff4ce;border:1px #ffda6a solid}.core-form-container .payload-preview{display:block;width:calc(100% - 48px);height:200px;white-space:pre-wrap;overflow-x:hidden;overflow-y:auto;background-color:#dff6dd;padding:24px;margin:24px;text-indent:-58px;color:#333!important;font-family:Fira Code,monospace;font-size:.85rem;word-break:keep-all;line-height:1.5}.core-form-container .payload-preview.validator-preview{background-color:#fff4ce}.core-form-container .bottom-template-wrapper{padding-left:12px;padding-right:12px}.core-form-container .w-100{width:100%}.core-form-container .pr18{padding-right:18px}\n", ".core-button-vns-container{height:30px;display:flex;align-items:center;justify-content:center;min-width:30px}.core-button-vns-container .action-wrapper{height:30px!important;width:30px!important;display:flex;align-items:center;justify-content:center}.core-button-vns-container .action-wrapper:has(i:hover){background-color:#e7e7e7;border-radius:50%}.core-button-vns-container .btn-for-form{border:none;border-radius:0;background-color:transparent;color:#000;min-width:120px}.core-button-vns-container button.last-child{background-color:#000;color:#fff}.core-button-vns-container .action-wrapper.last-child{background-color:var(--color-basic-orange);color:#fff;border-radius:50%}.core-button-vns-container .action-wrapper.last-child:hover{background-color:var(--color-basic-orange);box-shadow:0 1rem 3rem #0000002e}.core-button-vns-container .temporary-unavailable{user-select:none;-moz-user-select:none;-webkit-user-select:none;cursor:not-allowed!important;opacity:.5}.core-button-vns-container .temporary-unavailable:hover{background-color:transparent!important}\n"], dependencies: [{ kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: CoreToastLoadingComponent, selector: "core-toast-loading" }, { kind: "component", type: CorePageHeaderComponent, selector: "core-page-header", inputs: ["instanceNumber", "shownItems", "title", "hideButtonGroup", "htmlTooltipRef"], outputs: ["buttonClick"] }, { kind: "component", type: FormMetadataComponent, selector: "form-metadata" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: TooltipDirective, selector: "[appTooltip]", inputs: ["color", "backgroundColor", "appTooltip", "showAnyway", "position"] }, { kind: "directive", type: HotKeysDirective, selector: "[hotKeys]", inputs: ["hotKeys"] }, { kind: "component", type: CoreControlComponent, selector: "core-control", inputs: ["control", "form", "checkError$", "rangeLimit"] }, { kind: "component", type: FieldSettingComponent, selector: "field-setting" }, { kind: "component", type: LiveFormComponent, selector: "live-form", inputs: ["$designMode", "$forKickOff", "$workflowReactContext"], outputs: ["$onClose"] }, { kind: "directive", type: HtmlTooltipDirective, selector: "[htmlTooltip]", inputs: ["htmlTooltip", "tooltipContext", "maxWidthUnset", "backgroundColor"] }], animations: [slideFromTopFadeIn], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: CoreFormDesignComponent, decorators: [{
            type: Component,
            args: [{ selector: 'core-form-design', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgStyle,
                        AsyncPipe,
                        NgTemplateOutlet,
                        CoreToastLoadingComponent,
                        CorePageHeaderComponent,
                        FormMetadataComponent,
                        ReactiveFormsModule,
                        TranslatePipe,
                        TableCellPipe,
                        TooltipDirective,
                        HotKeysDirective,
                        CoreFormComponent,
                        CoreControlComponent,
                        CoreDropdownComponent,
                        CoreChecklistComponent,
                        CoreFormControlSeekerComponent,
                        CoreCheckboxComponent,
                        CoreAttachmentComponent,
                        CoreDatePickerComponent,
                        CoreRadioGroupComponent,
                        CoreMonthSelectorComponent,
                        TooltipDirective,
                        CoreCurrencyInputComponent,
                        FieldSettingComponent,
                        LiveFormComponent,
                        HtmlTooltipDirective,
                    ], animations: [slideFromTopFadeIn], template: "<div class=\"core-form-design-container fs-13\" [hotKeys]=\"['F3', 'F6', 'Escape']\">\r\n\r\n    <core-page-header title=\"UI.COMPONENT_TITLE.WORKFLOW_FORM_DESIGN\" (buttonClick)=\"onCorePageHeaderButtonClicked($event)\"></core-page-header>\r\n\r\n    <ng-template #formMetadata>\r\n        <form-metadata></form-metadata>\r\n    </ng-template>\r\n\r\n    @if (!coreFormDesignService.$isInWorkflowDesign()) {\r\n        <aside class=\"af-metadata-overlay\" [@slideFromTopFadeIn]=\"coreFormDesignService.$showFormMetadata() ? 'in' : 'out'\"\r\n            [class.shown]=\"coreFormDesignService.$showFormMetadata()\"\r\n        >\r\n            <ng-container *ngTemplateOutlet=\"formMetadata\"></ng-container>\r\n        </aside>\r\n    }\r\n\r\n    <div \r\n        class=\"field-setting-panel\" \r\n        [class.open]=\"coreFormDesignService.$fieldSettingPanelOpen()\" \r\n        [class.calculated-type]=\"coreFormDesignService.$selectedCell()?.control?.type==='calculated'\"\r\n        [ngStyle]=\"{ zIndex: $zIndex() }\"\r\n        #settingPanel\r\n    >\r\n        @if (!!(this.coreFormDesignService.$selectedCell())) {\r\n            <field-setting></field-setting>\r\n        }\r\n    </div>\r\n\r\n    <div class=\"form-design-left\">\r\n\r\n        @switch ($leftPanelMode()) {\r\n            @case (enumLeftPanelMode.FieldCollection) {\r\n                @for (category of controlCategories; track $index) {\r\n                    <div class=\"category-name\">\r\n                        {{ category.name }}\r\n                    </div>\r\n                    <ul>\r\n                        @for (control of category.controls; track $index) {\r\n                        <li draggable=\"true\" (dragstart)=\"onDragStart($event, control)\" [class.full-width]=\"control.controlType === 'SEEKER' || control.controlType === 'ATTACHMENT'\">\r\n                            <core-control [control]=\"control\" [form]=\"form\" [checkError$]=\"checkError$\"></core-control>\r\n                        </li>\r\n                        <div class=\"space\"></div>\r\n                        }\r\n                    </ul>\r\n                    }\r\n            }\r\n            @case (enumLeftPanelMode.Json) {\r\n                <button type=\"button\" class=\"btn btn-secondary\" (click)=\"switchJson()\">{{ $jsonMode() }}</button>\r\n                @if ($jsonMode()==='selectedField') {\r\n                    <pre class=\"json-preview\">{{ coreFormDesignService.$currentControlJson() }}</pre>\r\n                } @else {\r\n                    <pre class=\"json-preview\">{{ coreFormDesignService.$saveLiveJson() }}</pre>\r\n                }\r\n                \r\n            }\r\n        }\r\n\r\n    </div>\r\n\r\n    <div class=\"form-design-right\">\r\n            <!-- <pre>{{ $injectedFieldsJson() }}</pre> -->\r\n\r\n        @if (coreFormDesignService.$mode() === enumType.Default) {\r\n            <div class=\"form-wrapper\">\r\n\r\n                @if (!!coreFormDesignService.$isInWorkflowDesign()) {\r\n                    <form-metadata></form-metadata>\r\n                }\r\n\r\n                <form [formGroup]=\"formDesign\" autocomplete=\"off\">\r\n                <div class=\"form-cells\">\r\n\r\n                    <div class=\"form-tool-bar\">\r\n                        @if (!$hasCalculatedSection()) {\r\n                            <button class=\"core-button-vns-container\" (click)=\"addCalculatedSection()\">+ Calculated fields</button>\r\n                        }\r\n                        <button class=\"core-button-vns-container\" (click)=\"addSection()\">+ Add Section</button>\r\n                    </div>\r\n    \r\n                    @for (section of coreFormDesignService.$placeholderSections(); track $index; let sectionIndex = $index) {\r\n                        <div class=\"form-section-placeholder\">\r\n\r\n                          <div class=\"section-header\">\r\n\r\n                            <div class=\"section-img-wrapper\">\r\n                                <div class=\"section-img\" [class.calculated]=\"section.forCalculatedFields\"></div>\r\n                            </div>\r\n\r\n                            <label [attr.contenteditable]=\"!section.forCalculatedFields\"\r\n                                [htmlTooltip]=\"!!section.forCalculatedFields ? calculatedFieldsTooltip : null\"\r\n                                (blur)=\"onCaptionEditEnd(sectionIndex, $event)\"\r\n                                (keydown.enter)=\"onCaptionEditEnd(sectionIndex, $event); $event.preventDefault()\"\r\n                            >{{ section.caption }}</label>\r\n\r\n                            <div class=\"section-tool pointer\" (click)=\"deleteSection(sectionIndex)\" [appTooltip]=\"'Delete section'\" [showAnyway]=\"true\">\r\n                                <i class=\"feather-x\"></i>\r\n                            </div>\r\n                            \r\n                          </div>\r\n                      \r\n                          @for (row of section.rows; track $index; let rowIndex = $index) {\r\n\r\n                            <div class=\"form-row-wrapper\">\r\n                                <div class=\"form-row\">\r\n                                    @for (cell of filteredCells(row); track $index; let colIndex = $index) {\r\n                                      <div class=\"form-cell drop-target\" \r\n                                           [ngStyle]=\"{ flex: (cell.flexSize ?? 0) + ' 1 0%' }\"\r\n                                           [attr.data-flex]=\"cell.flexSize ?? 0\"\r\n                                           (drop)=\"onDropIntoCell($event, sectionIndex, rowIndex, colIndex)\"\r\n                                           (dragover)=\"onDragOver($event, section, cell.control!)\"\r\n                                           (dragenter)=\"onDragEnter(sectionIndex + '_' + rowIndex + '_' + colIndex)\"\r\n                                           (dragleave)=\"onDragLeave(sectionIndex + '_' + rowIndex + '_' + colIndex)\"\r\n                                           [class.selected]=\"cell?.selected\"\r\n                                           [class.dragging-over]=\"isDragOverMap[sectionIndex + '_' + rowIndex + '_' + colIndex]\"\r\n                                           [class.has-control]=\"!!cell && !!cell.control && !!getControl(cell)\"\r\n                                           (click)=\"onCellClicked(sectionIndex, rowIndex, colIndex)\"\r\n                                      >\r\n\r\n\r\n                                        @if (!isDragOverMap[sectionIndex + '_' + rowIndex + '_' + colIndex]) {\r\n\r\n                                            @if (!!cell && !!cell.control && !!getControl(cell)) {\r\n                                                <label contenteditable=\"true\"\r\n                                                    (blur)=\"onFieldCaptionEditEnd(cell, $event)\"\r\n                                                    (keydown.enter)=\"onFieldCaptionEditEnd(cell, $event); $event.preventDefault()\"\r\n                                                    [class.d-none]=\"!!getControl(cell)?.hidden\"\r\n                                                    [class.required]=\"!!cell && !!cell.control && !!getControl(cell) && isRequired(getControl(cell))\"\r\n                                                >{{ cell.control.label || 'label' }}</label>\r\n\r\n                                                @if (cell.control.controlType==='CALCULATED') {\r\n                                                <div class=\"control-wrapper\" (click)=\"openSettingsForCell(cell, sectionIndex, rowIndex, colIndex)\">\r\n                                                    <core-control \r\n                                                        [control]=\"getControl(cell)!\" \r\n                                                        [form]=\"formDesign\"\r\n                                                        [checkError$]=\"checkError$\" />\r\n                                                </div>\r\n                                                } @else {\r\n                                                    <core-control \r\n                                                        [control]=\"getControl(cell)!\" \r\n                                                        [form]=\"formDesign\"\r\n                                                        [checkError$]=\"checkError$\" />\r\n                                                }\r\n    \r\n                                                <div class=\"field-toolbar\">\r\n                                                    <ul>\r\n                                                        <li>\r\n                                                            <div class=\"field-tool pointer\" (click)=\"openSettingsForCell(cell, sectionIndex, rowIndex, colIndex)\" [appTooltip]=\"'Show settings'\">\r\n                                                                <i class=\"feather-settings\"></i>\r\n                                                            </div>\r\n                                                        </li>\r\n                                                        <li>\r\n                                                            <div class=\"field-tool pointer\" (click)=\"deleteField(row, colIndex)\" [appTooltip]=\"'Remove field from cell'\">\r\n                                                                <i class=\"feather-x\"></i>\r\n                                                            </div>\r\n                                                        </li>\r\n                                                    </ul>\r\n                                                </div>\r\n        \r\n                                                } @else {\r\n                                                    <div class=\"placeholder\" [class.calculated]=\"!!section.forCalculatedFields\">\r\n                                                        {{ !!section.forCalculatedFields ? 'Drop calculated field here' : 'Drop here'}}\r\n                                                    </div>\r\n                                                }\r\n\r\n                                              @if (cell?.selected && canMergeCells(sectionIndex, rowIndex)) {\r\n                                                <div class=\"merge-toolbar\">\r\n                                                    <button (click)=\"mergeCells(sectionIndex, rowIndex)\">\uD83D\uDD17 Merge</button>\r\n                                                </div>\r\n                                              }\r\n    \r\n                                        }\r\n\r\n                                      </div>\r\n                                    }\r\n                                </div>\r\n                                <div class=\"row-tool-bar\">\r\n                                    <div class=\"icon-wrapper\" (click)=\"deleteRow(sectionIndex, rowIndex)\" [appTooltip]=\"'Delete row'\" [showAnyway]=\"true\"><i class=\"feather-x\"></i></div>\r\n                                    <div class=\"icon-wrapper\" (click)=\"addRow(sectionIndex)\" [appTooltip]=\"'Add row'\" [showAnyway]=\"true\"><i class=\"feather-arrow-down\"></i></div>\r\n                                    <div class=\"icon-wrapper\" (click)=\"insertRow(sectionIndex, rowIndex)\" [appTooltip]=\"'Insert row'\" [showAnyway]=\"true\"><i class=\"feather-corner-right-down\"></i></div>\r\n                                    <div class=\"icon-wrapper\" (click)=\"addColumn(row)\" [appTooltip]=\"'Add column'\" [showAnyway]=\"true\"><i class=\"feather-arrow-right\"></i></div>\r\n                                </div>\r\n                            </div>\r\n\r\n                          }\r\n                        </div>\r\n                    }\r\n                      \r\n              \r\n                </div>\r\n            </form>\r\n            </div>\r\n        } @else if (!!$sections()) {\r\n\r\n            @if(!!(injectedFields$ | async) && !!(injectedFields$ | async)!.length) {\r\n\r\n                @if (!!coreFormDesignService.$afInstance().normalMode) {\r\n                    <live-form [$designMode]=\"true\" [$forKickOff]=\"true\" />\r\n                } @else {\r\n                    <live-form [$designMode]=\"true\" [$forKickOff]=\"true\" ($onClose)=\"closePreview()\" />\r\n                }\r\n\r\n            } @else {\r\n                <h2>COULD NOT UPDATE injectedFields$</h2>\r\n            }\r\n\r\n        } @else {\r\n            <h2>$sections() empty / null / undefined</h2>\r\n        }\r\n\r\n\r\n        \r\n    </div>\r\n    @if ($loading()) {\r\n        <core-toast-loading></core-toast-loading>\r\n    }\r\n\r\n    <ng-template #calculatedFieldsTooltip>\r\n        <div style=\"max-width: 280px;\">\r\n            <strong>Calculated Fields</strong><br />\r\n            <p></p>\r\n            These fields are hidden from the form and cannot be edited directly.<br /><br />\r\n            - They are computed automatically during workflow execution.<br />\r\n            - Each field depends on one or more standard input fields.<br />\r\n            - The calculation is evaluated using either an SQL query engine (like <strong>Dapper</strong>) or an in-memory expression engine (like <strong>Dynamic Expresso</strong>).<br /><br />\r\n            In both cases, the result is a <code>0</code> or <code>1</code>, representing <strong>false</strong> or <strong>true</strong>.<br /><br />\r\n            These results can be used to influence workflow logic, rule trees, or approval paths.\r\n        </div>\r\n    </ng-template>\r\n   \r\n</div>", styles: ["@charset \"UTF-8\";.core-form-design-container{position:relative;height:calc(100vh - var(--size-header-height) - var(--size-layout-block-cell-spacing));width:100%;overflow:hidden;background-color:#eff0f1;font-size:13px}.core-form-design-container .core-button-vns-container{margin-right:8px!important}.core-form-design-container .core-button-vns-container:last-child{background-color:#000;color:#fff;margin-right:0}.core-form-design-container .af-metadata-overlay{position:fixed;top:60px;left:66px;background:#fff;box-shadow:.4rem 0 2rem #0000002e;z-index:1000;width:1214px;height:calc(100vh - 75px);overflow-y:auto;pointer-events:none}.core-form-design-container .af-metadata-overlay.shown{pointer-events:auto}.core-form-design-container *{border-radius:0}.core-form-design-container ul,.core-form-design-container li{padding:0}.core-form-design-container li{max-width:200px}.core-form-design-container ul div.space{display:block;height:15px}.core-form-design-container li.full-width{max-width:100%}.core-form-design-container .field-setting-panel{display:block;position:fixed;width:360px;height:100vh;top:0;right:-360px;background-color:#fff;box-shadow:.4rem 0 2rem #0000002e;transition:right .5s ease-out}.core-form-design-container .field-setting-panel .close-wrapper{width:32px;height:32px;position:absolute;top:15px;right:15px;display:flex;background-color:#848484;border-radius:50%}.core-form-design-container .field-setting-panel .close-wrapper i{width:16px;height:16px;font-size:18px;color:#848484}.core-form-design-container .field-setting-panel .panel-caption{margin-bottom:1rem;padding-bottom:.5rem;border-bottom:1px solid #ddd;width:100%;overflow:hidden;text-wrap:nowrap;text-overflow:ellipsis}.core-form-design-container .field-setting-panel.calculated-type{width:500px;right:-500px}.core-form-design-container .field-setting-panel.calculated-type textarea{border-radius:8px;height:150px}.core-form-design-container .field-setting-panel.open{right:0}.core-form-design-container .form-design-left{position:absolute;top:var(--size-core-page-header-height);bottom:0;left:0;z-index:1;width:360px;height:calc(100vh - var(--size-header-height) - var(--size-layout-block-cell-spacing));padding:15px;padding-right:calc(15px + var(--size-scrollbar-width));background-color:#87ceeb;color:#fff;overflow-y:hidden}.core-form-design-container .form-design-left ul:last-child{padding-bottom:400px}.core-form-design-container .form-design-left .category-name{margin-bottom:15px}.core-form-design-container .form-design-left .json-preview{background-color:#fff;color:#333;padding:1rem 1.5rem;box-shadow:0 2px 6px #00000014;font-family:Fira Code,monospace;font-size:.85rem;word-break:keep-all;overflow-x:auto;line-height:1.5;width:330px;height:calc(100vh - 205px)}.core-form-design-container .form-design-left button{height:35px;border-radius:0;margin-bottom:15px;color:#fff;border:none;font-size:13px;background-color:transparent}.core-form-design-container .form-design-left:hover{overflow-y:auto;padding-right:15px}.core-form-design-container .form-design-right{width:100%;height:calc(100vh - var(--size-header-height) - var(--size-layout-block-cell-spacing));padding:15px 15px 15px 375px;overflow-y:auto}.core-form-design-container .form-design-right .form-wrapper{width:100%;overflow-y:visible;background-color:#fff}.core-form-design-container .form-design-right .form-wrapper button{margin-left:12px;padding:4px 10px;border:1px solid #ccc;cursor:pointer;transition:all .2s;width:110px}.core-form-design-container .form-design-right .form-wrapper button:hover{background-color:#e4f0ff;border-color:#007bff;color:#007bff}.core-form-design-container .form-design-right .form-wrapper .form-tool-bar{display:flex;align-items:center;justify-content:flex-end}.core-form-design-container .form-design-right .form-wrapper .form-tool-bar>button{width:150px;margin:0}.core-form-design-container .form-design-right .form-wrapper .form-cells{display:flex;flex-direction:column;gap:32px;padding:20px 15px 15px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder{padding:12px 15px;border:1px dashed #ccc;background-color:#fff;box-shadow:0 2px 6px #0000000a}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header{display:flex;position:relative;align-items:center;justify-content:flex-start;font-weight:600;margin-bottom:12px;color:#333}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-img{width:34px;height:34px;border-radius:50%;background-color:#d3d3d3;float:left;background-image:url(/assets/images/info.svg);background-repeat:no-repeat;background-position:center;margin-right:8px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-img.calculated{background-image:url(/assets/images/sql-icon.svg);background-color:transparent;border-radius:0}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-tool{position:absolute;right:5px;top:6px;display:none;z-index:2;color:gray}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header .section-tool i{font-size:24px;color:#848484}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-section-placeholder .section-header:hover .section-tool{display:block}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .row-tool-bar{display:flex;align-items:center;justify-content:flex-end;margin-bottom:8px;height:24px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-row{display:flex;gap:15px;margin-bottom:15px;min-height:50px;background-color:#d3d3d3;padding:8px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell{flex:1;min-height:90px;background-color:#fcfcfc;border:1px dashed #ccc;position:relative;padding:20px 10px 10px;transition:border .2s ease-in-out}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell:before{content:attr(data-flex);position:absolute;top:2px;left:4px;font-size:10px;color:#999}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell label.required:after{content:\" *\";color:#ff040b}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar{position:absolute;right:7px;top:6px;display:none;z-index:2;color:gray}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar ul{display:flex}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar ul li div{display:flex;width:24px;height:24px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell .field-toolbar ul li div i{font-size:18px;width:18px;height:18px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell.has-control:hover .field-toolbar{display:flex}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .form-cell.active-drop{border-color:#007bff;background-color:#eef6ff;transition:.2s}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .placeholder{display:flex;align-items:center;justify-content:center;background-color:#fff;color:#007bff;padding:15px 0;width:100%;cursor:default}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .placeholder.calculated{color:#ff4500}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .icon-wrapper{width:24px;height:24px;border-radius:50%;padding:0;cursor:pointer;display:none;color:gray;border:1px solid gray;margin-left:8px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper .icon-wrapper i{font-size:18px;width:18px;height:18px}.core-form-design-container .form-design-right .form-wrapper .form-cells .form-row-wrapper:hover .icon-wrapper{display:flex}.core-form-design-container .form-design-right .form-wrapper .form-cell.selected{background-color:#dff6dd}.core-form-design-container .form-design-right .form-wrapper .merge-toolbar{text-align:center;margin-top:4px}.core-form-design-container .form-design-right .form-wrapper.live-form{padding-bottom:15px}.core-form-design-container .form-design-right .form-wrapper.live-form .live-form-header{padding:0 15px}.core-form-design-container .form-design-right .form-wrapper.live-form .live-form-header .preview-close-icon{position:absolute;right:7px;top:6px;z-index:2;color:gray;cursor:pointer}.core-form-design-container .form-design-right .form-wrapper.live-form .live-form-header .preview-close-icon i{font-size:18px}.core-form-design-container .drop-target{min-height:50px;min-width:50px;border:2px dashed transparent;transition:border .2s ease}.core-form-design-container .drop-target.active-drop{border-color:#007bff;background-color:#eaf4ff}.core-form-design-container .no-padding{padding:0!important}.core-form-design-container .modal-content-root{overflow:visible}\n", ".core-form-container{overflow-x:visible}.core-form-container>form .section{margin-top:var(--size-layout-block-cell-spacing)}.core-form-container>form .section:not(:first-child){margin-top:calc(var(--size-layout-block-cell-spacing) * 2)}.core-form-container>form .section .section-header-label{display:block;height:34px;line-height:34px;margin-bottom:15px;margin-left:12px}.core-form-container>form .section .section-header-label .section-img-wrapper{position:relative}.core-form-container>form .section .section-header-label .section-img-wrapper .section-img{position:absolute;width:34px;height:34px;border-radius:50%;background-color:#d3d3d3;float:left;background-image:url(/assets/images/info.svg);background-repeat:no-repeat;background-position:center}.core-form-container>form .section .section-header-label .section-img-wrapper .section-img.calculated{background-image:url(/assets/images/sql-icon.svg);border-radius:0;background-color:transparent}.core-form-container>form .section .section-header-label .section-calc-wrapper{width:34px;height:34px;display:flex;align-items:center;justify-content:center;background-color:#d3d3d3;border-radius:50%}.core-form-container>form .section .section-header-label .section-calc-wrapper i{width:24px;height:24px;font-size:24px;color:#1b4332}.core-form-container>form .section .section-header-label .section-caption{padding-left:40px;font-weight:700;color:#696969}.core-form-container .row{margin-left:var(--size-layout-block-cell-spacing) 0px;margin-right:var(--size-layout-block-cell-spacing) 0px}.core-form-container .row .grid-buffer{border:dotted 2px darkgray}.core-form-container .row .button-control{display:flex;align-items:flex-end}.core-form-container .form-row{margin:var(--size-layout-block-cell-spacing) 0px;display:flex;align-items:center;justify-content:center}.core-form-container .form-row>button{cursor:pointer;border-radius:0}.core-form-container .form-row>button:not(:first-child){margin-left:var(--size-layout-block-cell-spacing)}.core-form-container .dev-button{cursor:pointer;display:flex;align-items:center;justify-content:center;font-size:13px;padding:8px;width:120px;border-radius:18px;box-shadow:.4rem 0 2rem #0000002e}.core-form-container .dev-button:not(:last-child){margin-right:15px}.core-form-container .dev-button:first-child{background-color:#dff6dd;border:1px #9fdc9d solid}.core-form-container .dev-button:last-child{background-color:#fff4ce;border:1px #ffda6a solid}.core-form-container .payload-preview{display:block;width:calc(100% - 48px);height:200px;white-space:pre-wrap;overflow-x:hidden;overflow-y:auto;background-color:#dff6dd;padding:24px;margin:24px;text-indent:-58px;color:#333!important;font-family:Fira Code,monospace;font-size:.85rem;word-break:keep-all;line-height:1.5}.core-form-container .payload-preview.validator-preview{background-color:#fff4ce}.core-form-container .bottom-template-wrapper{padding-left:12px;padding-right:12px}.core-form-container .w-100{width:100%}.core-form-container .pr18{padding-right:18px}\n", ".core-button-vns-container{height:30px;display:flex;align-items:center;justify-content:center;min-width:30px}.core-button-vns-container .action-wrapper{height:30px!important;width:30px!important;display:flex;align-items:center;justify-content:center}.core-button-vns-container .action-wrapper:has(i:hover){background-color:#e7e7e7;border-radius:50%}.core-button-vns-container .btn-for-form{border:none;border-radius:0;background-color:transparent;color:#000;min-width:120px}.core-button-vns-container button.last-child{background-color:#000;color:#fff}.core-button-vns-container .action-wrapper.last-child{background-color:var(--color-basic-orange);color:#fff;border-radius:50%}.core-button-vns-container .action-wrapper.last-child:hover{background-color:var(--color-basic-orange);box-shadow:0 1rem 3rem #0000002e}.core-button-vns-container .temporary-unavailable{user-select:none;-moz-user-select:none;-webkit-user-select:none;cursor:not-allowed!important;opacity:.5}.core-button-vns-container .temporary-unavailable:hover{background-color:transparent!important}\n"] }]
        }], ctorParameters: () => [{ type: MultiLanguageService }] });

export { CoreFormDesignComponent };
//# sourceMappingURL=ngx-histaff-alpha-core-form-design.component-BA9h28kB.mjs.map
