import * as i0 from '@angular/core';
import { input, inject, computed, ChangeDetectionStrategy, Component, signal, effect } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { c as BaseComponent, h as AlertService, M as MultiLanguageService, I as ImageErrorResolverDirective, i as TableCellPipe, j as MapAvatarToServerPipe, A as AppService, k as alertOptions, S as SocketService, d as CorePageHeaderComponent, l as CoreTerminalSpinnerComponent } from './ngx-histaff-alpha-ngx-histaff-alpha-0x5r9IS0.mjs';
import { tap, catchError, of } from 'rxjs';
import { NgClass, JsonPipe } from '@angular/common';

class RuntimeRoutingComponent extends BaseComponent {
    getStepStatusClass(step) {
        if (step.passed === true)
            return 'resolved';
        if (step.passed === false)
            return 'error';
        return 'empty';
    }
    constructor(mls) {
        super(mls);
        this.mls = mls;
        this.$instance = input();
        this.as = inject(AlertService);
        this.$steps = computed(() => {
            const stepProgresses = this.$instance()?.stepProgresses ?? [];
            stepProgresses.forEach(s => {
                if (!!s.exeConfigJson) {
                    s.exeConfig = JSON.parse(s.exeConfigJson);
                }
                else {
                    s.exeConfig = {};
                }
            });
            stepProgresses.sort((a, b) => a.stepOrder - b.stepOrder);
            return [...stepProgresses];
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: RuntimeRoutingComponent, deps: [{ token: MultiLanguageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: RuntimeRoutingComponent, isStandalone: true, selector: "runtime-routing", inputs: { $instance: { classPropertyName: "$instance", publicName: "$instance", isSignal: true, isRequired: false, transformFunction: null } }, usesInheritance: true, ngImport: i0, template: "<div class=\"runtime-routing-container inter-font p-relative\">\r\n    @if ($instance() && $steps()?.length) {\r\n    <div class=\"workflow-wrapper\">\r\n        @for (step of $steps(); track step.id) {\r\n\r\n        <div class=\"step-column\" [attr.data-actor-count]=\"step.stepProgressActors?.length\">\r\n\r\n            <div class=\"step-column-aux\">\r\n                <div [ngClass]=\"step.exeConfig?.routingLogic ?? ''\" class=\"step-header {{ step.stepType.toLowerCase() }} {{ getStepStatusClass(step) }}\">\r\n                    {{ step.stepName }}\r\n                </div>\r\n\r\n                @for (actor of step.stepProgressActors; track actor.id) {\r\n                <div class=\"actor-card-aux\">\r\n                    <div class=\"actor-card d-flex d-flex-start {{ step.stepType.toLowerCase() }}\">\r\n                        <div class=\"avatar-wrapper\">\r\n                            <img [src]=\"actor.actorAvatar\"\r\n                                appImageErrorResolver\r\n                                [type]=\"'AVATAR'\"\r\n                                [isFemale]=\"!!actor.isFemale!\"\r\n                                class=\"actor-avatar\" [alt]=\"actor.actorFullname\" />\r\n                            <div class=\"status-icon\" [ngClass]=\"(actor.status || 'pending').toLowerCase()\">\r\n\r\n                            </div>\r\n                        </div>\r\n\r\n                        <div class=\"actor-details\">\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-user\"></i>\r\n                                <span class=\"actor-full-name\" [title]=\"actor.actorFullname\">{{ actor.actorFullname\r\n                                    }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-briefcase\"></i>\r\n                                <span [title]=\"actor.actorJobName\">{{ actor.actorJobName || '\u2014' }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-mail\"></i>\r\n                                <span [title]=\"actor.actorEmail\">{{ actor.actorEmail }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-hash\"></i>\r\n                                <span [title]=\"actor.actorEmployeeCode\">{{ actor.actorEmployeeCode }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-check-circle\"></i>\r\n                                <span [title]=\"actor.status\">{{ actor.status || 'Pending' }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-clock\"></i>\r\n                                <span [title]=\"actor.votedAt\">{{ actor.votedAt | tableCell: 'DATE_TIME' : lang }}</span>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                }\r\n            </div>\r\n        </div>\r\n        }\r\n\r\n        @if (!$steps().length) {\r\n        <div class=\"step-column\">\r\n            <div class=\"step-header empty\">No steps</div>\r\n        </div>\r\n        }\r\n    </div>\r\n    } @else {\r\n    <div class=\"workflow-wrapper\">\r\n        <div class=\"step-column\">\r\n            <div class=\"step-header empty\">\u26A0 No steps to display</div>\r\n        </div>\r\n    </div>\r\n    }\r\n</div>", styles: [".runtime-routing-container{--card-height: 180px;font-size:13px}.runtime-routing-container .workflow-wrapper{display:flex;flex-direction:row;gap:64px;padding:24px;background:#f5f5f5;overflow-x:auto;min-width:576px;min-height:200px}.runtime-routing-container .workflow-wrapper .step-column{width:240px;display:flex;flex-direction:column;align-items:center;justify-content:center;gap:16px;position:relative;min-height:100%}.runtime-routing-container .workflow-wrapper .step-header{position:relative;font-weight:600;font-size:14px;text-align:center;border:1px solid #ccc;border-radius:8px;box-shadow:0 1px 3px #0000001a;padding:6px 10px;margin-bottom:10px;width:100%;color:#fff}.runtime-routing-container .workflow-wrapper .step-header.submit{background-color:#00bcd4}.runtime-routing-container .workflow-wrapper .step-header.approval{background-color:#f80}.runtime-routing-container .workflow-wrapper .step-header.cc{background-color:#3370ff}.runtime-routing-container .workflow-wrapper .step-header.handle{background-color:#935af6}.runtime-routing-container .workflow-wrapper .step-header.end{background-color:#673ab7}.runtime-routing-container .workflow-wrapper .step-header.resolved{box-shadow:0 0 0 3px #4caf50 inset}.runtime-routing-container .workflow-wrapper .step-header.empty{box-shadow:0 0 0 3px #ff9800 inset}.runtime-routing-container .workflow-wrapper .step-header.fallback{box-shadow:0 0 0 3px #03a9f4 inset}.runtime-routing-container .workflow-wrapper .step-header.error{box-shadow:0 0 0 3px #f44336 inset}.runtime-routing-container .workflow-wrapper .actor-card-aux{position:relative}.runtime-routing-container .workflow-wrapper .actor-card.d-flex{display:flex;align-items:center;justify-content:flex-start;width:240px;height:var(--card-height);font-size:13px;border:1px solid #ccc;padding:0 12px;margin:8px auto;box-shadow:0 1px 3px #0000001a;position:relative;background-color:#fff;border-radius:8px}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .actor-details .actor-line>span{font-weight:700;width:140px;overflow:hidden;text-overflow:ellipsis;text-wrap:nowrap}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .actor-details .actor-line>span.actor-full-name{color:#000}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper{flex-shrink:0;margin-right:8px}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon{width:40px;height:40px;border-radius:50%;font-family:feather;font-size:40px}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.pending:after{content:\"\\e939\";color:#848484}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.sent:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.approved:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.skipped:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.completed:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.rejected:after{content:\"\\e9d0\";color:red}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .actor-avatar{width:40px;height:40px;border-radius:50%;object-fit:cover;border:1px solid #ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:first-child) .actor-card:before{content:\"\";position:absolute;top:50%;left:-20px;width:16px;height:2px;background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:first-child) .actor-card-aux:not(:last-child) .actor-card:after{content:\"\";position:absolute;top:50%;left:-20px;width:2px;height:calc(100% + 10px);background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:last-child) .actor-card-aux:before{content:\"\";position:absolute;top:50%;right:-16px;width:16px;height:2px;background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:last-child) .actor-card-aux:not(:last-child):after{content:\"\";position:absolute;top:50%;right:-16px;width:2px;height:calc(100% + 10px);background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column-aux{position:relative}.runtime-routing-container .workflow-wrapper .step-column:not(:last-child) .step-column-aux:after{content:\"\";position:absolute;top:calc(50% + 18.5px);right:-48px;width:32px;height:2px;background-color:#ccc}.runtime-routing-container .workflow-wrapper .actor-card.submit{background-color:#e0f7fa;border-left:4px solid #00bcd4}.runtime-routing-container .workflow-wrapper .actor-card.approval{background-color:#fff3e0;border-left:4px solid #f80}.runtime-routing-container .workflow-wrapper .actor-card.cc{background-color:#e6ecff;border-left:4px solid #3370ff}.runtime-routing-container .workflow-wrapper .actor-card.handle{background-color:#f3e6ff;border-left:4px solid #935af6}.runtime-routing-container .workflow-wrapper .actor-card.end{background-color:#ede7f6;border-left:4px solid #673ab7}.runtime-routing-container .workflow-wrapper .actor-line{display:flex;align-items:center;gap:6px;margin:2px 0;height:23.5px}.runtime-routing-container .workflow-wrapper .actor-line i{width:16px;height:16px;font-size:16px;color:#848484}.runtime-routing-container .workflow-wrapper .actor-line input.email-debug-input{border:1px dashed #00bcd4;background-color:#e0f7fa;width:140px;padding:0 8px}.runtime-routing-container .workflow-wrapper .actor-card span{display:block;color:#555;margin:2px 0}@media (max-width: 576px){.runtime-routing-container .workflow-wrapper .workflow-wrapper{flex-direction:column;align-items:center;gap:24px}.runtime-routing-container .workflow-wrapper .step-column{width:90vw}.runtime-routing-container .workflow-wrapper .actor-card{width:100%}}.runtime-routing-container .p-relative{position:relative}.runtime-routing-container .routing-preview-header{display:flex;align-items:center;justify-content:space-between;height:35px;margin-bottom:15px}.runtime-routing-container .routing-preview-header .button-group{display:flex;align-items:center;justify-content:flex-start;gap:8px;height:35px}.runtime-routing-container .routing-preview-header .button-group button{border-radius:0;color:#fff;height:35px;font-size:13px}.runtime-routing-container .routing-preview-header .debug-group{display:flex;align-items:center;justify-content:flex-start;height:35px}.runtime-routing-container .routing-preview-header .debug-group label{-webkit-user-select:none;user-select:none;margin-right:8px}.runtime-routing-container h5{padding:15px;color:#848484}.runtime-routing-container .resolved-steps pre{padding:15px}\n"], dependencies: [{ kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: ImageErrorResolverDirective, selector: "[appImageErrorResolver]", inputs: ["type", "isFemale"] }, { kind: "pipe", type: TableCellPipe, name: "tableCell" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: RuntimeRoutingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'runtime-routing', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        NgClass,
                        ImageErrorResolverDirective,
                        MapAvatarToServerPipe,
                        TableCellPipe,
                        JsonPipe,
                    ], template: "<div class=\"runtime-routing-container inter-font p-relative\">\r\n    @if ($instance() && $steps()?.length) {\r\n    <div class=\"workflow-wrapper\">\r\n        @for (step of $steps(); track step.id) {\r\n\r\n        <div class=\"step-column\" [attr.data-actor-count]=\"step.stepProgressActors?.length\">\r\n\r\n            <div class=\"step-column-aux\">\r\n                <div [ngClass]=\"step.exeConfig?.routingLogic ?? ''\" class=\"step-header {{ step.stepType.toLowerCase() }} {{ getStepStatusClass(step) }}\">\r\n                    {{ step.stepName }}\r\n                </div>\r\n\r\n                @for (actor of step.stepProgressActors; track actor.id) {\r\n                <div class=\"actor-card-aux\">\r\n                    <div class=\"actor-card d-flex d-flex-start {{ step.stepType.toLowerCase() }}\">\r\n                        <div class=\"avatar-wrapper\">\r\n                            <img [src]=\"actor.actorAvatar\"\r\n                                appImageErrorResolver\r\n                                [type]=\"'AVATAR'\"\r\n                                [isFemale]=\"!!actor.isFemale!\"\r\n                                class=\"actor-avatar\" [alt]=\"actor.actorFullname\" />\r\n                            <div class=\"status-icon\" [ngClass]=\"(actor.status || 'pending').toLowerCase()\">\r\n\r\n                            </div>\r\n                        </div>\r\n\r\n                        <div class=\"actor-details\">\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-user\"></i>\r\n                                <span class=\"actor-full-name\" [title]=\"actor.actorFullname\">{{ actor.actorFullname\r\n                                    }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-briefcase\"></i>\r\n                                <span [title]=\"actor.actorJobName\">{{ actor.actorJobName || '\u2014' }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-mail\"></i>\r\n                                <span [title]=\"actor.actorEmail\">{{ actor.actorEmail }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-hash\"></i>\r\n                                <span [title]=\"actor.actorEmployeeCode\">{{ actor.actorEmployeeCode }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-check-circle\"></i>\r\n                                <span [title]=\"actor.status\">{{ actor.status || 'Pending' }}</span>\r\n                            </div>\r\n\r\n                            <div class=\"actor-line\">\r\n                                <i class=\"feather-clock\"></i>\r\n                                <span [title]=\"actor.votedAt\">{{ actor.votedAt | tableCell: 'DATE_TIME' : lang }}</span>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                }\r\n            </div>\r\n        </div>\r\n        }\r\n\r\n        @if (!$steps().length) {\r\n        <div class=\"step-column\">\r\n            <div class=\"step-header empty\">No steps</div>\r\n        </div>\r\n        }\r\n    </div>\r\n    } @else {\r\n    <div class=\"workflow-wrapper\">\r\n        <div class=\"step-column\">\r\n            <div class=\"step-header empty\">\u26A0 No steps to display</div>\r\n        </div>\r\n    </div>\r\n    }\r\n</div>", styles: [".runtime-routing-container{--card-height: 180px;font-size:13px}.runtime-routing-container .workflow-wrapper{display:flex;flex-direction:row;gap:64px;padding:24px;background:#f5f5f5;overflow-x:auto;min-width:576px;min-height:200px}.runtime-routing-container .workflow-wrapper .step-column{width:240px;display:flex;flex-direction:column;align-items:center;justify-content:center;gap:16px;position:relative;min-height:100%}.runtime-routing-container .workflow-wrapper .step-header{position:relative;font-weight:600;font-size:14px;text-align:center;border:1px solid #ccc;border-radius:8px;box-shadow:0 1px 3px #0000001a;padding:6px 10px;margin-bottom:10px;width:100%;color:#fff}.runtime-routing-container .workflow-wrapper .step-header.submit{background-color:#00bcd4}.runtime-routing-container .workflow-wrapper .step-header.approval{background-color:#f80}.runtime-routing-container .workflow-wrapper .step-header.cc{background-color:#3370ff}.runtime-routing-container .workflow-wrapper .step-header.handle{background-color:#935af6}.runtime-routing-container .workflow-wrapper .step-header.end{background-color:#673ab7}.runtime-routing-container .workflow-wrapper .step-header.resolved{box-shadow:0 0 0 3px #4caf50 inset}.runtime-routing-container .workflow-wrapper .step-header.empty{box-shadow:0 0 0 3px #ff9800 inset}.runtime-routing-container .workflow-wrapper .step-header.fallback{box-shadow:0 0 0 3px #03a9f4 inset}.runtime-routing-container .workflow-wrapper .step-header.error{box-shadow:0 0 0 3px #f44336 inset}.runtime-routing-container .workflow-wrapper .actor-card-aux{position:relative}.runtime-routing-container .workflow-wrapper .actor-card.d-flex{display:flex;align-items:center;justify-content:flex-start;width:240px;height:var(--card-height);font-size:13px;border:1px solid #ccc;padding:0 12px;margin:8px auto;box-shadow:0 1px 3px #0000001a;position:relative;background-color:#fff;border-radius:8px}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .actor-details .actor-line>span{font-weight:700;width:140px;overflow:hidden;text-overflow:ellipsis;text-wrap:nowrap}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .actor-details .actor-line>span.actor-full-name{color:#000}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper{flex-shrink:0;margin-right:8px}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon{width:40px;height:40px;border-radius:50%;font-family:feather;font-size:40px}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.pending:after{content:\"\\e939\";color:#848484}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.sent:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.approved:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.skipped:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.completed:after{content:\"\\e92c\";color:#4caf50}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .avatar-wrapper .status-icon.rejected:after{content:\"\\e9d0\";color:red}.runtime-routing-container .workflow-wrapper .actor-card.d-flex .actor-avatar{width:40px;height:40px;border-radius:50%;object-fit:cover;border:1px solid #ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:first-child) .actor-card:before{content:\"\";position:absolute;top:50%;left:-20px;width:16px;height:2px;background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:first-child) .actor-card-aux:not(:last-child) .actor-card:after{content:\"\";position:absolute;top:50%;left:-20px;width:2px;height:calc(100% + 10px);background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:last-child) .actor-card-aux:before{content:\"\";position:absolute;top:50%;right:-16px;width:16px;height:2px;background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column:not(:last-child) .actor-card-aux:not(:last-child):after{content:\"\";position:absolute;top:50%;right:-16px;width:2px;height:calc(100% + 10px);background-color:#ccc}.runtime-routing-container .workflow-wrapper .step-column-aux{position:relative}.runtime-routing-container .workflow-wrapper .step-column:not(:last-child) .step-column-aux:after{content:\"\";position:absolute;top:calc(50% + 18.5px);right:-48px;width:32px;height:2px;background-color:#ccc}.runtime-routing-container .workflow-wrapper .actor-card.submit{background-color:#e0f7fa;border-left:4px solid #00bcd4}.runtime-routing-container .workflow-wrapper .actor-card.approval{background-color:#fff3e0;border-left:4px solid #f80}.runtime-routing-container .workflow-wrapper .actor-card.cc{background-color:#e6ecff;border-left:4px solid #3370ff}.runtime-routing-container .workflow-wrapper .actor-card.handle{background-color:#f3e6ff;border-left:4px solid #935af6}.runtime-routing-container .workflow-wrapper .actor-card.end{background-color:#ede7f6;border-left:4px solid #673ab7}.runtime-routing-container .workflow-wrapper .actor-line{display:flex;align-items:center;gap:6px;margin:2px 0;height:23.5px}.runtime-routing-container .workflow-wrapper .actor-line i{width:16px;height:16px;font-size:16px;color:#848484}.runtime-routing-container .workflow-wrapper .actor-line input.email-debug-input{border:1px dashed #00bcd4;background-color:#e0f7fa;width:140px;padding:0 8px}.runtime-routing-container .workflow-wrapper .actor-card span{display:block;color:#555;margin:2px 0}@media (max-width: 576px){.runtime-routing-container .workflow-wrapper .workflow-wrapper{flex-direction:column;align-items:center;gap:24px}.runtime-routing-container .workflow-wrapper .step-column{width:90vw}.runtime-routing-container .workflow-wrapper .actor-card{width:100%}}.runtime-routing-container .p-relative{position:relative}.runtime-routing-container .routing-preview-header{display:flex;align-items:center;justify-content:space-between;height:35px;margin-bottom:15px}.runtime-routing-container .routing-preview-header .button-group{display:flex;align-items:center;justify-content:flex-start;gap:8px;height:35px}.runtime-routing-container .routing-preview-header .button-group button{border-radius:0;color:#fff;height:35px;font-size:13px}.runtime-routing-container .routing-preview-header .debug-group{display:flex;align-items:center;justify-content:flex-start;height:35px}.runtime-routing-container .routing-preview-header .debug-group label{-webkit-user-select:none;user-select:none;margin-right:8px}.runtime-routing-container h5{padding:15px;color:#848484}.runtime-routing-container .resolved-steps pre{padding:15px}\n"] }]
        }], ctorParameters: () => [{ type: MultiLanguageService }] });

class RuntimeLogsComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.$instance = input(null);
        this.$logs = computed(() => this.$instance()?.workflowLogs);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: RuntimeLogsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: RuntimeLogsComponent, isStandalone: true, selector: "runtime-logs", inputs: { $instance: { classPropertyName: "$instance", publicName: "$instance", isSignal: true, isRequired: false, transformFunction: null } }, usesInheritance: true, ngImport: i0, template: "<div class=\"runtime-logs-wrapper\">\r\n  <h4><i class=\"feather-list\"></i> Logs</h4>\r\n\r\n  @if (!$logs()?.length) {\r\n    <div class=\"empty-log\">\r\n      <i class=\"feather-info\"></i> No logs available.\r\n    </div>\r\n  } @else {\r\n    <ul class=\"log-list\">\r\n      @for (log of $logs(); track log.id) {\r\n        <li class=\"log-item\">\r\n          <div class=\"log-icon\"><i class=\"feather-clock\"></i></div>\r\n          <div class=\"log-content\">\r\n            <div class=\"log-time\">{{ log.occurredAt | tableCell : 'DATE_TIME' : lang }}</div>\r\n            <div class=\"log-text\">{{ log.logText }}</div>\r\n          </div>\r\n        </li>\r\n      }\r\n    </ul>\r\n  }\r\n</div>", styles: [".runtime-logs-wrapper{font-size:13px;padding:16px;background-color:#f9f9f9}.runtime-logs-wrapper h4{display:flex;align-items:center;gap:8px;color:#333;margin-bottom:12px}.runtime-logs-wrapper h4 i{font-size:16px;color:#666}.runtime-logs-wrapper .empty-log{display:flex;align-items:center;gap:6px;font-size:13px;color:#999;font-style:italic}.runtime-logs-wrapper .empty-log i{color:#ccc}.runtime-logs-wrapper .log-list{list-style:none;margin:0;padding:0}.runtime-logs-wrapper .log-list .log-item{display:flex;align-items:flex-start;padding:8px 0;border-bottom:1px dashed #ddd}.runtime-logs-wrapper .log-list .log-item:last-child{border-bottom:none}.runtime-logs-wrapper .log-list .log-item .log-icon{margin-right:10px;color:#555;padding-top:2px}.runtime-logs-wrapper .log-list .log-item .log-content{flex:1}.runtime-logs-wrapper .log-list .log-item .log-content .log-time{font-size:12px;color:#888;margin-bottom:2px}.runtime-logs-wrapper .log-list .log-item .log-content .log-text{font-family:monospace;white-space:pre-wrap;color:#333}\n"], dependencies: [{ kind: "pipe", type: TableCellPipe // usage: value | tableCell : 'DATE_TIME' : lang
                , name: "tableCell" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: RuntimeLogsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'runtime-logs', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        TableCellPipe // usage: value | tableCell : 'DATE_TIME' : lang
                    ], template: "<div class=\"runtime-logs-wrapper\">\r\n  <h4><i class=\"feather-list\"></i> Logs</h4>\r\n\r\n  @if (!$logs()?.length) {\r\n    <div class=\"empty-log\">\r\n      <i class=\"feather-info\"></i> No logs available.\r\n    </div>\r\n  } @else {\r\n    <ul class=\"log-list\">\r\n      @for (log of $logs(); track log.id) {\r\n        <li class=\"log-item\">\r\n          <div class=\"log-icon\"><i class=\"feather-clock\"></i></div>\r\n          <div class=\"log-content\">\r\n            <div class=\"log-time\">{{ log.occurredAt | tableCell : 'DATE_TIME' : lang }}</div>\r\n            <div class=\"log-text\">{{ log.logText }}</div>\r\n          </div>\r\n        </li>\r\n      }\r\n    </ul>\r\n  }\r\n</div>", styles: [".runtime-logs-wrapper{font-size:13px;padding:16px;background-color:#f9f9f9}.runtime-logs-wrapper h4{display:flex;align-items:center;gap:8px;color:#333;margin-bottom:12px}.runtime-logs-wrapper h4 i{font-size:16px;color:#666}.runtime-logs-wrapper .empty-log{display:flex;align-items:center;gap:6px;font-size:13px;color:#999;font-style:italic}.runtime-logs-wrapper .empty-log i{color:#ccc}.runtime-logs-wrapper .log-list{list-style:none;margin:0;padding:0}.runtime-logs-wrapper .log-list .log-item{display:flex;align-items:flex-start;padding:8px 0;border-bottom:1px dashed #ddd}.runtime-logs-wrapper .log-list .log-item:last-child{border-bottom:none}.runtime-logs-wrapper .log-list .log-item .log-icon{margin-right:10px;color:#555;padding-top:2px}.runtime-logs-wrapper .log-list .log-item .log-content{flex:1}.runtime-logs-wrapper .log-list .log-item .log-content .log-time{font-size:12px;color:#888;margin-bottom:2px}.runtime-logs-wrapper .log-list .log-item .log-content .log-text{font-family:monospace;white-space:pre-wrap;color:#333}\n"] }]
        }] });

class WfInstanceStatusComponent extends BaseComponent {
    refresh() {
        const correlationId = this.$correlationId();
        if (!!correlationId) {
            this.subscriptions.push(this.appService.get(`/api/WorkflowEngine/GetStatus?correlationId=${correlationId}&usehub=true`).pipe(tap(_ => this.$loading.set(true)), catchError(err => {
                this.$loading.set(false);
                const msg = err?.error?.message || // API-defined message
                    err?.message || // Native JS or HttpErrorResponse
                    err?.statusText || // Fallback
                    'An unknown error occurred.';
                return of({ ok: false, status: 500, body: { messageCode: msg } });
            })).subscribe(x => {
                this.$loading.set(false);
                if (x.ok && x.status === 200 && x.body?.statusCode === 200) {
                    const raw = x.body.innerBody;
                    raw.attributes = JSON.parse(raw.attributesJson);
                    raw.stepProgresses.forEach(step => {
                        if (!!step.exeConfigJson) {
                            step.exeConfig = JSON.parse(step.exeConfigJson);
                        }
                        else {
                            step.exeConfig = {};
                        }
                    });
                    this.$instance.set(raw);
                }
            }));
        }
    }
    constructor(mls, ss, as) {
        super(mls);
        this.mls = mls;
        this.ss = ss;
        this.as = as;
        this.route = inject(ActivatedRoute);
        this.appService = inject(AppService);
        this.$loading = signal(true);
        this.$instance = signal(null);
        this.$error = signal(null);
        this.$correlationId = signal(null);
        // $inputSteps = signal<IRoutingStep[]>([]);
        this.$attributesBeauty = computed(() => {
            return JSON.stringify((this.$instance()?.attributes ?? {}), null, 2);
        });
        this.$isExpanded = signal(false);
        effect(() => {
            const status = ss.$workflowTicket();
            this.as.info("The status has been changed", alertOptions);
            if (status?.correlationId === this.$correlationId()) {
                this.refresh();
            }
        });
        this.subscriptions.push(this.route.paramMap.subscribe(p => {
            const correlationId = p.get('id');
            this.$correlationId.set(correlationId);
        }));
        effect(() => {
            const _ = this.$correlationId();
            this.refresh();
        });
    }
    toggleAccordion() {
        this.$isExpanded.set(!this.$isExpanded());
    }
    copy(value) {
        if (!value)
            return;
        navigator.clipboard.writeText(value.toString()).then(() => {
            this.as.success('Copied!', alertOptions);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: WfInstanceStatusComponent, deps: [{ token: MultiLanguageService }, { token: SocketService }, { token: AlertService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.5", type: WfInstanceStatusComponent, isStandalone: true, selector: "wf-instance-status", usesInheritance: true, ngImport: i0, template: "<div class=\"wf-instance-status-container\">\r\n  <core-page-header [title]=\"'Workflow Instance Status'\" />\r\n\r\n  <div class=\"status-parts\">\r\n    <div class=\"saga\">\r\n      @if ($loading()) {\r\n      <p class=\"wf-status-loading\">\r\n        <core-terminal-spinner />\r\n      </p>\r\n      } @else if ($error()) {\r\n      <p class=\"wf-status-error\">\u26A0\uFE0F {{ $error() }}</p>\r\n      } @else if (!$instance()) {\r\n      <p class=\"wf-status-empty\">No instance data found.</p>\r\n      } @else {\r\n      <div class=\"wf-status-card\">\r\n\r\n        <!-- Workflow Info -->\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Workflow Name:</label>\r\n          <span>{{ $instance()!.workflowName }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Current State:</label>\r\n          <span class=\"wf-status-badge1 wf-status-{{ $instance()!.currentState.toLowerCase() }}\">\r\n            {{ $instance()!.currentState }}\r\n          </span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Current Step:</label>\r\n          <span>{{ $instance()!.currentStepName || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Last Action At:</label>\r\n          <span>{{ $instance()!.lastActionAt | tableCell : 'DATE_TIME' : lang }}</span>\r\n        </div>\r\n\r\n        <!-- First Actor Info -->\r\n        <div class=\"wf-status-subtitle\">\uD83D\uDCCC First Actor</div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Full Name:</label>\r\n          <span>{{ $instance()!.firstActorFullname }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Email:</label>\r\n          <span>{{ $instance()!.firstActorEmail }}</span>\r\n        </div>\r\n\r\n        <!-- Last Actor Info -->\r\n        <div class=\"wf-status-subtitle\">\uD83D\uDD0D Last Actor</div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Full Name:</label>\r\n          <span>{{ $instance()!.lastActorFullname || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Email:</label>\r\n          <span>{{ $instance()!.lastActorEmail || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Employee Code:</label>\r\n          <span>{{ $instance()!.lastActorEmployeeCode || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Position Name:</label>\r\n          <span>{{ $instance()!.lastActorPositionName || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Job Name:</label>\r\n          <span>{{ $instance()!.lastActorJobName || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>System Messages:</label>\r\n          <span>{{ $instance()!.systemMessages || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <!-- Show More Section -->\r\n\r\n        <div class=\"wf-status-accordion\">\r\n          <button class=\"accordion-summary\" (click)=\"toggleAccordion()\">\r\n            <span><i [ngClass]=\"$isExpanded() ? 'feather-minus' : 'feather-plus'\"></i></span> {{ $isExpanded() ? 'Hide Details' : 'Show More' }}\r\n          </button>\r\n\r\n          <div class=\"accordion-body\" [style.maxHeight]=\"$isExpanded() ? '1000px' : '0'\"\r\n            [style.opacity]=\"$isExpanded() ? '1' : '0'\" [style.pointerEvents]=\"$isExpanded() ? 'auto' : 'none'\">\r\n            <div class=\"wf-status-row\">\r\n              <label>Workflow ID:</label>\r\n              <span>\r\n                {{ $instance()!.workflowId }}\r\n              </span>\r\n              <button type=\"button\" (click)=\"copy($instance()!.workflowId)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Employee ID:</label>\r\n              <span>\r\n                {{ $instance()!.lastActorEmployeeId }}\r\n              </span>\r\n              <button type=\"button\" (click)=\"copy($instance()!.lastActorEmployeeId)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Last Triggered Step ID:</label>\r\n              <span>\r\n                {{ $instance()!.lastTriggeredStepId || '\u2014' }}\r\n              </span>\r\n              @if ($instance()!.lastTriggeredStepId) {\r\n              <button type=\"button\" (click)=\"copy($instance()!.lastTriggeredStepId)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n              }\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Attributes JSON:</label>\r\n              <span>\r\n                <code>{{ $attributesBeauty() }}</code>\r\n              </span>\r\n              <button type=\"button\" (click)=\"copy($instance()!.attributesJson)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Debug Mode:</label>\r\n              <span>{{ $instance()!.isDebug ? '\u2714 Enabled' : '\u274C Disabled' }}</span>\r\n            </div>\r\n          </div>\r\n        </div>\r\n\r\n      </div>\r\n      }\r\n    </div>\r\n\r\n    <div class=\"runtime-routing-n-logs\">\r\n      <runtime-routing [$instance]=\"$instance()\" />\r\n      <div class=\"h15\"></div>\r\n      <runtime-logs [$instance]=\"$instance()\" />\r\n    </div>\r\n  </div>\r\n</div>", styles: [".wf-instance-status-container .status-parts{display:flex;width:100%;overflow:auto}.wf-instance-status-container .status-parts .saga{width:480px;padding:15px;background-color:#fdfdfd;border:1px solid #e5e7eb;font-size:13px;display:inline-block}.wf-instance-status-container .status-parts .saga .wf-status-title{margin-bottom:1.5rem;color:#1f2937}.wf-instance-status-container .status-parts .saga .wf-status-loading,.wf-instance-status-container .status-parts .saga .wf-status-empty{color:#3b82f6}.wf-instance-status-container .status-parts .saga .wf-status-error{color:#dc2626}.wf-instance-status-container .status-parts .saga .wf-status-card{background-color:#fff;padding:15px;border:1px solid #d1d5db;display:flex;flex-direction:column;gap:8px}.wf-instance-status-container .status-parts .saga .wf-status-section-title{background-color:#e0f2fe;color:#0284c7;padding:15px;border-left:4px solid #38bdf8;border-radius:4px;margin-bottom:.25rem}.wf-instance-status-container .status-parts .saga .wf-status-row{display:flex;justify-content:space-between;align-items:flex-start;gap:8px;border-bottom:1px dashed #e5e7eb;padding-bottom:8px}.wf-instance-status-container .status-parts .saga .wf-status-row label{color:#374151;width:120px}.wf-instance-status-container .status-parts .saga .wf-status-row span{font-family:monospace;color:#111827;width:280px}.wf-instance-status-container .status-parts .saga .wf-status-row span:not(:has(code)){overflow:hidden;text-overflow:ellipsis;text-wrap:nowrap}.wf-instance-status-container .status-parts .saga .wf-status-badge{display:inline-block;padding:15px;border-radius:9999px;text-transform:uppercase}.wf-instance-status-container .status-parts .saga .wf-status-approved{background-color:#d1fae5;color:#065f46}.wf-instance-status-container .status-parts .saga .wf-status-rejected{background-color:#fee2e2;color:#991b1b}.wf-instance-status-container .status-parts .saga .wf-status-in_progress{background-color:#fef3c7;color:#92400e}.wf-instance-status-container .status-parts .saga .wf-status-debug-true{background-color:#e0f2fe;color:#0369a1;padding:15px}.wf-instance-status-container .status-parts .saga .wf-status-debug-false{background-color:#f3f4f6;color:#6b7280;padding:15px}.wf-instance-status-container .status-parts .saga .wf-status-actor-card{background-color:#f0fdf4;border:1px dashed #34d399;padding:15px;display:flex;flex-direction:column;gap:.5rem}.wf-instance-status-container .status-parts .saga .wf-status-actor-card .wf-status-row{border:none;padding:0}.wf-instance-status-container .status-parts .saga .wf-status-actor-card label,.wf-instance-status-container .status-parts .saga .wf-status-actor-card span{color:#065f46}.wf-instance-status-container .status-parts .saga .wf-status-accordion{margin-top:1rem;border-top:1px dashed #ccc;padding-top:1rem}.wf-instance-status-container .status-parts .saga .accordion-summary{background:none;border:none;cursor:pointer;padding:.5rem 0;color:#444;transition:color .2s}.wf-instance-status-container .status-parts .saga .accordion-summary:hover{color:#000}.wf-instance-status-container .status-parts .saga .accordion-body{overflow:hidden;transition:max-height .3s ease,opacity .3s ease}.wf-instance-status-container .status-parts .saga .copy-btn{background:none;border:none;cursor:pointer;font-size:1em;margin-left:.5rem;color:#888}.wf-instance-status-container .status-parts .saga .copy-btn:hover{color:#000}.wf-instance-status-container .status-parts .runtime-routing-n-logs{margin-left:15px;display:inline-block}.wf-instance-status-container .status-parts .runtime-routing-n-logs .h15{height:15px}\n"], dependencies: [{ kind: "pipe", type: TableCellPipe, name: "tableCell" }, { kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: CorePageHeaderComponent, selector: "core-page-header", inputs: ["instanceNumber", "shownItems", "title", "hideButtonGroup", "htmlTooltipRef"], outputs: ["buttonClick"] }, { kind: "component", type: CoreTerminalSpinnerComponent, selector: "core-terminal-spinner" }, { kind: "component", type: RuntimeRoutingComponent, selector: "runtime-routing", inputs: ["$instance"] }, { kind: "component", type: RuntimeLogsComponent, selector: "runtime-logs", inputs: ["$instance"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.5", ngImport: i0, type: WfInstanceStatusComponent, decorators: [{
            type: Component,
            args: [{ selector: 'wf-instance-status', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        TableCellPipe,
                        NgClass,
                        CorePageHeaderComponent,
                        CoreTerminalSpinnerComponent,
                        RuntimeRoutingComponent,
                        RuntimeLogsComponent,
                    ], template: "<div class=\"wf-instance-status-container\">\r\n  <core-page-header [title]=\"'Workflow Instance Status'\" />\r\n\r\n  <div class=\"status-parts\">\r\n    <div class=\"saga\">\r\n      @if ($loading()) {\r\n      <p class=\"wf-status-loading\">\r\n        <core-terminal-spinner />\r\n      </p>\r\n      } @else if ($error()) {\r\n      <p class=\"wf-status-error\">\u26A0\uFE0F {{ $error() }}</p>\r\n      } @else if (!$instance()) {\r\n      <p class=\"wf-status-empty\">No instance data found.</p>\r\n      } @else {\r\n      <div class=\"wf-status-card\">\r\n\r\n        <!-- Workflow Info -->\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Workflow Name:</label>\r\n          <span>{{ $instance()!.workflowName }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Current State:</label>\r\n          <span class=\"wf-status-badge1 wf-status-{{ $instance()!.currentState.toLowerCase() }}\">\r\n            {{ $instance()!.currentState }}\r\n          </span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Current Step:</label>\r\n          <span>{{ $instance()!.currentStepName || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Last Action At:</label>\r\n          <span>{{ $instance()!.lastActionAt | tableCell : 'DATE_TIME' : lang }}</span>\r\n        </div>\r\n\r\n        <!-- First Actor Info -->\r\n        <div class=\"wf-status-subtitle\">\uD83D\uDCCC First Actor</div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Full Name:</label>\r\n          <span>{{ $instance()!.firstActorFullname }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Email:</label>\r\n          <span>{{ $instance()!.firstActorEmail }}</span>\r\n        </div>\r\n\r\n        <!-- Last Actor Info -->\r\n        <div class=\"wf-status-subtitle\">\uD83D\uDD0D Last Actor</div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Full Name:</label>\r\n          <span>{{ $instance()!.lastActorFullname || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Email:</label>\r\n          <span>{{ $instance()!.lastActorEmail || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Employee Code:</label>\r\n          <span>{{ $instance()!.lastActorEmployeeCode || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Position Name:</label>\r\n          <span>{{ $instance()!.lastActorPositionName || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>Job Name:</label>\r\n          <span>{{ $instance()!.lastActorJobName || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <div class=\"wf-status-row\">\r\n          <label>System Messages:</label>\r\n          <span>{{ $instance()!.systemMessages || '\u2014' }}</span>\r\n        </div>\r\n\r\n        <!-- Show More Section -->\r\n\r\n        <div class=\"wf-status-accordion\">\r\n          <button class=\"accordion-summary\" (click)=\"toggleAccordion()\">\r\n            <span><i [ngClass]=\"$isExpanded() ? 'feather-minus' : 'feather-plus'\"></i></span> {{ $isExpanded() ? 'Hide Details' : 'Show More' }}\r\n          </button>\r\n\r\n          <div class=\"accordion-body\" [style.maxHeight]=\"$isExpanded() ? '1000px' : '0'\"\r\n            [style.opacity]=\"$isExpanded() ? '1' : '0'\" [style.pointerEvents]=\"$isExpanded() ? 'auto' : 'none'\">\r\n            <div class=\"wf-status-row\">\r\n              <label>Workflow ID:</label>\r\n              <span>\r\n                {{ $instance()!.workflowId }}\r\n              </span>\r\n              <button type=\"button\" (click)=\"copy($instance()!.workflowId)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Employee ID:</label>\r\n              <span>\r\n                {{ $instance()!.lastActorEmployeeId }}\r\n              </span>\r\n              <button type=\"button\" (click)=\"copy($instance()!.lastActorEmployeeId)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Last Triggered Step ID:</label>\r\n              <span>\r\n                {{ $instance()!.lastTriggeredStepId || '\u2014' }}\r\n              </span>\r\n              @if ($instance()!.lastTriggeredStepId) {\r\n              <button type=\"button\" (click)=\"copy($instance()!.lastTriggeredStepId)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n              }\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Attributes JSON:</label>\r\n              <span>\r\n                <code>{{ $attributesBeauty() }}</code>\r\n              </span>\r\n              <button type=\"button\" (click)=\"copy($instance()!.attributesJson)\" class=\"copy-btn\"><i class=\"feather-clipboard\"></i></button>\r\n            </div>\r\n\r\n            <div class=\"wf-status-row\">\r\n              <label>Debug Mode:</label>\r\n              <span>{{ $instance()!.isDebug ? '\u2714 Enabled' : '\u274C Disabled' }}</span>\r\n            </div>\r\n          </div>\r\n        </div>\r\n\r\n      </div>\r\n      }\r\n    </div>\r\n\r\n    <div class=\"runtime-routing-n-logs\">\r\n      <runtime-routing [$instance]=\"$instance()\" />\r\n      <div class=\"h15\"></div>\r\n      <runtime-logs [$instance]=\"$instance()\" />\r\n    </div>\r\n  </div>\r\n</div>", styles: [".wf-instance-status-container .status-parts{display:flex;width:100%;overflow:auto}.wf-instance-status-container .status-parts .saga{width:480px;padding:15px;background-color:#fdfdfd;border:1px solid #e5e7eb;font-size:13px;display:inline-block}.wf-instance-status-container .status-parts .saga .wf-status-title{margin-bottom:1.5rem;color:#1f2937}.wf-instance-status-container .status-parts .saga .wf-status-loading,.wf-instance-status-container .status-parts .saga .wf-status-empty{color:#3b82f6}.wf-instance-status-container .status-parts .saga .wf-status-error{color:#dc2626}.wf-instance-status-container .status-parts .saga .wf-status-card{background-color:#fff;padding:15px;border:1px solid #d1d5db;display:flex;flex-direction:column;gap:8px}.wf-instance-status-container .status-parts .saga .wf-status-section-title{background-color:#e0f2fe;color:#0284c7;padding:15px;border-left:4px solid #38bdf8;border-radius:4px;margin-bottom:.25rem}.wf-instance-status-container .status-parts .saga .wf-status-row{display:flex;justify-content:space-between;align-items:flex-start;gap:8px;border-bottom:1px dashed #e5e7eb;padding-bottom:8px}.wf-instance-status-container .status-parts .saga .wf-status-row label{color:#374151;width:120px}.wf-instance-status-container .status-parts .saga .wf-status-row span{font-family:monospace;color:#111827;width:280px}.wf-instance-status-container .status-parts .saga .wf-status-row span:not(:has(code)){overflow:hidden;text-overflow:ellipsis;text-wrap:nowrap}.wf-instance-status-container .status-parts .saga .wf-status-badge{display:inline-block;padding:15px;border-radius:9999px;text-transform:uppercase}.wf-instance-status-container .status-parts .saga .wf-status-approved{background-color:#d1fae5;color:#065f46}.wf-instance-status-container .status-parts .saga .wf-status-rejected{background-color:#fee2e2;color:#991b1b}.wf-instance-status-container .status-parts .saga .wf-status-in_progress{background-color:#fef3c7;color:#92400e}.wf-instance-status-container .status-parts .saga .wf-status-debug-true{background-color:#e0f2fe;color:#0369a1;padding:15px}.wf-instance-status-container .status-parts .saga .wf-status-debug-false{background-color:#f3f4f6;color:#6b7280;padding:15px}.wf-instance-status-container .status-parts .saga .wf-status-actor-card{background-color:#f0fdf4;border:1px dashed #34d399;padding:15px;display:flex;flex-direction:column;gap:.5rem}.wf-instance-status-container .status-parts .saga .wf-status-actor-card .wf-status-row{border:none;padding:0}.wf-instance-status-container .status-parts .saga .wf-status-actor-card label,.wf-instance-status-container .status-parts .saga .wf-status-actor-card span{color:#065f46}.wf-instance-status-container .status-parts .saga .wf-status-accordion{margin-top:1rem;border-top:1px dashed #ccc;padding-top:1rem}.wf-instance-status-container .status-parts .saga .accordion-summary{background:none;border:none;cursor:pointer;padding:.5rem 0;color:#444;transition:color .2s}.wf-instance-status-container .status-parts .saga .accordion-summary:hover{color:#000}.wf-instance-status-container .status-parts .saga .accordion-body{overflow:hidden;transition:max-height .3s ease,opacity .3s ease}.wf-instance-status-container .status-parts .saga .copy-btn{background:none;border:none;cursor:pointer;font-size:1em;margin-left:.5rem;color:#888}.wf-instance-status-container .status-parts .saga .copy-btn:hover{color:#000}.wf-instance-status-container .status-parts .runtime-routing-n-logs{margin-left:15px;display:inline-block}.wf-instance-status-container .status-parts .runtime-routing-n-logs .h15{height:15px}\n"] }]
        }], ctorParameters: () => [{ type: MultiLanguageService }, { type: SocketService }, { type: AlertService }] });

export { WfInstanceStatusComponent };
//# sourceMappingURL=ngx-histaff-alpha-wf-instance-status.component-C9OXtaXQ.mjs.map
